#
# spec file for package openstack-nova-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component nova
%define majorversion 2012.2.3

%define version_unconverted 16.0.0.0rc2.dev117

Name:           openstack-%{component}-doc
Version:        16.0.0.0~rc2~dev117
Release:        2.7
Summary:        OpenStack Compute (Nova) - Documentation
License:        Apache-2.0
Group:          Documentation/HTML
Url:            http://openstack.org/projects/compute/
Source:         http://tarballs.openstack.org/nova/nova-master.tar.gz
BuildRequires:  graphviz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Babel
BuildRequires:  python-Cheetah
BuildRequires:  python-PasteDeploy
BuildRequires:  python-Sphinx
BuildRequires:  python-WebOb
BuildRequires:  python-base
BuildRequires:  python-boto
BuildRequires:  python-nova
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-pbr
BuildRequires:  python-six
BuildRequires:  python-sphinxcontrib-seqdiag
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nova is a cloud computing fabric controller (the main part of an IaaS
system) built to match the popular AWS EC2 and S3 APIs. It is written
in Python, using the Tornado and Twisted frameworks, and relies on the
standard AMQP messaging protocol.

This package contains documentation files for openstack-nova.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
python setup.py build_sphinx
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Sun Aug 27 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev117:
  * VMware: use WithRetrieval in ds\_util module
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev116:
  * Fix bug on vmware driver attach volume failed
  * fix a typo in format\_cpu\_spec doc
  * Remove the section about extensions from the API concept doc
  * [placement] Disambiguate resource provider conflict message
  * VMware: use WithRetrieval in get\_network\_with\_the\_name
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev108:
  * Cleanup allocations in failed prep\_resize
  * Add functional test for rescheduling during a migration
  * Remove allocation when booting instance rescheduled or aborted
  * Fix sample configuration generation for compute-related options
  * Updated from global requirements
  * Delete instance allocations when the instance is deleted
  * How about not logging errors every time we shelve offload?
  * api-ref: fix key\_name note formatting
  * Move common definition into common layer
  * Remove RamFilter and DiskFilter in default filter
  * Remove VMware driver \_get\_vm\_ref\_from\_uuid method
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev89:
  * nova-manage: Deprecate 'cell' commands
  * Assume neutron port\_binding extensions enabled
  * Restrict live migration to same cell
  * Remove source node allocation after live migration completes
  * Allocate resources on forced dest host during live migration
  * Clarifying node\_uuid usage in ironic driver
  * Pull out code that builds VIF in \_build\_network\_info\_model
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0rc2.dev77:
  * Add language for compute node configuration
  * Fix quobyte test\_validate\_volume\_no\_mtab\_entry
  * update comment for dropping support
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev71:
  * Add functional live migrate test
  * Add functional force live migrate test
  * trivial: Remove dead function, variable
  * Fix a wrong link
  * Reset client session when placement endpoint not found
  * Skip test\_rebuild\_server\_in\_error\_state for cells v1
  * doc: code review considerations for online data migrations
  * Add track\_instance\_changes note in disable\_group\_policy\_check\_upcall
  * Add description on maximum placement API version
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev56:
  * doc: Address review comments for main index
  * Correct statement in api-ref
  * replace chance with filter scheduler in func tests
  * Clarify that vlan feature means nova-network support
  * doc: Address review comments for contributor index
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev48:
  * Updated from global requirements
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev47:
  * Remove host filter for \_cleanup\_running\_deleted\_instances periodic task
  * Fix contributor documentation
  * Clean up resources at shelve offload
  * test shelve and shelve offload with placement
  * delete allocation of evacuated instance
  * Make scheduler.utils.merge\_resources ignore zero values
  * Show quota detail when inject file quota exceeds
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev34:
  * Fix reporting inventory for provisioned nodes in the Ironic driver
  * Clean up \*most\* ec2 / euca2ools references
  * Add documentation for documentation contributions
  * remove extension param and usage
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev29:
  * Avoid race in test\_evacuate
  * Update api doc with latest updates in api framework
  * Fix messages in functional tests
  * placement: avoid returning duplicated alloc\_reqs when no sharing rp
  * Remove translation of log messages
  * Enhancement comments on CountableResource
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev20:
  * doc: Extend nfv feature matrix with pinning/NUMA
  * Always use application/json accept header in report client
  * Handle addition of new nodes/instances in ironic flavor migration
  * doc: address review comments in stable-api guide updates
  * [placement] Make placement\_api\_docs.py failing
* Sun Aug 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev12:
  * test server evacuation with placement
  * doc: add superconductor up-call caveat for cross\_az\_attach=False
  * [placement] Add api-ref for allocation\_candidates
  * [placement] Add api-ref for RP usages
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0rc2.dev6:
  * doc: add another up-call caveat for cells v2 for xenapi aggregates
  * Update reno for stable/pike
  * Deprecate bare metal filters
  16.0.0.0rc1
  * Resource tracker compatibility with Ocata and Pike
  * Remove provider allocs in confirm/revert resize
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev197:
  * Imported Translations from Zanata
  * Remove ram/disk sched filters from default list
  * placement: refactor healing of allocations in RT
  * remove log message with potential stale info
  * Require Placement 1.10 in nova-status upgrade check
  * Mark Chance and Caching schedulers as deprecated
  * [placement] Add api-ref for usages
  * Structure cli page
  * doc: Import configuration reference
  * Improve stable-api doc with current API state
  * update policy UT fixtures
  * Bulk import all config reference figures
  * rework index intro to describe nova
  * Add For Operators section to front page
  * Add format\_dom for PCI device addresses
  * Raise NoValidHost if no allocation candidates
  * Test resize with too big flavor
  * nova-manage: Deprecate '--version' parameters
  * imagebackend: cleanup constructor args to Rbd
  * [placement] Avoid error log on 405 response
  * Keep the code consistent
  * api-ref: requested security groups are not applied to pre-existing ports
  * api-ref: fix security\_groups response parameter in os-security-groups
  * add description about key\_name
  * Add policy granularity to the Flavors API
  * Remove translation of log messages
  * remove mox from unit/virt/vmwareapi/test\_driver\_api.py
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev147:
  * Add release note for shared storage known issue
  * Mark max microversion for Pike in history doc
  * Add a prelude section for Pike
  * doc: provide more details on scheduling with placement
  * Add functional test for local delete allocations
  * Document service layout for consoles with cells
  * Create For End Users index section
  * Cleanup release note about ignoring allow\_same\_net\_traffic
  * no instance info cache update if instance deleted
  * doc: Add additional content to admin guide
  * Fix migrate single instance when it was created concurrently
  * add cli to support matrix
  * Fix the log information argument mistake
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev123:
  * Create reference subpage
  * Fix all >= 2 hit 404s
  * Handle ironicclient failures in Ironic driver
  * [placement] Add api-ref for RP allocations
  * placement: filtering the resource provider id when delete trait association
  * Updated from global requirements
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev111:
  * tools/xenserver: Remove 'cleanup\_sm\_locks'
  * Add resource utilities to scheduler utils
  * Add Contributor Guide section page
  * Split Compute.errors\_out\_migration into a separate contextmanager
  * Detach device from live domain even if not found on persistent
  * Use wsgi-intercept in OSAPIFixture
  * Stop using mox stubs in cast\_as\_call.py
* Sun Aug  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev99:
  * Fix getting instance bdms in multiple cells
  * Update install guide to clearly define between package installs
  * doc: Import administration guide
  * doc: Import installation guide
  * doc: Start using oslo\_policy.sphinxext
  * policies: Fix Sphinx issues
  * [placement] Require at least one allocation when PUT
  * Fix 409 handling in report client when deleting inventory
  * [placement] Add api-ref for allocations
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev84:
  * Add a caveat section about cellsv2 upcalls
  * doc: Start using oslo\_config.sphinxext
  * doc: Rework README to reflect new doc URLs
  * doc: Remove dead files
  * Sum allocations in the scheduler when resizing to the same host
  * doc: Make use of definition lists, literals
  * hardware offload support for openvswitch
  * reflow rpc doc to 80 columns
  * fix list rendering in policy-enforcement
  * fix list rendering in cells
  * fix list rendering in aggregates
  * Fix list rendering in bdm doc
  * fix list rendering in rpc doc
  * Fix list rendering in code-review.rst
  * Fix whitespace in rest\_api\_version\_history
  * Fix lists in process doc
  * Test resize to same host with placement api
  * fix rpc broken rst comment
  * sort redirectmatch lines
  * add top 404 redirect
  * Update SSL cert used in testing
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev52:
  * Add redirect for api-microversion-history doc
  * placement: remove existing allocs when set allocs
  * Additional assertions to resize tests
  * Accept any scheduler driver entrypoint
  * add redirects for existing broken docs urls
  * Add some more cellsv2 doc goodness
  * Deprecate cells v1
  * Add release note for PUT /os-services/\* for non-compute services
  * always show urls in list\_cells
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev34:
  * Test resize with placement api
  * Updated from global requirements
  * do not pass proxy env variables by tox
  * rootwrap.d cleanup mislabeled files
  * fix test\_rebuild\_server\_exc instability
  * add a redirect for the old cells landing page
  * doc: add FAQ entry for cells v1 config options
  * Fix example in \_serialize\_allocations\_for\_consumer
  * Instance remains in migrating state forever
  * provide interface-scoped nameserver information
  * [placement] Add api-ref for RP traits
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev17:
  * Add cinder keystone client opts to config reference
  * Updated from global requirements
  * Remove unnecessary code
  * Add oslo\_concurrency=INFO to default log levels for nova-manage
  * Remove redundant free\_vcpus logging in \_report\_hypervisor\_resource\_view
  * Stop using mox stubs in test\_console\_auth\_tokens.py
  * Increase cpu time for image conversion
  * hyperv: stop serial console workers while deleting vm files
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b4.dev6:
  * Updated from global requirements
  * [placement] quash unicode warning with shared provider
  16.0.0.0b3
  * claim resources in placement API during schedule()
  * placement: account for move operations in claim
  * libvirt: Post-migration, set cache value for Cinder volume(s)
  * Provide original fault message when BFV fails
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev601:
  * stabilize test\_create\_delete\_server functional test
  * Ensure we unshelve in the cell the instance is mapped
  * deprecate \`\`wsgi\_log\_format\`\` config variable
  * Move the note about '/os-volume\_boot' to the correct place
  * add a retry on DBDeadlock to \_set\_allocations()
  * Move the last\_bytes util method to libvirt
  * Add 'updated\_at' field to InstancePayload in notifications
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev587:
  * Remove the useless fake ExtensionManager from API unittests
  * Netronome SmartNIC Enablement
  * Updated from global requirements
  * docstring and unused code removal
  * use os\_traits.MISC\_SHARES\_VIA\_AGGREGATE
  * style-only: s/context/ctx/
  * Add helper method for waiting migrations in functional tests
  * Translate the return value of attachment\_create and \_update
  * Do not import nova.conf into nova/exception.py
  * Set IronicNodeState.uuid in \_update\_from\_compute\_node
  * Remove the useless extension block\_device\_mapping\_v1 object
  * Remove the useless FakeExt
  * Remove the code related to extension loading from APIRouterV21
  * Suppress some test warnings
  * Using plain routes for the microversions test
  * Use \_error\_out\_instance\_on\_exception in finish\_resize
  * Skip boot from encrypted volume on Xen+libvirt
  * Adjust error msg for ImageNUMATopologyAsymmetric
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev552:
  * Add VIFHostDevice support to libvirt driver
  * API ref: associate floating IP requires Active status
  * [placement] Use wsgi\_intercept in PlacementFixture
  * Ironic: Support boot from Cinder volume
  * [placement] Flush RC\_CACHE after each gabbit sequence
  * request\_log addition for running under uwsgi
  * Remove check\_detach
  * Make notification publisher\_id consistent
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev536:
  * Add online migration to move quotas to API database
  * Migrate Ironic Flavors
  * Add tags to instance.create Notification
  * Remove an unnecessary argument in \_prep\_resize
  * Updated from global requirements
  * placement: add retry tight loop claim\_resources()
  * Dump versioned notifications when test\_create\_delete\_server
  * Update policy description for 'instance\_actions'
  * Update ironic feature matrix
  * Make Quotas object favor the API database
  * Allow wrapping of closures
  * doc: Populate the 'user' section
  * doc: Populate the 'reference' section
  * doc: Populate the 'contributor' section
  * doc: Populate the 'configuration' section
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev506:
  * Updated from global requirements
  * Implement interface attach/detach in ironic virt driver
  * Deprecate useless quota\_usage\_refresh from nova-manage
  * [placement] cover deleting a custom resource class in use
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev498:
  * Updated from global requirements
  * Remove 'reserved' count from used limits
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev495:
  * retry on authentication failure in api\_client
  * Change default policy to view quota details
  * Updated from global requirements
  * doc: Switch to openstackdocstheme
  * Don't cast cinderclient microversions to float
  * Remove the unittest for plugin framework
  * Use plain routes list for versions instead of stevedore
  * Removed unused 'wrap' property
  * Remove improper LOG.exception() calls in placement
  * placement: proper JOIN order for shared resources
  * Make security\_group\_rules use check\_deltas() for quota
  * Use plain routes list for extension\_info instead of stevedore
  * Use plain routes list for os-snapshots instead of stevedore
  * Use plain routes list for os-volume-attachments instead of stevedore
  * [placement] Add api-ref for traits
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev466:
  * placement: alloc candidates only shared resources
  * Updated from global requirements
  * Only setup iptables for metadata if using nova-net
  * Fix and optimize external\_events for multiple cells
  * add dict of allocation requests to select\_dests()
  * Handle None returned from get\_allocation\_candidates due to connect failure
  * api-ref: Fix an expand button in os-quota-sets
  * Handle uuids in os-hypervisors API
  * Use uuid for id in os-services API
  * Make key\_pairs use check\_deltas() for quota
  * Count instances to check quota
  * Add log info in scheduler to mark start of scheduling
  * Fix indentation in policy doc
  * Use URIOpt
  * Log compute node uuid when the record is created
  * Remove key\_manager.api\_class hack
  * [placement] cover deleting standard trait
  * Remove reverts\_task\_state decorator from swap\_volume
  * remove the very old unmaintained wsgi scripts
  * VStorage: changed default log path
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev426:
  * Updated from global requirements
  * Update URL home-page in documents according to document migration
  * Correct the description of 'disable-log-reason' api-ref
  * Consider instance flavor resource overrides in allocations
  * Do not mention that tags are case sensitive in docs
  * api-ref: fix max\_version for deprecated os-quota-class-sets parameters
  * conf: remove \*\_topic config opts
  * Stop using mox stubs in test\_remote\_consoles.py
  * api-ref: Verify parameters in os-migrations.inc
  * Convert HostState.limits['numa\_topology'] to primitive
  * XenAPI: Fix ValueError in test\_slave\_asks\_master\_to\_add\_slave\_to\_pool
  * Avoid false positives of Jinja2 in Bandit scan
  * Use plain routes list for os-volumes instead of stevedore
  * Use plain routes list for os-baremetal-nodes endpoint instead of stevedore
  * Use plain routes list for os-security-group-default-rules instead of stevedore
  * Use plain routes list for os-security-group-rules instead of stevedore
  * Modify some comments for virt driver
  * Fix incorrect docstrings in neutron network API
  * Removes getfattr from Quobyte Nova driver
  * Remove mox from nova.tests.unit.api.openstack.compute.test\_limits
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev387:
  * Update policy descriptions for base
  * Consistent policies
  * Support tag instances when boot(4/4)
  * [placement] fix 500 error when allocating to bad class
  * api-ref: mention disk size limitations in resize flavor
  * scheduler: isolate \_get\_sorted\_hosts()
  * Set wsgi.keep\_alive=False globally for tests
  * doc: Populate the 'cli' section
  * Use plain routes list for server-security-groups instead of stevedore
  * Use plain routes list for os-security-groups instead of stevedore
  * Use plain routes list for image-metadata instead of stevedore
  * Use plain routes list for images instead of stevedore
  * Remove the test for the route '/resources.:(format)'
  * Use plain routes list for os-networks instead of stevedore
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev359:
  * [placement] Update allocation-candidates.yaml for gabbi 1.35
  * fix test\_volume\_swap\_server instability
  * fix unshelve notification test instability
  * trivial: Remove unnecessary function
  * Fix the releasenote and api-ref for quota-class API
  * Handle Cinder 3.27 style attachments in swap\_volume
  * conf: fix netconf, my\_ip and host are unclear
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev345:
  * placement: add claim\_resources() to report client
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev343:
  * Updated from global requirements
  * Dump tracked version notifications when swap volume tests fail
  * Remove 'create\_rule\_default'
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev338:
  * Default reservations=None in Cells v1 and conductor APIs
  * Updated from global requirements
  * Use oslo.polcy DocumentedRuleDefault
  * Fix typo
  * Stop counting hw\_video:ram\_max\_mb against quota
  * Use plain routes list for os-cells endpoint instead of stevedore
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev326:
  * Add ability to signal and perform online volume size change
  * Add BDM to InstancePayload
  * doc: Enable pep8 on doc generation code
  * Fix wrong log parm
  * Query deleted instance records during \_destroy\_evacuated\_instances
  * improve notification short-circuit
  * Use PCIAddressField in oslo.versionedobjects
  * api-ref: Add X-Openstack-Request-Id description
  * Fix a missing classifier
  * api-ref: Add missing parameters in limits.inc
  * api-ref: Fix parameters in server-security-groups
  * Stop using deprecated 'message' attribute in Exception
  * Trivial: Remove unnecessary format specifier
  * Fix parameters and description for os-volume\_attachments
  * Remove nova.api.extensions.server.extensions usage
  * Remove mox from nova.tests.unit.virt.xenapi.test\_vm\_utils.py
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev294:
  * api-ref: mark instance action events parameter as optional
  * doc: Remove dead plugin
  * doc: Use consistent author, section for man pages
  * doc: Remove cruft from conf.py
* Wed Jul 12 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev289:
  * Fix quota class set APIs
  * placement: scheduler uses allocation candidates
  * Pre-load instance.device\_metadata in InstanceMetadata
  * xenapi: avoid unnecessary BDM query when building device metadata
  * Add release note for xenapi virt device tagging support
  * Fix error message when support matrix entry is missing a driver
  * hyperv: Fixes log message in livemigrationops
* Tue Jul 11 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev276:
  * Support tag instances when boot(3/4)
  * Updated from global requirements
  * [placement] Improve allocation\_candidates coverage
  * Fix comment for API binary name in WSGIService
  * Fix arguments in calling \_delete\_nic\_metadata
  * Add 'networks' quota in quota sample files
  * Add api-ref for os-quota-class-set APIs
  * placement: filter usage records by resource provider id
  * Delete all inventory has its own method DELETE
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev260:
  * Reset the traits sync flag in the placement fixtures
  * add missing notification samples to dev ref
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev256:
  * trivial: Use valid UUIDs in test\_admin\_password
  * Fix 'project-id' 'user-id' as required in server group
  * Don't delete neutron port when attach failed
  * libvirt: update the logic to configure volume with scsi controller
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev249:
  * placement: support GET /allocation\_candidates
  * libvirt: update logic to configure device for scsi controller
  * placement: adds ProviderTree for nested resources
  * pci: add uuid field to PciDevice object
* Mon Jul  3 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b3.dev241:
  * Updated from global requirements
  * Remove wsdl\_location configuration option
  * hyperv: Fixes Generation 2 VMs volume boot order
  * Ensure the JSON-Schema covers the legacy v2 API
  * API support for tagged device attachment
  * Delete disk metadata when detaching volume
  * Add scatter gather utilities for cells
  * Sanitize instance in InstanceMetadata to avoid un-pickleable context
  * Extract custom resource classes from flavors
  * Handle version for PUT and POST in PlacementFixture
  * Add a reset for traits DB sync
  * Strengthen the warning on the old broken WSGI script
  * Add key\_name field to InstancePayload
  * Add keypairs field to InstanceCreatePayload
  * api-ref: Fix missing parameters in API Versions
  * placement: refactor driver select\_destinations()
  * Updated from global requirements
  * Add python 3.5 in classifier
  * Delete nic metadata when detaching interface
  * Add get\_count\_by\_vm\_state() to InstanceList object
  * move resources\_from\_request\_spec() to utils
  * return 400 Bad Request when empty string resources
  * Add missing microversion documentation
  * Remove mox in test\_availability\_zone.py
  * Stop using mox stubs in test\_keypairs.py
  * Plumbing for tagged nic attachment
  * Remove code that produces warning in modern Python
  * Plumbing for tagged volume attachment
  * Fix misuse of assertIsNone
  * Simplify a condition
  * Support paging over compute nodes with a uuid marker
  * Update api-ref to indicate swap param
  * \_schedule\_instances() supporting a RequestSpec object
  * Removes potentially bad exit value from accepted list in Quobyte volume driver
  * Switch Nova Quobyte volume driver to mount via systemd-run
  * Clean up volumes on boot failure
  * Explain why API services are filtered out of GET /os-services
  * Fix redundant BDM lookups during rebuild
  * hypervisor\_hostname must match get\_available\_nodes
  * Fix using targeted cell context when finding services in cells
  * [doc] Updated sqlalchemy URL in migrate readme
  * placement: separate normalize\_resources\_qs\_param
  * Updated from global requirements
  * Use more specific asserts in tests
  * Transform instance.soft\_delete notifications
  * Fix the note at the end of allocate\_for\_instance
  * Count floating ips to check quota
  * Add FloatingIPList.get\_count\_by\_project()
  * Count fixed ips to check quota
  * Add FixedIPList.get\_count\_by\_project()
  * Count security groups to check quota
  * Add SecurityGroupList.get\_counts()
  * Count networks to check quota
  * Provide a hint when \_verify\_response fails
  * Provide error message in MismatchError for api-samples tests
  * Reduce code duplication
  * Use plain routes list for os-remote-consoles instead of stevedore
  * Consolidate index and detail methods in HypervisorsController
  * placement: Add GET /usages to placement API
  * placement project\_id, user\_id in PUT /allocations
  * api-ref: fix hypervisor\_hostname description for Ironic
  * remove null\_safe\_int from module scope
  * Only auto-disable new nova-compute services
  * Cleanup the plethora of libvirt live migration options
  * [placement] Update placement devref to modern features
  * XenAPI: device tagging
  * XenAPI: Create linux bridge in dest host during live migration
  * Remove translation of log messages
  * Transform instance.live\_migration\_rollback notification
  * libvirt: Extract method \_guest\_add\_spice\_channel
  * libvirt: Extract method \_guest\_add\_memory\_balloon
  * libvirt: Extract method \_guest\_add\_watchdog\_action
  * libvirt: Extract method \_guest\_add\_pci\_devices
  * libvirt: Extract method \_guest\_add\_video\_device
  * Avoid unnecessary lazy-loads in mutated\_migration\_context
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev101:
  * placement: produce set of allocation candidates
  * Remove multiple create from stevedore
  * Use plain routes list for os-tenant-networks instead of stevedore
  * Use plain routes list for os-cloudpipe endpoint instead of stevedore
  * Use plain routes list for os-quota-classes endpoint instead of stevedore
  * Handle uuid in HostAPI.compute\_node\_get
  * api-ref: fix unshelve asynchronous postconditions typo
  * Add separate instance.create payload type
  * Fix a wrong comment
  * api-ref: cleanup PUT /os-hypervisors/statistics docs
  * [placement] Increase test coverage
  * Amend api-ref for multiple networks request
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev77:
  * Fix regression preventing reporting negative resources for overcommit
  * Transform keypair.create notification
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev73:
  * Updated from global requirements
  * Add PowerVM to nova support matrix
  * Stop caching compute nodes in the request
  * Centralize compute\_node\_search\_by\_hypervisor in os-hypervisors
  * Make all timestamps formats equal
  * Use CONF.host for powervm nodename
  * [placement] Use util.extract\_json in allocations handler
  * conf: remove console\_driver opt
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev59:
  * Make compute\_node\_statistics() work across cells
  * api-ref: fix misleading description in PUT /os-services/disable
  * Remove service control from feature support matrix
  * Indicate Hyper-v supports fibre channel in support matrix
  * Use plain routes list for os-server-groups endpoint instead of stevedore
  * Use plain routes list for user\_data instead of stevedore
  * remove get\_nw\_info\_for\_instance from compute.utils
  * Count server group members to check quota
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev43:
  * Updated from global requirements
  * remove ugly local import
  * Add missing query filter params for GET /os-services API
  * Add bool\_from\_string for force-down action
  * Remove old service version check for mitaka
  * libvirt: dump debug info when interface detach times out
  * Fix the race condition with novnc
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev31:
  * Use plain routes list for block\_device\_mapping instead of stevedore
  * Use plain routes list for os-consoles, os-console-auth-tokens endpoint instead of stevedore
  * Remove unused variable
  * Remove translation of log messages
  * libvirt: fix alternative\_device\_name for detaching interfaces
  * [placement] Add api-ref for aggregates
  * libvirt: handle missing rbd\_secret\_uuid from old connection info
  * raise exception if create Virtuozzo container with swap disk
  * Convert additional disassociate tests to mock
  * XenAPI: Remove bittorrent.py which is already deprecated
  * nfs fix for xenial images
  * xen: pass Xen console in cmdline
  * Add service\_token for nova-glance interaction
  * Adopts keystoneauth with glance client
  * libvirt: log vm and task state when vif plugging times out
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev12:
  * Calculate stopped instance's disk sizes for disk\_available\_least
  * Fix lookup of instance mapping in metadata set-password
  * Log a warning if there is only one cell when listing instances
  * Prefer non-PCI host nodes for non-PCI instances
  * Add earliest-version tags for stable branch renos
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b3.dev6:
  * Add InstanceGroup.\_remove\_members\_in\_db
  16.0.0.0b2
  * Add docstring for test\_limit\_check\_project\_and\_user\_zero\_values
  * Skip microversion discovery check for update/delete volume attachments
  * Use 3.27 microversion when creating new style volume attachments
  * Use microversions for new style volume attachments
  * Remove useless API tests
  * Remove \*\*kwargs passing in payload \_\_init\_\_
  * Add PCIWeigher
  * Count server groups to check quota
  * Default to 0 when merging values in limit check
  * api-ref: fix type for hypervisor\_marker
  * Fix html\_last\_updated\_fmt for Python3
  * Move rebuild notification tests into separate method
  * Fix device metadata service version check for multiple cells
  * Add get\_minimum\_version\_all\_cells() helper for service
  * code comments incorrectness
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev741:
  * Remove unused CONF import from placement/auth.py
  * placement: use separate tables for projects/users
  * contrail: add vrouter VIF plugin type support
  * Fix cell0 naming when QS params on the connection
  * libvirt: Check if domain is persistent before detaching devices
  * Remove cells topic configuration option
  * libvirt: rearange how scsi controller is defined
  * libvirt: set full description of the controller used by disk
  * libvirt: update LibvirtConfigGuestDeviceAddress to provide XML
  * Use plain routes list for os-services endpoint instead of stevedore
  * use plain routes list for os-virtual-interfaces
  * use plain routes list for hypervisor endpoint instead of stevedore
  * Use plain routes list for hosts endpoint instead of stevedore
  * Use plain routes list for os-fping endpoint
  * Use plain routes list for instance actions endpoint
  * Use plain routes list for server ips endpoint
  * XenAPI: use os-xenapi 0.2.0 in nova
  * Add InstanceGroupList.get\_counts()
  * Revert "Remove Babel from requirements.txt"
  * Send out notifications when instance tags changed
  * Move notifications/objects/test\_base.py
  * Fix live migration devstack hook for multicell environment
  * Fix default\_availability\_zone docs
  * Send request\_id on neutron calls
  * Completely remove mox from unit/network/test\_linux\_net.py
  * Get BDMs when we need to in \_handle\_cell\_delete
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev693:
  * Reset the \_TRAITS\_SYNCED global in Traits tests
  * Catch neutronclient.NotFound on floating deletion
  * Fixed some nits for microversion 2.48
  * Remove Babel from requirements.txt
  * Sync os-traits to Traits database table
  * Support tag instances when boot(2/4)
  * ComputeDriver.get\_info not limited to inst name
  * Replace messaging.get\_transport with get\_rpc\_transport
  * Send request\_id on glance calls
  * [placement] Add api-ref for resource classes
  * Refactor a test method including 7 test cases
  * Use VIR\_DOMAIN\_BLOCK\_REBASE\_COPY\_DEV when rebasing
  * Update server create networks API reference description for tags
  * Pass a list of instance UUIDs to scheduler
  * Remove usage of parameter enforce\_type
  * Target cell on local delete
  * Remove oslo.config deprecated parameter enforce\_type
  * [placement] adjust resource provider links by microversion
  * Remove mox from nova/tests/unit/virt/xenapi/test\_xenapi.py[1]
  * XenAPI: Deprecate nicira-iface-id for XenServer VIF
  * Check instance existing before check in mapping
  * Remove mox from unit/cells/test\_cells\_messaging.py
  * Modify incorrect comment on return\_reservation\_id
  * Remove incorrect comments in multiple\_create
  * make route and controller in alpha sequence
  * Remove mox from cells/test\_cells\_rpc\_driver.py
  * Remove DeviceIsBusy exception
  * Stop using mox int unit/virt/xenapi/image/test\_utils.py
  * Remove legacy v2.0 code from test\_flavor\_access
  * libvirt: Use config types to parse XML for root disk
  * Remove mox from nova/tests/unit/consoleauth/test\_consoleauth.py
  * Remove mox from nova.tests.unit.objects.test\_instance.py
  * Ensure image conversion flushes output data to disk
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev630:
  * Be more tolerant of keystone catalog configuration
  * Updated from global requirements
  * Standardization of VM diagnostics info API
  * Remove unused exceptions
  * Fix missing marker functions
  * Completed implementation of instance diagnostics for Xen
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev620:
  * Updated from global requirements
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev619:
  * show flavor info in server details
  * placement: Specific error for inventory in use
  * Add database migration and model for consumers
  * add new test fixture flavor with extra\_specs
  * Updated from global requirements
  * Connecting Nova to DRBD storage nodes directly
  * libvirt: fix call args to destroy() during live migration rollback
  * Fix call to driver\_detach in remove\_volume\_connection
  * Use plain routes list for server diagnostics endpoint
  * Use plain routes list for os-server-external-events endpoint
  * Use plain routes list for server-migrations endpoint instead of stevedore
  * Use plain routes list for server-tags instead of stevedore
  * Use plain routes list for os-interface endpoint instead of stevedore
  * [placement] Add api-ref for DELETE resource provider
  * [placement] Add api-ref for PUT resource provider
  * [placement] Add api-ref for GET resource provider
  * [placement] Add api-ref for POST resource provider
  * [placement] Add api-ref for DELETE RP inventory
  * [placement] Add api-ref for PUT RP inventory
  * [placement] Add api-ref for GET RP inventory
  * [placement] Add api-ref for DELETE RP inventories
  * [placement] Add api-ref for PUT RP inventories
  * Handle new hosts for updating instance info in scheduler
  * Don't lazy-load flavor.projects during destroy()
  * Add test ensure all the microversions are sequential in placement API
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev570:
  * placement: test for agg association not sharing
  * placement: test non-shared out of inventory
  * placement: tests for non-shared with shared
  * placement: shared resources when finding providers
  * Updated from global requirements
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev561:
  * Updated from global requirements
  * Update policy description for os-volumes
  * Fix doc job with correct ref link
  * Add configuration options for certificate validation
  * Do not rely on dogpile internals for mocks
  * XenAPI: nova-compute cannot restart after manually delete VM
  * Add policy description for os-networks
  * Changing deleting stale allocations warning to debug
  * Replace diagnostics objects with Nova diagnostics objects
  * Added nova objects for intance diagnostics
  * Ensure the value of filter parameter is unicode
  * PowerVM Driver: SSP emphemeral disk support
  * Avoid lazy-load error when getting instance AZ
  * Handle conflict from neutron when addFloatingIP fails
  * Use plain routes list for limits endpoint instead of stevedore
  * libvirt: expand checks for SubclassSignatureTestCase
  * Remove mox from nova/tests/unit/api/openstack/compute/test\_virtual\_interfaces.py
  * libvirt: wait for interface detach from the guest
* Wed May 31 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev528:
  * Add \`img\_hide\_hypervisor\_id\` image property
  * Add check\_deltas() and limit\_check\_project\_and\_user() to Quotas
  * Fix MarkerNotFound when paging and marker was found in cell0
  * Add recreate functional test for regression bug 1689692
  * cinder: add attachment\_update method
  * cinder: add attachment\_create method
  * Remove unused migrate\_data kwarg from virt driver destroy() method
  * libvirt: mark some Image backend methods as abstract
* Tue May 30 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev513:
  * Deprecate TypeAffinityFilter
  * Correct \_ensure\_console\_log\_for\_instance implementation
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev509:
  * Catch InstanceNotFound when deleting allocations
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev507:
  * service: use restart\_method='mutate' for all services
* Mon May 29 2017 cloud-devel@suse.de
- Update to version nova-16.0.0.0b2.dev505:
  * Ensure sample policy help text correctly wrapped
* Mon May 29 2017 tbechtold@suse.com
- Update to version nova-16.0.0.0b2.dev503:
  * [placement] Add api-ref for GET RP inventories
  * Optimize creating security\_group
  * Limit the min length of string for integer JSON-Schema
  * Avoid lazy-loading instance.id when cross\_az\_attach=False
  * Use plain routes list for os-migrations endpoint instead of stevedore
  * Updated from global requirements
  * Migrate to oslo request\_id middleware - mv 2.46
  * Don't run ssh validation in cells v1 job
  * Use targeted context when burying instances in cell0
  * Send request\_id on cinder calls
  * Fix the display of updated\_at time when using memcache driver
  * make sure to rebuild claim on recreate
  * Nix redundant dict in set\_inventory\_for\_provider
  * re-Allow adding computes with no ComputeNodes to aggregates
  * Libvirt volume driver for Veritas HyperScale
  * Make the method to put allocations public
  * Don't delete allocation if instance being scheduled
  * Exclude deleted service records when calling hypervisor statistics
  * Have nova.context use super from\_context
  * [Trivial] Hyper-V: accept Glance vhdx images
  * Add strict option to discover\_hosts
  * [placement] Fix placement-api-ref check tool
  * Updated from global requirements
  * Handle uuid in HostAPI.\_find\_service
  * doc: add cells v2 FAQ on mapping instances
  * doc: add cells v2 FAQ on refreshing global cells cache
  * doc: start a FAQs section for cells v2
  * De-complicate some of the instance delete path
  * doc: add links to summit videos on cells v2
  * Make target\_cell() yield a new context
  * Move to proper target\_cell calling convention
  * Updated from global requirements
  * Repair links in Nova documentation
  * api-ref: Fix parameter order in os-services.inc
  * fix typo
  * Deprecate unused policy from policy doc
  * trivial: Remove dead code
  * convert unicode to string before we connect to rados
  * Use plain routes list for os-quota-sets endpoint instead of stevedore
  * Use plain routes list for os-certificates endpoint instead of stevedore
  * api-ref: Example verification for servers-actions.inc
  * Updated from global requirements
  * nova-manage: Deprecate 'log' commands
  * nova-manage: Deprecate 'host' commands
  * nova-manage: Deprecate 'project', 'account' commands
  * libvirt: remove glusterfs volume driver
  * libvirt: remove scality volume driver
  * Deprecate scheduler trusted filter
  * XenAPI: remove hardcode dom0 plugin version in unit test
  * Change log level from ERROR to DEBUG for NotImplemented
  * Skip policy rules on attach\_network for none network allocation
  * Skip ceph in grenade live migration job due to restart failures
  * Cache database and message queue connection objects
  * Correct the error message for query parameter validation
  * correctly log port id in neutron api
  * Fix uuid replacement in aggregate notification test
  * Catch exception.OverQuota when create image for volume backed instance
  * Add policy description for os-host
  * Libvirt support for tagged volume attachment
  * Libvirt support for tagged nic attachment
  * Updated from global requirements
  * Add policy description for 'os-hide-server-addresses'
  * Add policy description for os-fixed-ips
  * Add policy description for networks\_associate
  * Add policy description for server\_usage
  * Modify the description of flat\_injected in nova.conf
  * Add policy description for multinic
  * Add policy description for 'limits'
  * Use plain routes list for server-password endpoint instead of stevedore
  * fix InvalidSharedStorage exception message
  * Fix decoding of encryption key passed to dmcrypt
  * Make compute auto-disable itself if builds are failing
  * Make discover\_hosts only query for unmapped ComputeNode records
  * api-ref: Fix examples for add/removeFixedIp action
  * Fix a typo in code comment
  * Updated from global requirements
  * [BugFix] Change the parameter of the exception error message
  * Handle special characters in database connection URL netloc
  * fix typo in parameter type definition
  * Move null\_safe funcs to module level
  * do not log error for missing \_save\_tags
  * Add more description to policies in the keypairs.py
  * Add description to policies in extended\_status and extended\_volumes
  * Address comments when moving volume detach to block\_device.py
  * Updated from global requirements
  * Add a functional test for 'removeFloatingIp' action
  * Correct the wording about filter options
  * libvirt: Fix races with nfs volume mount/umount
  * libvirt: Pass instance to connect\_volume and disconnect\_volume
  * Remove the can\_host column
  * Totally freeze the extension\_info API
  * Trivial fix typo in document
  * Add missing rootwrap filter for cryptsetup
  * Add Cinder v3 detach to shutdown\_instance
  * Make NovaException format errors fatal for tests
  * Fix unit test exception KeyErrors
  * [BugFix] Release the memory quota for video ram when deleting an instance
  * Remove the rebuild extension help methods
  * Verify project id for flavor access calls
  * Add a convenience attribute for reportclient
  * Add uuid to service.update notification payload
  * objects: add ComputeNode.get\_by\_uuid method
  * objects: add Service.get\_by\_uuid method
  * db api: add service\_get\_by\_uuid
  * Add online data migration for populating services.uuid
  * placement: get providers sharing capacity
  * Remove cloudpipe APIs
  * Replace newton to release\_name in upgrade.rst
  * Fix a typo
  * neutron: retrieve physical network name from a multi-provider network
  * Use six.text\_type() when logging Instance object
  * Fix typo in wsgi applications release note
  * Catching OverQuota Exception
  * Add description to policies in extended\_az and extend\_ser\_attrs
  * Add policy description for os-quota-classes
  * Add policy description for instance actions
  * Add policy description for fping
  * Updated from global requirements
  * Add policy description for extensions
  * Use plain routes list for server-metadata endpoint instead of stevedore
  * Transform instance.volume\_detach notification
  * Transform instance.volume\_attach.error notification
  * Transform instance.volume\_attach notification
  * Fix units for description of "flavor\_swap" parameter
  * devref and reno for nova-{api,metadata}-wsgi scripts
  * Add pbr-installed wsgi application for metadata api
  * Update devref with vendordata changes
  * remove unused functions
  * Use systemctl to restart services
  * Remove nova-cert leftovers
  * Add policy description for image size
  * Add policy description for instance-usage-audit-log
  * Add policy description for Servers IPs
  * Add policy description for config\_drive
  * XenAPI: update support matrix to support detach interface
  * Remove unnecessary execute permissions
  * Use plain routes list for os-fixed-ips endpoint instead of stevedore
  * Use plain routes list for os-availability-zone endpoint instead of stevedore
  * Use plain routes list for os-assisted-volume-snapshots endpoint
  * Use plain routes list for os-agents endpoint instead of stevedore
  * Use plain routes list for os-floating-ip-dns endpoint instead of stevedore
  * Add compute\_nodes\_uuid\_idx unique index
  * Use plain routes list for os-floating-ips-bulk endpoint instead of stevedore
  * Use plain routes list for os-floating-ip-pools endpoint instead of stevedore
  * Use plain routes list for os-floating-ips endpoint instead of stevedore
  * api-ref: Fix unnecessary description in servers-admin-action
  * api-ref: Fix parameters in servers-action-console-output
  * api-ref: Use 'note' directive
  * use plain routes list for os-simple-tenant-usage
  * Use plain routes list for os-instance-usage-audit-log  endpoint instead of stevedore
  * Support tag instances when boot(1)
  * Add Cinder v3 detach call to \_terminate\_volume\_connections
  * placement: implement get\_inventory() for libvirt
  * nova-manage: Deprecate 'agent' commands
  * Add reserved\_host\_cpus option
  * Update description to policies in remaining flavor APIs
  * Add description to policies in migrations.py
  * Trivial fix: fix broken links
  * Remove nova-cert
  * Fixed a broken link in API Plugins document
  * Add ability to query for ComputeNodes by their mapped value
  * Add ComputeNode.mapped field
  * Updated from global requirements
  * Add a note to \*\_allocation\_ratio options about Ironic hardcode
  * Do not log live migration success when it actually failed
  * Expose StandardLogging fixture for use
  * Add Cinder v3 detach to local\_cleanup
  * Don't check for file type in \_find\_base\_file
  * Rename \_handle\_base\_image to \_mark\_in\_use
  * Add context comments to \_handle\_base\_image
  * Add mock check and fix uuid's use in test
  * Revert "Prevent delete cell0 in nova-manage command"
  * Improve comment for PCI port binding update
  * Parse algorithm from cipher for ephemeral disk encryption
  * Add description to policies in floating\_ip files
  * Add description to policies in migrate\_server.py
  * Remove all discoverable policy rules
  * PowerVM Driver: console
  * Update doc/source/process.rst
  * 2.45: Remove Location header from createImage and createBackup responses
  * Clean up ClientRouter debt
  * api-ref: move createBackup to server-actions
  * Deprecate Multinic, floatingip action and os-virtual-interface API
  * Register osapi\_compute when nova-api is wsgi
  * disable keepalive for functional tests
  * Use plain routes list for '/os-aggregates' endpoint instead of stevedore
  * Use plain routes list for '/os-keypairs' endpoint instead of stevedore
  * Use plain routes list for flavors-access endpoint instead of stevedore
  * Use plain routes list for flavors-extraspecs endpoint instead of stevedore
  * Use plain routes list for flavor endpoint instead of stevedore[1]
  * Use plain routes list for '/servers' endpoint instead of stevedore
  * encryptors: Switch to os-brick encryptor classes
  * Fix unnecessary code block in a release note
  * Remove redundant code
  * api-ref: Fix a parameter description in servers.inc
  * api-ref: Parameter verification for servers-actions (4/4)
  * api-ref: Parameter verification for servers-actions (3/4)
  * Refactor a test method including 3 test cases
  * Sort CellMappingList.get\_all() for safety
  * Add workaround to disable group policy check upcall
  * Make server groups api aware of multiple cells for membership
  * libvirt: remove redundant and broken iscsi volume test
  * Remove BuildRequest.block\_device\_mapping clone workaround
  * libvirt: Always disconnect\_volume after rebase failures
  * Rework descriptions in os-hypervisors
  * Trivial Fix a typo
  * api-ref: Parameter verification for servers-actions (2/4)
  * Updated from global requirements
  * PowerVM Driver: spawn/destroy #4: full flavor
  * Remove archaic reference to QEMU errors during post live migration
  * Tell people that the nova-cells man page is for cells v1
  * Add release note and update cell install guide for multi-cell limitations
  * PowerVM Driver: spawn/destroy #3: TaskFlow
  * Allow CONTENT\_LENGTH to be present but empty
  * libvirt: Remove is\_job\_complete polling after pivot
  * Adding auto\_disk\_config field to InstancePayload
  * add tags field to instance.update notification
  * Add description to policies in hypervisors.py
  * Explicitly define enum type as string in schema
  * PowerVM Driver: power\_on/off and reboot
  * Using max api version in notification sample test
  * PowerVM Driver: spawn/destroy #2: functional
  * Warn the user about orphaned extra records during keypair migration
  * Deprecate os-hosts API
  * Update resource tracker to PUT custom resource classes
  * [placement] Idempotent PUT /resource\_classes/{name}
  * Update detach to use V3 Cinder API
  * conf: Move 'floating\_ips' opts into 'network'
  * conf: Deprecate 'default\_floating\_pool'
  * conf: Add neutron.default\_floating\_pool
  * libvirt: Add missing tests for utils.find\_disk
  * libvirt: Use config types to parse XML for instance disks
  * Updated from global requirements
  * Mock timeout in test\_\_get\_node\_console\_with\_reset\_wait\_timeout
  * fix overridden error
  * fix typos
  * Add interfaces functional negative tests
  * Remove unused os-pci API
  * Fix mitaka online migration for PCI devices
  * Fix port update exception when unshelving an instance with PCI devices
  * Fix docstring in \_validate\_requested\_port\_ids
  * Fix the evacuate API without json-schema validation in 2.13
  * api-ref: Fix response code and parameters in evacuate
  * Remove json-schema extension variable for resize
  * Update etherpad url
  * Use deepcopy when process filters in db api
  * Add regression test for server filtering by tags bug 1682693
  * remove unused parameter in rpc call
  * Remove usage of parameter enforce\_type
  * Remove test\_init\_nonexist\_schedulerdriver
  * Spelling error "paramenter"
  * api-ref: Parameter verification for servers-actions (1/4)
  * Revert "Make server\_groups determine deleted-ness from InstanceMappingList"
  16.0.0.0b1
  * Fix hypervisors api missing HostMappingNotFound handlers
  * Updated from global requirements
  * Fix HTTP 500 raised for getConsoleLog for stopped instance
  * Remove backend dependency for key types
  * Fix libvirt group selection in live migration test
  * Update network metadata type field for IPv6
  * Add description to policies in servers.py
  * Add description to policies in security\_groups.py
  * api-ref: Nova Update Compute services Link
  * api-ref: Fix parameters in os-hosts.inc
  * Add uuid to Service model
  * Modify PciPassthroughFilter to accept lists
  * Deprecate CONF.api.allow\_instance\_snapshots
  * Read NIC features in libvirt
  * Fix api-ref for create servers response
  * placement: Add Traits API to placement service
  * Remove aggregate uuid generation on load from DB
  * Document and provide useful error message for volume-backed backup
  * PowerVM Driver: spawn/delete #1: no-ops
  * Refactor: Move post method to APIValidationTestCase base class
  * remove log translation tags from nova.cells
  * Remove dead db api code
  * Add description to policies in server\_password.py
  * remove flake8-import-order
  * Expand help text for [libvirt]/disk\_cachemodes
  * Updated from global requirements
  * Add description to policies in remote\_consoles.py
  * api-ref: fix os-extended-volumes:volumes\_attached in servers responses
  * Image meta min\_disk should be int in fake\_request\_spec
  * Optimize the link address
  * Add description to policies in quota\_sets.py
  * Fix joins in instance\_get\_all\_by\_host
  * Fix test\_instance\_get\_all\_by\_host
  * Remove the stevedore extension point for server create
  * Remove the json-schema extension point of server create
  * Remove the extension check for os-networks in servers API
  * Make server\_groups determine deleted-ness from InstanceMappingList
  * Add get\_by\_instance\_uuids() to InstanceMappingList
  * Remove Mitaka-era service version check
  * Teach HostAPI about cells
  * Make scheduler target cells to get compute node instance info
  * Deprecate the Cinder API v2 support
  * Limit exposure of network device types to the guest
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev145:
  * Make CellDatabases fixture work over RPC
  * Use the keystone session loader in the placement reporting
  * Verify project_id when quotas are checked
  * Fix some typo errors
  * api-ref: fix instance action 'message' description
  * Remove references to Python 3.4
  * Add revert resized server functional negative tests
  * docs: sort the Architecture Concepts index
  * tools: Remove 'colorizer'
  * tools: Remove 'with_venv'
  * tools: Remove 'install_venv', 'install_venv_common'
  * tools: Remove 'clean-vlans'
  * tools: Remove 'enable-pre-commit-hook'
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev127:
  * Make server_external_events cells-aware
  * conf/compute: remove invalid TODOs
  * conf: add min parameter to scheduler opts
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev121:
  * Remove service version check for Ocata/Newton placement decisions
  * Fix novncproxy for python3
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev117:
  * Raise correct error instead of class exist in Placement API
  * Tests: improve assertJsonEqual diagnostic message
* Sun Feb 19 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev114:
  * Skip soft-deleted records in 330_enforce_mitaka_online_migrations
  * Fix improper prompt when update RC with existed one's name
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev111:
  * Deprecate xenserver.vif_driver config option and change default
  * Fix live migrate with XenServer
  * Enable defaults for cell_v2 update_cell command
  * api-ref: note that boot ignores bdm:device_name
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev103:
  * Updated from global requirements
  * Tolerate jsonschema==2.6.0
  * api-ref: Fix deprecated proxy API parameters
  * Cleanup some issues with CONF.placement.os_interface
  * Fix suggested database migration command
  * Fix incorrect example for querying resource for RP
  * Use ListOfIntegersField in oslo.versionedobjects
  * Enable global hacking checks and removed local checks
  * Update hacking version
  * Fix the spelling mistake in host.py
  * tests: fix vlan test type from int to str
  * allocations.consumer_id is not used in query
  * Add nodename to _claim_test log messages
  * Update reno for stable/ocata
  * Remove unused exceptions from nova.exception
  * Fixed indentation in virt/libvirt/driver.py
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev74:
  * Skip test_stamp_pattern in cells v1 job
  * Fix misuse of assertTrue
  * api-ref: Fix network_label parameter type
  * api-ref: mark id as optional in POST /flavors
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev67:
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (end)
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0rc2.dev66:
  * Add Cells V1 -> Cells V2 step-by-step example
  * Allow placement endpoint interface to be set
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version nova-15.0.0.0rc2.dev63:
  * Remove straggling use of main db flavors in cellsv1 code
  * Use min parameter to restrict live-migration config options
  * Remove unused validation code from block_device
  * Prepare for using standard python tests
  * Placement api: set custom json_error_formatter in allocations
  * [3/3]Replace six.iteritems() with .items()
  * libvirt: set vlan tag for macvtap on SR-IOV VFs
  * Removed unnecessary parantheses and fixed formation
  * Allow None for block_device_mapping_v2.boot_index
  * Edits for Cells V2 step-by-step examples
  * Default live_migration_progress_timeout to off
  * libvirt: Remove redundant bdm serial mangling and saving during swap_volume
  * Consider startup scenario in _get_compute_nodes_in_db
  * Add an update_cell command to nova-manage
  * api-ref: document the 'tenant_id' query parameter
  * TrivialFix: replace list comprehension with 'for'
  * Reserve migration placeholders for Ocata backports
  * Update the upgrades part of devref
  * vomiting
  * Clarify the deployment of placement for cellsv1 users
  * conf: remove deprecated image url options
  * Add step-by-step examples for Cells V2 setup
  15.0.0.0rc1
  * Add placement request id to log when GET or POST rps
  * Add placement request id to log when GET aggregates
  * Add more debug logging on RP inventory delete failures
  * Add more debug logging on RP inventory update failures
  * Delete a compute node's resource provider when node is deleted
  * Mark compute/placement REST API max microversions for Ocata
  * Add release note for filter/sort whitelist
  * Clarify the language in the apache wsgi sample
  * Stop swap allocations being wrong due to MB vs GB
  * Clarify the [cells] config option help
  * Add offset & limit docs & tests
  * Report reserved_host_disk_mb in GB not KB
  * Fix access_ip_v4/6 filters params for servers filter
  * Fix typo in cells v2 ocata reno
  * doc: add upgrade notes to the placement devref
  * Simplify uses of assert_has_calls
  * Fix typo in help for discover_hosts_in_cells_interval
  * Handle NotImplementedError in _process_instance_vif_deleted_event
  * Fix the terminated_at field in the server query params schema
  * Add release note for nova-status upgrade check CLI
  * Add prelude section for Ocata
  * Collected release notes for Ocata CellsV2
  * reno for notification-transformation-ocata
  * Allow scheduler to run cell host discovery periodically
  * doc: update the man page entry for nova-manage db sync
  * doc: refer to the cell_v2 man pages from the cells v2 doc
  * doc: add some detail to the map_cell0 man page
  * Remove pre-cellsv2 short circuit in instance get
  * Continue processing build requests even if one is gone already
  * Ensure build request exists before creating instance
  * placement-api: fix ResourceProviderList query
  * tests: Remove duplicate NumaHostInfo
  * tests: Combine multiple NUMA-generation functions
  * tests: Don't reinvent __init__
  * nova-status: relax the resource providers check
  * Read instances from API cell for cells v1
  * Fix map_cell_and_hosts help
  * Fresh resource provider in RT must have generation 0
  * libvirt: Limit destroying disks during cleanup to spawn
  * Ignore IOError when creating 'console.log'
  * Fix unspecified bahavior on GET /servers/detail?tenant_id=X as admin
  * nova-manage docs: cell_v2 delete_cell
  * nova-manage docs: cell_v2 list_cells
  * nova-manage docs: cell_v2 discover_hosts
  * nova-manage docs: cell_v2 create_cell
  * nova-manage docs: cell_v2 verify_instance
  * nova-manage docs: cell_v2 map_cell_and_hosts
  * Fix tag attribute disappearing in 2.33 and 2.37
  * Scheduler calling the Placement API
  * Block starting compute unless placement conf is provided
  * Added instance.reboot.error to the legacy notifications
  * Avoid redundant call to update_resource_stats from RT
  * api-ref: Fix path parameters in os-hypervisors.inc
  * libvirt: fix vCPU usage reporing for LXC/QEMU guests
  * Adding vlans field to Device tagging metadata
  * libvirt: expose virtual interfaces with vlans to metadata
  * objects: vlan field to NetworkInterfaceMetadata object
  * Move instance creation to conductor
  * Updated from global requirements
  * Fix server group functional test by using all filters
  * Hyper-V PCI Passthrough
  * Change exponential function to linear
  * Cache boot time roles for vendordata
  * Optionally make dynamic vendordata failures fatal
  * Use a service account to make vendordata requests
  * libvirt: ephemeral disk support for virtuozzo containers
  15.0.0.0b3
  * ironic: Add trigger crash dump support to ironic driver
  * Only warn about hostmappings during ocata upgrade
  * nova-manage docs: cell_v2 map_instances
  * nova-manage docs: cell_v2 map_cell0
  * nova-manage docs: cell_v2 simple_cell_setup
  * Add new configuration option live_migration_scheme
  * Fix race condition in instance.update sample test
  * libvirt: Use the mirror element to detect job completion
  * libvirt: Mock is_job_complete in test_driver
  * adding debug info for pinning calculation
  * PCI: Check pci_requests object is empty before passing to support_requests
  * Ironic: Add soft power off support to Ironic driver
  * Add sort_key white list for server list/detail
  * Trivial-fix: replace "json" with "yaml" in policy README
  * Release PCI devices on drop_move_claim()
  * objects: add new field cpuset_reserved in NUMACell
  * Make api_samples tests use simple cell environment
  * Assign mac address to vf netdevice when using macvtap port
  * conf: Deprecate 'console_driver'
  * libvirt: avoid generating script with empty path
  * placement: minor refactor _allocate_for_instance()
  * placement: report client handle InventoryInUse
  * Multicell support for instance listing
  * scheduler: Don't modify RequestSpec.numa_topology
  * Fix and add some notes to the cells v2 first time setup doc
  * Add deleting log when config drive was imported to rbd
  * Updated from global requirements
  * Amend the PlacementFixture
  * Prevent compute crash on discovery failure
  * Ironic: Add soft reboot support to ironic driver
  * os-vif: convert libvirt driver to use os-vif for fast path vhostuser
  * Updated from global requirements
  * Add a PlacementFixture
  * libvirt: make coherent logs when reboot success
  * Add ComputeNodeList.get_all_by_uuids method
  * Fix typo in 216_havana.py
  * placement: create aggregate map in report client
  * Support Ironic interface attach/detach in nova virt
  * Generate necessary network metadata for ironic port groups
  * Ensure we mark baremetal links as phy links
  * os-vif-util: set vif_name for vhostuser ovs os-vif port
  * Move migration_downtime_steps to libvirt/migration
  * libvirt: fix nova can't delete the instance with nvram
  * Remove mox in libvirt destory tests
  * VMWare: Move constant power state strings to the constant.py
  * hyperv: make sure to plug OVS VIFs after resize/migrate
  * Strict pattern match query parameters
  * Raise InvalidInput exception
  * Fix Nova to allow using cinder v3 endpoint
  * [py35] Fixes to get more tempest tests working
  * api-ref: Fix a parameter in os-availability-zone.inc
  * Integrate OSProfiler and Nova
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (5)
  * Enable virt.vmwareapi test cases on Python
  * Enable virt.test_virt_drivers.AbstractDriverTestCase on Python 3
  * Port compute.test_user_data.ServersControllerCreateTest to Python 3
  * XenAPI: Fix vif plug problem during VM rescue/unrescue
  * Handle oslo.serialization type error and binascii error
  * Remove invalid URL in gabbi tests
  * nova-manage cell_v2 map_cell0 exit 0
  * Add query parameters white list for server list/detail
  * nova-manage docs: add cells commands prep
  * Add --verbose option to discover_hosts command
  * Add more details when test_create_delete_server_with_instance_update fails
  * Updated from global requirements
  * Add some cellsv2 setup docs
  * Fix the generated cell0 default database name
  * rt: use a single ResourceTracker object instance
  * Add nova-manage cell_v2 delete_cell command
  * Add InstanceMappingList.get_by_cell_id
  * Create HostMappingList object
  * Add nova-manage cell_v2 list_cells command
  * Add nova-manage cell_v2 create_cell command
  * libvirt: workaround findmnt behaviour change
  * api-ref: Fix parameters whose values are 'null'
  * Fix broken link of Doc
  * api-ref: Fix parameters and response in os-quota-sets.inc
  * Remove nova-manage image from man pages
  * Updated from global requirements
  * Fixes to get all functional tests working on py35
  * [placement] Add a bit about extraction plans to placement_dev
  * [placement] Add an "Adding a Handler" section to placement_dev
  * [placement] placement_dev info for testing and gabbi
  * [placement] placement_dev info for microversion handling
  * Updated from global requirements
  * placement: validate member_of values are uuids
  * Make metadata server know about cell mappings
  * Remove redundant arg check in nova-manage cell_v2 verify_instance
  * Expose a REST API for a specific list of RPs
  * copy pasta error
  * Set sysinfo_serial="none" in LibvirtDriverTestCase
  * [py35] Fixes to get rally scenarios working
  * Fix missing RP generation update
  * Add service_token for nova-neutron interaction
  * rt: explicitly pass compute node to _update()
  * Make unit tests work with os-vif 1.4.0
  * Updated from global requirements
  * libvirt: make live migration possible with Virtuozzo
  * Small improvements to placement.rst
  * Better black list for py35 tests
  * Fix class type error in attach_interface() function
  * Hyper-V: Adds vNUMA implementation
  * Don't bypass cellsv1 replication if cellsv2 maps are in place
  * Adds Hyper-V OVS ViF driver
  * Improve flavor sample in notification sample tests
  * Add service_token for nova-cinder interaction
  * XenAPI Remove useless files when use os-xenapi lib
  * releasenotes: Add missing releasenote for encryption provider constants
  * Stop using mox stubs in test_attach_interfaces.py
  * Remove mox in nova/tests/unit/compute/test_shelve.py (end)
  * Document testing process for zero downtime upgrade
  * Remove mox in nova/tests/unit/compute/test_shelve.py (2)
  * Add debug possibility for nova-manage command
  * conf: Deprecate yet more nova-net options
  * conf: Resolve formatting issues with 'quota'
  * [2/3]Replace six.iteritems() with .items()
  * tests: Replace use of CONF with monkey patching
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (4)
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (3)
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (2)
  * Remove mox from unit/compute/test_compute_api.py (1)
  * Added missing decorator for instance.create.error
  * Remove mox from api/openstack/compute/test_extended_hypervisors.py
  * Remove mox from unit/api/openstack/compute/test_cloudpipe.py
  * Add 'disabled' to WatchdogAction field
  * Enable TestOSAPIFixture.test_responds_to_version on Python 3
  * Handle unicode when dealing with duplicate aggregate errors during migration
  * Handle unicode when dealing with duplicate flavors during online migrations
  * conf: Remove 'virt' file
  * Removes unnecessary utf-8 encoding
  * conf: move few console opts to xenserver group
  * Pre-load info_cache when handling external events and handle NotFound
  * Make simple_cell_setup fully idempotent
  * Raise DeviceNotFound detaching volume from persistent domain
  * remove NetworkDuplicated exception
  * Fix root_device_name for Xen
  * Stop using mox stubs in test_shelve.py
  * Stop using mox from compute/test_used_limits.py
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(3)
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(2)
  * Remove mox from tests/unit/conductor/tasks/test_live_migrate.py(1)
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev330:
  * docs - Connect to placement service & retries
  * xenapi: support the hotplug of a neutron port
  * Update notification for flavor
  * Make allocate_for_instance take consistent args
  * XenAPI Use os-xenapi lib for nova
  * Make placement client keep trying to connect
  * Remove mox from api/openstack/compute/test_floating_ip_dns.py
  * Remove mox in unit/api/openstack/test_wsgi.py
  * Notifications for flavor operations
  * Port xenapi test_vm_utils to Python 3
  * Trivial indentation fix
  * Add missing CLI commands in support-matrix.ini
  * Fix a typo in documents
  * [placement] fix typo in call to create auth middleware
  * move gate hooks to gate/
  * Stop using mox in compute/test_server_actions.py
  * Create schema generation for NetworkModel
  * Move FlavorPayload to a seperate file
  * Remove unused init_only kwarg from wsgi app init
  * Remove unnecessary attrs from TenantNetworksDeprecationTest
  * Add create image functional negative tests
  * Enble network.test_neutronv2.TestNeutronv2 on Python 3
  * libvirt: remove hack for dom.vcpus() returning None
  * cors: update default configuration in config
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev54:
  * Add soft delete wrinkle to api-ref
  * Add document update for get console usage
  * conf: Deprecate more nova-net options
  * Add metadata functional negative tests
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev47:
  * Mark sibling CPUs as 'used' for cpu_thread_policy = 'isolated'
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev46:
  * Add unit test for extract_snapshot with compression enabled
  * Updated from global requirements
  * Fix error if free_disk_gb is None in CellStateManager
  * nova-manage: squash oslo_policy debug logging
  * Fix nova-manage cell_v2 discover_hosts RequestContext
  * Failing test (mac osx) - test_cache_ephemeral
  * Catch VolumeEncryptionNotSupported during spawn
  * osapi_max_limit -> max_limit
  * Add more detail to help text for reclaim_instance_interval option
  * Port libvirt.storage.test_rbd to Python 3
  * Remove dead begin/end code from InstanceUsageAuditLogController
  * conf: Detail the 'injected_network_template' opt
  * conf: add warning for vm's max delete attempts
  * config options: improve libvirt utils
  * Catch NUMA related exceptions in create server API method
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev22:
  * Make nova-manage emit a traceback when things blow up
  * XenAPI: Remove ovs_integration_bridge default value
  * Modify mistake of scsi adapter type class
  * Port virt vmwareapi tests to Python 3
  * Remove mox in nova/tests/unit/api/openstack/compute (1)
  * Remove mox from api/openstack/compute/test_networks.py
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b3.dev14:
  * rt: pass nodename to internal methods
  * Updated from global requirements
  * Cleanup Newton Release Notes
  * Add schedule_and_build_instances conductor method
  * Deprecate compute options
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version nova-15.0.0.0b3.dev7:
  * Fix exception message formatting error in test
  15.0.0.0b2
  * [test]Change fake image info to fit instance xml
  * Fix the file permissions of test_compute_mgr.py
  * Add detail to cellsv2-related release notes
  * Revert "Use liberty-eol tag for liberty release notes"
  * Fix some release notes in preparation for the o-2 beta release
  * libvirt: Detach volumes from a domain before detaching any encryptors
  * Use liberty-eol tag for liberty release notes
  * api-ref: Fix description of os-instance-usage-audit-log
  * Stop allowing tags as empty string
  * Simple tenant usage pagination
  * Added missed "raises:" docstrings into numa_get_constraints() method
  * TrivialFix: changed log message
  * api-ref: Fix 'id' (attachment_id) parameters
  * Move tags validation code to json schema
  * Let nova-manage cell_v2 commands use transport_url from CONF
  * Make test_create_delete_server_with_instance_update deterministic
  * restore locking in notification tests
  * Corrects the type of a base64 encoded string
  * Fix instructions for running simple_cell_setup
  * Quiet unicode warnings in functional test_resource_provider
  * Add more description for rx and tx param
  * Enhance PCI passthrough whitelist to support regex
  * Better wording for micorversion 2.36
  * Port test_servers to py3
  * Remove mox in tests/unit/objects/test_compute_node
  * Refactor REGEX filters to eliminate 500 errors
  * Fix crashing during guest config with pci_devices=None
  * Add SecurityGroup.identifier to prefer uuid over name
  * Setup CellsV2 environment in base test
  * Cleanup after any failed libvirt spawn
  * Guestfs handle no passwd or group in image
  * Check that all JSON files don't have \r\n in line
  * Enable test_bdm.BlockDeviceMappingEc2CloudTestCase on Python 3
  * fix for auth during live-migration
  * Don't trace on ImageNotFound in delete_image_on_error
  * Cascade deletes of RP aggregate associations
  * Make resource provider objects not remotable
  * Bump prlimit cpu time for qemu from 2 to 8
  * test: drop unused config option fake_manager
  * conf: Remove config option compute_ manager
  * Extend get_all_by_filters to support resource criteria
  * Port test_virt_drivers to Python 3
  * Don't use 'updated_at' to check service's status
  * libvirt: Fix initialising of LVM ephemeral disks
  * Remove extra ^M for json file
  * Port virt.disk.mount.test_nbd to Python 3
  * Remove unnecessary comment of BDM validation
  * Update ironic driver get_available_nodes docstring
  * api-ref: note that os-virtual-interfaces is nova-network only
  * Fix up non-cells-aware context managers in test_db_api
  * Add SingleCellSimple fixture
  * [proxy-api] microversion 2.39 deprecates image-metadata proxy API
  * Make RPCFixture support multiple connections
  * tests: avoid starting compute service twice in sriov functional test
  * tests: generate correct pci addresses for fake pci devices
  * Fix nova-serialproxy when registering cli options
  * Updated from global requirements
  * Revert "reduce pep8 requirements to just hacking"
  * conf: Improve help text for network options
  * conf: Deprecate all nova-net related opts
  * libvirt: Mock imagebackend template funcs in ImageBackendFixture
  * libvirt: Combine injection info in InjectionInfo
  * Fix misuse of assertTrue
  * Return 400 when name is more than 200 characters
  * Replace the assertEqual(None,A) with assertIsNone(A)
  * Rename few tests as per new config options
  * Handle MarkerNotFound from cell0 database
  * Removed unused ComputeNode create/update_inventory methods
  * Fix a typo in a comment in microversion history
  * Handle ImageNotFound exception during instance backup
  * Add a CellDatabases test fixture
  * Pass context as kwarg instead of positional arg to get_engine
  * Transform instance.snapshot notifications
  * libvirt: virtlogd: use virtlogd for char devices
  * libvirt: create consoles in an understandable/extensible way
  * Add more log when delete orphan node
  * libvirt: Add comments in _hard_reboot
  * Update cors-to-versions-pipeline release note
  * Unity the comparison of hw_qemu_guest_agent
  * Require cellsv2 setup before migrating to Ocata
  * Improving help text for xenapi_vmops_opts
  * convert libvirt driver to use os-vif for vhost-user with ovs
  * Handle ComputeHostNotFound when listing hypervisors
  * Improve the error message for failed RC deletion
  * Fix placement API version history 1.1 title
  * placement: Perform build list of standard classes once
  * placement: REST API for resource classes
  * Add a retry loop to ResourceClass creation
  * conf: Remove deprecated service manager opts
  * support polling free notification testing
  * conf: Standardize formatting of virt
  * Updated from global requirements
  * Remove invalid tests for config option osapi_compute_workers
  * placement: adds ResourceClass.save()
  * Add CORS filter to versions pipeline
  * Create hyperv fake images under proper directory
  * Some improvement to the process doc
  * libvirt: Improve _is_booted_from_volume implementation
  * libvirt: Delete duplicate check when live-migrating
  * Add block_device_mapping_v2.uuid to api-ref
  * Correct the sorting of datetimes for migrations
  * Fix pci_alias that include white spaces
  * Always use python2.7 for docs target
  * objects: Removes base code that already exists in o.vo
  * libvirt: Don't re-resize disks in finish_migration()
  * libvirt: Never copy a swap disk during cold migration
  * libvirt: Rename Backend snapshot and image
  * libvirt: Cleanup test_create_configdrive
  * libvirt: Test disk creation in test_hard_reboot
  * libvirt: Rewrite _test_finish_migration
  * guestfs: Don't report exception if there's read access to kernel
  * Fix for live-migration job
  * Handle maximum limit in schema for int and float type parameters
  * Port compute.test_extended_ip* to Python 3
  * Remove more tests from tests-py3.txt
  * Support detach interface with same MAC from instance
  * placement: adds ResourceClass.destroy()
  * Make test_shelve work with CONF.use_neutron=True by default
  * Restrict test_compute_cells to nova-network
  * Make test_compute_mgr work with CONF.use_neutron=True by default
  * Make test_compute_api work with CONF.use_neutron=True by default
  * Make nova.tests.unit.virt pass with CONF.use_neutron=True by default
  * Make xenapi tests work with CONF.use_neutron=True by default
  * Make libvirt unit tests work with CONF.use_neutron=True by default
  * Make vmware unit tests work with CONF.use_neutron=True
  * Explicitly use nova-network in nova-network network tests
  * Make test_serversV21 tests work with neutron by default
  * neutron: handle no_allocate in create_pci_requests_for_sriov_ports
  * Add a releasenote for bug#1633518
  * libvirt: prefer cinder rbd auth values over nova.conf
  * libvirt: cleanup network volume driver auth config
  * Fix wait for detach code to handle 'disk not found error'
  * [api-ref] Minor text clean-up, formatting
  * Convert live migration uri back to string
  * conf: improve libvirt lvm
  * conf: Trivial fix of indentation in 'api'
  * Never pass boolean deleted to instance_create()
  * Port xenapi test_xenapi to Python 3
  * Port libvirt test_driver to Python 3
  * conf: Deprecate 'torrent_' options
  * hacking: Use uuidutils or uuidsentinel to generate UUID
  * Replace uuid4() with uuidsentinel
  * Replace uuid4() with uuidsentinel
  * Replace uuid4() with uuidsentinel
  * Add os-start/stop functional negative tests
  * Port ironic unit tests to Python 3
  * Port test_keypairs to Python 3
  * Port test_metadata to Python 3
  * Fix expected_attrs kwarg in server_external_events
  * Check deleted flag in Instance.create()
  * Revert "Revert "Make n-net refuse to start unless using CellsV1""
  * Revert "Log a warning when starting nova-net in non-cellsv1 deployments"
  * Default deleted if the instance from BuildRequest is not having it
  * docs: cleanup wording for 'SOFT_DELETED' in api-guide
  * libvirt: Acquire TCP ports for console during live migration
  * conf: Deprecate 'remap_vbd_dev' option
  * conf: Covert StrOpt -> PortOpt
  * Check Config Options Consistency  for xenserver.py
  * Add description for 2.9 microversion
  * Remove AdminRequired usage in flavor
  * Optional name in Update Server description in api-ref
  * List support for force-completing a live migration in Feature support matrix
  * Catch ImageNotAuthorized during boot instance
  * Remove require_admin_context
  * InstanceGroupPolicyNotFound not used anymore
  * UnsupportedBDMVolumeAuthMethod is not used
  * Port virt.xenapi.client.test_session to Python 3
  * vif: allow for creation of multiqueue taps in vrouter
  * conf: Move api options to a group
  * [scheduler][tests]: Fix incorrect aggr mock values
  * objects: Move 'vm_mode' to 'fields.VMMode'
  * objects: Move 'hv_type' to 'fields.HVType'
  * objects: Move 'cpumodel' to 'fields.CPU*'
  * objects: Move 'arch' to 'fields.Architecture'
  * Remove config option snapshot_name_template
  * Remove deprecated compute_available_monitors option
  * Improve help text for interval_opts
  * config options: improve libvirt remotefs
  * Improve consistency in libvirt
  * Move tag schema to parameter_types.py
  * Remove tests from tests-py3.txt
  * hardware: Flatten functions
  * add host to vif.py set_config_* functions
  * linux_net: allow for creation of multiqueue taps
  * Fix notification doc generator
  * Config options: improve libvirt help text (2)
  * Placement api: Add informative message to 404 response
  * Remove sata bus for virtuozzo hypervisor
  * Fix a typo in nova/api/openstack/compute/volumes.py
  * Fix race in test_volume_swap_server_with_error
  * libvirt: Call host connection callbacks asynchronously
  * conf: remove deprecated cert_topic option
  * Return build_requests instead of instances
  * conf: remove deprecated exception option
  * doc: Add guidline about notification payload
  * Port libvirt test_imagecache to Python 3
  * Port test_serversV21 to Python 3
  * encryptors: Introduce encryption provider constants
  * Add TODO for returning a 202 from the volume attach API
  * Refactor two nearly useless secgroup tests
  * Transform instance.finish_resize notifications
  * Remove redundant VersionedObject Fields
  * Transform instance.create.error notification
  * Transform instance.create notification
  * api-ref: add missing os-server-groups parameters
  * libvirt: prepare domain XML update for serial ports
  * [placement] increase gabbi coverage of handlers.resource_provider
  * [placement] increase gabbi coverage of handlers.inventory
  * [placement] increase gabbi coverage of handlers.allocation
  * libvirt: do not return serial address if disabled on destination
  * Add index on instances table across project_id and updated_at
  * libvirt: handle os-brick InvalidConnectorProtocol on init
  * placement: adds ResourceClass.get_by_name()
  * placement: adds ResourceClass.create()
  * Separate CRUD policy for server_groups
  * Stop using mox stubs in nova/tests/unit/virt/disk
  * Remove the description of compute_api_class option
  * Add context param to confirm_migration virt call
  * Use pick_context_manager throughout DB APIs
  * tests: verify cpu pinning with prefer policy
  * api-ref: Body verification for os-simple-tenant-usage.inc
  * remove additional param
  * Fix typo for 'infomation'
  * Implement get and set aggregates in the placement API
  * Add {get_,set_}aggregates to objects.ResourceProvider
  * INFO level logging should be useful in resource tracker
  * hyper-v: wait for neutron vif plug events
  * Use available port binding constants
  * Introduce PowerVMLiveMigrateData
  * api-ref: body verification for abort live migration
  * Remove mox in tests/unit/objects/test_pci_device
  * Avoid unnecessary db_calls in objects.Instance._from_db_object()
  * placement: genericize on resource providers
  * conf: fix formatting in wsgi
  * conf: fix formatting in availability_zone
  * Create schema generation for AddressBase
  * conf: Improve help text for ldap_dns_opts
  * conf: Fix indentation of network
  * Fix config option types
  * libvirt: refactor console device creation methods
  * Fix qemu-img convert image incompatability in alpine linux
  * conf: Remove deprecated 'compute_stats_class' opt
  * hardware: Split '_add_cpu_pinning_constraint'
  * libvirt: Delete the lase_device of find_disk_dev_for_disk_bus
  * Remove manual handling of old context variables
  * conf: Attempt to resolve TODOs in scheduler.py
  * conf: Remove 'scheduler_json_config_location'
  * Add RPC version aliases for Newton
  * Notification object version test depends on SCHEMA
  * Fix SAWarning in TestResourceProvider
  * conf: Removed TODO note and updated desc
  * Using get() method to prevent KeyError
  * tests: verify pci passthrough with numa
  * Mention API V2 should no longer be used
  * Fix the scope of cm in ServersTestV219
  * Add debug to tox environment
  * Remove redundant req setting
  * Remove deprecated nova-all binary
  * Remove _set_up_controller() from attach tests
  * Stop using mox stubs in test_snapshots.py
  * Stop using mox from compute/test_multiple_create.py
  * conf: Move consoleauth options to a group
  * config options: improve libvirt imagebackend
  * Move get_instance() calls from try-except block
  * libvirt/guest.py: Update docstrings of block device methods
  * Improve consistency in serial_console
  * Hyper-V: fix image handling when shared storage is being used
  * Expand feature classification matrix with gate checks
  * Add is_cell0 helper method
  * Remove mox from nova/tests/unit/virt/xenapi/test_driver.py
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version nova-15.0.0.0b2.dev40:
  * Remove unused code in nova/api/openstack/wsgi.py
  * Store security groups in RequestSpec
* Tue Nov 22 2016 tbechtold@suse.com
- Update to version nova-15.0.0.0b2.dev36:
  * Complete verification for os-floating-ips
  * Use byte string or utf8 depending on python version for wsgi
  * Database poison note
  * conf: remove deprecated cells driver option
  * Fix detach_interface() call from external event handler
  * Log a warning when starting nova-net in non-cellsv1 deployments
  * Revert "Make n-net refuse to start unless using CellsV1"
  * HyperV: use os-brick for volume related operations
  * [PY3] byte/string conversions and enable PY3 test
  * Fix mock arg list order in test_driver.py
  * Add handle for 2 exceptions in force_delete
  * Typo error about help    libvirt.py
  * Updated from global requirements
  * Make n-net refuse to start unless using CellsV1
  * Fix data error in api samples doc
  15.0.0.0b1
  * Typo error servers.py
  * Typo error allocations.yaml
  * Refactor console checks in live migration process
  * Add microversion cap information
  * No return for flavor destroy
  * neutron: actually populate list in populate_security_groups
  * Clarify the approval process of specless blueprints
  * Add uuid field to SecurityGroup object
  * api-ref: body verification for force_complete server migration
  * api-ref: body verification for show server migration
  * api-ref: body verification for list server migrations
  * api-ref: example verification for server-migrations
  * api-ref: parameter verification for server-migrations
  * api-ref: method verification for server-migrations
  * [placement] Enforce min_unit, max_unit and step_size
  * Remove ceph install/config functions from l-m hook
  * Ceph bits for live-migration job
  * api-ref: fix server_id in metadata docs
  * Add the initial documentation for the placement API
  * API Ref: update server_id params
  * Transform requested secgroup names to uuids
  * libvirt: Cleanup spawn tests
  * Rename security_group parameter in compute.API:create
  * Change database poison warning to an exception
  * Fix database poison warnings, part 25
  * Updated from global requirements
  * Correct wrong max_unit in placement inventory
  * Add flavor extra_spec info link to api_ref
  * Fix database poison warnings in resource providers
  * Placement api: 404 response do not indicate what was not found
  * Instance obj_clone leaves metadata as changed
  * Add a no-op wait method to NetworkInfo
  * Move driver_dict_from_config to libvirt driver
  * libvirt: Fix incorrect libvirt library patching in tests
  * libvirt: read rotated "console.log" files
  * libvirt: change get_console_output as prep work for bp/libvirt-virtlogd
  * Updated from global requirements
  * api-ref: Fix a 'port' parameter in os-consoles.inc
  * Update nova api.auth tests to work with newer oslo.context
  * Remove ironic instance resize from support matrix doc
  * [placement] add a placement_aggregates table to api_db
  * libvirt: remove py26 compat code in "get_console_output"
  * Change RPC post_live_migration_at_destination from cast to call
  * libvirt: add migration flag VIR_MIGRATE_PERSIST_DEST
  * Revert MTU hacks for bug 1623876
  * Pass MTU into os-vif Network object
  * Updated from global requirements
  * api-ref: fix addFloatingIp action docs
  * Fix a TypeError in notification_sample_base.py
  * Add functional api_samples test for addFloatingIp action
  * migration.source_compute should be unchanged after finish_revert_resize
  * Add explicit dependency on testscenarios
  * Updated from global requirements
  * api-ref: remove user_id from keypair list response and fix 2.10
  * Don't parse PCI whitelist every time neutron ports are created
  * conf: Remove extraneous whitespace
  * EventReporterStub
  * Catch all local/catch-all addresses for IPv6
  * placement: add ResourceClass and ResourceClassList
  * placement: raise exc when resource class not found
  * fix connection context manager in rc cache
  * pci: remove pci device from claims and allocations when freeing it
  * PCI: Fix PCI with fully qualified address
  * Log warning when user set improper config option value
  * libvirt: fix incorrect host cpus giving to emulator threads when RT
  * Transform instance.shutdown notifications
  * encryptors: Workaround mangled passphrases
  * Fix cold migration with qcow2 ephemeral disks
  * Updated from global requirements
  * config options: Improve help for SPICE
  * api-ref: cleanup bdm.delete_on_termination field
  * api-ref: document the power_state enum values
  * libvirt: Pass Host instead of Driver to volume drivers
  * Remove unreachable code
  * [api-ref] Fix path parameter console_id
  * Replace admin check with policy check in placement API
  * Fix import statement order
  * Fix database poison warnings, part 24
  * libvirt: sync time on resumed from suspend instances
  * Fix database poison warnings, part 23
  * Transform instance.unpause notifications
  * Updated from global requirements
  * Virt: add context to attach and detach interface
  * Imported Translations from Zanata
  * Transform instance.unshelve notifications
  * TrivialFix: Fixed typo in 'MemoryPageSizeInvalid' exception name in docstrings
  * Make build_requests.instance MediumText
  * Use six.wraps
  * Transform instance.resume notifications
  * Transform instance.shelve_offload notifications
  * api-ref: fix image GET response example
  * Fix exception raised in exception wrapper
  * Add missing compat routine for Usage object
  * Updated from global requirements
  * Transform instance.power_off notifications
  * Set 'last_checked' flag if start to check scheduler file
  * Remove bandit.yaml in favor of defaults
  * Pre-add instance actions to avoid merge conflicts
  * Add swap volume notifications (error)
  * libvirt: add supported vif types for virtuozzo virt_type
  * fix testcase test_check_can_live_migrate_dest_fills_listen_addrs
  * doc: Integrate oslo_policy.sphinxpolicygen
  * tests: Adding functional tests to cover VM creation with sriov
  * [placement] Add support for a version_handler decorator
  * pci: in free_device(), compare by device id and not reference
  * doc: Update libvirt-numa guide
  * Remove deprecated nova-manage vm list command
  * Remove block_migration from LM rollback
  * PCI: Avoid looping over PCI devices twice
  * Update docs for serial console support
  * Remove conductor local api:s and 'use_local' config option
  * Cleanup before removal of conductor local apis
  * compute: fixes python 3 related unit tests
  * XenAPI: Fix VM live-migrate with iSCSI SR volume
  * Explicitly name commands target environments
  * _run_pending_deletes does not need info_cache/security_groups
  * Updated from global requirements
  * hardware: Standarized flavor/image meta extraction
  * api-ref: Fix wrong parameters in os-volumes.inc
  * Remove mox from unit/virt/libvirt/test_imagebackend.py (1)
  * Send events to all relevant hosts if migrating
  * Catch error and log warning when not able to update mtimes
  * Clarify what changed with scheduler_host_manager
  * Add related options to floating ip config options
  * Correct bug in microversion headers in placement
  * Ironic Driver: override get_serial_console()
  * Updated from global requirements
  * Drop deprecated support for hw_watchdog_action flavor extra spec
  * Remove watchdog_actions module
  * Removal of tests with different result depending on testing env
  * Document experimental pipeline in Nova CI
  * Update rolling upgrade steps from upgrades documentation
  * Add migrate_uri for invoking the migration
  * Fix bug in "nova/tests/unit/virt/test_virt_drivers.py" for os-vif
  * Changed the name of the standard resource classes
  * placement: change resource class to a StringField
  * Remove nova/openstack/* from .coveragerc
  * Fix issue with not removing rbd rescue disk
  * Require WebOb>=1.6.0
  * conf: Remove deprecated ``use_glance_v1``
  * Adding hugepage and NUMA support check for aarch64
  * hacking: Use assertIs(Not), assert(True|False)
  * Use more specific asserts in tests
  * Add quota related tables to the api database
  * doc: add dev policy about no new metrics monitors
  * Always use python2.7 for functional tests
  * doc: note the future of out of tree support
  * docs: update the Public Contractual API link
  * Add InvalidInput handling for attach-volume
  * placement: add cache for resource classes
  * placement: add new resource_classes table
  * hardware: Rework docstrings
  * doc: Comment on latin1 vs utf8 charsets
  * Improve help text for libvirt options
  * block_device: Make refresh_conn_infos py3 compatible
  * Add swap volume notifications (start, end)
  * Add a hacking rule for string interpolation at logging
  * Don't attempt to escalate nova-manage privileges
  * Improve help text for upgrade_levels options
  * Remove dead link from notification devref
  * Stop using mox stubs in test_evacuate.py
  * Tests: fix a typo
  * ENOENT error on '/dev/log'
  * conf: Group scheduler options
  * Fix exception due to BDM race in get_available_resource()
  * Add error handling for delete-volume API
  * Fix API doc for os-console-auth-tokens
  * Replace uuid4() with uuidsentinel
  * Fix a typo in driver.py
  * Avoid Forcing the Translation of Translatable Variables
  * Fix database poison warnings, part 21
  * Remove the sample policy file
  * conf: Move PCI options to a PCI group
  * Add Apache 2.0 license to source file
  * Fix typo in comment
  * Fix database poison warnings, part 22
  * config options: improve libvirt smbfs
  * Cleanup some redundant USES_DB_SELF usage
  * Fix database poison warnings, part 20
  * Fix database poison warnings, part 19
  * Renamed parameters name in config.py
  * Config options consistency of ephemeral_storage.py
  * Fix pep8 E501 line too long
  * Fix check_config_option_in_central_place
  * Reduce duplication and complexity in format_dom
  * libvirt: fix serial console not correctly defined after live-migration
  * conf: Reorder scheduler opts
  * libvirt: cleanup never used migratable flag checking
  * Remove unused parameters
  * Fill destination check data with VNC/SPICE listen addresses
  * Stop using mox in virt/libvirt/test_imagecache.py
  * Stop using mox in unit/fake_processutils.py
  * ironic: Rename private methods for instance info
  * Updated from global requirements
  * Not allow overcommit ratios to be negative
  * Move some flavor fakes closer to where they are being used
  * Replace flavors.get_all_flavors_sorted_list() with object call
  * Refactor and objectify flavor fakes used in api tests
  * Remove unnecessary debug logs of normal API ops
  * Replace fake_utils by using Fixture
  * docs: update code-review guide for config options
  * Avoid update resource if compute node not updated
  * Fix invalid import order and remove import *
  * Cleanup instance device metadata object code
  * Remove mox from nova/tests/unit/virt/libvirt/test_utils.py
  * Stop using mox in test_firewall
  * Fix exception when vcpu_pin_set is set to ""
  * VMware: add in context for log messages
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev338:
  * Patch mkisofs calls
  * Delete traces of in-progress snapshot on VM being deleted
  * Catch DevicePathInUse in attach_volume
  * Enable release notes translation
  * Fix drop_move_claim() on revert resize
  * tests: avoid creation of instances dir in the working directory
  * libvirt: fix DiskSmallerThanImage when block migrate ephemerals
  * Remove unnecessary credential sanitation for logging
  * Change log level to debug for migrations pairing
  * Remove the duplicated test function
  * Allow running db archiving continuously
  * Add some extra logging around external event handling
  * libvirt: Fix BlockDevice.wait_for_job when qemu reports no job
  * Updated from global requirements
  * Fix calling super function in setUp method
  * refresh instances_path when shared storage used
  * Prevent us from sleeping during DB retry tests
  * Fix error status code on update-volume API
  * conf: Trivial cleanup of console.py
  * conf: Trivial cleanup of compute.py
  * conf: Trivial cleanup of 'cells'
  * conf: Deprecate all topic options
  * Updated from global requirements
  * Disable 'supports_migrate_to_same_host' HyperV driver capability
  * Fix periodic-nova-py{27,35}-with-oslo-master
  * Make db archival return a meaningful result code
  * Fix small RST markup errors
  * [Trivial] changes tiny RST markup error
  * Add get_context helper method
  * Hyper-V: Fixes os_type image property requirement
  * Make releasenotes reminder detect added and untracked notes
  * [placement] reorder middleware to correct logging context
  * Fixes RST markup error to create a code-box
  * Removing duplicates from columns_to_join list
  * [placement] ensure that allow headers are native strings
  * Fix typo on api-ref parameters
  * Remove mox in nova/tests/unit/compute/test_shelve.py (1)
  * Remove scheduled_at attribute from instances table
  * Unwind circular import issue with api / utils
  * Remove context object in oslo.log method
  * Move notification_format and delete rpc.py
  * [placement] Allow both /placement and /placement/ to work
  * numa: Fixes NUMA topology related unit tests
  * Add destroy method to the RequestSpec object
  * Annotate online db migrations with cycle added
  * Mock.side_effects does not exist, use Mock.side_effect instead
  * Improve help text for xenapi_session_opts
  * Remove unused conf
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev246:
  * Updated from global requirements
  * VMware: Enforce minimum vCenter version of 5.5
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev242:
  * Report actual request_spec when MaxRetriesExceeded raised
  * Use gabbi inner_fixtures for better error capture
  * conf: Cleanup of glance.py
  * Updated from global requirements
  * libvirt: support user password settings in virtuozzo
  * Ignore BuildRequest during an instance reschedule
  * Remove stale pyc files when running the cover job
  * Add a post-test-hook to run the archive command
  * Fix a few typos in API reference
  * Let schema validate image metadata type and key lengths
  * Fix database poison warnings, part 18
  * libvirt: pick future min libvirt/qemu versions
  * conf: Improve consistency in scheduler opts
  * Fix database poison warnings, part 17
  * Fix database poison warnings, part 16
  * Stop overwriting thread local context in ClientRouter
  * use proper context in libvirt driver unit test
  * libvirt: fixes python 3 related unit tests
  * test:Remove unused method _test_get_test_network_info
  * Fix database poison warnings, part 15
  * Fix CONTAINER_FORMATS_ALL to have ova insteadk of vmdk
  * VMware: deprecate wsdl_location conf option
  * Improve help text for glance options
  * libvirt: ignore conflict when defining network filters
  * Fix database poison warnings, part 14
  * libvirt: Use the recreated disk.config.rescue during a rescue
  * Remove deprecated flag in neutron.py
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev189:
  * Archive instance-related rows when the parent instance is deleted
  * Updated from global requirements
  * Hyper-V: Adds Hyper-V UEFI Secure Boot
  * Fix typo in docsting in test_migrations.py
  * Add functional regression test for bug 1595962
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev181:
  * Add Hyper-V storage QoS support
  * Add blocker migration to ensure for newton online migrations
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev177:
  * Clean up stdout/stderr leakage in cmd testing
  * Capture stdout in for test_wsgi:test_debug
  * Remove last sentence
  * Determine disk_format for volume-backed snapshot from schema
  * hacking: Always use 'assertIs(Not)None'
  * properly capture logging during db functional tests
  * Add more description when service delete
  * conf: Make list->dict conversion more specific
  * Enable py3 tests for unit.api.openstack.compute.test_console_output
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev161:
  * docs: Clarify sections & note on filter scheduler
  * Fixes python 3 unit tests
  * [placement] 404 responses do not cause exception logs
  * Replace uuid4() with generate_uuid() from oslo_utils
  * Return instance of Guest from method write_instance_config
  * Skip malformed cookies
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev149:
  * Remove unused code
  * Remove redundant str typecasting
  * Remove nova.image.s3 and configs
  * Remove internal_id attribute from instances table
  * Fix stdout leakage during opportunistic db tests
  * conf: Add 'deprecated_reason' to osapi opts
  * [placement] Adjust the name of the gabbi tests
  * Nova shelve creates duplicated images in cells
  * Update instance node on rebuild only when it is recreate
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev133:
  * Updated from global requirements
  * Add placeholder DB migrations for Ocata
  * Remove PCI parent_addr online migration
  * Make nova-manage online migrations more verbose
  * Standardize output capture for nova-manage tests
  * Work around tests that don't use nova.test as a base
  * Don't print to stdout when executing hacking checks
  * Make test logging setup fixture disable future setup
  * Remove support for deprecated driver import
  * Add hacking checks for xrange()
  * Using assertIsNone() instead of assertEqual(None)
  * move os_vif.initialize() to nova-compute start
  * [placement] Manage log and other output in gabbi fixure
  * trivial: Rewrap guide at 79 characters
  * plugins/xenserver: Add '.py' extension
  * Add missing slash to dir path
  * [placement] Stringify class and provider uuid in error
  * [placement] clean up some nits in the requestlog middleware
  * Fix require thread policy for multi-NUMA computes
  * Fix database poison warnings, part 13
  * Fix database poison warnings, part 11
  * Fix database poison warnings, part 10
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev96:
  * Add deprecated_since parameter
  * Fix invalid exception mock for InvalidNUMANodesNumber
  * conf: Reorder scheduler opts
  * conf: Fix opt indentation for scheduler.py
  * Updated from global requirements
  * Revert "Set 'serial' to new volume ID in swap volumes"
  * placement: refactor instance translate function
  * Improve help text for service options
  * Use to_policy_values for policy credentials
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0rc2.dev81:
  * Move wsgi-intercept to test-requirements.txt
  * [api-ref] Correct parameter type
  * Remove default=None for config options
  * Remove unnecessary setUp and tearDown
  * Remove duplicate key from dictionary
  * Updated from global requirements
  * placement: refactor translate from node to dict
  * stub out instances_path in unit tests
  * Add a new release note
  * XenAPI: add unit test for plugin test_pluginlib_nova.py
  * Add link ref to nova api concept doc
  * Add members in InstanceGroup object members field
  * Updates URL and removes trailing characters
  * Stop ovn networking failing on mtu
  * Update reno for stable/newton
  * Don't pass argument sqlite_db in method set_defaults
  14.0.0.0rc1
  * Override MTU for os_vif attachments
  * Fix object assumption in remove_deleted_instances()
  * Set a bigger TIMEOUT_SCALING_FACTOR value for migration tests
  * Update minimum requirement for netaddr
  * [placement] consolidate json handling in util module
  * Fix unnecessary string interpolation
  * Handle TypeError when disabling host service
  * Fix an error in archiving 'migrations' table
  * Clean up allocation when update available resources
  * [placement] Mark HTTP error responses for translation
  * [placement] prevent a KeyError in webob.dec.wsgify
  * Body Verification of api-ref os-volume-attachments.inc
  * Use tempest tox with regex first
  * Doc fix for Nova API Guide, added missing word
  * Use assertEqual() instead of assertDictEqual()
  * Fixed suspend for PCI passthrough
  * libvirt: Rewrite test_rescue and test_rescue_config_drive
  * Guard against failed cache refresh during inventory
  * Switching expression order within if condition
  * Doc fix for Nova API Guide, fixed wording
  * HyperV: ensure config drives are copied as well during resizes
  * Using assertIsNotNone() instead of assertIsNot(None,)
  * Fix SafeConfigParser DeprecationWarning in Python 3.2
  * Remove RateLimitFault class
  * Rate limit is removed , update doc accordingly
  * Fix a typo from ID to Id
  * context: change the name 'rule' to 'action' in context.can
  * Add description for v2.20 changes in api-ref
  * Add keypairs_links into resp
  * Add hypervisor_links into hypervisor v2.33
  * Add reserved param for v2.4
  * Add more description on v2.9 history
  * Pin maximum API version of microversion
  * XenAPI: resolve the fetch_bandwidth failure
  * [api-ref] Update configuration file
  * fix broken link in api-ref
  * Trivial fix remove not used var in parameters
  * Trival fix a typo
  * [placement] Add some tests ensuring unicode resource provider info
  * Remove mox from api/openstack/compute/test_extended_ips.py
  * Add bigswitch command to compute rootwrap filters
  * Allow linear packing of cores
  * [placement] remove a comment that is no longer a todo
  * Fix a typo in the driver.py file
  * Use cls in class method instead of self _delete_domain is a class method, so cls should be used instead of self
  * TrivialFix: Remove cfg import unused
  * Update link in general purpose feature matrix
  * Add warning if metadata_proxy_shared_secret is not configured
  * TrivialFix: removed useless storing of sample directory
  * Fix link reference in Nova API version
  * doc: fix disk=0 use case in flavor doc
  * [vncproxy] log for closing web is misleading
  * VIF: add in missing translation
  * Clean imports in code
  * modify description of "Inject guest networking config"
  * use the HostPortGroupSpec.vswitchName instead of HostPortGroup.vswitch.split
  * Document update_task_state for ComputeDriver.snapshot
  * Fix database poison warnings, part 12
  * Fix database poison warnings, part 9
  * XenAPI: add unit test for plugin bandwidth
  * Complete verification for os-virtual-interfaces
  * Do not try to backport when db has older object version
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev144:
  * libvirt: add ps2mouse in choice for pointer_model
  * Revert "tox: Don't create '.pyc' files"
  * Correct image.inc for heading
  * Complete verification for os-cloudpipe.inc
  * [placement] functional test for report client
  * Add regression test for immediate server name update
  * More conservative allocation updates
  * [placement] Correct serialization of inventory collections
  * Add note about display_name in _populate_instance_names
  * Fix MonitorMetric obj_make_compatible
  * [api-ref] fix availability_zone for server create
  * [placement] cleanup some incorrect comments
  * Fix api-ref doc for server-rebuild
  * Remove deprecated configuration option network_device_mtu
  * [api-ref]: Correcting server_groups_list parameter's type
  * Fix race condition bug during live_snapshot
  * libvirt: add hugepages support for Power
  * Fixed indentation
  * [api-ref]: Update link reference
  * Doc: Update PCI configuration options
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev107:
  * Fix typo of stevedore
  * Correct sort_key and sort_dir parameter for flavor
  * Correct address, version parameter in ips.inc
  * More conservative inventory updates
  * Fix server group name on api-ref
  * Update BuildRequest if instance currently being scheduled
  * Use recursive obj_reset_changes in BuildRequest
  * Revert "libvirt: move graphic/serial consoles check to pre_live_migration"
  * Config options: Improve help text for console options
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev90:
  * Fix reno for removal of nova-manage service command
  * Extended description for sync_power_state_pool_size option
  * [placement] make PUT inventory consistent with GET
  * Set 'serial' to new volume ID in swap volumes
  * Fix policy tests for project_id enforcement
  * neutron: don't trace on port not found when unbinding ports
  * Add sync_power_state_pool_size option
  * Throw exception if numa_nodes is not set to integer greater than 0
  * libvirt: inject files when config drive is not requested
  * VMware: Refactor the image transfer
  * cleanup: separate the creation of a local root to it's own method
  * Example & Parameter verification of os-security-group-default-rules.inc
  * [placement] Fix misleading comment in wsgi loader
  * fixing block_device_mapping_v2 data_type
  * Remove deprecated cinder options
  * Return 400 error for non-existing snapshot_id
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev60:
  * Compute: ensure that InvalidDiskFormat is handled correctly
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev58:
  * Additional logging for placement API
  * Fix resizing in imagebackend.cache()
  * Updated from global requirements
  * Increase BDM column in build_requests table
  * Pass GENERATE_HASHES to the tox test environment
  * [placement] add two ways to GET allocations
  * Handle ObjectActionError during cells instance delete
  * standardize release note page ordering
  * virt: handle unicode when logging LifecycleEvents
  * Ensure ResourceProvider/Inventory created before add Allocations record
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev38:
  * Remove misleading warning message
  * Add deprecated_reason for use_usb_tablet option
  * db: retry on deadlocks while adding an instance
  * Libvirt: Correct PERF_EVENTS_CPU_FLAG_MAPPING
  * Implement setup_networks_on_host for Neutron networks
  * libvirt: improve logging for shared storage check
  * Refresh info_cache after deleting floating IP
  * Annotate db models that have moved to the nova_api db
  * incorrect description in nova-api.log about quota check
  * Removed enum duplication from nova.compute
  14.0.0.0b3
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Move cell message queue switching and add caching
  * ironic_host_manager: fix population of instances info on start
  * ironic_host_manager: fix population of instances info on schedule
  * Add a TODO and add info to a releasenote
  * Emit warning when use 'user_id' in policy rule
  * devspec: remove unused dev_count in devspec
  * Change api-site to v2.1 format
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 4)
  * Fix inappropriate notification send
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev872:
  * Add tests for safe_connect decorator
  * Cleanup allocation todo items
  * [placement] Allow inventory to violate allocations
  * correctly join the usage to inventory for capacity accounting
  * Ignore generated merged policy files
  * Remove the incomplete wsgi script placement-api.py
  * Adding functional tests for 2.3 microversion
  * Fix spelling mistake in libvirt
  * Body Verification of os-aggregates.inc
  * Move placement api request logging to middleware
  * Updated from global requirements
  14.0.0.0b3
  * Remove deprecated cinder options
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Move cell message queue switching and add caching
  * Return 400 error for non-existing snapshot_id
  * Emit warning when use 'user_id' in policy rule
  * conf: Move cloudpipe options to a group
  * conf: Address nits in I92a03cb
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
  * Fix corrupt "host_aggregates_map" in host_manager
  * Fix spelling mistake
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b4.dev6:
  * Updated from global requirements
* Mon Sep  5 2016 tbechtold@suse.com
- Update to version nova-14.0.0.0b4.dev4:
  14.0.0.0b3
  * Remove deprecated cinder options
  * Simple instance allocations from resource tracker
  * Add support for allocations in placement API
  * Add create_all and delete_all for AllocationList
  * Pull from cell0 and build_requests for instance list
  * Remove hacked test that fails with latest os-brick
  * Report compute node inventories through placement
  * Delete BuildRequest regardless of service_version
  * Fix service version lookups
  * Remove BuildRequest when scheduling fails
  * Run cell0 db migrations during nova-manage simple_cell_setup
  * Move cell message queue switching and add caching
  * Add basic logging to placement api
  * Update placement config reno
  * Register keystone opts for placement sample config
  * Remove deprecated neutron options
  * Eliminate additional DB queries in nova lists
  * rt: ensure resource provider records exist from RT
  * Return 400 error for non-existing snapshot_id
  * create placement API wsgi entry point
  * Fix qemu version check
  * Make api-ref bug link point to nova
  * Emit warning when use 'user_id' in policy rule
  * Adds nova-policy-check cmd
  * Improve consistency in WSGI opts
  * Remove left over conf placeholders
  * Refresh README and its docs links
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev829:
  * Add support for vd2 user context to other drivers
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev827:
  * Documentation for the vendordata reboot
  * Add more vd2 unit tests
  * Api-ref: Improve os-migrateLive input parameters
  * New discover command to add new hosts to a cell
  * Use StableObjectJsonFixture from o.vo
  * test_keypairs_list_for_different_users for v2.10
  * Fix using filter() to meet python2,3
  * Reduce code complexity - api.py
  * Changed exception catching order
  * Tests: use fakes.HTTPRequest in compute tests
  * Hyper-V: properly handle shared storage during migrations
  * TrivialFix: Remove logging import unused
  * List system dependencies for running common tests
  * Provide more duplicate VLAN network error info
  * driver.pre_live_migration migrate_data is always an object
  * Add networks to quota's update json-schema when network quota enabled
  * Add release note to warn about os-brick lock dir
  * config options: improve help netconf
  * Add log for instance without host field set
  * Replace use of eval with ast.literal_eval
* Tue Aug 30 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev789:
  * Clean up instance mappings, build requests on quota failure
  * Updated from global requirements
  * In InventoryList.find() raise NotFound if invalid resource class
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev784:
  * Abort on HostNotCompatibleWithFixedIpsClient
  * Allow empty CPU info of hypervisors in API response
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev780:
  * Add BuildRequestList object
  * Dump json for nova.network.model.Model objects
  * Replace mox with mock in test_validate_bdm
  * Replace mox with mock in test_cinder
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev772:
  * Revert "Optional separate database for placement API"
  * [api-guide]: Update reference links
  * Correct microversions URL in api_plugins.rst
  * Remove locals() for formatting strings
  * rt: isolate report and query sched client tests
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev762:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Add oslopolicy script runs to the docs tox target
  * Add entry_point for oslo policy scripts
  * Remove conversion from dict to object from xenapi live_migration
  * Hyper-V: properly handle UNC instance paths
  * Get ready for os-api-ref sphinx theme change
  * Create Instance from BuildRequest if not in a cell
  * Manage db sync command for cell0
  * Remove TODO for service version caching
  * rt: remove ComputeNode.create_inventory
  * Don't maintain user_id and project_id in context
  * Add support for usages in the placement API
  * Support Identity v3 when connecting to Ironic
  * Verify os-aggregates.inc on sample files
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev732:
  * Added todo for deletion LiveMigrateData.detect_implementation usage
  * Updated common create server sample request because of microversion 2.37
  * Hyper-V: update live migrate data object
  * Added min_version field to 'host_status' in 'api-ref'
  * Add a Usage and UsageList object
  * Adding details in general purpose feature matrix [1]
  * libvirt: Improve mocking of imagebackend disks
  * Update binding:profile for SR-IOV ports on resize-revert
  * ironic: Cleanup instance information when spawn fails
  * Add comment about how status field changed
  * pci: Deprecate is_new from pci requests
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev711:
  * removed db_exc.DBDuplicateEntry in bw_usage_update
  * Add online migration to move instance groups to API database
  * rt: rename test_tracker -> test_resource_tracker
  * rt: remove old test_resource_tracker.py
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev703:
  * Config options consistency of notifications.py
  * Updated from global requirements
  * Config options consistency for consoleauth.py
  * Improve placement API 404 and 405 response tests
  * Updated flags for XVP config options
  * virt/image: between two words without a space in output message
  * Config Options: Improve help text for Ipv6 options
  * TrivialFix: Fixed a typo in nova/test.py
  * Remove deprecated manager option in cells.py
* Mon Aug 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev685:
  * Remove deprecated security_group_api config option
  * Config options: improve libvirt help text (1)
  * Improve help text for compute manager options
  * Improve help text for XenServer Options
  * Improve help text for xenapi_vm_utils_opts
  * Removed flag "check_opt_group_and_type" from pci.py
  * Removed flag "check_opt_group_and_type"
  * Config options: Consistency check for remote_debug options
  * Check options consistency in hyperv.py
  * Improve help text for floating ips options
  * Improve consistency in virt opts
  * Consistency changes for osapi config options
  * Config options consistency for cell.py
* Sun Aug 21 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev659:
  * Make InstanceGroup object favor the API database
  * Add support for inventories to placement API
  * Return HTTP 400 on list for invalid status
  * placement: add filtering by attrs to resource_providers
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev651:
  * Check capacity and allocations when changing Inventory
  * Copy edit feature classification
  * don't report network limits after 2.35
  * rt: Create multiple resize claim unit test
  * Fix consistency in API conf
  * Improve help text for xenapi_opts
  * Fix opt description for s3.py
  * Improve help text for compute_opts
  * Move JSON linting to pep8
  * HyperV: remove instance snapshot lock
  * Config options consistency of rdp.py
  * Improve consistency in workarounds opts
  * Config options consistency of pci.py
  * Improve help text for cloudpipe
  * Add details to general purpose feature matrix
  * Refactor instance action notification sample test
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev619:
  * Improve error message for empty cached_nwinfo
  * Fix 'No data to report' error
  * Refuse to run simple_cell_setup on CellsV1
  * In placement API send microversion header when error
  * Remove code duplication in enums
  * Return None in get_instance_id_by_floating_address
  * plugins/xenserver: Resolve PEP8 issues
  * Fix migration list + MigrationList operation
  * rt: Refactor unit test for trackable migrations
  * Fix consistency in crypto conf
  * Properly quote IPv6 address in RsyncDriver
  * Adding details in general purpose feature matrix
  * Expand initial feature classification lists
  * Add prototype feature classification matrix
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev591:
  * [libvirt] Remove live_migration_flag & block_migration_flag
  * Add support for resource_providers urls
  * Remove nova/api/validator.py
  * Updated from global requirements
  * Make simple_cell_setup work when multiple nodes are present
  * Add REST API support for get me a network
  * Fix neutron security group tests for 5.1.0 neutronclient
  * Check opt consistency for neutron.py
  * Add placement API web utility methods
  * Add the ability to configure glanceclient debug logging
  * Assert reservation_id in notification sample test
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev570:
  * Change default value of live_migration_tunnelled to False
  * Allow Nova Quotas to be Disabled
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 3)
  * config options: Improve help for conductor
* Sun Aug 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev562:
  * os-vif: do not set Route.interface if None
  * Make simple_cell_setup idempotent
  * Add cell_v2 verify_instance command
  * Allow authorization by user_id for server evacuate
  * Allow authorization by user_id for server update
  * Allow authorization by user_id for server delete
  * Allow authorization by user_id for server changePassword action
  * Maintain backwards compat for listen opts
  * List instances for secgroup without joining on rules
  * Improve help text for vmwareapi_opts
  * Fix incorrect cellid numbering for NUMA memnode
  * VMware: Enable disk.EnableUUID=True in vmx
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev539:
  * Verified deprecation status for vnc options
  * Add tests for user_id policy enforcement on trigger_crash_dump
  * Allow authorization by user_id for server shelve action
  * Allow authorization by user_id for force_delete server
  * Allow authorization by user_id for server resize action
  * Allow authorization by user_id for server pause action
  * Add tests for user_id policy enforcement on stop
  * network: fix handling of linux-bridge in os-vif conversion
  * Allow authorization by user_id for server rescue action
  * Allow authorization by user_id for server rebuild
  * Allow authorization by user_id for server suspend action
  * Allow authorization by user_id for server lock action
  * Optional separate database for placement API
  * config options: improve help text of database (related) options (2/2)
  * config options: improve help text of database (related) options (1/2)
  * Remove hacking check [N347] for config options
  * Skipping test_volume_backed_live_migration for live_migration job
  * rt: New unit test for rebuild_claim()
  * Fix handling of status in placement API json_error_formatter
  * Ironic: report node.resource_class
  * Refactors nova.cmd utils
* Fri Aug 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev498:
  * Updated from global requirements
  * vnc host options need to support hostnames
  * libvirt: convert over to use os-vif for Linux Bridge & OVS
  * libvirt: Rename import of nova.virt.disk.api in driver
  * Fix server operations' policies to admin only
  * api-ref: Example verification for os-simple-tenant-usage.inc
  * Remove unused exception: ImageNotFoundEC2
  * Improve consistency in VNC opts
  * Add separate create/delete policies to attach_interface
  * Use constraints for all tox environments
  * rt: Move monitor unit tests into test_tracker
  * rt: Move unit tests for update usage for instance
  * rt: Move unit tests for update mig usage
  * rt: Remove useless unit test in resource tracker
  * rt: Remove dup tests in test_resource_tracker
  * rt: Remove incorrect unit test of resize revert
  * rt: Refactor test_dupe_filter unit test
  * rt: Remove duplicate unit test for missing mig ctx
  * rt: Refactor resize claim abort unit test
  * rt: Refactor resize_claim unit test
  * Check opt consistency for api.py
  * Allow irrelevant,self-defined specs in ComputeCapacityFilter
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 2)
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev454:
  * virt/hardware: Check for threads when "required"
  * Set enforce_type=True in method flags
  * Use constraints for releasenotes
  * Add some logging and a comment for shelve/unshelve operations
  * Correct InventoryList model references
  * Ironic: allow multiple compute services
  * network: introduce helper APIs for dealing with os-vif objects
  * Config options consistency of exceptions.py
  * Cleanup: validate option at config read level
* Wed Aug 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev437:
  * Run shelve/shelve_offload_instance in a semaphore
  * instance.name should be blank if instance.id is not set
  * Cells: Handle delete with BuildRequest
  * Add NoopConductorFixture
  * Make notification objects use flavor capacity attributes
  * Fix busted release notes
  * Config options: base path configuration
  * PCI: Fix network calls order on finish_revert_resize()
  * Remove deprecated legacy_api config options
  * Update tags for Image file url from filesystems config option
  * config options: Improve help for base
  * Improve consistency in API
  * cleanup: some update xml cases in test_migration
  * Use stashed volume connector in _local_cleanup_bdm_volumes
  * api-ref: Parameter verification for os-simple-tenant-usage.inc
  * update wording around pep8 exceptions
  * Remove backward compatibility with pre-grizzly releases
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * Updated from global requirements
  * Strict ImageRef validation to UUID only
  * Deprecate cert option
  * Merged barbican and key_manager conf files into one
  * config option: rename libvirt iscsi_use_multipath
  * Allocate PCI devices on migration
  * Updated from global requirements
  * Improve help text of image_file_url
  * Ironic: enable multitenant networking
  * libvirt: Remove some unnecessary mocking in test_driver
  * libvirt: Pass object to _create_images_and_backing in test
  * libvirt: Reset can_fallocate in test setUp()
  * libvirt: Create console.log consistently
  * Fixed invalid UUIDs in unit tests
  * Refactor deallocate_fixed tests to use one mock approach instead of three
  * Updated header flag in SSL opts
  * Updated from global requirements
  * Don't cache RPC pin when service_version is 0
  * Imported Translations from Zanata
  * Remove white space between print and ()
  * Flavor: correct confusing error message about flavorRef
  * Fixed typos in nova: compute, console and conf dir
  * Add objects.ServiceList.get_all_computes_by_hv_type
  * Add InstanceList.get_uuids_by_host() call
  * Conf options: updated flags for novnc
  * Address feedback on cell-aggregate-api-db patches
  * Updated from global requirements
  * Add data migration methods for Aggregate
  * Config options: Consistency check for quota options
  * Add server name verification in instance search
  * Fix typo in DeviceDetachFailed exception message
  * Straddle python-neutronclient 5.0 for testing
  * Initialise oslo.privsep early in main
  * Cells: Simple setup/migration command
  * Aggregate create and destroy work against API db
  * Make Aggregate.save work with the API db
  * Improve help text for vmware
  * Help text for the mks options
  * Trivial option fixes
  * rbd_utils: wrap blocking calls in tpool.Proxy()
  * Resolve PCI devices on the host during Guest boot-up
  * Fix misspellings
  * Mention proxy API deprecation microversion in api-ref
  * xenserver: fix an output format error in cleanup_smp_locks
  * Improve consistency in crypto
  * Improve consistency in flavors
  * Improve the help text for the guestfs options
  * Reminder that release notes are built from commits
  * Use oslo_config new type PortOpt for port options
  * Remove unused imports in api/openstack/fakes.py
  * Remove leftover list_opts entry points
  * Remove nova.cache_utils oslo.config.opts entrypoint
  * Remove nova.network namespace from nova-config-generator.conf
  * Remove neutronv2.api oslo.config.opt entry point
  * Follow up on Update binding:profile for SR-IOV ports
  * Improve consistency in servicegroup opts
  * Update tags for Cache config option
  * Remove unused validation code for quota_sets
  * Default image.size to 0 when extracting v1 image attributes
  * Refuse to have negative console ttls
  * Add a small debug line to show selection location
  * Add the 'min' param to IntOpts where applicable
  * Enable deferred IP on Neutron ports
  * remove config option iqn_prefix
  * Enhance notification doc generation with samples
  * Validate pci_passthrough_whitelist when starting n-cpu
  * Rename compute manager _check_dev_name to _add_missing_dev_names
  * Remove unused context argument to _default_block_device_names()
  * Improve help text for cinder config options
  * Typo fix: remove multiple whitespace
  * Use ovo in test_obj_make_compatible()
  * Added better error messages during (un)pinning CPUs
  * rt: remove unused image_meta parameter
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev263:
  * Fixed typos in nova, nova/api, nova/cells directory
  * Trivial: add 'DEPRECATED' for os-certificates API ref
  * Deprecate barbican options
  * Add initial framing of placement API
  * Add missing ComputeHostNotFound exception in live-migration
  * Free new pci_devices on revert-resize
  * Updated from global requirements
  * Add docs about microversion testing in Tempest
  * Remove the useless version calculation for proxy api deprecated version
  * numa: remove the redundant check for hw_cpu/hw_mem list
  * Add support for oslo.context 2.6.0
  * libvirt: Fix invalid test data
  * libvirt: Fix fake _disk_info data in LibvirtDriverTestCase
  * Option Consistency for availability_zone.py
  * Fix wrong override value of config option vswitch_name
  * Fix wrong override value of config option proxyclient_address
  * Config options consistency for configdrive.py
  * Make Aggregate metadata functions work with API db
  * Deprecate os-certificates
  * Update RequestSpec nested flavor when a resize comes in
  * network: handle forbidden exception from neutron
  * Fixed typos in api-ref and releasenotes directory
  * libvirt: fix missed test in migration
  * Enable python34 tests for nova.tests.unit.pci.test_manager and test_stats
  * Fixes compute API unit tests for python3
  * Fix spelling mistake
  * VMware: remove dead code in test_get_vm_create_spec()
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev215:
  * Revert "Don't assert exact to_dict output"
  * cleanup_live_migration_destination_check spacing
  * compute: Skip driver detach calls for non local instances
  * Update tox.ini: Constraints are possible for api* jobs
  * Check option descriptions and indentations for configdriver.py
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev205:
  * Don't set empty kernel_id and ramdisk_id to glance image
  * Call release_dhcp via RPC to ensure correct host
  * Adjust MySQL access with eventlet
  * Improve consistency in cert
  * Updated from global requirements
  * rt: don't log pci_devices twice when updating resources
  * Remove deprecated ironic.api_version config option
  * Improve the help text for compute timeout_opts
  * Deprecate the nova-manage commands that rely on nova-network
  * Improve consistency in xenserver
  * Remove unused config option 'fake_call'
  * Use deprecated_reason for network quota options
  * "nova list-extensions" not showing summary for all
  * Improve help text for XenServer pool opts
  * New style vendordata support
  * Enables Py34 tests for unit.api.openstack.compute.test_server_actions
  * Complete verification of os-instance-actions.inc
  * Check opt group and type for nova.conf.service.py
  * :Add missing %%s in print message
  * Fix opt description and indentation for flavors.py
  * Separate api-ref for list security groups by server
  * Fix opt descripton for cells.py
  * Fix typo in AdminPasswordController
  * Fix the broken links
  * API: catch InstanceNotReady exception
  * Correct reraising of exception
  * Improve help text for service group options
  * Add tests to attach/detach vols for shelved server
  * Remove 400 as expected error
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev153:
  * Fix typos in deprecates-proxy-apis release note
  * Add metadata server fixture
  * Improve help text for quota options
  * Improve help text for consoleauth config options
  * Bump Microversion to 2.36 for Proxy API deprecation
  * api: use 'if else' instead of 'try exception' to get password value
  * Add better help to rdp options
  * Filter network related limits from limits API
  * Filter network related quotas out of quotas API
  * Deprecate Baremetal and fping API
  * Deprecate volumes related APIs
  * Deprecate SecurityGroup related proxy API
  * Deprecated floating ip related proxy APIs
  * Fix links to network APIs from api-ref
  * Deprecate network quota configuration
  * api-ref: unify the no response output in delete operation
  * Return 400 when SecurityGroupCannotBeApplied is raised
  * Config Option consistency for crypto.py
  * Don't check cinder volume states during attach
  * Clean up test_check_attach_availability_zone_differs
  * Remove redundant flag value check
  * Improve help context of ironic options
  * Remove unneeded bounds-checking code
  * Improve the help text for the linuxnet options (4)
  * Don't assert exact to_dict output
  * config options: help text for enable_guestfs_debug_opts
  * Improve help text of s3 options
  * Remove deprecated config option volume_api_class
  * libvirt: Fix signature and behaviour of fake get_disk_backing_file
  * libvirt: Pass path to Image base class
  * Remove max_size argument to images.fetch and fetch_to_raw
  * Deprecate FixedIP related proxy APIs
  * Deprecated networks related proxy APIs
  * Make Aggregate host operations work against API db
  * libvirt: open RBD in read-only mode for read-only operations
  * Remove unnecessary code added for ec2 deprecation
  * Depracate Images Proxy APIs
  * Correct the network config option help text
  * config options: improve help for noVNC
  * libvirt: Modify the interface address object assignment
  * Use from_environ when creating a context
  * Fix opt description and check deprecate status for hyperv.py
  * Remove redundant DEPRECATED tag from help messages
  * network: handle unauthorized exception from neutron
  * tox: Use conditional targets
  * tox: Don't create '.pyc' files
  * Fix opt description for scheduler.py
  * Revert "Remove manual creation of console.log"
  * config options: improve help for notifications
  * Improve nova.rpc conf options documentation
  * virt/hardware: Add diagnostic logs for scheduling
  * raise exception ComputeHostNotFound if host is not found
  * Skip instance name templating in API cell
  * Warn when using null cache backend
  * Cleaned up request and response formats page
  * Add test for nova-compute and nova-network main database blocks
  * Remove mox from tests/unit/objects/test_migration.py
  * Don't use locals() and globals(), use a dict instead
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev55:
  * libvirt: update guest time after suspend
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev53:
  * Replace deprecated LOG.warn with LOG.warning
  * Improve the help text for the network options (4)
  * Add async param to local conductor live_migrate_instance
  * Update binding:profile for SR-IOV ports
  * Port nova test_serversV21.Base64ValidationTest to Python 3
  * Config option update tasks for availability_zone
  * [libvirt] Live migration fails when config_drive_format=iso9660
  * Modify docstring of numa_get_reserved_huge_pages method
  * Use constraints for coverage job
  * Remove compute host from all host aggregates when compute service is deleted
  * Fix host mapping saving
  * Example and body verification of os-quota-sets.inc
  * Pass kwargs through to base context
  * Make notifications module use flavor capacity attributes
  * Make ironic driver use flavor fields instead of legacy ones
  * Make xenapi driver use flavor fields instead of legacy ones
  * Make libvirt driver use flavor fields instead of legacy ones
  * Make hyperv driver use flavor fields instead of legacy ones
  * Make vmware driver use flavor fields instead of legacy ones
  * Bump service version for BuildRequest deletion
  * Stop instance build if BuildRequest deleted
  * Add block_device_mappings to BuildRequest
  * Fix up legacy resource fields in simple-tenant-usage
  * Use flavor attributes instead of deprecated instance resources
  * Improve the help text for the network options (3)
  * Improve the help text for the network options (2)
  * Remove duplicate policy test
  * api-ref: os-volumes.inc
  * api-ref: merge multiple create to servers.inc
  * Port test_hacking to Python 3
  * Complete verification for os-floating-ips-bulk
  * Complete verification for api-ref os-flavor-extra-specs
  * Py3: fix serial console output
  * Config: no need to set default=None
  * Fix outdated parameter network_info description in virt/driver
  * Use oslo_log instead of logging
  * Don't raise error when filtering on custom metadata
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev4:
  * Remove deprecated network_api_class option
  * Improve help text of flavors config options
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b3.dev1:
  * neutron: destroy VIFs if allocating ports fails
  14.0.0.0b2
  * neutron: delete VIFs when deallocating networking
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev923:
  * hyper-v: device tagging
  * Add release notes for notification transformation
  * Fix PUT server tag 201 to return empty content
  * Clean up helper methods in ResourceProvider
  * Transform instance.restore notifications
  * Add VirtualInterface.destroy()
  * Fix typo in _update_usage_from_migrations
  * Fix wrong JSON format in API samples
  * Replace unicode with six.text_type
  * Remove unused itype parameter from get migration context
  * XenAPI: UT: Always mock logging configuration
  * trivial: comment about vif object address field
  * Example verification for os-fixed-ips.inc
  * Add namespace oslo.db.concurrency in nova-config-generator.conf
  * Remove virt.block_device._NoLegacy exception
  * rename libvirt has_default_ephemeral
  * Remove comment on v3 API
  * BaseCoreFilter docstring and formating improved
  * Fix stale file handle error in resource tracker
  * fixed log warning in sqlalchemy/api.py
  * Rework 'limited' and 'get_limit_and_marker'
  * VMware: Refactor the formatting instance metadata
  * Remove sizelimit.py in favor of oslo_middleware.sizelimit
  * VMware: Remove VMwareHTTPReadFile
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev883:
  * Microversion 2.35 adds keypairs pagination support
  * 'limit' and 'marker' support for db_api and keypair_obj
  * Improve help text for exceptions
  * Improve help text for compute running_deleted_opts
  * rest api version bumped for async pre live migration checks
  * Add user_id request parameter in os-keypairs list
  * Revert "Detach volume after deleting instance with no host"
  * Don't overwrite MarkerNotFound error message
  * Verify "needs:check_deprecation_status" for serial_console.py
  * Delete reduplicate code in test_compute_mgr.py
  * Remove mox from unit/compute/test_compute.py (end)
  * Remove mox from unit/compute/test_compute.py (11)
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev859:
  * Improve help text for allocation_ratio_opts
  * Release note for vzstorage volume driver
  * Transform instance.resize notifications
  * migration volume failed for invalid type
  * Deprecate nova-manage vm list command
  * Transform instance.pause notifications
  * Added support for new block device format in vmops
  * api-ref: Parameter verification for servers-actions.inc Part 1
  * Parameter verification of os-instance-actions.inc
  * Mapping power_state from integer to string
  * _security_group_get_by_names cleanup
  * Remove mox from unit/compute/test_compute.py (4)
  * Remove mox from unit/compute/test_compute.py (10)
  * Remove mox from unit/compute/test_compute.py (9)
  * Remove mox from unit/compute/test_compute.py (8)
  * Remove mox from unit/compute/test_compute.py (7)
  * Remove mox from unit/compute/test_compute.py (6)
  * Remove mox from unit/compute/test_compute.py (5)
  * Remove mox from unit/compute/test_compute.py (3)
  * Remove mox from unit/compute/test_compute.py (2)
* Mon Jul 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev819:
  * Add nova-manage quota_usage_refresh command
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev817:
  * Implement ResourceProvider.destroy()
  * Add Allocation and AllocationList objects
  * Deprecate the quota_driver config option
  * Improve help text for resource tracker options
  * Remove invalid test methods for config option port_range
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev807:
  * Replace DOS line ending with UNIX
  * api-ref: fix wrong description about response example in os-hypervisor
  * api-ref: body verification of os-agents
  * Remove live-migration from nova-manage man page
  * Body verification of os-interface.inc
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Fix invalid import order
  * Remove invalid test for config option scheduler_host_manager
  * Remove mox from unit/compute/test_compute.py (1)
  * Prevent instance disk overcommit against itself
  * test: pass enable_pass as kwarg in test_evacuate
  * test: remove invalid test method in libvirt/test_imagebackend
  * cinder: accommodate v1 cinder client in detach call
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev776:
  * Transform instance.shelve notifications
  * api-ref: unify the delete response infomation
  * Quota changes for the nova-manage quota_usage_refresh command
  * Clean up service version history comments
  * Detach volume after deleting instance with no host
  * Use instance object instead of db record
  * Prevent boot if ephemeral disk size > flavor value
  * Change instance_claim parameter from instance_ref to instance
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev761:
  * Remove DictCompat from SecurityGroup
  * xvp: change the default xvp conf path to CONF.xvp group
  * libvirt:code flow problem in wait_for_job
  * Add a ResourceProviderList object
  * Refactor block_device_mapping handling during boot
  * Remove spaces around keyword argument
  * Transform instance.suspend notifications
  * Hacking check for _ENFORCER.enforce()
  * Remove final use of _ENFORCER.enforce
  * Hacking check for policy registration
  * Fix some typos
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev739:
  * Update mutable-config reno with LM timeout params
  * Improve the help text for configdrive options
  * Extract _update_ports_for_instance
  * Extract port create from allocate_for_instance
  * Transform instance.power_on notifications
  * Add a py35 environment to tox
  * api-ref: add note about os-certificates API
  * Fix api_validation for Python 3
  * api-ref: verify assisted-volume-snapshots.inc
  * Fix comment for version 1.15 ComputeNodeList
  * Microversion 2.33 adds pagination support for hypervisors
  * VMware: create vif with resource limitations
  * policy: clean-up
  * Make VIF.address unique with port id for neutron
  * Device tagging metadata API support
  * trivial: remove unnecessary mock from servers API test
  * Return HTTP 200 on list for invalid status
  * Transform instance.update notification
  * Pre-add instance actions to avoid merge conflicts
  * Transform instance.delete notifications
  * XenAPI:  Add UT for independent compute option
  * Log DB exception if VIF creation fails
  * Reduce complexity in _stub_allocate_for_instance
  * Reorder allocate_for_instance preamble
  * Make _validate_requested_network_ids return a dict
  * Extract _validate_requested_network_ids
  * Create _validate_requested_port_ids
  * Extract _filter_hypervisor_macs
  * Always call port_update in allocate_for_instance
  * Device tagging API support
  * Compute manager device tagging support
  * Revert "Detach volume after deleting instance with no host"
  * policy: Replaces 'authorize' in nova-api (part 5)
  * libvirt: add todo about bdms in _build_device_metadata
  * libvirt: virtuozzo instance rescue mode support
  * api-ref: os-certificates.inc
  * policy: Replaces 'authorize' in nova-api (part 4)
  * Make LM timeout params mutable
  * Help text for the ephemeral storage options
  * Config Options: Improve help text for debugger
  * Make Ironic options definitions consistent
  * Remove mox in tests/unit/objects/test_quotas
  * Remove network information from IOVisor vif
  * Add automatic switching to postcopy mode when migration is not progressing
  * Extend live-migration-force-complete to use postcopy if available
  * Add a test utility for checking mock calls with objects
  * policy: Replaces 'authorize' in nova-api (part 3)
  * libvirt: Add migration support for perf event support
  * Libvirt driver implementation of device tagging
  * Add policy sample generation
  * libvirt: virtuozzo instance resize support
  * Fix test_ipv6 and simplify to_global()
  * Remove russian from unit/image/test_glance.py
  * Add reminder comments for compute rpcapi version bump
  * Update get_instance_diagnostics for instance objects
  * Improve help text for wsgi options
  * Don't immediately null host/node when shelving
  * Evaluate 'task_state' in resource (de)allocation
  * Add new configuration option to turn auto converge on/off
  * Add new configuration option to turn postcopy on/off
  * Add ability to select specific tests for py34
  * UT: cleanup typo in libvirt test_config
  * Improve image signature verification failure notification
  * libvirt: attach configdrive after instance XML
  * libvirt: add nova volume driver for vzstorage
  * Moving test helpers to a common place
  * On port update check port binding worked
  * Refactor to create _ensure_no_port_binding_failure
  * policy: Replaces 'authorize' in nova-api (part 2)
  * XenAPI: Add option for running nova independently from hypervisor
  * XenAPI: Stream config drive to XAPI
  * XenAPI: Perform disk operations in dom0
  * Port test_ipv6 to py3 and simplify to_global()
  * api-ref: Example verification for os-agents.inc
  * Allow monitor plugins to set own metric object
  * api-ref: correct the order of APIs in server-tags
  * Remove unused LOG
  * Remove unnecessary __init__
  * Release notes: fix typos
  * Make print py3 compatible
  * libvirt: fix disk size calculation for VZ container instances
  * Fix error message for VirtualInterfaceUnplugException
  * libvirt: Add boot ordering to individual disks
  * image_meta: Add hw_rescue_device and hw_rescue_bus
  * collapse servers.ViewBuilderV21 into servers.ViewBuilder
  * remove personality extension
  * remove preserve-ephemeral rebuild extension
  * remove access_ips extension
  * Bump the service version for get-me-a-network support
  * neutron: handle 'auto' network request in allocate_for_instance
  * libvirt: split out code for recovering after migration tasks
  * libvirt: split out code for processing migration tasks
  * libvirt: split off code for updating migration stats in the DB
  * libvirt: split off code for updating live migration downtime
  * api-ref: verify images.inc
  * libvirt: split out code for determining if migration should abort
  * libvirt: split out code for detecting live migration job type
  * policy: Replaces 'authorize' in nova-api (part 1)
  * Check if flavor.vcpus is more than MAX_TAP_QUEUES
  * policy: Add defaults in code (part 6)
  * objects: Add devices_metadata to instance object
  * objects: new InstanceDeviceMetadata object
  * db: add a device_metadata column to instance_extra
  * libvirt: add perf event support when create instance
  * Improve help text of crypto.py
  * objects: adding an update method to virtual_interface
  * Rename driver method check_can_live_migrate_destination_cleanup
  * api-ref: added docs for microversion 2.26
  * policy: Add defaults in code (part 5)
  * policy: Add defaults in code (part 4)
  * policy: Add defaults in code (part 3)
  * policy: Add defaults in code (part 2)
  * add ploop support into qemu-img info
  * policy: Add defaults in code (part 1)
  * Handle UnableToAutoAllocateNetwork in _build_and_run_instance
  * Add note about preserve_ephemeral limitations
  * Add console auth tokens db api methods
  * Remove mox from unit/virt/libvirt/volume/*.py
  * Port cinder unit tests to Python 3
  * Port test_pipelib and test_policy to Python 3
  * Adding missing log translation hints
  * Add instance groups tables to the API database
  * Make live migration checks async
  * Check for None max_count for Python 3 compat
  * Updated from global requirements
  * fix developer docs on API
  * libvirt: virtlogd: use "log" element in char devices
  * Fix ConsoleAuthTokens to work for all console types
  * remove os-disk-config part 4
  * remove os-disk-config part 3
  * remove load_standard_extensions method
  * Modify "policy.conf" to "policy.json"
  * Ensures that progress_watermark and progress_time are updated
  * Add a note for policy enforcement by user_id
  * XenAPI: Support neutron security group
  * Added instance actions for conductor
  * Stop using mox stubs in nova/tests/unit/test_metadata.py
  * remove support for legacy v2 generator extensions
  * Remove duplicate unit test resource tracker
  * api-ref: parameter verification os-agents
  * make failures on api_samples more clear
  * api-ref, os-services.inc
  * api-ref: docs for microversion v2.28
  * Update dhcp_opts on both create and update
  * api-ref: Improve os-instance_usage_audit_log samples
  * Add ironic mac address when updating and creating
  * Enhance notification sample test base
  * Handle multiple samples per versioned notification
  * Transform wrap_exception notification to versioned format
  * XenAPI: OVS agent updates the wrong port with Neutron
  * Stop using mox from unit/fake_server_actions.py
  * objects: you want'em
  * libvirt: enhance method to return pointer_model from image prop
  * Updated from global requirements
  * Skip network allocation if 'none' is requested
  * Separete notification object version test
  * [typo] replaced comupte to compute in test
  * api-ref, os-availability-zone.inc
  * Add delete_, update_ and add_ inventory to ResourceProvider
  * libvirt: fix typos in comments
  * Remove the nova.compute.resources entrypoint
  * Re-deprecate use_usb_tablet config option
  * Log the network when neutron won't apply security groups
  * api-ref: parameter verification os-fixed-ips
  * Add CellMappingList object
  * Add console auth tokens table and model
  * live migration check source failed caused bdm.device_path lost
  * Use is_valid_ipv4 from oslo.utils
  * Include exception in _try_deallocate_network error log
  * Remove mox from tests/unit/virt/test_imagecache.py
  * Fix docstring nits from ResourceProvider.set_inventory() review
  * fix errors in revert resize api docs
  * Improve the help text for cells options (8)
  * VMware: Fix bug of TypeError when getting reference of VCenter cluster is None
  * XenAPI: Integers returned from XAPI are actually strings
  * Remove ec2_code from exception
  * Add specific lazy-load method for instance.tags
  * Don't attempt to lazy-load tags on a deleted instance
  * Policy-in-code servers rules
  * Extract update_port call into method
  * Refactor to create _populate_mac_address
  * Rename _populate_mac_address adding pci
  * Rename created_port to created_port_id
  * Flip allocate_for_instance create or update if
  * Tear down of os-disk-config part 2
  * Make instance as second arg in compute api calls
  * api-ref: console types
  * Remove extra expected error code (413) from image metadata
  * Publish proxy APIs deprecation in api ref doc
  * Remove DictCompat from instance_info_cache
  * Remove redundant test in test_resource_tracker
  * Modify the disk bus and device name for Aarch64
  * Remove mox in tests/unit/objects/test_instance_faults
  * Trivial-Fix: Fix typos
  * Fix some typos
  * Make host as second arg in compute api calls
  * Detach volume after deleting instance with no host
  * Added support for new block device format in Hyper-V
  * add "needs:*" tags to the config option modules
  * Fix multipath iSCSI encrypted volume attach failure
  * Remove DictCompat from NetworkRequest
  * Remove rate_limit param in builder
  * Not talking about V2 API code in review doc guide
  * update servers policy in code to use formats
  * Update stable API doc to indicate code removal
  * Fix NoMoreNetworks functional test traces
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev338:
  * Add set_inventory() method on ResourceProvider
  * Pre-load tags when showing server details
  * Fix image meta which is sent to glance v2
  * libvirt: cleanup baselineCPU return value checking
  * Skip network validation if explicitly requesting no networks
  * nova-net: handle 'auto' network request in allocate_for_instance
  * neutron: validate auto-allocate is available
  * Add helpers to NetworkRequest(List) objects for auto/none cases
  * Tear down os-disk-config part 1
  * api-ref: Fix parameters in os-instance-usage-audit-log
  * nova shared storage: rbd is always shared storage
  * Remove mox from unit/compute/test_compute_mgr.py (end)
  * Remove mox from unit/compute/test_compute_mgr.py (6)
  * Remove mox from unit/compute/test_compute_mgr.py (8)
  * Remove mox from unit/compute/test_compute_mgr.py (7)
  * Remove mox from unit/compute/test_compute_mgr.py (5)
  * Remove mox from unit/compute/test_compute_mgr.py (4)
  * Remove mox from unit/compute/test_compute_mgr.py (3)
  * Remove mox from unit/compute/test_compute_mgr.py (2)
  * Improve help text for neutron_opts
  * Yield the thread when verifying image's signature
  * Trivial: remove none existing py3 test from tests-py3.txt
  * Remove mox from unit/compute/test_compute_mgr.py (1)
  * Improve the help text for cells options (7)
  * Remove mox from api/openstack/compute/test_pci.py
  * Stop using mox from openstack/compute/test_cells.py
  * Stop using mox stubs in stub_out_key_pair_funcs
  * Remove duplicate test of DELETED instances
  * Handle SetAdminPasswdNotSupported raised by libvirt driver
  * Fix invalid uuid warnings in virt testcases
  * Remove mox from compute/test_scheduler_hints.py
  * Remove mox from compute/test_extended_ips_mac.py
  * Correct some misspell words in nova
  * Remove 413 expect in servers.py
  * Remove core extension list
* Thu Jun 16 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev273:
  * Remove api_rate_limit config option
  * Disallow instance tag set for invalid instance states
  * Added missed response to test_server_tags
  * Remove python code validation specific to legacy_v2
  * api-ref: parameter  verification for os-aggregates
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev263:
  * Remove mox from tests/unit/objects/test_aggregate.py
  * Handle keypair not found from metadata server
  * TrivialFix: Remove extra comma from json
  * Skip NFS and Ceph in live migration job test run
  * api-ref: add version 2.3 parameters to servers
  * Updated from global requirements
  * Make Aggregate.get_by_uuid use the API db
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev251:
  * Updated from global requirements
  * Remove invalid test of config option default_notification_level
  * Remove config option config_drive_format's invalid value test
  * Remove mox from api/openstack/compute/test_config_drive.py
* Mon Jun 13 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev244:
  * Stop using mox stubs in tests/unit/fake_notifier
  * Raise exception if BuildRequest deleted twice
  * Replace mox with mock for xenapi vm_utils.lookup
  * Add unit tests for nova.virt.firewall.IpTablesFirewallDriver (Part 1)
  * live-migration ceph: fix typo in ruleset parsing
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev235:
  * remove processing of blacklist/whitelist/corelist extensions
  * fix OS-SCH-HNT:scheduler_hints location in sample
  * Fix reno from hyper-v-remotefx
  * libvirt: Prevent block live migration with tunnelled flag
  * Remove unused _get_flags method from integrated_helpers
  * Enable all extension for all remaining sample tests
  * tox.ini: Remove unnecessary comments in api-ref target
  * Stop using mox stubs in nova/tests/unit
  * Updated from global requirements
  * pci: Allow updating pci_requests in instance_extra
  * Change default fake_ server status to ACTIVE
  * Fix update inventory for multiple providers
  * Default to using glance v2
  * Enable all extension for remaining server API tests
  * Enable all extension for server API tests part-1
  * Fixes py3 unit tests for nova.tests.unit.test_block_device.*
  * Reno for mutable-config
  * xenapi: Remove invalid values for config option image_compression_level
  * Enable all extension for server actions sample tests
  * Enable all extension for Flavor API sample tests
  * Fix resource tracking for instances with no numa topology
  * Clarified "user" to plural type
  * Revert "Optimize _cleanup_incomplete_migrations periodic task"
  * Remove unused authorizer methods
  * Remove legacy v2 policy rules
  * Make create_inventory() handle name change
  * Add ResourceProvider.save()
  * Remove the skip_policy_check flags
  * api-ref: verify keypairs
  * Make Xenplugin to work with glance v2 api
  * Trival: version history 2.30 is not indented as others
  * Do not register notification objects
  * Move notification objects to a separate package
  * Move notification related code to separate package
  * Adjust field types and defaults on Inventory
  * Add InventoryList.find() method
  * Add a get_by_uuid for aggregates
  * Imported Translations from Zanata
  * get rid of the old _vhd methods
  * Make Hyper-V to work with glance v2 api
  * Remove v2 extension setting from functional tests
  * Add name and generation to ResourceProvider object
  * Enable mutable config in Nova
  * Improve help text for availability zones options
  * tests: make XMLMatches work with Python3
  * Catch PciRequestAliasNotDefined exception
  * api-ref: parameter verification for os-hypervisors
  * xen: skip two more racey mox py34 test classes
  * libvirt: handle reserved pages size
  * Fix nova-compute start failed when reserved_huge_pages has value
  * Make the base options definitions consistent
  * virt: set address space & CPU time limits when running qemu-img
  * Remove manual creation of console.log
  * Fix imagecache.get_cache_fname() to work in python3
  * Remove policy checkpoints for SecurityGroupAPI and NetworkAPI
  * Remove policy checkpoints from ComputeAPI
  * Stop using mox from objects/test_instance.py (3)
  * Stop using mox from objects/test_instance.py (2)
  * Stop using mox from objects/test_instance.py (1)
  * Fix wrong patch of unittest in unit/test_metadata.py
  * Remove code referencing inventory table in cell DB
  * [libvirt] Incorrect parameters passed to migrateToURI3
  * Revert inventory/allocation child DB linkage
  * Only chown console log in rescue
  * Don't chown a config disk which already exists
  * Don't overwrite config disk when using Rbd
  * Add 'update' method to GlanceImageServiceV2
  * Add 'create' method to GlanceImageServiceV2
  * Add 'detail' method to GlanceImageServiceV2
  * Add 'delete' method to GlanceImageServiceV2
  * Add 'download' method to GlanceImageServiceV2
  * Add 'show' method to GlanceImageServiceV2
  * Split the glance API path based on config
  * Remove image_meta
  * api-ref method verification for os-cells
  * API change for verifying the scheduler when live migrating
  * Stop using mox stubs in volume/encryptors/test_base.py
  * Introduce a CONF flag to determine glance client version
  * fix a typo in comment
  * Fix white spaces in api-ref
  * Updated from global requirements
  * Use assertNotIn instead of assertTrue(all(A != B))
  * Use assert(Not)Equal instead of assertTrue(A == X)
  * Use assertLess(Equal) instead of assertTrue(A > X)
  * Use assertGreater(A, X) instead of assertTrue(A > X)
  * Fall back to flat config drive if not found in rbd
  * libvirt: Fix the content of "disk.config" lost after migrate/resize
  * Remove "or 'reserved'" from _create_volume_bdm
  * pci: Move PCI devices and PCI requests into migration context
  * Clarify message for Invalid/Bad Request exception
  * Cancelled live migration are not in progress
  * set wrap_width for config generator to 80
  * API change for verifying the scheduler when evacuating
  * libvirt: add "get_job_info" to Guest's object
  * Modify 'an network' to 'a network'
  * Specify the default cdrom type "scsi" for AARCH64
  * Remove mox from nova/tests/unit/test_iptables_network.py
  * Remove mox from nova/tests/unit/virt/libvirt/test_vif.py
  * Nova UTs broken due to modifying loopingcall global var
  * Remove mox from unit/api/openstack/compute/test_consoles.py
  * Stop using mox from virt/libvirt/storage/test_lvm.py
  * Remove unused _vlan_is_disabled test flag
  * Remove normal API operation logs from API layer
  * Remove unused LOG from v2.1 API code
  * Adds RemoteFX support to the Hyper-V driver
  * Stop using mox stubs in test_server_usage.py
  * Remove mox from compute/test_instance_usage_audit_log.py
  * Remove redundant orphan instances unit test
  * Remove duplicate migration RT unit tests
  * Get transport_url from config in Cells v2 cell map utility
  * Trivial: Fixes serial console minor nits
  * Revert "glance:add helper method to get client version"
  * Update Support Matrix
  * No disable reason defined for new services
  * devspec: remove unused VIRTFN_RE and re
  * Fix use of invalid assert calls
  * Enables Py34 tests for unit.api.openstack.compute.test_server_tags
  * deprecate config option "fatal_exception_format_errors"
  * [Trivial] Fix a grammar error in comments
  * deprecate s3 image service config options
  * Enables Py34 tests for unit.compute.test_compute
  * Network: fix typo
  * pci: Remove unused 'all_devs' method
  * Trivial: No need to exclude TestMoveClaim from py34 tests
  * api-ref: verify os-server-groups.inc
  * Avoid unnessary _get_power_state call
  * api-ref: verfiy limits body
  * api-ref: body verification of ips.inc
  * Change message format of Forbidden
* Sat Jun  4 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev13:
  * remove /v2.1/{tenant_id} from all urls
  * Set migration status to 'error' on live-migration failure
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version nova-14.0.0.0b2.dev10:
  * Updated from global requirements
  * Fixes invalid uuid usages in test_neutronv2
  14.0.0.0b1
  * Remove legacy v2 API code completely
  * Remove the usage of RateLimitingMiddleware
  * Remove unused inner_app_v21 and ext_mgr
  * Remove legacy API code from sample tests
  * Remove InstanceUsageAuditLogTest for legacy API
  * Make AggregateList.get_ return API & cell db items
  * Make Aggregate.get operation favor the API db
  * Add aggregates tables to the API db
  * Microversion 2.28 changes cpu_info string to JSON object
  * libvirt: Skip CPU compatibility check for emulated guests
  * Updated from global requirements
  * pci: Make sure PF is 'available' when last VF is freed
  * pci: related updates are done without DB lookups
  * pci: make sure device relationships are kept in memory
  * verify api-ref os-migrations.inc
  * Update functional tests for fixtures 3
  * libvirt: New configuration classes to parse device address element
  * Fixed clean up process in confirm_resize() after resize/cold migration
  * Updated from global requirements
  * libvirt: fix serial ports lost after hard-reboot
  * Add proxy middleware to application pipeline
  * api-ref: Example verification for os-interface.inc
  * Redundant test of CPU resources in test_tracker
  * Remove duplicate test of RT.stats.current_workload
  * Remove duplicate test of claim context manager
  * Remove pointless "additive claims" unit test
  * Remove oversubscribe test in test_resource_tracker
  * api: Improve the _check_multiple* function names readability
  * Fix the order of expected error codes
  * Verify requested_destination in the scheduler
  * Add requested_destination field to RequestSpec
  * Fixes python 3 urllib quote / unquote usage
  * Remove unused WsgiLimiter
  * Remove unused args from RateLimitingMiddleware
  * Remove unused use_no_auth from wsgi_app_v21()
  * Fix incorrectly named vmwareapi test
  * Rename ImageCacheManager._list_base_images to _scan_base_images
  * Remove all references to image_popularity from image cache
  * Remove image cache image verification
  * Fix test_age_and_verify_swap_images
  * Remomve mox from api/openstack/compute/test_console_output.py
  * objects: added 'os_secure_boot' property to ImageMetaProps object
  * Adds Hyper-V imagecache cleanup
  * Stop using mox stubs in test_pipelib.py
  * use_neutron_default_nets: StrOpt ->BoolOpt
  * fix Quota related error return incorrect problem
  * Move is_volume_backed_instance to compute.utils
  * Config options: remove import_opts from cloudpipe section
  * Config options: move set default opt of db section to centralized place
  * api-ref verify of servers-admin-action.inc
  * Style improvements
* Tue May 31 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1113:
  * api-ref: os-consoles.inc
  * Ironic nodes with instance_uuid are not available
* Mon May 30 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1109:
  * VMware: set service status based on vc connection
  * Return 400 HTTP error for invalid flavor attributes
  * Enable 'null' value for user_data in V2.1 API
* Sat May 28 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1103:
  * api-ref verify servers-action-deferred-delete.inc
  * api-ref: Add a sample test for os-interface
  * Make compute nodes update their own inventory records
  * Make Inventory and ResourceProvider objects use the API DB instead
  * Fix "KeyError: u'instance_id'" in string format operation
  * Improve the help text for the rdp options
  * api-ref: Add fault parameter details
  * [Ironic] Correct check for ready to deploy
  * Fix network mtu in network_metadata
  * verify api-ref os-instance-usage-audit-log.inc
* Fri May 27 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1083:
  * Updated from global requirements
  * api and availablity_zone opt definition consistent
  * Rename Image.check_image_exists to Image.exists()
  * Support for both microversion headers
  * Fix unit test after the replace of key manager
  * Save all instance extras in a single db call
  * Make available to build docs with python3
  * config options: centralize exception options
* Thu May 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1067:
  * Remove APIRouter of legacy v2 API code
  * Remove legacy v2 API tests which use wsgi_app()
  * limits.inc example verification
  * Remove duplicate unit test in test_tracker
  * Remove delete stubs in test_resource_tracker
  * Remove service crud from test_resource_tracker
  * Remove conductor from test_resource_tracker
  * Remove StatsDicTestCase from test_resource_tracker
  * rt-unit: Replace hard-coded strings with constants
  * Remove useless test of incorrect stats value
  * Remove RT duplicate unit test for PCI stats
  * Remove more duplicate RT unit tests
  * Removes test_claim_saves_numa_topology()
  * Add length check in comparing object lists
  * Add http_proxy_to_wsgi to api-paste
  * Remove duplicate test of set inst host/node
  * Remove SchedulerClientTrackerTestCase
  * Move unit tests of set_instance_host_and_name()
  * Remove MissingComputeNodeTestCase for res tracker
  * Remove tests for missing get_available_resource()
  * Let setup.py compile_catalog process all language files
  * Hyper-V: Fixes disk overhead claim issue
  * Compute: Adds driver disk_gb instance overhead estimation
  * verify api-ref metadata.inc
* Tue May 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev1030:
  * api-ref: limits.inc validate parameters
  * Updated from global requirements
  * remove db2 support from tree
  * api-ref: Parameter verification for os-interface.inc
  * api-ref, os-fping.inc
  * Pass OS_DEBUG to the tox test environment
  * Hyper-V: Implement nova rescue
  * Make flavor-manage api call destroy with Flavor object
  * Update link for hypervisor support matrix message
  * Keep BuildRequest db entry around longer
  * Drop fields from BuildRequest object and model
  * Resize API operation passing down original RequestSpec
  * libvirt: Add serial ports to the migration data object
  * api-ref: parameter  verification for os-server-groups
  * libvirt: add method to configure max downtime when migrating
  * libvirt: add "abort_job" to Guest's object
  * libvirt: add method "migrate" to Guest's object
  * Remove mox used in tests/unit/api/openstack/compute/test_server_start_stop
  * verify api-ref os-server-password.inc
  * Fix resize to same host failed using anti-affinity group
  * xenapi: Image cache cannot be disabled
* Mon May 23 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev989:
  * Add resource provider tables to the api database
  * be more explicit that rate limits are gone in v2.1
* Sun May 22 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev985:
  * Completed migrations are not "in progress"
* Sat May 21 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev983:
  * HyperV: Nova serial console access support
  * Updated from global requirements
  * api-ref: verify flavors.inc
  * Fix the versions API for api-ref
  * Only attempt to inject files if the injection disk exists
  * HyperV: Add SerialConsoleOps class
  * HyperV: Add serial console handler class
* Fri May 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev969:
  * Add online migration to move keypairs from main to API database
  * Updated from global requirements
  * api-ref: complete verification of baremetal api
  * pci: add safe-guard to __eq__ of PciDevice
  * Add tests for floating_ip private functions
  * Fixes invalid uuid usages in functional tests
  * Make neutronapi get_floating*() methods return objects
  * Remove marker from nova-manage cells_v2 map_instances UI
  * Fix invalid uuid warnings
* Thu May 19 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev951:
  * Augment release note for import_object_ns removal
  * api-ref: Example verification for servers-action-shelve.inc
  * api-ref: Fix parameters in servers-action-shelve.inc
  * api-ref: servers-action-evacuate.inc
  * remove FlavorCreateFailed exception
  * Trivial: remove os-security-groups needs:method_verification line
  * Add RC file for excluding tempest tests for LVM job
  * Move config options from nova/api directory (5)
  * Remove deprecated option libvirt.remove_unused_kernels
  * Rename Raw backend to Flat
  * Cold migrate using the RequestSpec object
  * Make some build_requests columns nullable
  * baseproxy: stop requiring CONF.verbose
  * ironic: fix call to _cleanup_deploy on config drive failure
  * Return HTTP 400 on boot for invalid availability zone
  * pci: create PCI tracker in RT._init_compute_node
  * Remove unused FAKE_UUID variables
  * Remove unused base_options param from _get_image_defined_bdms
  * Split out part of map_cell_and_hosts to return a uuid
  * Remove mox from tests/unit/compute/test_compute_xen.py
  * Remove mox from tests/unit/network/test_rpcapi.py
* Wed May 18 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev909:
  * Add a RequestSpec generation migration script
  * Switch api unit tests to use v2.1 API
  * api-ref: complete verification for os-flavor-access
  * Add message queue switching through RequestContext
  * trivial: remove unused argument from a method
  * Cleanup validation logic in _get_requested_networks
  * api-ref: complete verification of servers-action-crash-dump.inc
  * migrate to os-api-ref
  * api-ref: parameter  verification for os-quota-sets
  * Add a note about egress rules to os-security-group-rules api-ref
  * api-ref: ips.inc example verification
  * deprecate "default_flavor" config option
  * Config options: remove import_opts from completed section
  * Config options: centralize cache options
  * Remove deprecated "memcached_server" in Default section
  * deprecate "file transfer" feature for Glance images
  * api-ref: os-certificates.inc method verification
  * config options: move image_file_url download options
  * docs: link to Laski's cells talk from the Austin summit
* Tue May 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev871:
  * api-ref: image.inc - Update method validation
  * config options: centralize section "database" + "api_database"
  * config options: centralize default flavor option
  * api-ref: os-floating-ip-dns.inc method verification
* Mon May 16 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev863:
  * force_live_migration remove redundant check
* Sun May 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev861:
  * Follow-up for the API config option patch
* Sat May 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev859:
  * api-ref: reorder parameters.yaml
  * Add online migration to store keypairs with instances
  * Make Keypair object favor the API database
  * api-ref: Example verification for os-volume_attachments.inc
  * api-ref: Parameter verification for os-volume_attachments.inc
  * Remove fake_imagebackend.Raw and cleanup dependent tests
  * Remove unused arguments to images.fetch and images.fetch_to_raw
  * api-ref: finish validation for os-server-external-events.inc
  * report info if parameters are out of order
  * Method verification of os-floating-ips-bulk.inc
  * api-ref: os-volumes.inc method verification
  * config options: move s3 related options
  * Fix migration query with unicode status
  * Change 5 space indent to 4 spaces
  * Updated from global requirements
  * api-ref: Method verification for servers-actions
  * virt: reserved number of mempages on compute host
  * api-ref: Method verification for os-volume_attachments.inc
  * Improve the help text for the API options (4)
  * Improve the help text for the API options (3)
  * api-ref: ips.inc parameter verification
  * Method verification for server-action-deferred-delete
  * api-ref: parameter validation for os-security-group-rules
  * Improve the help text for the API options (2)
  * Improve the help text for the API options (1)
  * trivial: removed unused networks var from os-tenant-networks:create
* Fri May 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev808:
  * Add a functional test for instance fault message with retry
  * api-ref: complete verification for extensions resource
  * Eager load keypairs in instance metadata
  * Complete method verification of os-networks
  * Method verification of os-security-group-default-rules
  * centralized conf: nova/network/rpcapi.py
  * Config options: centralize remotefs libvirt options (end)
  * Config options: centralize smbfs libvirt options (16)
  * imagebackend: Check that the RBD image exists before trying to cleanup
  * Rewrite _cleanup_resize and finish_migration unit tests to use mock instead of mox
  * Remove mox in test_volume_snapshot_create_outer_success
  * Add Keypairs to the API database
  * Create Instances with keypairs
  * method verification for server-action-remote-consoles
  * method verification of os-server-external-events
  * method verification of os-instance-usage-audit-log
  * Add keypairs to Instance object
  * Complete method verification of os-baremetal-nodes.inc
  * Fixed missing variable
  * api-ref: Method verification for os-floating-ips
  * Fix race condition for live-migration-force-complete
  * Denormalize personality extension
  * method verification of os-assisted-volume-snapshots
  * Fix service version to update the DB
  * Added new exception to handle CinderClientException
  * Drop paramiko < 2 compat code
  * Config options: centralize scality libvirt options (15)
  * Move config options from nova/api directory (4)
  * Instance mapping save, properly load cell mapping
  * Remove mox from tests/unit/network/test_api.py
  * libvirt: introduces module to handle domain xml migration
  * api-ref host verification (os-hosts.inc)
  * api-ref verify os-floating-ip-pools.inc
  * Remove 413 as expected error code
  * Add manage command for cell0
  * Compute API: omit disk/container formats when creating images of snapshots
  * virt/hardware: Fix 'isolate' case on non-SMT hosts
  * db: retry instance_info_cache_update() on deadlock
  * Fixes bug with notify_decorator bad getattr default value
  * Move logging outside of LibvirtConfigObject.to_xml
* Wed May 11 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev730:
  * api-ref: servers-action-shelve.inc
  * Added fault response parameter to Show Server Details API
  * Corrected the typo
  * Complete method verification of os-cloudpipe.inc
  * method verification for servers-action-fixed-ip
  * api-ref: perform all 4 phases of verification for action console output
  * Move config options from nova/api directory (3)
* Tue May 10 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev717:
  * crypto: Add support for Paramiko 2.x
  * Denormalize extensions for clarity
  * Complete method verification of os-fping
  * Complete method verification of os-security-group-rules
  * Remove 404 for list and details actions of servers
  * Complete method verification of os-migrations
  * api-ref: add url parameter to expand all sections
  * api-ref: complete verification for diagnostics.inc
  * api-ref: update parameter validation on servers
  * Complete method verification of os-tenant-networks
  * Complete method verification of os-security-groups
  * Move config options from nova/api directory (2)
  * Move config options from nova/api directory (1)
  * api-ref: method verification and fixes for servers.inc
  * Complete method verification of os-quotas
  * Add api-sample test for showing quota detail
  * Fix TestNeutronv2.test_deallocate_for_instance_2* race failures
  * Config options: centralize quobyte libvirt options (14)
  * Config options: centralize volume nfs libvirt options (13)
  * Centralize vif,xenpool & vol_utils config options
  * Config options: Centralize servicegroup options
  * Add ability to filter migrations by instance uuid
  * Avoid unconditional warnings in nova-consoleauth
  * Complete Verification of server-metadata
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev669:
  * config: remove deprecated ironic.client_log_level
  * Compelete method verification of os-servers-admin
  * Complete method verification of os-shevle
  * Add keypairs to instance_extra
  * Consolidate image_href to image uuid validation code
  * Centralize config option for nova/network/driver.py
  * Config options: centralize volume net libvirt options (12)
  * libvirt: release serial console ports when destroying guests
  * Archive instance_actions and instance_actions_event
  * Updated config description on live snapshot
  * Complete method Verification of os-hypervisors
  * Config options: completing centralize neutron options
  * Unavailable hosts have no resources for use
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev643:
  * Remove legacy v2 tests which use APIRouter
  * pci: eliminate DB lookup PCI requests during claim
  * pci: pass in instance PCI requests to claim
  * Complete method verification of os-agents
  * Complete method verification of os-fixed-ips
  * Config options: centralize iser libvirt options (11)
  * Config options: centralize iscsi libvirt options (10)
  * Config options: centralize glusterfs libvirt options (9)
  * Config options: centralize aoe vol libvirt options (8)
  * Config options: centralize volume libvirt options (7)
  * Config options: centralize vif libvirt options (6)
  * Config options: centralize utils libvirt options (5)
  * Config options: centralize lvm libvirt options (4)
  * Remove legacy v2 unit tests[q-v]
  * Remove legacy v2 unit tests[f-n]
  * Remove Limits dependency of legacy v2 API code
  * Remove mox in unit/virt/xenapi/test_agent.py
  * Add pycrypto explicitly
  * Config options: centralize imagecache libvirt options (3)
  * Config options: centralize imagebackend libvirt options (2)
  * Remove the legacy v2 API entry from api-paste.ini
  * Config options: centralize driver libvirt options (1)
  * UEFI - instance terminates after boot
  * Fix unit tests for v2.1 API
  * Remove legacy v2 unit tests[a-e]
  * Remove legacy v2 API functional tests
  * fix wrong key name in test code
  * Remove the legacy v2 API test scenarios from API sample tests
  * Fail to start nova-api if no APIs were able to be started
  * Test that nova-api ignores paste failures, but continues on
  * Trivial: dead code
  * Fix database poison warnings, part 8
  * compute: Retain instance metadata for 'evacuate' on shared storage
  * Add os-interface functional negative tests
  * Remove mox in test_certificates.py
  * pci: Allow to assign pci devices in pci device list
  * Fix typo in support-matrix.ini: re(set)=>(re)set
  * Fix database poison warnings, part 7
  * [doc] fix 5 typos
  * Make compute rpcapi 'live_migration' backward compatible
  * Replace key manager with Castellan
  * Changed the storage size from GB to GiB
  * Deprecated the concept of extensions in v2.1
  * Fix database poison warnings, part 6
  * Fix database poison warnings, part 5
  * complete Method Verification of aggregates
  * Complete Method Verification of ips
  * Complete method Verification of consoles
  * Config options: Centralize netconf options
  * Complete Verification of os-server-password
  * Complete Verification of os-hosts
  * Complete Method Verification of os-interface
  * Complet Method Verification of flavor-access
  * Complete Verification of os-virtual-interfaces
  * Complet Method Verification of os-instance-actions
  * Complete Verification of os-flavor-extra-specs
  * Fix database poison warnings, part 4
  * Complet Method Verification of flavor
  * Prevent nova-api from dying if enabled_apis is wrong
  * Add instances into dict when handle exception
  * Add validations for volume_size and destination_type
  * libvirt - Add log if libguestfs can't read host kernel
  * Fix doc build if git is absent
  * HyperV: Refactor livemigr, avoiding getting disk paths remotely
  * VMware: create temp parent directory when booting sparse image
  * VMware: Use datastore copy when the image is already in vSphere
  * libvirt: Fix ssh driver to to prevent prompting
  * config options: centralize cinder options
  * Add ppc64le architecture to some libvirt unit tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev514:
  * Updated from global requirements
  * Fix NoSuchOptError when referring to conf.neutron.auth_plugin
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev510:
  * Wrong mocks, wrong mock order
  * Deprecate Nova Network
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev506:
  * Updated from global requirements
  * Declare nova.virt namespace
  * network: Fix nova boot with multiple security-groups
  * Complet Method Verification of server group
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev499:
  * Only reset dns_name when unbinding port if DNS is integrated
  * Complet Method Verification of keypair
  * Complet Method Verification of availability-zone
  * Complet Method Verification of simple tenant usage
* Mon May  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev492:
  * libvirt: remove version checks for hyperv PV features
  * libvirt: remove version checks for libvirt disk discard feature
  * libvirt: remove version checks for block job handling
  * libvirt: remove version checks for PCI device detach
  * libvirt: remove version checks for live snapshot feature
  * libvirt: add explicit check for min required QEMU version
  * libvirt: increase min required libvirt to 1.2.1
  * Add links to API guide to describe links
* Tue Apr 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev476:
  * Fix invalid uuid warnings in compute api testcases
  * Fix invalid uuid warnings
  * Trivial: fix mock decorator order
  * remove the use of import_object_ns
  * Fixed typo in word "were"
  * Complet Method Verification of os-services
  * Complet Method Verification of server diag
  * Remove mox in tests/unit/compute/test_host_api.py
  * Complet Method Verification of limits
  * Improve the help text for the compute rpcapi option
  * Move config options from nova/compute/rpcapi.py file
  * Updated from global requirements
  * deprecate nova-all
  * Change BuildRequest to contain a serialized instance
  * Config options: centralize section "ssl"
  * config options: centralize security_group_api opt
  * Imported Translations from Zanata
  * Stop using mox stubs in test_multinic.py
  * libvirt: deprecate use_usb_tablet in favor of pointer_model
  * Config options: Centralize neutron metadata options
  * add tags to files for the content verification phase
  * Config options: Centralize compute options
  * Add 415 to list of exceptions for microversions devref
  * Added validation for rescue image ref
  * Final warnings removals for api-ref
  * Clean port dns_name in case of port detach
  * Fix remaining json reference warnings
  * Remove duplicate api ref for os-networks/actions
  * Fix all remaining sample file path
  * Stop using mox stubs in test_access_ips.py
  * Stop using mox stubs in test_admin_password.py
  * Fix sample file path for 4 files
  * Fix invalid uuid warnings in objects testcases
  * Fix invalid uuid warnings in server-group unit tests
  * Create image for suspended instance booted from volume
  * Fix content and sample file for keypair, migration, networks
  * Fix sample file path for os-i* API
  * Fix the parameters for os-agents API
  * Fix sample file path for fixed, floating ips API
  * Fix sample path for aggregate, certificate, console
  * Add remaining image API ref
  * Fix the schema of assisted_volume_snapshots
  * config options: conductor live migrate options
  * xenapi: Fix xmlrpclib marshalling error
  * Fix reverse_upsize_quota_delta attempt to look up deleted flavors
  * hardware: thread policy default value applied even if specified
  * virt: use more realistic fake network / VIF data
  * Remove unused rotation param from _do_snapshot_instance
  * HyperV: Add serial console proxy
  * Fix database poison warnings, part 2
  * Update get_by_project_id on InstanceMappingList
  * Properly clean up BDMs when _provision_instances fails
  * Initial use of microversion_parse
  * Changed an HTTP exception to return proper code
  * Improve the help text for the linuxnet options (3)
  * Improve the help text for the linuxnet options (2)
  * Config options: Centralize network options
  * Improve the help text for the network options (1)
  * Adds missing discoverable rules in policy.json
  * Fix test for empty policy rules
  * modify duplicate // to / in doc
  * change host to host_migration
  * Update 'os-hypervisors.inc' in api-ref
  * Fix os-server-groups.inc
  * Change adminPass for several server actions
  * Clean up the TestGlanceClientWrapper retry tests
  * Add rebuild action descriptions in support-matrix
  * Add functional test for v2.7
  * Wait for device to be mapped
  * add checking for new image metadata property 'hw_cpu_realtime_mask'
* Wed Apr 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev348:
  * fix samples references in security group files
  * fix samples references in os-services
  * Fix api samples references in 3 more files
  * Fix api ref for os-hosts, os-quota-sets and os-fping
  * Fix api ref for os-cells, os-cloudpipe and server-action-shelve
  * Fix api sample references in 2 more files
  * Updated from global requirements
  * Fix api ref for ips, limits, metdata and agent
  * Fix json response example heading in api ref
  * Fix database poison warnings, part 3
  * Remove 40X and 50X from Normal response codes
  * Specify normal status code on os-baremetal-nodes
  * Remove unused filter_class_names kwarg from get_filtered_hosts
  * Remove deprecated ability to load scheduler_host_manager from path
  * Fix "Creates an aggregate" parameters
  * fix samples references for 2 files
  * Update servers.inc to be as accurate as api-site
  * Fix "Creates an agent build" parameters
  * Clean up cell handling in nova-manage cell_v2 map_instances
  * Fix generation of Guru Meditation Report
  * Fix invalid uuid warnings in cell api testcases
  * config options: centralize 'spice' options
  * Config options: centralize base path configuration
  * Remove nova-manage service subcommand
  * Fix os-virtual-interfaces and flavors api-ref
  * Fix flavor-access and flavor-extras api-ref
  * Fix diagnostics, extensions api ref
  * Fix hosts and az api samples
  * Fix os-service related reference missing
  * Add 'binary' and 'disable-reason' into os-service
  * libvirt: serial console ports count upper limit needs to be checked
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev294:
  * clean up versions.inc reference document
  * Collection of CSS fixes
  * Fixes unexpectedly passing functional test
  * move sphinx h3 to '-' instead of '^'
  * fix blockquote font size
  * Add 'Show All' / 'Hide All' toggle
  * use 'required' instead of 'optional' for parameters
  * Fix css references to the glyphicons font
  * Fix formatting of rst in parameters.yaml
  * Add instance/instance_uuid to build_requests table
  * network: make nova to handle port_security_enabled=False
  * Fix nova opts help info
  * Add checks for driver attach_interfaces capability
  * Improved test coverage
  * Remove mox from tests/unit/network/security_group/test_neutron_driver.py
  * Remove stub_compute config options
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev266:
  * Fix typo in nova release notes
  * Updated from global requirements
  * cleanup some issues in parameters.yaml
  * Import RST files for documentation
  * add combined parameters.yaml file
  * claims: Do not assume image-meta is a dict
  * Add new NeutronFloatingIP object
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev252:
  * Minor updates to the how_to_get_involved docs
  * Put more into compute.api._populate_instance_for_create
  * increase error handling for dirty files
  * libvirt: delete the last file link in _supports_direct_io()
  * Fixed incorrect behavior of xenapi driver
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev243:
  * Updated from global requirements
  * Add AllServicesCurrent fixture
  * Remove unused parameter from _get_requested_instance_group
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev238:
  * Fix signature of copy_image
  * libvirt: remove live migrate workaround for an unsupported ver
  * libvirt: move graphic/serial consoles check to pre_live_migration
  * Fix invalid uuid warnings in api testcases
  * Check API versions intersects
  * DB API changes for the nova-manage quota_usage_refresh command
  * VMware: enable a resize of instance with no root disk
  * config options: Centralise 'virt.images' options
  * nova-manage: Add hooks for running  data-migration scripts
  * objects: Rename PciDevice _migrate_parent_addr  method
  * (lxc) Updated regex to ignore failing tests
  * Rectify spelling mistake in nova
  * Changed logic in _compare_result  api_samples_test_base
  * Scheduler: update  doctring to use oslo_config
  * Performance: leverage  dict comprehension in PEP-0274
  * Doc:  Adds python-tox to Ubuntu dependencies
  * Add CPU pinning data to InstanceNUMACell  object
  * Enhance  V2 disk_config extension Unit Test
  * Ironic:  Fix direct use of flavor and instance module objects
  * Format eph disk with  specified format in libvirt
  * Break out the meat of the object hydration  process
  * Pass rbd_user id and conf path  as part of RBD URI for qemu-img
  * Make v3 API  versions extensions core
  * port Instance_usage_audit_log  API into v3 part1
  * Reassign MAC address for vm  when resize_revert
  * port Simple_tenant_usage  API into v3 part1
  * Make  ComputeTestCase.test_state_revert faster
  * Fix a typo in two comments.  networksa -> networks
  * Cleanup unused import in manager.py
  * Allow for deleting VMs from  down compute nodes
  * Key config_drive off of config-drive extension
  * Move results filtering to  db
  * fixes for nova-manage network list  if network has been deleted
  * Janitorial:  Catch rpc up with a change in common
  * Fixes bug lp:999928
  * Fix devref  docs
  * fixed bug lp:968019 ,fix network manager init floating ip  problem
  * Add  assertRaises check to tools/hacking.py as N202
  * Do not invoke kill dnsmasq  if no pid file was found
  * fix for bug 821252.  Smarter default scheduler
  * nova-network can't deallocate ips from deleted  instances
  * libvirt vif-plugging fixes.  Fixes bug 939252 , bug 939254
  * remove unused nwfilter methods and tests
  * Changes for supporting fast cloning on Xenserver. Implements blueprint fast-cloning-for-xenserver 	1. use_cow_images flag is reused for xenserver to check if copy on write images should be used. 	2. image-id is used to tag an image which has already been streamed from glance. 	3. If cow is true, when an instance of an image is created for the first time on a given xenserver, the image is streamed from glance and copy on write disk is created for the instance. 	4. For subsequent instance creation requests (of the same image), a copy on write disk is created from the base image that is already present on the host. 	5. If cow is false, when an instance of an image is created for the first time on a host, the image is streamed from glance and its copy is made to create a virtual disk for the instance. 	6. For subsequent instance creation requests, a copy of disk is made for creating the disk for the instance. 	7. Snapshot creation code was updated to handle cow=true. Now there can be upto 3 disks in the chain. The base disk needs to be uploaded too. 	8. Also added a cache_images flag. Depending on whether the flag is turned on on not, images will be cached on the host
  * Fixing get_info method implementations in virt drivers to accept instance_name instead of instance_id. The abstract class virt.ComputeDriver defines get_info as:     def get_info(self, instance_name). blueprint: internal-uuids
  * Address Soren's comments:  * clean up temp files if an ImageUnacceptable is going to be raised    Note, a qemu-img execution error will not clean up the image, but I    think thats reasonable.  We leave the image on disk so the user can    easily investigate.  * Change final 2 arguments to fetch_to_raw to not start with an _  * use 'env' utility to change environment variables LC_ALL and LANG so    that qemu-img output parsing is not locale dependent.    Note, I considered the following, but found using 'env' more readable      out, err = utils.execute('sh', '-c', 'export LC_ALL=C LANG=C && exec "$@"',          'qemu-img', 'info', path)
  * Reverted some changes to instance_get_all_by_filters() that was added in rev 1594.  An additional argument for filtering on instance uuids is not needed, as you can add 'uuid: uuid_list' into the filters dictionary.  Just needed to add 'uuid' as an exact_match_filter.  This restores the filtering to do a single DB query
  * Adds an optional flag to force dhcp releases on instance termination.  This allows ips to be reused without having to wait for the lease to timeout
  * Fixes the handling of snapshotting in libvirt driver to actually use the proper image type instead of using raw for everything. Also cleans up an unneeded flag.  Based on doude's initial work
  * Fixes libvirt rescue to use the same strategy as xen.  Use a new copy of the base image as the rescue image.  It leaves the original rescue image flags in, so a hand picked rescue image can still be used if desired
  * fix rescue to use the base image, reset firewall rules,  and accept network_info
  * This patch teaches virt/libvirt how to format filesystem on ephemeral device depending on os_type so that the behaviour matches with EC2's. Such behaviour isn't explicitly described in the documentation, but it is confirmed by checking realy EC2 instances.  This patch introduces options virt_mkfs as multistring. Its format is --virt_mkfs=<os_type>=<mkfs command> When creating ephemeral device, format it according to the option depending on os_type.  This addresses the bugs, https://bugs.launchpad.net/nova/+bug/827598 https://bugs.launchpad.net/nova/+bug/828357
  * Stock zones follows a fill-first methodology—the current zone is filled with instances before other zones are considered.  This adds a flag to nova to select a spread-first methodology.  The implementation is simply adding a random.shuffle() prior to sorting the list of potential compute hosts by weights
  * One more bug fix to make zones work in trunk.  Basic problem is that in novaclient using the 1.0 OSAPI, servers.create() takes an ipgroups argument, but when using the 1.1 OSAPI, it doesn't, which means booting instances in child zones won't work with OSAPI v1.0.  This fix works around that by using keyword arguments for all the arguments after the flavor, and dropping the unused ipgroups argument
  * catch exceptions from novaclient when talking to child zones.  store them and re-raise if no other child zones return any results.  If no exceptions are raised but no results are returned, raise a NotFound exception
  * At present, the os servers.detail api does not return server.user_id or server.tenant_id.  This is problematic, since the servers.detail api defaults to returning all servers for all users of a tenant, which makes it impossible to tell which user is associated with which server
  * Added list of security groups to the newly added extension (Createserverext)  for the Create Server and Get Server detail responses
  * Fixes a small bug which causes filters to not work at all.  Also reworks a bit of exception handling to allow the exception related to the bug to propagate up
  * add specific exceptions for quantum client.  Fix doc-strings in client.py
  * Simple usage extension for nova.  Uses db to calculate tenant_usage for specified time periods
  * Implements lp:798876 which is 'switch carrot to kombu'.  Leaves carrot as the default for now... decision will be made later to switch the default to kombu after further testing.  There's a lot of code duplication between carrot and kombu, but I left it that way in preparation for ripping carrot out later and to keep minimal changes to carrot
  * Disassociated previously associated floating ips when calling network_api.associate_floating_ip.  Also guard against double-association in the network.manager
  * restore old way FLAGS.rpc_backend worked..  no short name support for consistency
  * Fixes lp:813864 by removing the broken assert.  The assert was a check for isinstance of 'int' that should have been 'long'.  But it doesn't appear this assert really belongs, anyway
  * fix for assertIn and assertNotIn use which was added in python 2.7.  this makes things work on 2.6 still
  * restore fixed_ip_associate_pool in nova/db/sqlalchemy.py to its original form before this branch.  Figured out how to make unit tests pass without requiring that this function changes
  * fix issue with setting 'Active' caused by Quantum API changes.  Other misc fixes
  * use 'uuid' field in networks table rather than 'bridge'.  Specify project_id when creating instance in unit test
  * The fix for run_iscsiadm in rev 1489 changed the call to use a tuple because values were being passed as tuples.  Unfortunately a few calls to the method were still passing strings
  * I added notifications  decorator for each API call using monkey_patching. By this merge, users can get API call notification from any modules
  * Simple usage extension for nova.  Uses db to calculate tenant_usage for specified time periods
  * Assorted fixes to os-floating-ips to make it play nicely with an in-progress novaclient implementation, as well as some changes to make it more consistent with other os rest apis.  Changes include:
  * incorporate feedback from brian waldon and brian lamar.  Move associate/disassociate to server actions
  * add tenant_id to api.  without tenant_id, admins can't tell which servers belong to which tenants when retrieving lists
  * Added uuid column in virtual_interfaces table, and an OpenStack extension API for virtual interfaces to expose these IDs.  Also set this UUID as one of the external IDs in the OVS vif driver
  * add user_id and description.  without user_id, there is no way for a tenant to tell which user created the server.  description should be added for ec2 parity
  * Bugfix for lp 828429.  Its still not clear to me exactly how this code path is actually invoked when nova is used, so I'm looking for input on whether we should be adding a test case for this, removing the code as unused, etc.  Thanks
  * Makes all of the binary services launch using the same strategy.  * Removes helper methods from utils for loading flags and logging  * Changes service.serve to use Launcher  * Changes service.wait to actually wait for all the services to exit  * Changes nova-api to explicitly load flags and logging and use service.serve  * Fixes the annoying IOError when /etc/nova/nova.conf doesn't exist
  * Fixed bug in which DescribeInstances was returning deleted instances.  Added tests for pertinent api methods
  * Fixes issue with exceptions getting eaten in image/s3.py if there is a failure during register.  The variables referenced with locals() were actually out of scope
  * We don't have source for open-wrt in the source tree, so we shouldn't use the images.  Since the images are only there for uploading smoketests, They are now replaced with random images
  * Added ability too boot VM from install ISO.  System detects an image of type iso.  Images is streamed to a VDI and mounted to the VM.  Blank disk allocated to VM based on instance type
  * added logic to make the creation of networks (IPv4 only) validation a bit smarter:   - detects if the cidr is already in use   - detects if any existing smaller networks are within the range of requested cidr(s)   - detects if splitting a supernet into # of num_networks && network_size will fit   - detects if requested cidr(s) are within range of already existing supernet (larger cidr)
  * fix InvalidPortRange exception shows up in euca2ools  instead of UnknownError when euca-authorize is specified w/ invalid port #
  * have NetworkManager generate MAC address and pass it to the driver for plugging.  Sets the stage for being able to do duplicate checks on those MACs as well
  * API needs virtual_interfaces.instance joined when pulling instances from the DB.  Updated instance_get_all() to match instance_get_all_by_filters() even though the former is only used by nova-manage now.  (The latter is used by the API)
  * join virtual_interfaces.instance for DB queries for instances.  updates instance_get_all to match instance_get_all_by_filters
  * fix so that the exception shows up in euca2ools  instead of UnknownError
  * zone_aware_scheduler classes couldn't build instances due to a change to compute api's create_db_entry_for_new_instance call.  now passing image argument down to the scheduler and through to the call.  updated a existing test to cover this
  * Fixes broken image_convert.  The context being passed to glance image service was not a real context
  * Trunk contained PEP8 errors.  Fixed
  * Added migration to add uuid to virtual interfaces.  Added uuid column to models
  * For nova-manage network create cmd, added warning when size of subnet(s) being created are larger than FLAG.network_size,  in attempt to alleviate confusion.  For example, currently when 'nova-manage network create foo 192.168.0.0/16', the result is that it creates a 192.168.0.0/24 instead without any indication to why
  * fixed bug , when logic searched for next avail cidr it would return cidrs that were out of range of original requested cidr block.  added test for it
  * re-integrated my changes after merging trunk.  fixed some pep8 issues.  sorting the list of cidrs to create, so that it will create x.x.0.0 with a lower 'id' than x.x.1.0 (as an example).  <- was causing libvirtd test to fail
  * There was a recent change to how we should flip FLAGS in tests, but not all tests were fixed.  This covers the rest of them.  I also added a method to test.UnitTest so that FLAGS.verbose can be set.  This removes the need for flags to be imported from a lot of tests
  * updated to work w/ changes after merged trunk fixing var renaming.  the logic which forces default to FLAGS.network_size if requested cidr was larger, was also applying to requested cidrs smaller than FLAGS.network_size.   Requested cidrs smaller than FLAGS.network_size should be ignored and not overriden
  * Glance has been updated for integration with keystone.  That means that nova needs to forward the user's credentials (the auth token) when it uses the glance API.  This patch, combined with a forth-coming patch for nova_auth_token.py in keystone, establishes that for nova itself and for xenapi; other hypervisors will need to set up the appropriate hooks for their use of glance
  * code was checking for key in sqlalchemy instance and will ignore if value is None, but wasn't working if floating_ip was a non-sqlalchemy dict obj.  Therefore, updated the error checking to work in both caes
  * Adds the auth token to nova's RequestContext.  This will allow for delegation, i.e., use of a nova user's credentials when accessing other services such as glance, or perhaps for zones
  * Round 1 of changes for keystone integration.  * Modified request context to allow it to hold all of the relevant data from the auth component.  * Pulled out access to AuthManager from as many places as possible  * Massive cleanup of unit tests  * Made the openstack api fakes use fake Authentication by default
  * This change creates a minimalist API abstraction for the nova/rpc.py code so that it's possible to use other queue mechanisms besides Rabbit and/or AMQP, and even use other drivers for AMQP rather than Rabbit.  The change is intended to give the least amount of interference with the rest of the code, fixes several bugs in the tests, and works with the current branch.  I also have a small demo driver+server for using 0MQ which I'll submit after this patch is merged
  * this change will require that local urls be input with a properly constructed local url:  http://localhost/v1.1/images/[id].  Such urls are translated to ids at the api layer.  Previously, any url ending with and int was ok
  * Some work on testing.  Two cases related to lp816713 have some coverage already: using an id as an imageRef (test_create_instance_v1_1_local_href), and using a nova href as a url (test_create_instance_v1_1)
  * First pass at converting this stuff--pass context down into vmops.  Still need to fix unit tests and actually use auth_token from the context..
  * added warning when size of subnet(s) being created are larger than FLAG.network_size in attempt to alleviate confusion.  For example, currently when 'nova-manage network create foo 192.168.0.0/16', the result is that it creates a 192.168.0.0/24 instead without any indication to why
  * Moved the VIF network connectivity logic('ensure_bridge' and 'ensure_vlan_bridge') from the network managers to the virt layer.  In addition, VIF driver class is added to allow customized VIF configurations for various types of VIFs and underlying network technologies
  * modified to conform to latest AWS EC2 API spec for authorize & revoke ingress params using the IpPermissions data structure, which nests lists of CIDR blocks (IpRanges) as well as lists of Group data
  * Moved the exception handling of unplugging VIF from virt driver to VIF driver.  Added better comments.  Added OpenStack copyrights to libivrt vifs.py
  * Some code was recently added to glance to allow the is_public filter to be overridden.  This allows us to get all images and filter properly on the nova side until keystone support is in glance. This fixes the issue with private images and snapshots disappearing from the image list
  * Added  call to second coverage invocation
  * Fixed an issue where  was invoked before it was defined in the case of a venv
  * update for ryu's naming changes, fix some bugs.  tested with OVSDriver only so far
  * Fixes bug #807764.  Please disregard previous proposal with incorrect bug #
  * network api release_floating_ip method checks if an instance associated to the floating prior to releasing.  added test
  * renamed priv method arg_to_dict since it's not just used for revoke.  modified to conform to latest AWS EC2 API spec for authorize & revoke ingress params using the IpPermissions data structure, which nests lists of CIDR blocks (IpRanges) as well as lists of Group data
  * Adds greater configuration flexibility to rate limiting via api-paste.ini.  In particular:
  * Adds security groups to metadata server.  Also adds some basic tests for metadata code
  * peer review fix - per vish: 'This method automatically converts unknown formats to ami, which is the same logic used to display unknown images in the ec2 api.  This will allow you to properly deregister raw images, etc.'
  * ec2 api _get_image method logic flaw that strips the hex16 digit off of the image name, and does a search against the db for it and ignores that it may not be the correct image, such as if doing a search for aki-0000009, yet that image name doesn't exist, it strips off aki- and looks for any image_id 0000009 and if there was an image match that happens to be an ami instead of aki, it will go ahead and deregister that.  That behavior is unintended, so added logic to ensure that the original request image_id matches the type of image being returned from database by matching against container_format attr
  * clean up compute_api.get_all filter name remappings.  ditch fixed_ip one-off code.  fixed ec2 api call to this to compensate
  * Refactored OS API code to allow checking of invalid query string paremeters and admin api/context to the index/detail calls.  v1.0 still ignores unknown parameters, but v1.1 will return 400/BadRequest on unknown options.  admin_api only commands are treated as unknown parameters if FLAGS.enable_admin_api is False.   If enable_admin_api is True, non-admin context requests return 403/Forbidden
  * Replace 'like' support with 'regexp' matching done in python.  Since 'like' would result in a full table scan anyway, this is a bit more flexible. Make search options and matching a little more generic Return 404 when --fixed_ip doesn't match any instance, instead of a 500 only when the IP isn't in the FixedIps table
  * Reverses the self.auto_delete = True that was added to TopicPublisher in the bugfix for lp804063.  That bugfix should have only added auto_delete = True to FanoutPublisher to match the previous change to FanoutConsumer
  * Sets 'exclusive=True' on Fanout amqp queues.  We create the queues with uuids, so the consumer should have exclusive access and they should get removed when done (service stop).  exclusive implies auto_delete.  Fixes lp:803165
  * Fanout queues use unique queue names, so the consumer should have exclusive access.  This means that they also get auto deleted when we're done with them, so they're not left around on a service restart.  Fixes lp:803165
  * This speeds up multiple runs of tests to start up much faster because it only runs db migrations if the test db doesn't exist.  It also adds the -r/--recreate-db option to run_tests.sh to delete the tests db so it will be recreated
  * Proposing this because it is a critical fix before milestone.  Suggestions on testing it are welcome
  * Remove the unnecessary insertion of whitespace.  This happens to be enough to make this patch apply on recent versions of XenServer / Xen Cloud Platform
  * LeastCostScheduler wasn't checking for topic cost functions correctly. Added support so that --least_cost_scheduler_cost_functions only needs to have method names specified, instead of the full blown version with module and class name.  Still works the old way, too
  * altho security_group authorize & revoke tests already exist in test_api, adding some direct ec2 api method tests.   added group_id param support to the pertinent security group methods
  * This catches the InstanceNotFound exception on create, and ignores it.  This prevents errors in the compute log, and causes the server to not be built (it should only get InstanceNotFound if the server was deleted right after being created).  This is a temporary fix that should be fixed correctly once no-db-messaging stuff is complete
  * Remove the unnecessary insertion of whitespace.  This happens to be enough to match this patch apply on recent versions of XenServer / Xen Cloud Platform
  * Implements a portion of ec2 ebs boot. What's implemented - block_device_mapping option for run instance with volume   (ephemeral device and no device isn't supported yet) - stop/start instance
  * Fixes two minor bugs (lp795123 and lp795126) in the extension mechanism.  The first bug is that each extension has _check_extension() called twice on it; this is a minor cosmetic problem, but the second is that extensions which flunk _check_extension() are still added.  The proposed fix is to make _check_extensions() return True or False, then make _add_extension() call it from the top and return immediately if _check_extensions() returns False
  * Glance host defaults to  rather than localhost
  * This fixes the server_metadata create and update functions that were returning req.body (as a string) instead of body (deserialized body dictionary object).  It also adds checks where appropriate to make sure that body is not empty (and return 400 if it is).  Tests updated/added where appropriate
  * in XML Serialization of output, the toprettyxml() call would sometimes return a str() and sometimes unicode(), I've forced encoding to utf-8 to ensure that we always get str().  This fixes the related bug
  * This branch allows marker and limit parameters to be used on image listing (index and detail) requests.  It parses the parameters from the request, and passes it along to the glance_client, which can now handle these parameters.  Essentially all of the logic for the pagination is handled in glance, we just pass along the correct parameters and do some error checking
  * This branch removes nwfilter rules when instances are terminated to prevent resource leakage and serious eventual performance degradation.  Without this patch, launching instances and restarting nova-compute eventually become very slow
  * paramiko is not installed into the venv, but is required by smoketests/base.py.  Added paramiko to tools/pip-requires
  * Changes all uses of utcnow to use the version in utils.  This is a simple wrapper for datetime.datetime.utcnow that allows us to use fake values for tests
  * This change set adds the ability to create new servers with an href that points to a server image on any glance server (not only the default one configured).  This means you can create a server with imageRef = http://glance1:9292/images/3  and then also create one with imageRef = http://glance2:9292/images/1.  Using the old way of passing in an image_id still works as well, and will use the default configured glance server (imageRef = 3 for instance)
  * Fixes nova-manage bug.  When a nova-network host has allocated floating ips *AND* some associated, the nova-manage floating list <host> would throw exception because was expecting hash with 'ec2_id' key , however, the obj returned is a sqlalchemy obj and the attr we need is 'hostname'
  * - move osapi-specific wsgi code from nova/wsgi.py to nova/api/openstack/wsgi.py - refactor wsgi modules to use more object-oriented approach to wsgi request handling:     - Resource object steps up to original Controller position     - Resource coordinates deserialization, dispatch to controller, serialization     - serialization and deserialization broken down to be more testable/flexible
  * Adds a few more status messages to error states on image register for the ec2 api.  This will hopefully provide users of the ec2 api with a little more info if their registration fails
  * When encrypting passwords in xenapi's SimpleDH(), we shouldn't send a final newline to openssl, as it'll use that as encryption data.  However, we do need to make sure there's a newline on the end when we write the base64 string for decoding..  Made these changes and updated the test
  * fix calls to openssl properly now.  Only append \n to stdin when decoding.  Updated the test slightly, also
  * fakerabbit's declare_consumer should support more than 1 consumer.  also: make fakerabbit Backend.consume be an iterator like it should be.
  * During the API create call, the API would kick off a build and then loop in a greenthread waiting for the scheduler to pick a host for the instance.  After API would see a host was picked, it would cast to the compute node's set_admin_password method
  * fix test.  instance is not updated in DB with admin password in the API anymore
  * updating admin_pass moved down to compute where the password is actually reset.  only update if it succeeds
  * Make snapshot_id=None a default value in VolumeManager:create_volume().  It is not a regular case to create a volume from a snapshot
  * instead of the API spawning a greenthread to wait for a host to be picked, the instance to boot, etc for setting the admin password...  let's push the admin password down to the scheduler so that compute can just take care of setting the password as a part of the build process
  * Pretty simple.  We call openssl to encrypt the admin password, but the recent changes around this code forgot to strip the newline off the read from stdout
  * Get rid of old virt/images.py functions that are no longer needed.  Checked for any loose calls to these functions and found none.  All tests pass for me
  * This fix ensures that kpartx -d is called in the event that tune2fs fails during key injection, as it does when trying to inject a key into a windows instance.  Bug #760921 is a symptom of this issue, as if kpartx -d is not called then partitions remain mapped that prevent the underlying nbd from being reused
  * Separate out tests for when unfilter is called from iptables vs. nwfilter driver.  Re: lp783705
  * make token use typo that is in database.  Also fix now -> utcnow and stop using . syntax for dealing with tokens
  * I'm assuming that openstack doesnt work with python < 2.6 here (which I read somewhere on the wiki).  This patch will check to make sure python >= 2.6 is installed, and also allow it to work with python 2.7 (and greater in the future)
  * XenAPI was not implemented to allow for multiple simultaneous XenAPI requests.  A single XenAPIConnection (and thus XenAPISession) is used for all queries.  XenAPISession's wait_for_task method would set a self.loop = for looping calls to _poll_task until task completion.  Subsequent (parallel) calls to wait_for_task for another query would overwrite this.  XenAPISession._poll_task was pulled into the XenAPISession.wait_for_task method to avoid having to store self.loop
  * fix for lp760921.  Previously, if tune2fs failed, as it does on windows hosts, kpartx -d also failed to be called which leaves mapped partitions that retain holds on the nbd device.  These holds cause the observed errors
  * Add a test for parallel builds.  verified this test fails before this fix and succeeds after this fix
  * Fixes an issue with conversion of images that was introduced by exception refactoring.  This makes the exceptions when trying to locate an ec2 id clearer and also adds some tests for the conversion methods
  * Add priority based queues to notifications. Remove duplicate json encoding in notifier (rpc.cast does encoding... ) make no_op_notifier  match rabbit one for signature on notify()
  * remove stubbing of XenAPISession.wait_for_task for xenapi tests as it doesn't need to be faked.  Also removed duplicate code that stubbed xenapi_conn._parse_xmlrpc_value
  * Simple fix for this issue.  Tries to raise an exception passing in a variable that doesn't exist, which causes an error
  * Changes to allow a VM to boot from  iso image.  A blank HD is also attached with a size corresponding to the instance type
  * Add a flag to allow the user to specify a dnsmasq configuration file for nova-network to use when starting dnsmasq. Currently the command line option is set to "--config-fil=" with nothing specified.  This branch will leave it as it is if the user does not specify a config file, but will utilize the specific file if they do
  * Added an option to run_tests.sh so you can run just pep8. So now you can:     ./run_tests.sh --just-pep8 or     ./run_tests.sh -p
  * Rework GlanceImageService._translate_base() to not call BaseImageService._translate_base() otherwise the wrong class attributes are used in properties construction..
  * Fixes s3.py to allow looking up images by name.  Smoketests run unmodified again with this change!
  * Added support for listing addresses of a server in the openstack api. Now you can GET  * /servers/1/ips  * /servers/1/ips/public  * /servers/1/ips/private Supports v1.0 json and xml. Added corresponding tests
  * Automatically add the metadata address to the network host.  This allows guests to ARP for the address properly
  * This branch is a patch for fixing below issue. > Bug #746821: live_migration failing due to network filter not found  Link a bug report
  * ApiError code should default to None, and will only display a code if one exists.  Prior was output an 'ApiError: ApiError: error message' string, which is confusing
  * ec2 api run_instances checks for image status must be 'available'.  Overhauled test_run_instances for working set of test assertions
  * Added an option to run_tests.sh so you can run just pep8. So now you can:     ./run_tests.sh --just-pep8 or     ./run_tests.sh -p
  * Add automatic metadata ip to network host on start.  Also fix race where gw is readded twice
  * Added support for listing addresses of a server in the openstack api. Now you can GET  * /servers/1/ips  * /servers/1/ips/public  * /servers/1/ips/private Supports v1.0 json and xml. Added corresponding tests
  * Fixes bug 741246.  Ed Leafe's inject_file method for the agent plugin was mistakenly never committed after having to fix commits under wrong email address.  vmops makes calls to this (previously) missing method
  * Makes the image decryption code use the per-project private key to decrpyt uploaded images if use_project_ca is set.  This allows the decryption code to work properly when we are using a different ca per project
  * TopicAdapterConsumer uses a different callback model than TopicConsumer.  This patch updates the console proxy to use this pattern
  * "Incubator" is no more.  Long live "contrib"
  * Stop nova-manage from reporting an error every time.  Apparently except: catches sys.exit(0)
  * Displays an error message to the user if an exception is raised.  This is vital because if logfile is set, the exception shows up in the log and the user has no idea something went wrong
  * Start up nova-api service on an unused port if 0 is specified.  Fixes bug 744150
  * Updates to the newest version of nova.sh, which includes:  * Installing new python dependencies  * Allows for use of interfaces other than eth0  * Adds a run_detached mode for automated testing
  * Now that it's an extension, it has to be v1.1.  Also fixed up all the things that changed in v1.1
  * Implement metadata resource for Openstack API v1.1. Includes:       -GET /servers/id/meta       -POST /servers/id/meta       -GET /servers/id/meta/key       -PUT /servers/id/meta/key       -DELETE /servers/id/meta/key
  * Implementation of blueprint hypervisor-vmware-vsphere-support.  (Link to blueprint: https://blueprints.launchpad.net/nova/+spec/hypervisor-vmware-vsphere-support)
  * style and spacing  fixed
  * Doh!  Missed two places which were importing the old driver location
  * Earlier versions of the python libvirt binding had getVersion in the libvirt namespace, not on the connection object.  Check both
  * Correctly imports greenthread in libvirt_conn.py.  It is used by live_migrate()
  * Test the login behavior of the OpenStack API.  Uncovered bug732866
  * intermediate progress on vnc-nova integration.  checking in to show vish
  * Implement metadata resource for Openstack API v1.1. Includes:     -GET /servers/id/meta     -POST /servers/id/meta     -GET /servers/id/meta/key     -PUT /servers/id/meta/key     -DELETE /servers/id/meta/key
  * Make the rpc cast/call debug calls show what topic they are sending to.  This aides in debuugging
  * fix for lp712982, and likely a variety of other dashboard error handling issues.  This fix simply causes the default error code for ApiError to be 'ApiError' rather than 'Unknown', which makes dashboard handle the error gracefully, and makes euca error output slightly prettier
  * User ids are strings, and are not necessarily == name.  Also fix so that non-existent user gives a 404, not a 500
  * * Updated document vmware_readme.rst to mention VLAN networking * Corrected docstrings as per pep0257 recommentations. * Stream-lined the comments. * Updated code with locals() where ever applicable. * VIM : It stands for VMware Virtual Infrastructure Methodology. We have used the terminology from VMware.  we have added a question in FAQ inside vmware_readme.rst in doc/source * New fake db: vmwareapi fake module uses a different set of fields and hence the structures required are different. Ex: bridge : 'xenbr0' does not hold good for VMware environment and bridge : 'vmnic0' is used instead. Also return values varies, hence went for implementing separate fake db. * Now using eventlet library instead and removed io_utils.py from branch. * Now using glance.client.Client instead of homegrown code to talk to Glance server to handle images. * Corrected all mis-spelled function names and corresponding calls. Yeah, an auto-complete side-effect!
  * As suggested by Eric Day:  * changed request.environ version key to more descriptive 'api.version'  * removed python3 string formatting  * added licenses to headers on new files
  * Reapplied rename of Openstack -> OpenStack.  Easier to do it by hand than to ask Bazaar to do it
  * Merged with trunk.  Had to hold bazaar's hand as it got lost again
  * Implemented Hyper-V list_instances_detail function.  Needs a cleanup by someone that knows the Hyper-V code
  * So the first of those tests doesn't pass.  Removing as it looks like it was meant to be deleted
  * Re-removed the code that was deleted upstream but somehow didn't get merged in.  Bizarre!
  * Test login.  Uncovered bug732866
  * Modifies S3ImageService to wrap LocalImageService or GlanceImageService.  It now pulls the parts out of s3, decrypts them locally, and sends them to the underlying service.  It includes various fixes for image/glance.py, image/local.py and the tests
  * Fixes nova.sh to run properly the first time.  We have to get the zip file after nova-api is running
  * Fixes a race condition where multiple greenthreads were attempting to resize a file at the same time.  Adds tests to verify that the image caching call will run concurrently for different files, but will block other greenthreads trying to cache the same file
  * removed uneeded  **kw args leftover from removed account-in-url changes
  * * pep8 cleanups in migrations  * a few bugfixes
  * Merged with trunk and fixed conflict.  Sigh
  * Inhibit inclusion of stack traces in the logs UNLESS --verbose has been specified.  This should help keep the logs compact, helping admins find the messages they're interested in (e.g., "Can't connect to MySQL server on '127.0.0.1' (111)") without having to sort through the stack traces, while still allowing developers to see those traces at will
  * * os_type is no longer `not null`
  * Updated with flags for nova-compute, nova-network and nova-console. Added the flags,  --vlan_interface=<Physical ethernet adapter name in VMware ESX host for vlan networking E.g vmnic0>  --network_driver=nova.network.vmwareapi_net [Optional, only for VLAN Networking]  --flat_network_bridge=<ESX Virtual Machine Port Group> [Optional, only for Flat Networking]  --console_manager=nova.console.vmrc_manager.ConsoleVMRCManager  --console_driver=nova.console.vmrc.VMRCSessionConsole [Optional for OTP (One time Passwords) as against host credentials]  --vmwareapi_wsdl_loc=<http://<WEB SERVER>/vimService.wsdl>
  * 1) merge trunk 2) removed preconfigure_xenstore 3) added jkey for broadcast address in inject_network_info 4) added 2 flags: 	4.1) xenapi_inject_image (default True) 	This flag allows for turning off data injection by mounting the image in the VDI 	(agreed with Trey Morris) 	4.2) xenapi_agent_path (default /usr/bin/xe-update-networking) 	This flag specifies the path where the agent should be located. It makes sense only 	if the above flag is True. If the agent is found, data injection is not performed
  * Add some methods to the ec2 admin api to work with VPNs.  Also implements and properly documents the get_hosts method
  * Support HP/LeftHand SANs.  We control the SAN by SSHing and issuing CLIQ commands.  Also improved the way iSCSI volumes are mounted: try to store the iSCSI connection info in the volume entity, in preference to doing discovery.  Also CHAP authentication support
  * Fixes and optimizes filtering for describe_security_groups.  Also adds a unit test
  * The kernel_id and the ramdisk_id are optional, yet the OpenStack API was requiring them.  In addition, with the ObjectStore these properties are not under 'properties' (as they are with Glance)
  * Initial support for per-instance metadata, though the OpenStack API.  Key/value pairs can be specified at instance creation time and are returned in the details view.  Support limits based on quota system
  * Add flags for listen_port to nova-api.  This allows us to listen on one port, but return another port (for a proxy or load balancer) in calls like describe_regions, etc
  * Fixed based on reviewer's comment. 1. DB schema change    vcpu/memory/hdd info were stored into Service table.    but reviewer pointed out to me creating new table is better    since Service table has too much columns
  * The OpenStack API was using the 'secret' as the 'access key'.  There is an 'access key' and there is a 'secret key'.  Access key ~= username.  Secret key ~= password.  This fix is necessary for the OpenStack Python API bindings to log in
  * * Removed VimService_services.py & VimService_services_types.py to reduce the diffs to normal.   These 2 files are auto-generated files containing stubs for VI SDK API end points.   The stub files are generated using ZSI SOAP stub generator module ZSI.commands.wsdl2py over   Vimservice.wsdl distributed as part of VMware Virtual Infrastructure SDK package.   To not include them in the repository we have few options to choose from,   1) Generate the stub files in build time and make them available as packages for distribution.   2) Generate the stub files in installation/configuration time if ESX/ESXi server is detected as compute provider.   Further to this, we can try to reduce the size of stub files by attempting to create stubs only for the API end points required by the module vmwareapi
  * * Removed nova/virt/guest-tools/guest_tool.bat &   nova/virt/guest-tools/guest_tool.sh as guest_tool.py   can be invoked directly during guest startup
  * Fixes ldapdriver so that it works properly with admin client.  It now sanitizes all unicode data to strings before passing it into ldap driver.  This may need to be rethought to work properly for internationalization
  * -from migrate.versioning import exceptions as versioning_exceptions + +try: +    from migrate.versioning import exceptions as versioning_exceptions +except ImportError: +    try: +        # python-migration changed location of exceptions after 1.6.3 +        # See LP Bug #717467 +        from migrate import exceptions as versioning_exceptions +    except ImportError: +        sys.exit(_("python-migrate is not installed. Exiting."))
  * When re-throwing an exception, use "raise", not "raise e".  This way we don't lose the stack trace
  * This fixes a lazy-load issue in describe-instances, which causes a crash.  The solution is to specifically load the network table when retrieving an instance
  * 1. Merged to rev654(?) 2. Fixed bug continuous request.    if user continuouslly send live-migration request to same host,    concurrent request to iptables occurs, and iptables complains.    This version add retry for this issue
  * Added support for 'SAN' style volumes.  A SAN's big difference is that the iSCSI target won't normally run on the same host as the volume service
  * Added test case for 'not enough memory' Successfully ran  unit tests Fixed pep8 errors
  * Use firewall_driver flag as expected with NWFilterFirewall.  This way, either you use NWFilterFirewall directly, or you use IptablesFirewall, which creates its own instance of NWFilterFirewall for the setup_basic_filtering command.  This removes the requirement that LibvirtConnection would always need to know about NWFirewallFilter, and cleans up the area where the flag is used for loading the firewall class
  * Fix regression in s3 image service.  This should be a feature freeze exception
  * Fixing documentation strings.  Second attempt at pep8
  * Removal of image tempdir in test tearDown.  Also, reformatted a couple method comments to match the file's style
  * Add DescribeInstanceTypes to admin api.  This lets the dashboard know what sizes can be launched (using the -t flag in euca-run-instances, for example) and what resources they provide
  * This branch updates docs to reflect the db sync addition.  It additionally adds some useful errors to nova-manage to help people that are using old guides.  It wraps sqlalchemy errors in generic DBError. Finally, it updates nova.sh to use current settings
  * Wraps the NotFound exception at the api layer to print the proper instance id.  Does the same for volume.  Note that euca-describe-volumes doesn't pass in volume ids properly, so you will get no error messages on euca-describe-volumes with improper ids.  We may also need to wrap a few other calls as well
  * No longer hard coding to "/tmp/nova/images/".   Using tempdir so tests run by different people on the same development machine pass
  * Switches from project_get_network to network_get_by_instance, which actually works with all networking modes.  Also removes a couple duplicate lines from a bad merge
  * Fix describe_regions by changing renamed flags.  Also added a test to catch future errors
  * Wrap instance at api layer to print the proper error.  Use same logic for volumes
  * Change default log formats so that:  * they include a timestamp (necessary to correlate logs)  * no longer display version on every line (shorter lines)  * use [-] instead of [N/A] (shorter lines, less scary-looking)  * show level before logger name (better human-readability)
  * Fix metadata using versions other than /later.  Patch via ~ttx
  * merged  to trunk rev572
  * This disables ipv6 by default.  Most use cases will not need it on and it makes dependencies more complex
  * s/cleanup/volume.  volume commands will need their own ns in the long run
  * fixes related to #701749.  Also, added nova-manage commands to recover from certain states:
  * This removes the need for the custom udev rule for iscsi devices.  It instead attaches the device based on /dev/disk/by-path/ which should make the setup of nova-volume a little easier
  * Risk of Regression: This patch don’t modify existing functionlities, but I have added some.     1. nova.db.service.sqlalchemy.model.Serivce (adding a column to database)     2. nova.service ( nova-compute needes to insert information defined by 1 above)
  * Change where paste.deploy factories live and how they are called.  They are now in the nova.wsgi.Application/Middleware classes, and call the __init__ method of their class with kwargs of the local configuration of the paste file
  * Further decouple api routing decisions and move into paste.deploy configuration.  This makes paste back the nova-api binary
  * This branch fixes two outstanding bugs in compute.  It also fixes a bad method signature in network and removes an unused method in cloud
  * Re-removes TrialTestCase.  It was accidentally added in by some merges and causing issues with running tests individually
  * import re, remove extra call in cloud.py.  Move get_console_output to compute_api
  * This modifies libvirt to use CoW images instead of raw images.  This is much more efficient and allows us to use the snapshotting capabilities available for qcow2 images.  It also changes local storage to be a separate drive instead of a separate partition
  * pep8.  Someday I'll remember 2 blank lines between module methods
  * Fixes bug #701055.  Moves code for instance termination inline so that the manager doesn't prematurely mark an instance as deleted.  Prematurely doing so causes find calls to fail, prevents instance data from being deleted, and also causes some other issues
  * Fixes #701055.  Move instance termination code inline to prevent manager from prematurely marking it as destroyed
  * Added unit tests for the xenapi-glance integration.  This adds a glance simulator that can stub in place of glance.client.Client, and enhances the xapi simulator to add the additional calls that the Glance-specific path requires
  * This branch adds web based serial console access.  Here is an overview of how it works (for libvirt):
  * Quick bugfix.  Also make the error message more specific and unique in the equivalent code in the revoke method
  * Fixed a number of issues with the iptables firewall backend:  * Port specifications for firewalls come back from the data store as integers, but were compared as strings.  * --icmp-type was misspelled as --icmp_type (underscore vs dash)  * There weren't any unit tests for these issues
  * Fixed a number of issues with the iptables firewall backend:  * Port specifications for firewalls come back from the data store as integers, but were compared as strings.  * --icmp-type was misspelled as --icmp_type (underscore vs dash)  * There weren't any unit tests for these issues
  * A few more changes to the smoeketests.  Allows smoketests to find the nova package from the checkout.  Adds smoketests for security groups.  Also fixes a couple of typos
  * Checks for existence of volume group using vgs instead of checking to see if /dev/nova-volumes exists.  The dev is created by udev and isn't always there even if the volume group does exist
  * fixed small glitch in _fetch_image_glance  virtual_size = imeta['size']
  * First cut at implementing partition-adding in combination with the Glance streaming.  Untested
  * Fixes format_instances error by passing reservation_id as a kwarg instead of an arg.  Also removes extraneous yields in test_cloud that were causing tests to pass with broken code
  * Remove module-level factory methods in favor of having a factory class-method on wsgi components themselves.  Local options from config are passed to the __init__ method of the component as kwargs
  * Add blank __init__ file for fixing importability.  The stale .pyc masked this error locally
  * Uses paste.deploy to make application running configurable.  This includes the ability to swap out middlewares, define new endpoints, and generally move away from having code to build wsgi routers and middleware chains into a configurable, extensible method for running wsgi servers
  * Adds the pool_recycle option to the sql engine startup call.  This enables connection auto-timeout so that connection pooling will work properly.  The recommended setting (per sqlalchemy FAQ page) has been provided as a default for a new configuration flag.  What this means is that if a db connection sits idle for the configured # of seconds, the engine will automatically close the connection and return it to the available thread pool.  See Bug #690314 for info
  * Add burnin support.  Services are now by default disabled, but can have instances and volumes run on them using availability_zone = nova:HOSTNAME.  This lets the hardware be put through its paces without being put in the generally available pool of hardware.  There is a 'service' subcommand for nova-manage where you can enable, disable, and list statuses of services
  * merge recent revision(version of 2010/12/28) Change:    1. Use greenthread instead of defer at nova.virt.libvirt_conn.live_migration.    2. Move nova.scheduler.manager.live_migration to nova.scheduler.driver    3. Move nova.scheduler.manager.has_enough_resource to nova.scheduler.driver    4. Any check routine in nova-manage.instance.live_migration is moved to       nova.scheduler.driver.schedule_live_migration
  * Add the pool_recycle setting to enable connection pooling features for the sql engine.  The setting is hard-coded to 3600 seconds (one hour) per the recommendation provided on sqlalchemy's site
  * This branch fixes an issue where VM creation fails because of a missing flag definition for 'injected_network_template'.  See Bug #695467 for more info
  * Re-added flag definition for injected_network_template.  Tested & verified fix in the same env as the original bug
  * Make nova work even when user has LANG or LC_ALL configured
  * removing xen/uml specific switches.  If they need special treatment, we can add it
  * merge trunk, fixed unittests, added i18n strings, cleanups etc etc
  * Adds a flag to use the X-Forwarded-For header to find the ip of the remote server.  This is needed when you have multiple api servers with a load balancing proxy in front.  It is a flag that defaults to False because if you don't have a sanitizing proxy in front, users could masquerade as other ips by passing in the header manually
  * Puts the creation of nova iptables chains into the source code and cleans up rule creation.  This makes nova play more nicely with other iptables rules that may be created on the host
  * prototype works with kvm.  now moving call from api to compute
  * Rewrite of vif_rules.py to meet coding standards and be more pythonic in general.  Use absolute paths for iptables/ebtables/arptables in host-rules
  * テストコードをレポジトリに追加 nova.compute.manager.pre_live_migration()について、異常終了しているのに正常終了の戻り値を返すことがあったため変更  - 正常終了の戻り値をTrueに変更  - fixed_ipが見つからないときにはRemoteErrorをraiseする  - それに合わせてnova.compute.manager.live_migrationも変更
  * テストコードをレポジトリに追加 nova.compute.manager.pre_live_migration()について、異常終了しているのに正常終了の戻り値を返すことがあったため変更  - 正常終了の戻り値をTrueに変更  - fixed_ipが見つからないときにはRemoteErrorをraiseする  - それに合わせてnova.compute.manager.live_migrationも変更
  * Make nova work even when user has LANG or LC_ALL configured
  * The ppa was moved.  This updates nova.sh to reflect that
  * Initial work on i18n.  This adds the installation of the nova domain in gettext to all the "endpoints", which are all the bin/* files and run_tests.py
  * filter describe volumes by supplied ids.  Includes unittest
  * Don't wrap HTTPAccepted in a fault.  Correctly pass kwargs to update_instance
  * Decreased the maximum value for instance-id generation from uint32 to int32 to avoid truncation when being entered into the instance table.  Reverted fix to make internal_id column a uint
  * Oops, update 'display_name', not 'name'.  And un-extract-method
  * Guarantee that the OpenStack API's Server-related responses will always contain a "name" value.  And get rid of a redundant field in models.py
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev225:
  * Migrate compute node resource information to Inventory objects
  * Drop compute node uuid online migration code
  * Fix max concurrent builds's unlimited semaphore
  * XenAPI: specify block size for writing config drive
  * Make swap-volume an admin-only API by default
  * Stop using mox in test_security_groups
  * avoid microversion header in functional test
* Mon Apr 11 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev213:
  * Fix database poison warnings
  * Add link to the latest nova.conf example
  * Rewrite 'test_filter_schedule_skipping' method using Mock
  * Fixes hex decoding related unit tests
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev207:
  * Improve the help text for the linuxnet options (1)
  * Add "__repr__" method to class "Service"
  * Add api-ref/build/* to .gitignore
  * Check if a exception has a code on it before read the code
  * Fix typo in comments of affinity and anti-affinity
  * Return 400 on boot for invalid image metadata
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev196:
  * Updated from global requirements
  * remove alembic from requirements.txt
  * Config options: centralize section "xvp"
  * Imported Translations from Zanata
  * Updated from global requirements
  * allow samples testing for PUT to not have a body
  * Fix typo in compute node mega join comments
  * Improve help text for the network object options
  * Add metadata objects for device tagging
  * Add tag column to vifs and bdm
  * libvirt: Allow use of live snapshots with RBD snapshot/clone
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version nova-13.0.1.dev176:
  * Moved tags filtering tests to TestInstanceTagsFiltering test case
  * Move config options from nova/network/linux_net.py
  * config options: centralize quota options
  * Config options: Centralize console options
  * Config options: Centralize notification options
  * Added server tags support in nova-api
  * Added server tags controller
  * Added db API layer to add instance tag-list filtering support
  * Config options: Centralize ipv6 options
  * Improve 'monkey_patch' conf options documentation
  * config options: Move crypto options into a group
  * Remove extensible resource tracking
  13.0.0
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix detach SR-IOV when using LibvirtConfigGuestHostdevPCI
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update cells blacklist regex for test_server_basic_ops
  * Stop providing force_hosts to the scheduler for move ops
  * Fix typos in document
  13.0.0.0rc2
  * Imported Translations from Zanata
  * Try to repopulate instance_group if it is None
  * Fix typo 'mappgins' to 'mappings'
  * Imported Translations from Zanata
  * stop setting mtu when plugging vhost-user ports
  * Imported Translations from Zanata
  * Fix conversion of config disks to qcow2 during resize/migration
  * xenapi: Fix when auto block_migration in the API
  * xenapi: Fix up passing of sr_uuid_map
  * xenapi: Fix the live-migrate aggregate check
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update .gitreview for stable/mitaka
  * Add functional test for OverQuota
  * Translate OverLimit exceptions in Cinder calls
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev308:
  * Improve 'workarounds' conf options documentation
  * Config options: centralize "configdrive" options
  * config options: centralize baseproxy cli options
  * Fix import statement order in nova/rpc.py
  * Document our policy on fixing v2.0 API bugs
  * Config options: Centralize neutron options
  * Fix up online_data_migrations manage command to be consistent
  * config options: centralize xenserver vmops opts
  * Config options: Centralize xenapi driver options
  * config options: centralize xenserver vm_utils opts
  * Remove flavor seeding from the base migration
  * Rely on devstack to skip rescue tests for cells v1
  * Replace topic with topics for messaging.Notifier
  * Fix flavor migration tests and edge case found
  * config options: Centralize vmware section
  * Ironic: Use ironicclient native retries for connection errors
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev279:
  * Updated from global requirements
  * conf: Remove 'destroy_after_evacuate'
  * config options: centralize section: "crypto"
  * config options: Centralise 'monkeypatch' options
  * config options: Centralise 'utils' options
  * doc: clean up oslo-incubator related stuff
  * config option generation doesn't work with a generator
  * Change the nova tempest blacklist to use to idempotent ids
  * Remove DictCompat from mapping objects
  * Enhance value check for option notify_on_state_change
  * config options: Centralize upgrade_levels section
  * config options: Centralize mks options
  * Remove DictCompat from S3 object
  * Define context.roles using base class
  * config options: centralize section "guestfs"
  * config options: Centralize 'nova.rpc' options
  * Fix not supported error message
  * Move resource provider staticmethods to proxies
  * VMware: Always update image size for sparse image
  * Soft delete instance group member when delete instance
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev240:
  * config options: centralize section "service"
  * TrivialFix: removed unnecessary cycle in servicegroup/test_api.py
  * Handle pre-migration flavor creation failures in the crusty old API
  * config options: centralize section "workarounds"
  * Cleanup NovaObjectDictCompat from BandwidthUsage
  * config options: fix the missed cli options of novncproxy
  * Nuke cliutils from oslo-incubator
  * libvirt: pci detach devices should use dev.address
  * Updated from global requirements
  * config options: Centralize xenapi torrent options
  * Move config options from nova/objects/network.py
  * Fix error message of nova baremetal-node-delete
  * Enhanced error handling for rest_parameters parser
  * config options: Centralise 'image_file_url' options
  * Add Service.get_minimum_version_multi() for multiple binaries
  * Make git clean actually remove covhtml
  * Make compute_node_statistics() use new schema
  * Config options: Centralize consoleauth options
  * config options: centralize section "cloudpipe"
  * After migrate in-use volume the BDM information lost
  * VMware: Use Port Group and Key in binding details
  * Remove mox from tests/functional/api_sample_tests/test_cells.py
  * Add NetworkRequestList.from_tuples helper
  * Remove unused argument v3mode
  * Add a hacking check for test method closures
* Sun Apr  3 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev190:
  * Fix: unable to delete instance when cinder is down
  * Block flavor creation until main database is empty
  * Further hack up the n.t.unit.db.fakes module of horribleness
  * libvirt: fix ivs test to use the ivs vif object
  * libvirt: pass a real instance object into vif plug/unplug methods
  * Remove mox from tests/unit/api/openstack/compute/test_baremetal_nodes.py
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev179:
  * Add flavor migration routine
  * Make Flavor create() and destroy() work against API DB
  * neutron: Update the port with a MAC address for PFs
  * The 'record' option of the WebSocketProxy should be string
  * config options: centralize section: "glance"
  * remove the ability to disable v2.1
  * pci: Add utility method for getting the MAC addr
  * Config options: Centralize resource tracker options
  * Remove DictCompat from ComputeNode
  * config options: Centralise 'virt.imagecache' options
  * config options: remove the scheduler import_opt()s
  * Improve the help text for hyperv options (3)
  * Improve the help text for hyperv options (2)
  * Remove a redundant 'that'
  * config options: Centralize xenapi options
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev151:
  * Set 'libvirt.sysinfo_serial' to 'none' in RealTimeServersTest
  * remove glance deprecated config
  * Allow to update resource per single node
  * neutron: pci_request logic considers 'direct-physical' vnic type
  * Add sample API content
  * Create api-ref docs site
  * Config options: Centralize debugger options
  * Removes some redundant words
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev136:
  * Improve the help text for hyperv options (1)
  * Cleanup NovaObjectDictCompat from NumaTopology
  * Cleanup the exception LiveMigrationWithOldNovaNotSafe
  * config options: centralize section: "keymgr"
  * Live migration failure in API leaves VM in MIGRATING state
  * Change "libvirt.xml" back to the original after doing unrescue
  * config options: centralize section "monitors"
  * Fix API Error on hypervisor-uptime API
  * VMware: make the opaque network attachment more robust
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev118:
  * Add a vnic type for PF passthrough and a new libvirt vif driver
  * libvirt: live_migration_flags/block_migration_flags default to 0
  * Populate instance_mappings during boot
  * Fix detach SR-IOV when using LibvirtConfigGuestHostdevPCI
  * Reduce number of db calls during image cache manager periodic task
  * Allow ironic driver to specify cafile
  * Fixup test_connection_switch functional test
  * config options: centralize section: "rdp"
  * Config options: centralize section "hyperv"
  * <VMWare> Allocate free bus for new SCSI controller
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev99:
  * libvirt: exercise vif driver 'plug' method in tests
  * config options: centralize xenserver options
  * Update cells blacklist regex for test_server_basic_ops
  * Config options: Centralize ldapdns options
* Mon Mar 28 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev93:
  * Enforce migration tests for api database
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev91:
  * Objectify test_flavors and test_flavors_extra_specs
  * trivial: Fix alignment of wsgi options
  * config options: Remove 'wsgi_' prefix from opts
  * Imported Translations from Zanata
  * Stop providing force_hosts to the scheduler for move ops
  * Make flavor extra_specs operations work against the API DB
  * Move config options from nova/network/manager.py
  * config options: Use OptGroup for listing options
  * config options: Move wsgi options into a group
  * config options: Centralise floating ip options
  * Add Newton sanity check migration
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev69:
  * Include CellMapping in InstanceMapping object
  * Make Flavor access routines work against API database
  * Clarify the ``use_neutron`` option upgrade notes
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev64:
  * Try to repopulate instance_group if it is None
  * Make FlavorList.get_all() return results from the API and main DBs
  * Objectify some tests in test_compute and test_flavors
  * Objectify test_instance_type_extra_specs
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev56:
  * Fix SAWarning in _flavor_get_by_flavor_id_from_db
  * Add a DatabasePoisonFixture
  * Removes redundant object fields
  * Add os-brick rootwrap filter for privsep
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev50:
  * Added missing "=" in debug message
  * Fix JSON format of server_concepts
  * Removal of unnecessary `import_opt`s for centralized config options
  * Add backrefs to api db models
  * stop setting mtu when plugging vhost-user ports
  * test_fields: Remove all 'Enum' subclass tests
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev39:
  * Remove /v1.1 endpoint from api-guide
  * Trivial: Use exact docstring for quota module
  * VMware: use datacenter path to fetch image
  * Remove duplicated oslo.log configuration setup
* Sun Mar 20 2016 dmueller@suse.com
- add python-nova as buildrequires
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev34:
  * Fix retry mechanism for generator results
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev33:
  * Update reno for stable/mitaka
  * Blacklist TestOSAPIFixture.test_responds_to_version in python3
  * Fix conversion of config disks to qcow2 during resize/migration
  * Remove auto generated module api documentation
  * Mark 2.25 as Mitaka maxmium API version
  * xenapi: Fix when auto block_migration in the API
  * xenapi: Fix up passing of sr_uuid_map
  * Error on API Guide warnings
  * Support-matrix of vmware for chap is wrong
  * Remove duplicate test case flavor_create
* Fri Mar 18 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0rc2.dev15:
  * Make Flavor.get operations prefer the API database
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev13:
  * Update to openSUSE versions
  * xenapi: Fix the live-migrate aggregate check
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev9:
  * Add placeholder migrations for Mitaka backports
  * Replace deprecated LOG.warn with LOG.warning
  * Replace deprecated LOG.warn with LOG.warning
  * pci: avoid parsing whitelist repeatedly
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0rc2.dev4:
  * Set RPC version aliases for Mitaka
  13.0.0.0rc1
  * Fix reno reverts that are still shown
  * Add a prelude section for Mitaka relnotes
  * Fix reno for RC1
  * Imported Translations from Zanata
  * Typo fix in documentation
  * Redundant parentheses removed
  * hyper-v: Copies back files on failed migration
  * Add regression test for Cinder 403 forwarding
  * linux_net: use new exception for ovs-vsctl failures
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev213:
  * Add a cell and host mapping utility to nova-manage
  * Add release note for policy sample file update
  * Fix vmware quota extra specs reno formatting
  * Avoid lazy-loads of ec2_ids on Instance
  * pci - Claim devices outside of Claim constructor
  * Add reno for disco driver
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev201:
  * register the config generator default hook with the right name
  * Get instance security_groups from already fetched instance
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0b4.dev197:
  * fixed typo in word "OpenStack"
  * libvirt: Comment non-obvious security implications of migrate code
* Mon Mar 14 2016 cloud-devel@suse.de
- Update to version nova-13.0.0.0b4.dev193:
  * Revert "virt: reserved hugepages on compute host"
  * Make tuple actually a tuple
  * Use migrate_data.block_migration instead of block_migration
  * Fix pre_live_migration result processing from legacy computes
  * Insure resource tracker updated for deleted instances
  * virt: reserved hugepages on compute host
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version nova-13.0.0.0b4.dev182:
  * libvirt: check for optional LibvirtLiveMigrateData attrs before loading
  * Change SpawnIsSynchronous fixture return
  * Report instance-actions for live migration force complete API
  * Add release notes for security fixes in 13.0.0 mitaka GA
  * API: Raise up HTTPNotFound when no availabe while get_console_output
  * Update the doc of notification
  * Add include_disabled parameter to service_get_all_by_binary
  * Imported Translations from Zanata
  * Set personality/injected_files to empty list if not specified
  * Fix processing of libvirt disk.info in non-disk-image cases
  * Add Forbidden to caught cinder exceptions
  * Missing info_cache.save() in db sqlalchemy api
  * tests: Add some basic compute_api tests for attaching volumes
  * Clean up networks with SR-IOV binding on reschedule
  * virt: refactor method compute_driver_matches
  * Make force_ and ignore_hosts comparisons case insensitive
  * xenapi: fix when tar exits early during download
  * Address nits in I83a5f06ad
  * Fix config generation for Neutron auth options
  * Remove an unused method in FakeResourceTracker
  * plugins/xenserver: Resolve PEP8 issues
  * Remove unused variable and redundant code path
  * libvirt: make snapshots call suspend() instead of reimplementing it
  * Use generic wrapper for cinder exceptions
  * Add Database fixture to sync to a specific version
  * Drop the use of magic openstack project_id
  * Aggregate object fixups
  * Address nits in Ia2296302
  * libvirt: Always copy or recreate disk.info during a migration
  * nova-manage: Print, not raise, exceptions
  * XenAPI:Resolve Nova/Neutron race condition
  * update the deprecated ``security_group_api`` and ``network_api_class``
  * [Ironic]Match vif-pif mac address before setting 'vif_port_id'
  * Correct the wrong usage of 'format' jsonschema keyword in servers API
  * Add ComputeNode and Aggregate UUID operations to nova-manage online migrations
  * Extend FakeCryptoCertificate.cert_not_valid_after to 2 hours
  * Revert "functional: Grab the service version from the module"
  * libvirt: Fix resize of instance with deleted glance image
  * Reno for libvirt libosinfo with OS
  * Fix hyperv use of deprecated network_api_class
  * Fix v2.12 microversion REST API history doc
  * Add docstrings for nova.network.base_api.get_vifs_by_instance
  * Reno for Ironic api_version opt deprecation
  * Release notes: online_data_migrations nova-manage command
  * nova-manage: Declare a PciDevice online migration script
  * Make test cases test_crypto.py from NoDBTestCase
  * Ironic: remove backwards compatibility code
  * RT: aborting claims clears instance host and NUMA info
  * Provide correct connector for evacuate terminate
  * Reset instance progress when LM finishes
  * Forbid new legacy notification event_type
  * API: Mapping ConsoleTypeInvalid exception to HTTPBadRequest
  * VMware: remove deprecation warnings from oslo_versionedobjects
  * Reject empty-named AZ in aggregate metadata
  * Remove unused methods in nova/utils.py
  * Fix string interpolations at logging calls
  * Generate better validation error message when using name regexes
  * Return 400 for os-virtual-interfaces when using Neutron
  * Dump metric exception text to logs
  * Updated from global requirements
  * Use SensitiveStringField for BlockDeviceMapping.connection_info
  * Add index on instances table across deleted/created_at columns
  * Tweak the resize_confirm_window help text
  * Enable rebuild tests in cellsv1 job
  * libvirt: clean up help text for live_migration_inbound_addr option
  * Add release note for nova using neutron mtu value for vif plugging
  * deprecate security_group_api config option
  * update tests for use_neutron=True; fix exposed bugs
  * deprecate ``volume_api_class`` and ``network_api_class``
  * deprecate ``compute_stats_class`` config option
  * Deprecate the ``vendordata_driver`` config option
  * Deprecate db_driver config option
  * deprecate manager class options
  * remove default=None for config options
  * Check 'destination_type' instead of 'source_type' in _check_and_transform_bdm
  * Documentation fix regarding triggering crash dump
  * Use db connection from RequestContext during queries
  * Ironic: Clean up if configdrive build fails
  * Revert "Generate better validation error message when using name regexes"
  * Add unit tests for live_migration_cleanup_flags
  * Replaced unittest and unittest2 to testtools
  * Sample nova.conf file has missing/duplicated config options
  13.0.0.0b3
  * Fix missing of unit in HostState.__repr__()
  * Make InstanceMappings.cell_id nullable
  * Create BuildRequest object during boot process
  * Add BuildRequest object
  * Api_version_request.matches does not accept a string or None
  * Added Keystone and RequestID headers to CORS middleware
  * Generate better validation error message when using name regexes
  * XenAPI: introduce unit test for XenAPI plugins
  * Abstract a driver API for triggering crash dump
  * Fix evacuate support with Nova cells v1
  * libvirt: don't attempt to get baseline cpu features if host cpu model is None
  * Ensure there are no unreferenced closures in tests
  * libvirt: set libvirt.sysinfo_serial='none' for virt driver tests
  * libvirt: Add ppc to supported arch for NUMA
  * Use new inventory schema in all compute_node gets
  * Remove unused libvirt _get_all_block_devices and _get_interfaces
  * Use new inventory schema in compute_node_get_all()
  * Deprecate nova.hooks
  * Adjust resource-providers models for resource-pools
  * Fix Cells RPC API by accepting a RequestSpec arg
  * API: Improve os-migrateLive input parameters
  * Allow block_migration and disk_over_commit to be None
  * Update time is not updated when metadata of aggregate is updated
  * complete the removal of api_version from rest client parameters
  * objects: add HyperVLiveMigrateData stub
  * functional: Grab the service version from the module
  * Added missed '-' to the rest api history doc
  * Gracefully handle cancelling all events more than once
  * Cleanup service.kill calls in functional tests
  * Do not use constraints for venv
  * VMware: Use actual VM state instead of using the instance vm_state
  * Do not pass call_xenapi unmarshallable type
  * check max_net_count against min_count when booting
  * objects: Allow instance to reset the NUMA topology
  * Mark 'network_device_mtu' as deprecated
  * Add service binary/host to service is down log for context
  * Abort an ongoing live migration
  * Add new APIs and deprecate old API for migrations
  * Deprecate conductor manager option
  * Xen: Calculate block_migration if it's None
  * Libvirt: Calculate block_migration if it's None
  * NUMATopologyFilter raise exception and not continue filter next node
  * Updated from global requirements
  * Add specific method to lazy-load instance.pci_devices
  * Update the help for deprecated glance host/port/protocol options
  * Added missing execution of the test
  * Add build_requests database table and model
  * Make db.aggregate_get a reader not a writer
  * Remove an unnecessary variable in a unit test
  * Don't lazy-load instance.services if the instance is deleted
  * Add functional regression test for list deleted instances on v2.16
  * Use constant_time_compare from oslo.utils
  * Remove APIRouterV3
  * reduce pep8 requirements to just hacking
  * fix usage of opportunistic test cases with enginefacade
  * add regression test for bug #1541691
  * Creates flavor* tables in API database
  * Add test for unshelve in the conductor API
  * add a place for functional test to block specific regressions
  * make microversion a client level construct for tests
  * Allocate uuids for aggregates as they are created or loaded
  * bug and tests in 'instance_info_cache'
  * fix typo in comment
  * Fix conductor to *really* pass the Spec obj
  * Updated from global requirements
  * Catch iscsi VolumeDeviceNotFound when detaching
  * Add note about using OS-EXT-* prefix for attribute naming
  * Remove use of `list` as variable name
  * resource-provider versioned objects
  * Fix networking exceptions in ComputeTestCase
  * Fix online_data_migrations() not passing context
  * Fix two bugs in online_data_migrations()
  * Make online_data_migrations do smaller batches in unlimited case
  * Use MTU value from Neutron in OVS/LB VIF wiring
  * tox: Remove 'oslo.versionedobjects' dependency
  * Fix API Guide doc
  * Add functional regression test for bug 1552888
  * Fix an unnecessary interpolation
  * Change wording of microversion bump about 503
  * Validate subs in api samples base class to improve error handling
  * Add a column for uuid to aggregate_hosts
  * Hyper-V: Removes pointless check in livemigrationops
  * XenAPI: Fix VIF plug and unplug problem
  * Update ComputeNode values with disk allocation ratios in the RT
  * Update HostManager and DiskFilter to use ComputeNode disk ratio
  * Add disk_allocation_ratio to ComputeNode
  * config options: Centralise 'virt.disk' options
  * config options: Centralise 'virt.netutils' options
  * Improve 'virt.firewall' conf options documentation
  * config options: Centralise 'virt.firewall' options
  * Improve 'virt.images' conf options documentation
  * config options: Centralise 'virt.images' options
  * Update wrong comment
  * Fix misuse of assertTrue in console and virt tests
  * Failed migration shoudn't be reported as in progress
  * Fix missing of unit in debug info
  * always use python2.7 for pep8
  * servicegroup: remove the zookeeper driver
  * Hacking: check for deprecated os.popen()
  * Log successful reverts_task_state calls
  * Hyper-V: os_win related updates
  * Partial revert of ec2 removal patch
  * Fixed leaked UnexpectedMethodCallErrors in test_compute
  * Unshelve using the RequestSpec object
  * Provide ReqSpec to live-migrate conductor task
  * Fix cell capacity when compute nodes are down
  * Fix misleading test name
  * Default "discoverable" policies to "@"
  * build smaller name regexes for validation
  * Add reno for block live migraton with cinder volumes
  * Remove support for integer ids in compute_api.get
  * Add annotation to the kill() method
  * Add missing os types: suseGuest64/suseGuest
  * Hypervisor support matrix: add feature "trigger crash dump"
  * Update example policy.json to remove "" policies
  * Fixed arguement order in remove_volume_connection
  * Add better help text to scheduler options (7)
  * Add better help text to scheduler options (6)
  * RT: Decrese usage for offloaded instances
  * Allow saving empty pci_device_pools in ComputeNode object
  * Add StableObjectJsonFixture and use it in our base test class
  * nova-manage: Add hooks for running data-migration scripts
  * always use pip constraints
  * Update instance host in post live migration even when exception occurs
  * Use imageutils from oslo.utils
  * Remove duplicate key from dictionary
  * reset task_state after select_destinations failed
  * Pass bdm info to _get_instance_disk_info method
  * Fix create snapshot failure on VMs with SRIOV
  * Reorder name normalization for DNS
  * Allocate UUID for compute node
  * rpc.init() is being called twice per test
  * Use instance hostname for Neutron DNS unit tests
  * objects: Rename PciDevice _migrate_parent_addr method
  * Use assertRaises() to check specific exception
  * libvirt: make live_migration_uri flag dependent on virt_type
  * Remove unused CONF imports
  * Add /usr/local/{sbin,bin} to rootwrap exec_dirs
  * write live migration progress detail to DB in migration monitor
  * Add migration progress detail in DB
  * Tolerate installation of pycryptodome
  * neutron: handle attach interface case with no networks
  * Move Disk allocation ratio to ResourceTracker
  * Updated from global requirements
  * HyperV: Fix vm disk path issue
  * Removal of unnecessary `import_opt`s for cells config options
  * Fix 500 error for showing deleted flavor details
  * Fix _compare_result type handling comparison
  * neutron: remove redundant request.network_id assignment
  * Fix reported ppc64le bug on video selection
  * Improve 'virt.driver' conf options documentation
  * Improve unit tests for instance multiple create
  * Change populate_security_groups to return a SecurityGroupList
  * Fix error message in imagebackend
  * config options: Centralise 'virt.driver' options
  * Avoid lazy-loading flavor during usage audit
  * resource_providers, allocations and inventories models
  * Revert "Add new test_rebuild_instance_with_volume to cells exclude list"
  * Update the CONF import path for VNC
  * Improve 'vnc' conf options documentation
  * Remove discoverable policy from server:migrations resource
  * Improve the help text for cells options (6)
  * Improve the help text for cells options (5)
  * Improve the help text for cells options (4)
  * Improve the help text for cells options (3)
  * Improve the help text for cells options (2)
  * Allow block live migration of an instance with attached volumes
  * Implement an indexed ResourceClass Enum object
  * Add check to limit maximum value of max_rows
  * Fix spelling mistake
  * Add methods for RequestContext to switch db connection
  * virt: osinfo will report once if libosinfo is not loaded
  * Replace eventlet-based raw socket client with requests
  * Add a tool for reserving migration placeholders during release time
  * libvirt: check for interface when detach_interface fails
  * libvirt: implement LibvirtConfigGuestInterface.parse_dom
  * Filter APIs out from services list
  * Config options: centralize options in conductor api
  * Improve the help text for cells options (1)
  * VMware: add release notes for the limits
  * Get a ReqSpec in evacuate API and pass it to scheduler
  * Fixes cells py3 unit tests
  * Fixes network py3 unit tests
  * Fixes Python 3 unit tests for nova.compute
  * Add new test_rebuild_instance_with_volume to cells exclude list
  * Add some obvious detail to nw_info warning log
  * Fix fallocate test on newer util-linux
  * Remove _create_local function
  * Trivial logic cleanup in libvirt pre_live_migration
  * Return HTTP 400 for invalid server-group uuid
  * Properly inject network_data.json in configdrive
  * enginefacade: remove 'get_session' and 'get_api_session'
  * enginefacade: 'request_spec' object
  * Add new API to force live migration to complete
  * Add new DB API method to retrieve migration for instance
  * Imported Translations from Zanata
  * Updated from global requirements
  * Sync L3Driver, NullL3 interface with LinuxNetL3
  * Top 100 slow tests: api.openstack.compute.test_api
  * Top 100 slow tests: api.openstack.compute.test_versions
  * Top 100 slow tests: legacy_v2.test_servers
  * Top 100 slow tests: api.openstack.compute.test_flavor*
  * Top 100 slow tests: api.openstack.compute.test_image_size
  * Top 100 slow tests: api.openstack.compute.test_volumes
  * Confusing typo fixed
  * doc: all_tenants query option incorrectly identified as non-admin
  * Update driver support matrix for Ironic
  * parametrize max_api_version in tests
  * libvirt: Race condition leads to instance in error
  * Avoid lazy-loads in metadata requests
  * Join flavor when re-querying instance for floating ip association
  * Allow all api_samples tests to be run individually
  * Make os-instance-action read deleted instances
  * enginefacade: 'flavor'
  * Updated from global requirements
  * Use instance hostname for Neutron DNS
  * libvirt: Make behavior of os_require_quiesce consistent
  * Split-network-plane-for-live-migration
  * Database not needed for most cells messaging tests
  * libvirt: use osinfo when configuring the disk bus
  * libvirt: use osinfo when configuring network model
  * Database not needed for test class: ConsoleAPITestCase
  * Database not needed for test class: ConductorImportTest
  * virt: adjusting the osinfo tests to use fakelibosinfo
  * Database not needed for RPC serializer tests
  * Database not needed for most crypto tests
  * Database not needed for most nova manage tests
  * ebtables/libvirt workaround
  * Test that new tables don't use soft deletes
  * Use instance in setup_networks_on_host
  * enginefacade: test_db_api cleanup, missed decorators
  * Database not needed for test class: PciGetInstanceDevs
  * Add test coverage to functional api tests _compare_result method
  * Remove and deprecate conductor provider_fw_rule_get_all()
  * Remove prelude from disk-weight-sch reno
  * Enable volume operations for shelved instances
  * Gracefully handle a deleting instance during rebuild
  * remove the unnecessary parem of set_vm_state_and_notify
  * tests: adding fake libosinfo module
  * config options: Centralise 'vnc' options
  * config options: Make noVNC proxy into vnc group
  * Improve 'pci' conf options documentation
  * config options: centralize section "wsgi"
  * libvirt: deprecate live/block_migration_flag opts
  * Tidy up scheduler_evolution.rst
  * config options: add hacking check for help text length
  * xrange() is renamed to range() in Python 3
  * Do not use "file" builtin, but "open" instead
  * Fix some word spellings in messages
  * No need to have ironicclient parameter in methods
  * Add a TODO to make ComputeNode.cpu_info non-nullable
  * Fix missing marker functions in nova/pci
  * Adding volume operations for shelved instances
  * Optimize Instance.create() for optional extra fields
  * Optimize servers path by pre-joining numa_topology
  * Trivial: Remove a duplicated word
  * Update the home-page
  * Add better help text to scheduler options (5)
  * Switch to oslo.cache lib
  * Remove all remaining references to Quantum
  * doc: remove detail about extensions
  * Add description for trigger crash dump
  * Object: Give more helpful error message in TestServiceVersion
  * Spread allocations of fixed ips
  * Updated from global requirements
  * Stop using mox (scheduler)
  * Fix xvpvncproxy config path when running n-xvnc
  * Optimize the instance fetched by floating_ips API
  * Improve efficiency of Migration.instance property
  * Prevent _heal_instance_info_cache() periodic lazy-loads
  * Revert "Added new scheduler filter: AggregateTypeExtraSpecsAffinityFilter"
  * Remove unused provider firewall rules functionality in nova
  * enginefacade: 'instance_tags'
  * Apply scheduler limits to Exact* filters
  * Fix typos in nova/scheduler and nova/virt
  * Replace exit() by sys.exit()
  * Trivial: Fix a typo in test_policy.py
  * neutronv2: Allow Neutron to specify OVS/LB bridge
  * HyperV: do not log twice with different level
  * Replace stubs.Set with stub_out (db)
  * Add a disk space weight-based scheduler
  * Fix up live-migration method docstrings
  * Libvirt: Support ovs fp plug in vhostuser vif
  * xenapi: simplify swap_xapi_host()
  * Allow sending the migrate data objects over the wire
  * Added new scheduler filter: AggregateTypeExtraSpecsAffinityFilter
  * Replace "all_mappings" variable by "block_device_mappings"
  * Add better help text to scheduler options (4)
  * Migrate from keystoneclient to keystoneauth
  * fast exit dhcpbridge on 'old'
  * Ironic: Lightweight fetching of nodes
  * Fix RequestSpec _from_db_object
  * doc:Ask reviews to reject new legacy notifications
  * Generate doc for versioned notifications
  * doc: add devref about versioned notifications
  * Adds json sample for the versioned notifications
  * relocate os_compute_api:servers:discoverable
  * libvirt: convert to use instance.image_meta property
  * Updated from global requirements
  * doc: fix malformed api sample
  * Persist the request spec during an instance boot
  * Revise the compute_upgrade_levels_auto release note
  * Adding guard on None value for some helpers method
  * Return HTTP 400 if volume size is not defined
  * API: Rearrange HTTPBadRequest raising in _resize
  * remove the wrong param of fake_db_migration initiation
  * Enable all extension for server PUT API sample tests
  * Config options: centralize options in availability_zones
  * We now require gettext for dev environments
  * Revert "Pass host when call attach to Cinder"
  * update feature support matrix documentation
  * Config options: centralize section "cells"
  * Use uuidsentinel in host_status test
  * remove not used tpl
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.0b2.dev18:
  * Optimize "open" method with context manager
  * Cleanup of compute api reboot method
  * api-guide: add note about users
  * Updated from global requirements
  13.0.0.0b1
  * Add note for automatic determination of compute_rpc version by service
  * libvirt: remove todo note not useful anymore
  * add hacking check for config options location
  * use graduated oslo.policy
  * api-guide: fix up navigation bar
  * Cleanup unused test code in test_scheduler.py
  * Hyper-V: refines the exceptions raised in the driver
  * use NoDBTestCase for KeypairPolicyTest
  * Change test function name to make more sense
  * Remove flavors.get_flavor() only used in tests
  * Remove two unneeded db lookups during delete of a resizing instance
  * VMware: add in vif resource limitations
  * Enable all extension for image API sample tests
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev407:
  * Add note for Virtuozzo supporting snapshots
  * Add note for HyperV 2008 drop of support
  * Imported Translations from Zanata
  * Add note for removing conductor RPC API v2
  * Add note for dropping InstanceV1 objects
  * Add note for force_config_drive opt change
  * Add note for deprecating local conductor
  * Revert "Detach volume after deleting instance with no host"
  * XenAPI: Workaround for 6.5 iSCSI bug
  * VMware: fix docstring for cluster management
  * Corrected few grammatical nitpics
  * Remove skips for resize tests from tempest-dsvm-cells-rc
  * Remove "Can't resolve label reference" warnings
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev381:
  * force releasenotes warnings to be treated as errors
  * Fix reno warning for API DB relnote
  * servicegroup: stop zombie service due to exception
  * Updated from global requirements
  * Correct some nits for moving servers in concept doc
* Mon Nov 30 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev371:
  * Make server concept guide use 'server' consistently
  * docs: reorder move servers text
  * NFS setup for live-migration job
  * Simplified boolean variable check
  * scheduler: fix incorrect log message
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev361:
  * Use version convert methods from oslo_utils.versionutils
  * Modify Aggregate filters for RequestSpec
  * Fix ebtables-version release note
  * Enable options for oslo.reports
  * Detach volume after deleting instance with no host
  * Return empty PciDevicePoolList obj instead of None
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev351:
  * docs: add clarifications to move servers
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev349:
  * Use o.vo FlexibleBooleanField
  * Remove the TestRemoteObject class
  * SR-IOV: Improve the vnic type check in the neutron api
  * cells: skip 5 networking scenario tests that use floating IPs
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev341:
  * Add code-review devref for release notes
  * docs: describe migration and other movement concepts
  * Unify on _schedule_instances
  * docs: update the concept guide shelve actions
  * Fixed incorrect name of 'tag' and 'tag-any' filters
  * Fix resource tracker VCPU counting
  * Neutron: add logging context
  * Fix a typo in api-guide doc
  * Make some classes inherit from NoDBTestCase
  * Replaced deprecated timeutils methods
  * Use o.vo VersionPredicateField
  * Xenapi: Handle missing aggregate metadata on startup
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev318:
  * Add relnote for change in default setting
  * config options: enhance help text of section "serial_console"
  * Reverse sort tables before archiving
  * Clean up legacy multi-version test constructs
  * Modify Affinity filter for RequestSpec
  * Check prefix with startswith() instead of slicing
  * Mark set-admin-password as complete for libvirt in support matrix
  * Change warn to debug logs when migration context is missing
  * libvirt: Log warning for wrong migration flag config options
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev302:
  * Prevent redundant instance.update notifications
  * config options: centralize section "serial_console"
  * Updated from global requirements
  * Use ServiceList object rather than direct db call
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev295:
  * xen: mask passwords in volume connection_data dict
  * Use --concurrent with ebtables
  * Change Invalid exception to a specified exception
  * Add 'lxd' to the list of recognized hypervisors
  * Add microversions schema unit test for None
  * Prepare filters for using RequestSpec object
  * Add relnote for ERT deprecation
  * docs: update the API faults concept guide
  * Fix a spelling mistake in the log
  * virt: add constraint to handle realtime policy
  * Fix booting fail when unlimited project quota
  * Add some tests for map_dev
  * docs: add the scheduler evolution plans
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev269:
  * Add release note for API DB migration requirements
  * Use flavor instead of flavour
  * Drop outdated sqlite downgrade script
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev264:
  * Updated from global requirements
  * Multinode job for live-migration
  * Add more 'actions' for server concepts doc
  * libvirt: mlnx_direct vif type removal
  * Updated from global requirements
  * Removed extra spaces from double line strings
  * Remove IN-predicate warnings
  * Deprecate nova-manage service subcommand
  * Fix is_volume_backed_instance() for unset image_ref
  * Add _LE to LOG.error statement in nova/service
  * Add service records for nova-api services
  * Removes support for Hyper-V Server 2008 R2
  * libvirt: add cpu schedular priority config
  * Reuse method to convert key to passphrase
  * Compute: update finish_revert_resize log to have some context
  * Fixed incorrect keys in cpu_pinning
  * VMware: adds support for rescue image
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev235:
  * Fix Nova's indirection fixture override
  * Aggregate Extra Specs Filter should return if extra_specs is empty
  * Omit RescheduledException in instance_fault.message
  * Fixes Python 3 str issue in ConfigDrive creation
  * Remove 'Retry-After' in server create and resize
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev227:
  * Use JSON format instead of json format
  * Network: add in missing translation
  * VMware: expand support for Opaque networks
  * Added method is_supported to check API microversions
  * Claims: fix log message
  * VMware: Raise DiskNotFound for missing disk device
  * Fix pci_stats logging in resource tracker
  * Remove duplicate server.kill on test shutdown
  * make the driver.Scheduler as abstract class
  * objects: remove remote_object_calls from _BaseTestCase
  * Repair and rename test_is_volume_backed_instance_no_bdms()
  * Use ObjectVersionChecker fixture from oslo.versionedobjects
  * ScalityVolume:fix how remote FS mount is detected
  * glance:add helper method to get client version
  * enginefacade: 'certificate' and 'pci_device'
  * libvirt: rework membacking config to support future features
  * Add ppcle architectures to libvirt blockinfo
  * Hypervisor support matrix: define pause & unpause
  * libvirt: support snapshots with parallels virt_type
  * Use oslo.config choices kwarg with StrOpt for servicegroup_driver
  * libvirt: Don't attempt to convert initrd images
  * xenapi_device_id integer, expected string
  * libvirt: remove unnecessary else in blockinfo.get_root_info
  * Correct memory validation for live migration
  * libvirt: add unit tests for the designer utility methods
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev181:
  * cells is a sad panda about scheduler hints
  * Add "unreleased" release notes page
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev178:
  * Fix paths for api-guide build
  * Replace N block_device_mapping queries with 1
  * Add reno for release notes management
  * Deprecate Extensible Resource Tracker
  * Remove vcpu resource from extensible resource tracker
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev169:
  * Rearranges to create new Compute API Guide
  * Added CORS support to Nova
  * Add test coverage for both types of not-found-ness in neutronclient for floating
  * Split up test_is_volume_backed_instance() into five functions
  * enginefacade: 'instance_mapping'
  * enginefacade: 'cell_mapping'
  * enginefacade: 'instance_info' and 'instance_extra'
  * VMware: use oslo_config new type PortOpt
  * Remove useless get_instance_faults()
  * Remove get_all method from servicegroup API
  * Revert "Store correct VirtCPUTopology"
  * Add tags to .gitignore
  * Print number of rows archived per table in db archive_deleted_rows
  * Compute: remove unused parameter
  * Fix a typo
  * Fix the help text of monkey_patch config param
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev139:
  * force_config_drive: StrOpt -> BoolOpt
  * Updated from global requirements
  * Fix impotent _poll_shelved_instances tests
  * Fix race in _poll_shelved_instances task
  * Handle a NeutronClientException 404 Error for floating ips
  * Handle DB failures in servicegroup DB driver
  * Hook for live-migration job
  * Untie subobject versions
  * Block oslo.messaging 2.8.0
  * clean up regex in tempest-dsvm-cells-rc
  * skip lock_unlock_server test for cells
  * Remove duplicate keys in policy.json
  * Add missing policy rules
  * Config drive: make use of an instance object
  * Fix attibute error when cloning raw images in Ceph
  * Properly log BlockDeviceMappingList in _create_block_device_mapping
  * enginefacade: 'key_pair' and 'cell'
  * Remove flavors.get_all_flavors() only used in tests
  * Add logging to snapshot_volume_backed method
  * Remove unnecessary destroy call from Ironic virt driver
  * Do not mask original spawn failure if shutdown_instance fails
  * Deprecated: failIf
  * Fix missing obj_make_compatible() for ImageMetaProps object
  * devref: update the nova architecture doc
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev92:
  * Change image to instance in comment
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev90:
  * Use EngineFacade from oslo_db.enginefacade
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev88:
  * Exclude all BDM checks for cells
  * Deprecate local conductor mode
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev84:
  * Remove reservation_id from the logs when a schedule fails
  * Add a nova functional test for the os-server-groups GET API with all_projects parameter
  * hacking check for contextlib.nested for py34 support
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev78:
  * cells: add debug logging to bdm_update_or_create_at_top
  * Use RequestSpec object in HostManager
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev74:
  * Drop Instance v1.x support
  * Add debug logging for when boot sequence is invalid in _validate_bdm
  * Use RequestSpec object in the FilterScheduler
* Sat Oct 31 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev68:
  * Imported Translations from Zanata
  * Remove obj_relationships from objects
  * Add tempest-dsvm-lxc-rc
  * Add -constraints sections for CI jobs
  * Clean up some Instancev1 stuff in the tests
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev59:
  * Delete dead test code
  * Revert "Implement online schema migrations"
  * Remove SoftDeleteMixin from NovaBase
  * xapi-tools: fixes cache cleaner script
  * doc: gmr: Update instructions to generate GMR error reports
  * libvirt: add debug logging for lxc teardown paths
  * Rm openstack/common/versionutils from setup.cfg
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev49:
  * Make test cases in test_test.py use NoDBTest
  * Make ConsoleauthTestCase inherit from NoDBTest
  * Change a test class of consoleauth to no db test
  * Catch 3 InvalidBDM related exc when boot instance
  * libvirt:on snapshot delete, use qemu-img to blockRebase if VM is stopped
* Wed Oct 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev44:
  * Imported Translations from Zanata
  * Expands python34 unit tests list
* Tue Oct 27 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev41:
  * Fix more inconsistency between Nova-Net and Neutron
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev39:
  * Updated from global requirements
  * Clean up tests for dropping obj_relationships
  * Fix up Service object for manifest-based backports
  12.0.0
  * Omnibus stable/liberty fix
  12.0.0.0rc2
  * Revert "[libvirt] Move cleanup of imported files to imagebackend"
  * Imported Translations from Zanata
  * Fix InstanceV1 backports to use context
  * Imported Translations from Zanata
  * Ironic: Fix bad capacity reporting if instance_info is unset
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * libvirt: check if ImageMeta.disk_format is set before accessing it
  * Add Pillow to test-requirements.txt
  * Cleanup of Translations
  * rebuild: Apply migration context before calling the driver
  * Correct Instance type check to work with InstanceV1
  * Fix MetricWeigher to use MonitorMetricList
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev198:
  * Change 'ec2-api' stackforge url to openstack url
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev196:
  * Image meta: treat legacy vmware adapter type values
  * Attempt rollback live migrate at dest even if network dealloc fails
  * Updated from global requirements
  * Make secgroup rules refresh with refresh_instance_security_rules()
  * Remove unused refresh_security_group_members() call
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev187:
  * Updated from global requirements
  * Remove redundant deps in tox.ini
  * Fix service_version minimum calculation for compute RPC
  * Revert "virt: Use preexec_fn to ulimit qemu-img info call"
  * Updated from global requirements
  * Ignore errorcode=4 when executing `cryptsetup remove` command
  * Revert "Fixes Python 3 str issue in ConfigDrive creation"
  * Monkey patch nova-ec2 api
  * Updated from global requirements
  * Fix Status-Line in HTTP response
  * Imported Translations from Zanata
  * Default ConvertedException code to 500
  * Updated from global requirements
  * VMware: fix bug for config drive when inventory folder is used
  * code-review guidelines: add checklist for config options
  * Add a code-review guideline document
  * virt: Use preexec_fn to ulimit qemu-img info call
  * Updated from global requirements
  * Replaces contextlib.nested with test.nested
  * Sync cliutils from oslo-incubator
  * Make archive_deleted_rows_for_table private
  * load consoleauth_topic option before using it
  * Add more documentation for RetryFilter
  * Fix InstanceV1 backports to use context
  * Add test of claim context manager abort
  * Log DBReferenceError in archive_deleted_rows_for_table
  * Use DBReferenceError in archive_deleted_rows_for_table
  * Add testresources used by oslo.db fixture
  * Remove unused context parameter from db.archive_deleted_rows* methods
  * Drop unused obj_to_primitive() override
* Thu Oct  1 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev40:
  * Remove unused read-only cell code
  * Reserve 10 migrations for backports
  * hardware: improve parse_cpu_spec to handle exclusion range
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev35:
  * Identify more py34 tests that already pass
  * Imported Translations from Zanata
  * Correct Instance type check to work with InstanceV1
  * rebuild: Apply migration context before calling the driver
* Mon Sep 28 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev28:
  * Set TrustedFilter as experimental
  * VMware: update log to be warning
  * Add more help text to the cinder.cross_az_attach option
  * Cleanup of Translations
  * Fix logging_sample.conf to use oslo_log formatter
  * VMware: fix typo in comment
  * libvirt: Split out resize_image logic from create_image
* Sat Sep 26 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev16:
  * Revert "Deprecate cinder.cross_az_attach option"
  * Fix NoneType error when calling MetricsWeigher
  * wsgi: removing semicolon
  * Remove unused _check_string_length()
  12.0.0.0rc1
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version nova-13.0.0.dev302:
  * Deprecate cinder.cross_az_attach option
  * Fix MetricWeigher to use MonitorMetricList
  * Filter leading/trailing spaces for name field in v2.1 compat mode
  * Give instance default hostname if hostname is empty
  * Add some devref for AZs
  * RT: track evacuation migrations
  * rebuild: RPC sends additional args and claims are done
  * Cells: Limit instances pulled in _heal_instances
  * Open Mitaka development
  * Fix order of arguments in assertEqual
  * Imported Translations from Zanata
  * Fix quota update in init_instance on nova-compute restart
  * net: explicitly set mac on linux bridge
  * Fix order of arguments in assertEqual
  * Pep8 didn't check api/openstack/common.py
  * libvirt: Add unit tests for methods
  * Allow filtering using unicode characters
  * Raise exception.Migration earlier in REST API layer
  * Make test_revoke_cert_project_not_found_chdir_fails deterministic
  * Drop scheduler RPC 3.x support
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev265:
  * Imported Translations from Zanata
  * live-migration: Logs exception if operation failed
  * Test both NoAuthMiddleware and NoAuthMiddlewareV3
  * Remove "shelved_image_id" key from instance system metadata
  * User APIRouterV21 instead of APIRouterV3 for v2.1 unittests
  * Hyper-V: Implements attach_interface and detach_interface method
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev254:
  * Change ignore-errors to ignore_errors
  * libvirt: fix direct OVS plugging
  * claims: move a debug msg to a warn on missing migration
  * Devref: Document why conductor has a task api/manager
  * libvirt: Add NUMA cell count to cpu_info
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev244:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  * Add 'OS-EXT-VIF-NET:net_id' for v21 compatible mode
  * Xenapi: Don't access image_meta.id when booting from a volume
  * Remove comment in wrong place
  * Fix string formatting in api/metadata/vendordata_json.py
  * VMware: create method for getting datacenter from datastore
  * libvirt: use guest as parameter for get serial ports
  * Clarify max_local_block_devices config option usage
  * Fix order of arguments in assertEqual
  * Detach and terminate conn if Cinder attach fails
  * Remove duplicate NullHandler test fixture
  * Make query to quota usage table order preserved
  * Change v3 to v21 for devref api_plugins.rst
  * Pass block_device_info when delete an encrypted lvm
  * Fix precedence of image bdms over image mappings
  * libvirt:Remove duplicated check code for config option sysinfo_serial
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev213:
  * Imported Translations from Zanata
  * Fix typo in HACKING.rst
  * Only set access_ip_* when instance goes ACTIVE
  * libvirt:update live_migration_monitor to use Guest
  * Remove TestOpenStackClientV3 from nova functional tests
  * Rename all the ViewBuilderV3 to ViewBuilderV21
  * Fix the usage output of the nova-idmapshift command
  * Check unknown event name when create external server event
  * Hyper-V: Fixes snapshoting inexistent VM issue
  * Expose keystoneclient's session and auth plugin loading parameters
  * Don't "lock" the DB on expand dry run
  * Remove unused root_metadata method of BlockDeviceMappingList
  * Fix cells use of legacy bdms during local instance delete operations
  * Update log's level when backup a volume backend instance
  * libvirt: test capability for supports_migrate_to_same_host
* Wed Sep 16 2015 tbechtold@suse.com
- Remove python-feedparser from BuildRequires
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev187:
  * RT: Migration resource tracking uses migration context
  * compute: migrate/resize paths properly handle stashed numa_topology
  * Claims: Make sure move claims create a migration context records
  * Remove 'v3' from comments in Nova API code
  * Add API schema for different_cell filter
  * Add microversion bump exception for scheduler-hint
  * Add microversion rule when adding attr to request
  * Fix a few typos
  * Fix abnormal quota usage after restore by admin
  * libvirt-vif: Allow to configure a script on bridge interface
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev169:
  * Creating instance fail when inject ssh key in cells mode
  * Reduce the number of Instance.get_by_uuid calls
  * xapi: cleanup volume sr on live migration rollback
  * Remove unnecessary 'context' param from quotas reserve method call
  * VMware: Replace get_dynamic_properties with get_object_properties_dict
  * VMware: Replace get_dynamic_property with get_object_property
  * Invalidate AZ cache when the instance AZ information is different
  * Consolidate code to get the correct availability zone of an instance
  * claims: Remove compat code with instance dicts
  * Test cases for better handling of SSH key comments
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev150:
  * Use six.text_type instead of str in serialize_args
  * Set vif and allocated when associating fixed ip
  * Fix ScaleIO commands in rootwrap filters
  * Add version 3.0 of conductor RPC interface
  * Remove 'v3' from extension code
  * Remove more 'v3' references from the code
  * xenapi: Support extra tgz images that with only a single VHD
  * Hyper-V: Adds RDPConsoleOps unit tests
  * network_request_obj: Clean up outdated code
  * Object: Fix KeyError when loading instance from db
  * VMware: Update to return the correct ESX iqn
  * Remove/deprecate unused parts of the compute node object
  * Create a new dictionary for type_data in VMwareAPIVMTestCase class
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev127:
  * Add missing information to docstring
  * Don't expect meta attributes in object_compat that aren't in the db obj
  * CONF.allow_resize_to_same_host should check only once in controller
  * Updated from global requirements
  * Remove and deprecate conductor object_backport()
  * Fix order of arguments in assertEqual
  * Separate API schemas for v2.0 compatible API
  * API: Handle InstanceUnknownCell exceptions
  * Sorting and pagination params used as filters
  * VMware: ensure that instance is deleted when volume is missing
  * libvirt:Rsync compression removed
  * libvirt: Add a finish log
  * Handle nova-compute failure during a soft reboot
  * Remove duplicate exception
  * Fixes Bug "destroy_vm fails with HyperVException"
  * Fixes Hyper-V boot from volume fails when using ephemeral disk
  * Change docstring in test to comment
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev98:
  * Fix debug log format in object_backport_versions()
  * Ironic: Call unprovison for nodes in DEPLOYING state
  * api: allow any scheduler hints
  * Add some explanation for the instance AZ field
  * Add os-brick's scsi_id command to rootwrap
  * Remove and deprecate conductor compute_node_create()
  * Drop unused conductor manager vol_usage_update() mock
* Wed Sep  9 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev84:
  * Updated from global requirements
  * Freeze v1 Instance and InstanceList schema hashes
  * Imported Translations from Transifex
  * Remove unused parameter overwrite in elevated
  * Add missing delete policies in the sample file
  * ironic: convert driver to use nova.objects.ImageMeta
  * objects: convert config drive to use ImageMeta object
  * Relax restrictions on server name
  * nova-net: fix missing log variable in deallocate_fixed_ip
  * New sensible network bandwidth quota values in Nova tests
  * Fix order of arguments in assertEqual
  * libvirt: Fix snapshot delete for network disk type for blockRebase op
  * libvirt: cleanup() serial_consoles after instance failure
* Sun Sep  6 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev48:
  * Add Instance and InstanceList v2.0 objects
  * Teach conductor to do manifest-based object_class_action() things
  * Make the conductor fixture use version manifests
  * Update objects test infrastructure for multiple versions
  * Refactor Instance tests to use objects.Instance
  * Fix an issue with NovaObjectRegistry hook
  * Pull out the common bits of InstanceList into _BaseInstanceList
  * Add notes explaining vmware's suds usage
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev33:
  * Provide working SQLA_VERSION attribute
  * Fix Cells gate test by modifying the regressions regex
  * Hyper-V: Adds HyperVDriver unit tests
  * Pull out the common bits of Instance into _BaseInstance
  * Allow to use autodetection of volume device path
  * Update from global requirements
  * objects: Hook migration object into Instance
  * [libvirt] Move cleanup of imported files to imagebackend
  * Adds instance_uuid index for instance_system_metadata
  * Fix mistake in UT:test_detach_unattached_volume
  * Add JSON-Schema note to api_plugins.rst
  * Fix API directories on the doc
  * Add secgroup param checks for Neutron
  * Add migration policy to upgrades devref
  * filter pre_assigned_dev_names when finding disk dev
  * Fix permission issue of server group API
  * Rename tests so that they are run
  * Adds unit tests to test_common.py
  * Remove doc/source/api and doc/build before building docs
  * Specify current directory using new cwd param in processutils.execute
  * libvirt: enable live migration with serial console
  * Neutron: Check port binding status
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b4.dev3:
  * hyperv: convert driver to use nova.objects.ImageMeta
  12.0.0.0b3
  * Fix RequestSpec.instance_group hydration
  * Revert "Remove references to suds"
  * Implement manifest-based backports
  * api: deprecate the api v2 extension configuration
  * Remove/deprecate conductor instance_update()
  * Make compute manager instance updates use objects
  * Fix exception message mistake in WSGI service
  * Expose VIF net-id attribute in os-virtual-interfaces
  * [Ironic]Not count available resources of deployed ironic node
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev734:
  * Delete orphaned instance files from compute nodes
  * VMware: pass network info to config drive
  * Catch invalid id input in service_delete
  * Scheduler: enhance debug messages for multitenancy aggregates
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev727:
  * objects: Add MigrationContext object
  * Don't query database with an empty list of tags for creation
  * Fix order of arguments in assertEqual
  * Fix order of arguments in assertEqual
  * Fix order of arguments in assertEqual
  * api: use v2.1 only in api-paste.ini
  * cleanup NovaObjectDictCompat from external_event
  * cleanup NovaObjectDictCompat from agent
  * n-net: add more debug logging to release_fixed_ip
  * Support Network objects in set_network_host
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev708:
  * Remove the v3 word from help message of api_rate_limit option
  * Use the same pci_requests field for all filters and HostManager
  * Add warning log when deprecated v2 and v3 code get used
  * Update ComputeNode values with allocation ratios in the RT
  * Update HostManager and filters to use ComputeNode ratios
  * Don't trace on InstanceInfoCacheNotFound when refreshing network info_cache
  * Cells: Improve block device mapping update/create calls
  * Removed unused dependency: discover
  * Removed duplicated keys in dictionary
  * compute: improve exceptions related to disk size checks
  * Improve error logs for start/stop of locked instance
  * Fix three typos on nova/pci directory
  * VMware: Fixed redeclared CONF = cfg.CONF
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev683:
  * Add cpu_allocation_ratio and ram_allocation_ratio to ComputeNode
  * rt: Rewrite abort and update_usage tests
  * Cleanup RT _instance_in_resize_state()
  * Add a warning in the microversion docs around the usage of 'latest'
  * db: Add the migration_context to the instance_extra table
  * tests: Make test_claims use Instance object
  * Consider that all scheduler calls are IO Ops
  * Add RequestSpec methods for primitiving into dicts
  * api: deprecate the concept of extensions in v2.1
  * compute: Split the rebuild_instance method
  * libvirt: make guest to return power state
  * Allow compute monitors in different namespaces
  * Don't query database with an empty list of tags for IN clause
  * xapi: ensure pv driver info is present prior to live-migration
* Mon Aug 31 2015 tbechtold@suse.com
- Update to version nova-12.0.0.0b3.dev655:
  * Remove v3 references in unit test 'contrib'
  * Handle neutron exception on bad floating ip create request
  * Add a note about the 400 response not requiring a microversion
  * Strip the extra properties out when using legacy v2 compatible middleware
  * Remove unused sample files from /doc dir
  * Add deprecated_for_removal parm for deprecated neutron_ops
  * Use compatibility methods from oslo
  * Allow for migration object to be passed to _move_claim
  * rt: move filtering of migration by type lower in the call stack
  * libvirt: move domain info to guest
  * Xen: import migrated ephemeral disk based on previous size
  * Convert percent metrics back into the [0, 1] range
  * Add a note about the 403 response not requiring a microversion
  * Refactor test cases for live-migrate error case
  * Set task_state=None when booting instance failed
  * Fix scheduler code to use monitor metric objects
  * Consolidate initialization of instance snapshot metadata
  * Fix collection of metadata for a snapshot of a volume-backed instance
  * hyper-v: mock time.sleep in test_rmtree
  * Add api samples impact to microversion devref
  * rootwrap: remove obsolete filters for baremetal
  * Fix IronicHostManager to skip get_by_host() call
  * Improve the ability to resolve capabilities from Ironic
  * use block_dev.get_bdm_swap_list in compute api
  * downgrade log messages for memcache server (dis)connect events
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b3.dev608:
  * libvirt: take account of disks in migration data size
  * rt: generalize claim code to be useful for other move actions
  * Cleanup for merging v2 and v2.1 functional tests
  * Pre-load expected attrs that the view builder needs for server details
  * cleanup NovaObjectDictCompat from quota
* Wed Aug 26 2015 tbechtold@suse.com
- Update to version nova-12.0.0.0b3.dev598:
  * Remove debug log message in SG API constructor
  * Updated from global requirements
  * libvirt: refactor _create_domain_setup_lxc to use Image.get_model
  * Catch OverQuota in volume create function
  * Don't allow instance to overcommit against itself
  * objects: add missing enum values to DiskBus field
  * Move objects registration in tests directory
  * xenapi: convert driver to use nova.objects.ImageMeta
  * libvirt: convert driver to use nova.objects.ImageMeta
  * Updated from global requirements
  * VMware: Delete vmdk UUID during volume detach
  * Move common sample files methods in test base class
  * Share server POST sample file for microversion too
  * Fix remote_consoles microversion 2.8 not to run on /v3
  * Remove merged sample tests and file for v2 tests
  * Move "versions" functional tests in v2.1 tests
  * Nil out inst.host and inst.node when build fails
  * Fix link's href to consider osapi_compute_link_prefix
  * Remove and deprecate unused conductor method vol_usage_update()
  * Replace conductor proxying calls with the new VolumeUsage object
  * Add a VolumeUsage object
  * Updated from global requirements
  * Move CPU and RAM allocation ratios to ResourceTracker
  * Pull the all_tenants search_opts checking code into a common utility
  * Gate on nova.conf.sample generation
  * libvirt: use proper disk_info in _hard_reboot
  * Update obj_reset_changes signatures to match
  * libvirt: only get bdm in _create_domain_setup_lxc if booted from volume
  * libvirt: _create_domain_setup_lxc needs to default disk mapping as a dict
  * libvirt: add docstring for _get_instance_disk_info
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev356:
  * libvirt: move lvm/dmcrypt/rbd_utils modules under storage subdir
  * Updated from global requirements
  * Remove unused decorator on attach/detach volume
  * Only work with ipv4 subnet metadata if one exists
  * Add middleware filterout Microversions http headers
  * objects: Don't import CellMapping from the objects module
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev344:
  * VMware: implement get_mks_console()
  * Add MKS protocol for remote consoles
  * Add MKS console support
  * tox: make it possible to run pep8 on current patch only
  * Remove unused import of the compute_topic option from the DB API
  * Remove unnecessary oslo namespace import checks
  * Hyper-V: restart serial console workers after instance power change
  * Remove db layer hard-code permission checks for instance_get_all_by_host_and_not_type
  * Remove db layer hard-code permission checks for provider_fw_rule_*
  * rootwrap: update ln --symbolic filter for FS and FC type volume drivers
* Mon Jul 27 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev324:
  * remove _rescan_iscsi from disconnect_volume_multipath_iscsi
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev323:
  * Fix serializer supported version reporting in object_backport
  * Updated from global requirements
  * Revert "Add error message to failed block device transform"
  * Add two fields to ImageMetaProps object
  * Check flavor type before add tenant access
  * Switch to the oslo_utils.fileutils
  * Updated from global requirements
  * Fixup uses of mock in hyperv tests
  * libvirt: make unit tests concise by setup guest object
  * libvirt: introduce method to wait for block device job
  * Revert "Remove useless db call instance_get_all_hung_in_rebooting"
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev302:
  * Execute _poll_shelved_instances only if shelved_offload_time is > 0
  * Switch to oslo.reports
  * Cleanup log lines in nova.image.glance
  * Revert "Add config drive support for Virtuozzo containers"
  * Virt: fix debug log messages
  * Virt: use flavor object and not flavor dict
  * Add VersionPredicate type of field
  * Remove unnecessary method in FilterScheduler
  * Use utf8_bin collation on the flavor extra-specs table in MySQL
  * Decouple instance object tests from the api fakes module
  * Deprecate the osapi_v3.enabled option
  * Remove db layer hard-code permission checks for archive_deleted_rows*
  * libvirt: Remove dead code path in method clear_volume
  * Add bandit for security static analysis testing
  * Fix is_image_extendable() thinko
  * Hyper-V: Fix SMBFS volume attach race condition
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev271:
  * Do not import using oslo namespace
  * rebuild: fix rebuild of server with volume attached
  * Fix libguestfs failure in test_can_resize_need_fs_type_specified
  * Update HACKING.rst for running tests and building docs
  * Switch to oslo.service library
  * virt: fix picking CPU topologies based on desired NUMA topology
  * XenAPI: Refactor rotate_xen_guest_logs to avoid races
  * Use flavor object in compute manager
  * Bypass ironic server not available issue
  * Fixes "Hyper-V destroy vm fails on Windows Server 2008R2"
  * Validate int using utils.validate_integer method
  * Hyper-V: Removes old instance dirs after live migration
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev252:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sat Jul 18 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev248:
  * Updated from global requirements
  * Fix the incorrect PciDeviceList version number
  * Remove conductor api from resource tracker
  * Fix test_tracker object mocks
  * Fix Python 3 issues in nova.utils and nova.tests
  * libvirt : remove broken olso_config choices option
  * Revert "Implement compare-and-swap for instance update"
  * Add tool to build a doc latex pdf
  * make test_save_updates_numa_topology stable across python versions
  * Cleanup quota_class unittest with appropriate request context
  * Remove db layer hard-code permission checks for quota_class_create/update
  * Remove db layer hard-code permission checks for quota_class_get_all_by_name
  * Remove db layer hard-code permission checks for reservation_expire
  * Introducing new forced_down field for a Service object
  * Use stevedore for loading monitor extensions
  * Include project_id in instance metadata
  * Convert test_compute_utils to use Instance object
  * Fix for mock-1.1.0
  * Port crypto to Python 3
  * Add HostMapping object
  * Remove useless db call instance_get_all_hung_in_rebooting
  * Cleanup unused method fake_set_snapshot_id
  * Expose Neutron network data in metadata service
  * Build Neutron network data for metadata service
  * Implement compare-and-swap for instance update
  * Add DB2 support
  * Modified testscenario for micro version 2.4
  * libvirt: update volume delete snapshot to use Guest
  * libvirt: update live snapshot to use Guest object
  * libvirt: update swap volume to use Guest
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0b2.dev151:
  * Added method exists to the Tag object
  * compute: rename ResizeClaim to MoveClaim
  * Fix the little spelling mistake of the comment
  * Remove db layer hard-code permission checks for quota_create/update
  * Fix the typo from _pre_upgrade_294 to _pre_upgrade_295 for tests/unit/db/test_migration
  * Add some notifications to the evacuate path
  * Make evacuate leave a record for the source compute host to process
  * Fix incorrect enum in Migration object and DB model
  * Refactoring of the os-services module
  * Ignore bridge already exists error when creating bridge
  * libvirt: rename GuestVCPUInfo to VCPUInfo
  * libvirt: save the memory state of guest
  * Remove flavor migration from db_api and nova-manage
  * Rework monitor plugin interface and API
  * Adds MonitorMetric object
  * virt: add get_device_name_for_instance to the base driver class
  * libvirt: return whether a domain is persistent
  * Remove unneeded OS_TEST_DBAPI_ADMIN_CONNECTION
  * devref: virtual machine states and transitions
  * Consolidate the APIs for getting consoles
  * Remove db layer hard-code permission checks for floating_ip_dns
  * Fix typo in model doc string
  * virt: Fix AttributeError for raw image format
  * log meaningful error message on download exception
  * Updated from global requirements
  * Handle unexpected clear events call
  * snapshot: Add device_name to the snapshot bdms
  * compute: Make swap_volume with resize updates BDM size
  * Make Nova better at keeping track of volume sizes in BDM
  * API: make sure a blank volume with no size is rejected
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0a1.dev49:
  * Add flag to force experimental run of db contract
  * Make readonly field tests use exception from oslo.versionedobjects
  * Updated from global requirements
  * Imported Translations from Transifex
  * Add explicit alembic dependency
  * network: add more debug logging context for race bug 1249065
  * Add virt resource update to ComputeNode object
  * xenapi: remove bittorrent entry point lookup code
  * Add unit tests for PCI utils
  * libvirt: Don't fetch kernel/ramdisk files if you already have them
  * Remove redundant policy check from security_group_default_rule
  * Hyper-V: Fixes live migration configdrive copy operation
  * VMware: Remove configuration check
  * Add common function for v2 API flavor_get
  * Remove db layer hard-code permission checks for network_create_safe
  * Pass project_id when create networks by os-tenant-networks
  * Disassociate before deleting network in os-tenant-networks delete method
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version nova-12.0.0.0a1.dev21:
  * Update version for Liberty
  * neutron: remove deprecated allow_duplicate_networks config option
  * The devref for Nova stable API
  * Added documentation around database upgrades
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev14:
  * Remove usage of WritableLogger from oslo_log
  * Fix wrong check when use image in local
  * Fixes TypeError when libvirt version is BAD_LIBVIRT_CPU_POLICY_VERSIONS
  * Remove hv_type translation shim for powervm
  * cells: remove deprecated mute_weight_value option
  * VMware: remove dead function in vim_util
  * Remove db layer hard-code permission checks for network_associate
  * Compute: use instance object for _deleted_old_enough method
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev2:
  12.0.0a0
  * VMware: detach cinder volume when instance destroyed
  * Add unit tests for the exact filters
  * test: add MatchType helper class as equivalent of mox.IsA
  * Implement online schema migrations
  * Remove openstack/common/versionutils module
  * Adds hostutilsv2 to HyperV
  * make SchedulerV3PassthroughTestCase use NoDBTest
  * Add a finish log
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev659:
  * Updated from global requirements
  * Avoid always saving flavor info in instance
  * Warn when CONF torrent_base_url is missing slash
  * DB downgrades are no longer supported
  * Add Host Mapping table to API Database
  * VMware: verify vCenter server certificate
  * Associating of floating IPs corrected
  * Handle InstanceNotFound when sending instance update notification
  * Remove db layer hard-code permission checks for quota_usage_update
  * Remove db layer hard-code permission checks for quota_get_all_*
  * libvirt: disconnect_volume does not return anything
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev637:
  * Fix TestObjEqualPrims test object registration
  * Remove references to suds
  * Updated from global requirements
  * Fix noVNC console access for an IPv6 setup
  * hypervisor support matrix: add status "unknown"
  * VMware: typo fix in config option help
  * Minor refactor in nova.scheduler.filters.utils
  * Add an index to virtual_interfaces.uuid
  * Add config drive support for Virtuozzo containers
  * Add error handling for creating secgroup
  * Removed explicit return from __init__ method
  * Ensure to store context in thread local after spawn/spawn_n
  * Fix docstrings for assorted methods
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev612:
  * Sync with latest oslo-incubator
  * Cleanup wording for the disable_libvirt_livesnapshot workaround option
  * Consolidates scheduler utils tests into a single file
  * Replace metaclass registry with explicit opt-in registry from oslo
  * VMware: Log should use uuid instead of name
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev600:
  * libvirt: convert imagebackend to support nova.virt.image.model classes
  * virt: convert disk API over to use nova.virt.image.model
  * Updated from global requirements
  * Send Instance object to cells instance_update_at_top
  * Remove cell policy check
* Fri Jun 12 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev592:
  * Update formatting of microversion 2.4 documentation
  * VMware: use vCenter instead of VC
  * fix "down" nova-compute service spuriously marked as "up"
  * Improve formatting of rest_api_version_history
  * Link to microversion history in docs
  * libvirt: fix live migration handling of disk_info
  * libvirt: introduce method to get domain XML
  * libvirt: introduce method detach_device to Guest object
  * pass environment variables of proxy to tox
  * Fixed some misspellings
  * Clean up Fake_Url for unit test of flavor_access
  * Updated from global requirements
  * Add AggregateTypeAffinityFilter multi values support
  * volume: log which encryptor class is being used
  * VMware: Don't raise exception on resize of 0 disk
  * Hyper-V: sets supports_migrate_to_same_host capability
  * libvirt: remove _get_disk_xml to use get_disk from Guest
  * libvirt: introduce method to attach device
  * libvirt: update tests to use Mock instead of MagicMock
  * libvirt: Remove unnecessary JSON conversions
  * objects: fix parsing of NUMA cpu/mem properties
  * compute: remove get_image_metadata method
  * compute: only use non_inheritable_image_properties if snapshotting
  * objects: add os_require_quiesce image property
  * libvirt: make default_device_names DRY-er
  * virt: Move building the block_device_info dict into a method
  * Objects: update missing adapter types
  * libvirt: handle code=38 + sigkill (ebusy) in destroy()
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev571:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun Jun  7 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev439:
  * Updated from global requirements
  * Compute: tidy up legacy treatment for vif types
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev435:
  * Refactor show_port() in neutron api
  * libvirt: introduce method to delete domain config
  * libvirt: introduce method to get vcpus info
  * libvirt: introduce method resume to Guest object
  * libvirt: introduce method poweroff to Guest object
  * libvirt: make _create_domain return a Guest object
  * Raise InstanceNotFound when save FK constraint fails
  * libvirt: Disable NUMA for broken libvirt
  * Handle FlavorNotFound when augmenting migrated flavors
  * libvirt: introduce method get_guest to Host object
  * libvirt: introduce a Guest to wrap around virDomain
  * Fixes referenced path in nova/doc/README.rst
  * Updated from global requirements
  * objects: define the ImageMeta & ImageMetaProps objects
  * Remove unit_test doc
  * Make blueprints doc a reference for nova blueprints
  * Remove jenkins, launchpad and gerrit docs
  * Prune development.environment doc
  * Fix some issues in devref for api_microversions
  * Updated from global requirements
  * Remove unused variables from images api
  * Compute: improve logging using {} instead of dict
  * snapshot: Copy some missing attrs to the snapshot bdms
  * bdm: Make sure that delete_on_termination is a boolean
  * Get rid of oslo-incubator copy of middleware
  * Make nova-manage handle completely missing flavor information
  * Use oslo_config choices support
  * Make InstanceExternalEvent use an Enum for status
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev398:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed Jun  3 2015 tbechtold@suse.com
- Update to version nova-2015.2.0.dev389:
  * Remove unit_test doc
  * Make blueprints doc a reference for nova blueprints
  * Remove jenkins, launchpad and gerrit docs
  * Prune development.environment doc
  * Updated from global requirements
  * Compute: improve logging using {} instead of dict
  * bdm: Make sure that delete_on_termination is a boolean
  * Make nova-manage handle completely missing flavor information
  * network: fix instance cache refresh for empty list
  * Imported Translations from Transifex
  * Standardize on assertJsonEqual in tests
  * Force the value of LC_ALL to be en_US.UTF-8
  * Remove hash seed comment from tox.ini
  * Create instance_extra entry if it doesn't update
  * Remove use of builtin name
  * Hyper-V: Fixes cold migration / resize issue
  * Fix cells capacity calculation for n:1 virt drivers
  * VMware: fill in instance metadata when resizing instances
  * VMware: fill in instance metadata when launching instances
  * Updated from global requirements
  * Block oslo.vmware 0.13.0 due to a backwards incompatible change
  * hypervisor support matrix: update libvirt KVM (s390x)
  * Hyper-V: ensure only one log writer is spawned per VM
  * Fix version unit test on Python 3
  * Resource tracker: remove invalid conductor call from tests
  * Remove outdated TODO comment
  * Disable oslo.vmware test dependency on Python 3
  * Run tests with PyMySQL on Python 3
* Fri May 22 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev265:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Thu May 21 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev256:
  * Revert "Detach volume after deleting instance with no host"
  * Split instance event/tag correctly
  * libvirt: deprecate libvirt version usage < 0.10.2
  * Fix race between resource audit and cpu pinning
  * Set migration_type for existing cold migrations and resizes
  * Add migration_type to Migration object
  * Add migration_type and hidden to Migration database model
  * libvirt: improve logging
  * Fix pip-missing-reqs
  * objects: convert HVSpec to use named enums
  * objects: convert VirtCPUModel to use named enums
  * Retry a cell delete if host constraint fails
  * objects: introduce BaseEnumField to allow subclassing
  * objects: add a FlexibleBoolean field type
  * Delete shelved_* keys in n-cpu unshelve call
  * Fix loading things in instance_extra for old instances
  * VMware: remove invalid comment
  * Fix raise syntax for Python 3
  * Replace iter.next() with next(iter)
  * libvirt: use instance UUID with exception InstanceNotFound
  * devref: add information to clarify nova scope
  * Refactor an unit test to use urlencode()
  * Drop compute RPC 3.x support
  * libvirt: deprecate the remove_unused_kernels config option
  * Updated from global requirements
  * libvirt: Use 'relative' flag for online snapshot's commit/rebase operations
  * Replace dict.itervalues() with six.itervalues(dict)
  * Use compute_node consistently in ResourceTracker
* Fri May 15 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev202:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Thu May 14 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev196:
  * devref: add information to clarify nova scope
  * Fix quota-update of instances stuck in deleting when nova-compute startup finish
* Wed May 13 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev192:
  * Drop compute RPC 3.x support
  * libvirt: deprecate the remove_unused_kernels config option
  * Updated from global requirements
  * Use compute_node consistently in ResourceTracker
  * Move ebrctl to compute.filter
  * Rename _CellProxy.iteritems method to items on py3
  * libvirt: safe_decode xml for i18n logging
  * Fix scheduler issue when multiple-create failed
  * Move our ObjectListBase to subclass from the Oslo one
  * Fix cinder v1 warning with cinder_catalog_info option reference
  * Deprecate nova ironic driver's admin_auth_token
  * Remove db layer hard-code permission checks for network_get_all_by_host
* Tue May 12 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev166:
  * Handle return code 2 from blkid calls
  * Libvirt: Use tpool to invoke guestfs api
  * Minor edits to support-matrix doc
  * hacking: remove unused variable author_tag_re
  * Update kilo version alias
  * Refactor tests that use compute's deprecated run_instance() method
  * Helper scripts for running under Apache2
  * Updated from global requirements
  * Switch to _set_instance_obj_error_state in build_and_run_instance
  * Add SpawnFixture
  * Log the actual instance.info_cache when empty in floating ip associate
  * unify libvirt driver checks for qemu
  * VMware: Allow other nested hypervisors (HyperV)
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Clean up ComputeManager._get_instance_nw_info
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Correct docstring info on two parameters
  * Start the conversion to oslo.versionedobjects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
* Mon May 11 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev156:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun May 10 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev152:
  * Helper scripts for running under Apache2
  * Updated from global requirements
  * Switch to _set_instance_obj_error_state in build_and_run_instance
  * Add SpawnFixture
  * Log the actual instance.info_cache when empty in floating ip associate
  * unify libvirt driver checks for qemu
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Clean up ComputeManager._get_instance_nw_info
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Correct docstring info on two parameters
  * Start the conversion to oslo.versionedobjects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
  * fix network setup on evacuate
  * Reschedules sometimes do not allocate networks
  * Incorrect argument order passed to swap_volume
  * Mark ironic credential config as secret
  * Fix missing format arg in compute manager
  * objects: remove field ListOfEnumField
  * Cleaning up debug messages from previous change in vmops.py
* Sat May  9 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev148:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Fri May  8 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev128:
  * servicegroup: remove get_all method never used as public
  * libvirt: add todo note to avoid call to libvirt from the driver
  * libvirt: add method to compare cpu to Host
  * libvirt: add method to list pci devices to Host
  * libvirt: add method to get device by name to Host
  * libvirt: add method to define instance to host
  * libvirt: add method to get cpu stats to host
  * monitor: remove dependance with libvirt
  * Updated from global requirements
  * Cells: Call compute api methods with instance objects
  * Cleanup conductor unused methods
  * Revert "Ironic: do not destroy if node is in maintenance"
  * fix network setup on evacuate
  * Reschedules sometimes do not allocate networks
  * Incorrect argument order passed to swap_volume
  * Mark ironic credential config as secret
  * Fix missing format arg in compute manager
  * objects: remove field ListOfEnumField
  * Cleaning up debug messages from previous change in vmops.py
  * Remove orphaned tables - iscsi_targets, volumes
  * console: clean tokens do not happen for all kind of consoles
  * Fix import order
  * Skip only one host weight calculation
  * Fix typo for test cases
  * VMWare: Isolate unit tests from requests
  * Imported Translations from Transifex
  * Cleanup docs landing page
  * Updated from global requirements
* Thu May  7 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev93:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed May  6 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev278:
  * VMWare: Isolate unit tests from requests
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add ability to inject routes in interfaces.template
  * Make test_version_string_with_package_is_good work with pbr 0.11
  * Updated from global requirements
  * Fix assert on call count for encodeutils.safe_decode mock
  * Don't wait for an event on a resize-revert
  * minor edit to policy_enforcement.rst
  * Update self with db result in InstanceInfoCache.save
  * Wedge DB migrations if flavor migrations are not complete
  * Removed twice declared variables
  * Removed variables used not in the scope that they are declared
  * Remove unused db.aggregate_metadata_get_by_metadata_key() call
  * Removed 'PYTHONHASHSEED=0' from tox.ini
  * Changed logic in _compare_result api_samples_test_base
  * Add support for forcing migrate_flavor_data
  * Virt: update shared storage log information message
  * Fixed functional in tests_servers, to pass with random PYTHONHASHSEED
  * Adds toctree to v2 section of docs
  * Fixes X509 keypair creation failure
  * libvirt/utils.py: Remove 'encryption' flag from create_cow_image
  * Libvirt: Correct logging information and progress when LM
  * libvirt/utils.py: Remove needless code from create_cow_image
  * libvirt/utils.py: Clarify comment in create_cow_image function
  * libvirt: check qemu version for NUMA & hugepage support
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
* Sun May  3 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev268:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sat May  2 2015 cloud-devel@suse.de
- Update to version nova-2015.2.0.dev260:
  * Make test_version_string_with_package_is_good work with pbr 0.11
  * Updated from global requirements
  * Fix assert on call count for encodeutils.safe_decode mock
  * Don't wait for an event on a resize-revert
  * minor edit to policy_enforcement.rst
* Fri May  1 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev282:
  * Update self with db result in InstanceInfoCache.save
  * Wedge DB migrations if flavor migrations are not complete
  * Removed twice declared variables
  * Removed variables used not in the scope that they are declared
  * Remove unused db.aggregate_metadata_get_by_metadata_key() call
  * Removed 'PYTHONHASHSEED=0' from tox.ini
  * Changed logic in _compare_result api_samples_test_base
  * Add support for forcing migrate_flavor_data
  * Virt: update shared storage log information message
  * Fixed functional in tests_servers, to pass with random PYTHONHASHSEED
  * Adds toctree to v2 section of docs
  * Fixes X509 keypair creation failure
  * libvirt/utils.py: Remove 'encryption' flag from create_cow_image
  * libvirt/utils.py: Remove needless code from create_cow_image
  * libvirt/utils.py: Clarify comment in create_cow_image function
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
  * Imported Translations from Transifex
  * view hypervisor details rest api should be allowed for non-admins
  * n-net: turn down log level when vif isn't found in deallocate_fixed_ip
  * Associate floating IPs with first v4 fixed IP if none specified
  * Correct the help text for the compute option
  * Remove comment inconsistent with code
  * Fixed nova-network dhcp-hostsfile update during live-migration
  * sync oslo: service child process normal SIGTERM exit
  * Remove downgrade support from the cellsv2 api db
  * libvirt: use importutils instead of python built-in
  * Imported Translations from Transifex
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev276:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev218:
  * Add security group calls missing from latest compute rpc api version bump
  * Make objects serialize_args() handle datetimes in positional args
  * Imported Translations from Transifex
  * Associate floating IPs with first v4 fixed IP if none specified
  * Correct the help text for the compute option
  * Remove comment inconsistent with code
  * Fixed nova-network dhcp-hostsfile update during live-migration
  * sync oslo: service child process normal SIGTERM exit
  * Remove downgrade support from the cellsv2 api db
  * libvirt: use importutils instead of python built-in
  * Imported Translations from Transifex
  * libvirt: Allow discrete online pCPUs for pinning
  * Fix migrate_flavor_data() to catch instances with no instance_extra rows
  * libvirt: unused imported option default_ephemeral_format
  * Fix migrate_flavor_data string substitution
  * Fix max_number for migrate_flavor data
  * remove downgrade support from our database migrations
  * Control create/delete flavor api permissions using policy.json
  * VMware: remove unused method
  * VMware: enable configuring of console delay
  * Fixed test in test_tracker to work with random PYTHONHASHSEED
  * Update rpc version aliases for kilo
  * remove the CONF.allow_migrate_to_same_host
  * Add equality operators to PciDeviceStats and PciDevice objects
  * libvirt: Add option to ssh to prevent prompting
  * Validate server group affinity policy
  * VMware: use oslo.vmware methods for handling tokens
  * tests: use numa xml automatic generation in libvirt tests
* Mon Apr 27 2015 tbechtold@suse.com
- Update to version nova-2015.2.dev184:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev140:
  * Fixed test in test_tracker to work with random PYTHONHASHSEED
  * libvirt: Add option to ssh to prevent prompting
  * Validate server group affinity policy
  * VMware: use oslo.vmware methods for handling tokens
  * tests: use numa xml automatic generation in libvirt tests
  * Fixed tests in test_glance to pass with random PYTHONHASHSEED
  * Refactored tests in test_neutron_driver to pass with random PYTHONHASHSEED
  * refactored test in vmware test_read_write_util to pass with random PYTHONHASHSEED
  * fixed tests in test_matchers to pass with random PYTHONHASHSEED
  * fix for vmware test_driver_api to pass with random PYTHONHASHSEED
  * Fix kwargs['migration'] KeyError in @errors_out_migration decorator
  * libvirt: make _get_instance_disk_info conservative
  * refactored tests to pass in test_inject to pass with random PYTHONHASHSEED
  * fixed tests in test_iptables_network to work with random PYTHONHASHSEED
  * refactored tests in test_objects to pass with random PYTHONHASHSEED
  * fixed tests in test_instance to pass with random PYTHONHASHSEED
  * Fix handling of pci_requests in consume_from_instance
  * Use list of requests in InstancePCIRequests.obj_from_db
  * Spelling mistakes in nova/compute/api.py
  * Use kwargs from compute v4 proxy change_instance_metadata
  * Replace BareMetalDriver with IronicDriver in option help string
  * tests: introduce a NUMAServersTest class
  * Fix test_set_admin_password_bad_state()
  * Fix test_attach_interface_failure()
  * Fix test_swap_volume_api_usage()
  * Resource tracker: unable to restart nova compute
  * compute: stop handling virt lifecycle events in cleanup_host()
  * Share multiple create server tests between v2 and v2.1
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev98:
  Efficient polling with the Changes-Since parameter
  The ReST API allows you to poll for the status of certain operations by
  performing a **GET** on various elements. Rather than re-downloading and
  re-parsing the full status at each polling interval, your ReST client
  may use the *``changes-since``* parameter to check for changes since a
  previous request. The *``changes-since``* time is specified as an `ISO
  8601 <http://en.wikipedia.org/wiki/ISO_8601>`__ dateTime
  (2011-01-24T17:08Z). The form for the timestamp is CCYY-MM-DDThh:mm:ss.
  An optional time zone may be written in by appending the form ±hh:mm
  which describes the timezone as an offset from UTC. When the timezone is
  not specified (2011-01-24T17:08), the UTC timezone is assumed. If
  nothing has changed since the *``changes-since``* time, an empty list is
  returned. If data has changed, only the items changed since the
  specified time are returned in the response. For example, performing a
  * *GET** against
  https://api.servers.openstack.org/v2/224532/servers?\ *``changes-since``*\ =2015-01-24T17:08Z
  would list all servers that have changed since Mon, 24 Jan 2015 17:08:00
  UTC.
  To allow clients to keep track of changes, the changes-since filter
  displays items that have been *recently* deleted. Both images and
  servers contain a ``DELETED`` status that indicates that the resource
  has been removed. Implementations are not required to keep track of
  deleted resources indefinitely, so sending a changes since time in the
  distant past may miss deletions.
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev94:
  * libvirt: make _get_instance_disk_info conservative
  * refactored tests to pass in test_inject to pass with random PYTHONHASHSEED
  * Fix handling of pci_requests in consume_from_instance
  * Use kwargs from compute v4 proxy change_instance_metadata
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev86:
  * fixed tests in test_iptables_network to work with random PYTHONHASHSEED
  * refactored tests in test_objects to pass with random PYTHONHASHSEED
  * fixed tests in test_instance to pass with random PYTHONHASHSEED
  * Use list of requests in InstancePCIRequests.obj_from_db
  * Refactor some service tests and make them not require db
  * Remove and deprecate unused conductor service calls
  * Convert service and servicegroup to objects
  * libvirt: quit early when mempages requested found
  * Stale rc.local file - vestige from cloudpipe.rst
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev67:
  * Replace BareMetalDriver with IronicDriver in option help string
  * Fix test_set_admin_password_bad_state()
  * Fix test_attach_interface_failure()
  * Fix test_swap_volume_api_usage()
  * compute: stop handling virt lifecycle events in cleanup_host()
  * Share multiple create server tests between v2 and v2.1
  * libvirt: remove unnecesary quotes
  * Fix rebuild of an instance with a volume attached
  * Forbid booting of QCOW2 images with virtual_size > root_gb
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version nova-2015.2.dev42:
  * Add min/max of API microversions to version API
  * Pass migrate_data to pre_live_migration
  * libvirt: add debug logging to pre_live_migration
  * Add numa_node field to PciDevicePool
  * Remove and deprecate conductor get_ec2_ids()
  * Remove unused metadata conductor parameter
  * Replace conductor get_ec2_ids() with new Instance.ec2_ids attribute
  * Add EC2Ids object and link to Instance object as optional attribute
  * Fixed order of arguments during execution live_migrate()
  * Fix check_can_live_migrate_destination() in ComputeV4Proxy
  2015.1.0rc1
  * Add compute RPC API v4.0
  * Reserve 10 migrations for backports
  * Honor uuid parameter passed to nova-network create
  * Update compute version alias for kilo
  * Refactor nova-net cidr validation in prep for bug fix
  * Fix how service objects are looked up for Cells
  * websocketproxy: Make protocol validation use connection_info
  * scheduler: re-calculate NUMA on consume_from_instance
  * Manage compute node that exposes no pci devices
  * consoleauth: Store access_url on token authorization
  * libvirt: Add version check when pinning guest CPUs
  * Open Liberty development
  * VMware: Fix attribute error in resize
  * Imported Translations from Transifex
  * Add 'docker' to the list of known hypervisor types
  * Scheduler: deprecate mute_weight_value option on weigher
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev299:
  * Prevent scheduling new external events when compute is shutdown
  * Print choices in the config generator
  * libvirt: make fakelibvirt more customizable
  * Use cells.utils.ServiceProxy object within cells_api
  * Fix Enum field, which allows unrestricted values
  * xenapi: pull vm_mode and auto_disk_config from image when rescue
  * Fix multipath device discovery when UFN is enabled
  * Add serialization of context to FakeNotifier
  * libvirt: remove unnecessary flavor parameter
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev281:
  * tests: add a ServersTestBase class
  * tests: enhance functional tests primitives
  * remove unneeded teardown related code
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev275:
  * Allow _exec_ebtables to parse stderr
  * Fix how the Cells API is returning ComputeNode objects
  * Share V2 and V2.1 tenant-networks functional tests
  * Share migrations tests between V2 and V2.1
  * Merging instance_actions tests between V2 and V2.1
  * Share V2 and V2.1 hosts functional tests
  * Expand Origin header check for serial console
  * Add the last of the oslo libraries to hacking check
  * Cancel all waiting events during compute node shutdown
  * libvirt: remove volume_drivers config param
  * neutronv2: only create client once when adding/removing fixed IPs
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev245:
  * libvirt: fix disablement of NUMA & hugepages on unsupported platforms
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev243:
  * Stacktrace on live migration monitoring
  * Respect CONF.scheduler_use_baremetal_filters
  * No need to create APIVersionRequest every time
  * Remove obsolete TODO in scheduler filters
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev235:
  * Make migration 274 idempotent so it can be backported
  * Ironic: fix log level manipulation
  * Optimize periodic call to get_by_host
  * virt: Make sure block device info is persisted
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev227:
  * Fix serialization for Cells Responses
  * virt: Fix block_device tests
  * Remove old relation in Cells for ComputeNode and Service
  * Add json-schema for v2.1 fixed-ips
  * remove usage of policy.d which isn't cached
  * Update check before migrating flavor
  * libvirt: reuse unfilter_instance pass-through method
  * VMware: add instance to log messages
  * Fix incorrect statement in inline neutronv2 docs
  * Be more forgiving to empty context in notification
  * Avoid load real policy from policy.d when using fake policy fixture
  * Neutron: simplify validate_networks
  * mock out build_instances/rebuild_instance when not used
  * VMware: Consume the oslo.vmware objects
  * Fix PciDeviceDBApiTestCase with referential constraint checking
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev197:
  * instance termination with update_dns_entries set fails
  * Filter fixed IPs from requested_networks in deallocate_for_instance
  * Fixes _cleanup_rbd code to capture ImageBusy exception
  * consoleauth: remove an instance of mutation while iterating
  * Handle nova-network tuple format in legacy RPC calls
  * Add some tests for the error path(s) in RBD cleanup_volumes()
  * Avoid MODULEPATH environment var in config generator
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev184:
  * Libvirt: preallocate_images CONFIG can be arbitrary characters
  * Imported Translations from Transifex
  * Vmware:Find a SCSI adapter type for attaching iSCSI disk
  * Store cells credentials in transport_url properly
  * Fix API links and labels
  * Update hypervisor support matrix for ironic wrt pause/suspend
  * Pass instance object to add_instance_fault_from_exc
  * Removes XML MIME types from v2 API information
  * API: fix typo in unit tests
  * Fix v2.1 list-host to remove 'services' filter
  * Fix incorrect http_conflict error message
  * Remove unused class variables in extended_volumes
  * Fix test cases still use v3 prefix
  * add neutron api NotImplemented test cases for Network V2.1
  * Fix copy configdrive during live-migration on HyperV
  * Better power_state logging in _sync_instance_power_state
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev152:
  * Remove compute/api.py::update()
  * Expand valid server group name character set
  * Workaround for race condition in libvirt
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev146:
  * Raise exception when backup volume-backed instance
* Sun Mar 29 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev144:
  * Libvirt SMB volume driver: fix volume attach
  * Adds Compute API v2 docs
  * PCI tracker: make O(M * N) clean_usage algo linear
  * Skip socket related unit tests on OSX
  * Refactored test in test_neutron_driver to pass with random PYTHONHASHSEED
  * Move ComputeNode creation at init stage in ResourceTracker
  * Add missing `shows` to the RPC casts documentation
  * Make ComputeAPIIpFilterTestCase a NoDBTestCase
  * libvirt: Resize down an instance booted from a volume
  * libvirt: Remove minidom usage in driver.py
* Sat Mar 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev122:
  * Add debug logging to quota_reserve flow
  * Fix _instance_action call for resize_instance in cells
  * Add some logging in the quota.reserve flow
  * Add support for cleaning in Ironic driver
  * Adjust resource tracker for new Ironic states
  * libvirt: Delay only STOPPED event for Xen domain
  * Remove comments on API policy, remove core param
  * Tidy up sentinel comparison in pop_instance_event
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev102:
  * Fix missing the cpu_pinning request
  * fixed tests in test_neutrounv2 to pass with random PYTHONHASHSEED
  * Refactored test in linux_net to pass with random PYTHONHASHSEED
  * refactored tests in test_wsgi to pass with random PYTHONHASHSEED
  * fixed tests in test_simple_tenant_usage to pass with random PYTHONHASHSEED
  * Refactored test_availability_zone to work properly with random PYTHONHASHSEED
  * fixed test in test_disk_config to work with random PYTHONHASHSEED
  * Fixed test to work with random PYTHONHASHSEED
  * Check host cpu_info if no cpu_model for guest
  * Fix PCIDevicePool.to_dict() when the object has no tags
  * Convert pci_device_pools dict to object before passing to scheduler
  * Adds cleanup on v2.2 keypair api and tests
  * Fix AggregateCoreFilter return incorrect value
  * Add policy check for consoles
  * doc: fix a docstext formatting
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev70:
  * Releasing DHCP in nova-network fixed
  * Sync from Oslo-Incubator - reload config files
  * Fix v2.1 hypervisor servers to return empty list
  * Add a fixture for the NovaObject indirection API
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev64:
  * don't 500 on invalid security group format
  * Use migration object in resource_tracker
  * Move suds into test-requirements.txt
  * Make refresh_instance_security_rules() handle non-object instances
  * Fix for deletes first preexisting port if second was attached to instance
  * VMware: save instance object creation in test_vmops
  * Fix 'nova show' return incorrect mac info
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev51:
  * Switch to newer cirros image in docs
  * Fix common misspellings
  * Scheduler: update doctring to use oslo_config
  * Skip 'id' attribute to be explicitly deleted in TestCase
  * Typo in oslo.i18n url
  * Fix docs build break
  * Updated from global requirements
  * Remove vol_get_usage_by_time from conductor api/rpcapi
  * default tox cmd should also run 'functional' target
  * Remove invalid hacking recheck for baremetal driver
  * Adds Not Null constraint to KeyPair name
  * Fix orphaned ports on build failure
  * Disable oslo_messaging debug logging
  * don't use oslo.messaging in mock
  * Update some ResizeClaimTestCase tests
  * Fix backporting objects with sub-objects that can look falsey
  * Fix typo in _live_migration_cleanup_flags method
  * Avoid KeyError Exception in extract_flavor()
  * Enable retry when there are multiple force hosts/nodes
  * Delete instance files from dest host in revert-resize
  * Improved performance of db method network_in_use_on_host
  * consoliate set_availability_zones usage
* Sun Mar 22 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev5:
  * Fix typo in nova/tests/unit/test_availability_zones.py
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev4:
  2015.1.0b3
  * Sync from oslo-incubator
  * Rename and move the v2.1 api policy into separated files
  * heal_instance_info_cache_interval help clearer
  * BDM: Avoiding saving if there were no changes
  * Remove duplicate InvalidBDMVolumeNotBootable
  * libvirt: make default value of numa cell memory to 0 when not defined
  * Add the instance update calls from Compute
  * Save bdm.connection_info before calling volume_api.attach_volume
  * Update unique constraint of compute_nodes with deleted column
  * Log exception from deallocate_port_for_instance for triage
  * libvirt: partial fix for live-migration with config drive
  * VMware: Improve reporting of path test failures
  * libvirt: don't allow to resize down the default ephemeral disk
  * Add api microvesion unit test case for wsgi.action
  * VMware: use instance UUID as instance name
  * Move InstanceClaimTestCase.test_claim_and_audit
  * Deprecate Nova in tree EC2 APIs
  * network: Fix another IPv6 test for Mac
  * Remove db layer hard-code permission checks for flavor-manager
  * Use controller method in all admin actions tests
  * Remove db layer hard-code permission checks for migrations_get*
  * libvirt: Cleanup snapshot tests
  * VMware: Fix disk UUID in instance's extra config
  * Remove db layer hard-code permission checks for migration_create/update
  * Add manual version comparison to microversion devref document
  * Remove unused conductor methods
* Fri Mar 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1054:
  * Add InstanceMapping object
  * Add CellMapping object
  * load ram_allocation_ratio when asked
  * Remove pci_device.update_device helper function
  * let fake virt track resources
  * Added assertJsonEqual method to TestCase class
  * libvirt test_cpu_info method fixed random PYTHONHASHSEED compatibility
  * Hyper-V: Adds VMOps unit tests (part 2)
  * Handle RESIZE_PREP status when nova compute do init_instance
  * Remove the elevated context when get network
  * Verify all quotas before updating the db
  * Remove useless get_one() method in SG API
  * Fix up join() and leave() methods of servicegroup
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1028:
  * Tox: reduce complexity level to 35
  * Remove db layer hard-code permission checks for service_get_all
  * Expand help message on some quota config options
  * Test fixture for the api database
  * remove duplicate calls to cfg.get()
  * Remove context from remotable call signature
  * Actually stop passing context to remotable methods
  * Remove usage of remotable context parameter in service, tag, vif
  * Remove usage of remotable context parameter in security_group*
  * Remove usage of remotable context parameter in pci_device, quotas
  * Objects: use setattr rather than dict syntax in remotable
  * Split out NovaTimestampObject
  * Remove db layer hard-code permission checks for service_get_all_by_*
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev1002:
  * Modify filters to get instance info from HostState
  * Add the RPC calls for instance updates
  * Implement instance update logic in Scheduler
  * Remove usage of remotable context parameter in migration, network
  * Remove usage of remotable context parameter in compute_node, keypair
  * Remove usage of remotable context parameter in instance* objects
  * Remove usage of remotable context parameter in fixed_ip, flavor, floating_ip
  * Remove usage of remotable context parameter in ec2 object
  * Remove usage of remotable context parameter in bandwidth, block_device
  * Remove db layer hard-code permission checks for pci
  * Remove unused oslo logging fixture
  * Change some comments for instance param
  * Use session with neutronclient
  * Remove db layer hard-code permission checks for network_get_by_uuid
  * Remove db layer hard-code permission checks for network_get_by_cidr
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev973:
  * Remove usage of remotable context parameter in agent, aggregate
  * Stop using exception.message
  * Add get_api_session to db api
  * Use the proper database engine for nova-manage
  * Add support for multiple database engines
  * Virt: update fake driver to use UUID as lookup key
  * Handle exception when doing detach_interface
  * Variable 'name' already declared in 'for' loop
  * Handles exception when unsupported virt-type given
  * Fix confusing log output in nova/nova/network/linux_net.py
  * Fixed archiving of deleted records
  * Fix ComputeNode backport for Service.obj_make_compatible
  * Remove db layer hard-code permission checks for network_count_reserved_ips
  * compute: don't trace on InstanceNotFound in reverts_task_state
  * Move V2 sample files to respective directory
  * V2 tests -Reuse server post req/resp sample file
  * V2.1 tests - Reuse server post req/resp sample file
  * libvirt: Fix live migration failure cleanup on ceph
  * Remove db layer hard-code permission checks for network_delete_safe
  * Remove db layer hard-code permission checks for task_log_get*
  * Remove db layer hard-code permission checks for task_log_begin/end_task
  * Fix wrong log when reschedule is disabled
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev929:
  * VMware: update test_vm_util to use instance object
  * Move policy enforcement into REST API layer for v2.1 api volume_attachment
  * Compute: no longer need to pass flavor to the spawn method
  * Move policy enforcement into REST API layer for v2.1 servers
  * Move policy enforcement into REST API layer for v2.1 security groups
  * Move policy enforcement into REST API layer for v2.1 security_group_default_rules
* Mon Mar 16 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev919:
  * VMware: fix VM rescue problem with VNC console
* Sun Mar 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev917:
  * Stop spamming logs when creating context
  * Break out the child version calculation logic from obj_make_compatible()
  * Add shadow table empty verification
  * Add @wrap_exception() for 3 compute functions
  * cells: don't pass context to instance.save in instance_update_from_api
  * libvirt: add in missing translation for exception
  * Move oslo.vmware into test-requirements.txt
  * Remove db layer hard-code permission checks for flavor_access
  * Remove update_store usage
  * Make service-update work in API cells
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev897:
  * Remove FK on service_id and make service_id nullable
  * Using Instance object instead of db call
  * Revert "Removed useless method _get_default_deleted_value."
  * implement user negative testing for flavor manage
  * refactor policy fixtures to allow use of real policy
  * Handle exception when attaching interface failed
  * ensure DatabaseFixture removes db on cleanup
  * objects: introduce numa topology limits objects
  * VMware: Deprecation warning - map one nova-compute to one VC cluster
  * Add InstanceList.get_all method
  * Pass correct context to get_by_compute_node()
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev877:
  * neutron: deprecate 'allow_duplicate_networks' config option
  * Fix Juno nodes checking service.compute_node
  * Move policy enforcement into REST API layer for v2.1 extended_volumes
  * Remove useless policy rules for v2.1 api which removed/disabled
  * Fix infinite recursion caused by unnecessary stub
  * Websocket Proxy should verify Origin header
  * Improve 'attach interface' exception handling
  * Remove unused method _make_stub_method
  * Revert "Allow force-delete irrespective of VM task_state"
  * Fix kwargs['instance'] KeyError in @reverts_task_state decorator
  * Sync with latest oslo-incubator
  * Remove unused method queue_get_for
  * Remove make_ip_dict method which is not used
  * Remove unused method disable_vlan
  * Remove unused method get_request_extensions
  * VMware: remove code invoking deprecation warning
  * Don't add exception instance in LOG.exception
  * Remove db layer hard-code permission checks for service_delete/service_get
  * Remove db layer hard-code permission checks for service_update
  * Move policy enforcement into REST API layer for v2.1 create backup
  * Truncate encoded instance sys meta to 255 or less
  * Fix NotImplementedError handling in interfaces API
  * Fix a typo of devref document for api_plugin
  * Add catch FlavorExtraSpecsNotFound in V2 API
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev830:
  * Remove an unused config import in nova-compute
  * Raise HTTPNotFound for Port/NetworkNotFound
  * Stop stacktracing in _get_filter_uuid
  * Better logging of resources
  * Preserve preexisting ports on server delete
  * Refactor _regex_instance_filter for testing
  * Add instance_mappings table to api database
  * Remove unused method delete_subnet
  * Fix wrong log output in nova/nova/tests/unit/fake_volume.py
  * Add cell_mappings table to api database
  * Ban passing contexts to remotable methods
  * Fix a remaining case of passing context to a remotable in scheduler
  * Fix several cases of passing context to quota-related remotable methods
  * Fix some cases of passing context to remotables with security groups
  * Make unit tests inherit from test.NoDBTestCase
  * Update config generator to use new style list_opts discovery
  * Add developer documentation for writing V2.1 API plugins
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev797:
  * Updated from global requirements
  * Replace RPC topic-based service queries with binary-based in cells
  * Replace RPC topic-based service queries with binary-based in scheduler
  * Fix some straggling uses of passing context to remotable methods in tests
  * Fix typo in nova/scheduler/filters/utils.py
  * Move policy enforcement into REST API layer for v2.1 api attach_interfaces
  * libvirt-numa.rst: trivial spelling fixes
  * Move policy enforcement into REST API layer for v2.1 api assisted_volume_snapshots
* Tue Mar 10 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev782:
  * Remove cases of passing context to remotable methods in Flavor
  * Remove cases of passing context to remotable methods in Instance
  * Use flavor stored with instance in vmware driver
  * Use flavor stored with instance in ironic driver
* Sun Mar  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev774:
  * Modify filters so they can look to HostState
  * Replace RPC topic-based service queries in nova/api with binary-based
  * Remove service_get_by_args from the DB API
  * Fixed incorrect behavior of method sqlalchemy.api._check_instance_exists
* Sat Mar  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev766:
  * let us specify when samples tests need admin privs
  * Updated from global requirements
  * Fix up PciDevice remotable context usage
  * libvirt: add comment for vifs_already_plugged=True in finish_migration
  * neutron: check for same host in _update_port_binding_for_instance
  * Keep instance state if lvm backend not impl
  * Remove usage of db.service_get_by_args
  * vmware: support both hard and soft reboot
  * xenapi: Fix session tests leaking state
  * Change instance disappeared during destroy from Warning to Info
  * Replace instance flavor delete hacks with proper usage
  * Add delattr support to base object
  * Modify AggregateAPI methods to call the Scheduler client methods
  * Create Scheduler client methods for aggregates
  * Add update and delete _aggregate() method to the Scheduler RPC API
  * Instantiate aggregates information when HostManager is starting
  * Add equivalence operators to NUMACell and NUMAPagesTopology
  * Adds x509 certificate keypair support
  * Better round trip for RequestContext<->Dict conversion
  * Prevent update of ReadOnlyDict
  * neutron: add logging during nw info_cache refresh when port is gone
  * Add info for Standalone EC2 API to cut access to Nova DB
  * Compute: update config drive settings on instance
  * Config driver: update help text for force_config_drive
  * create noauth2
  * enhance flavor manage functional tests
  * Add API Response class for more complex testing
  * Add more log info around 'not found' error
  * Remove want_objects kwarg from nova.api.openstack.common.get_instance
  * Change v3 import to v21 in 2.1 api unit test
* Fri Mar  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev700:
  * Make scheduler client reporting use ComputeNode object
  * Copy the default value for field
  * Imported Translations from Transifex
  * Updated from global requirements
  * Adds keypair type in nova-api
  * Switch nova.virt.vmwareapi.* to instance dot notation
  * Allow disabling the evacuate cleanup mechanism in compute manager
  * Change queries for network services to use binary instead of topic
  * Add Service.get_by_host_and_binary and ServiceList.get_by_binary
  * Ensure bridge deleted with brctl delbr
  * Remove extended addresses from V2.1 update & rebuild
  * Switch nova.virt.hyperv.* to instance dot notation
  * Revert instance task_state when compareCPU fails
  * Switch nova.virt.libvirt.* to instance dot notation
  * Add nova-manage commands for the new api database
  * Add second migrate_repo for cells v2 database migrations
  * neutron: consolidate common unbind ports logic
  * Fixed incorrect indent of test_config_read_only_disk
  * Fixed incorrect assertion in test_db_api
  * Make ConsoleAuthTokensExtensionTestV21 inherit from test.NoDBTestCase
  * Api: remove unusefull compute api from cells
  * Remove db layer hard-code permission checks for service_create
  * Switch to uuidutils from oslo_utils library
  * VMware: Accept image and block device mappings
  * Pull singleton config check cruft out of SG API
  * virt: Fix images test interaction
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev648:
  * Updated from global requirements
  * Force LANGUAGE=en_US in test runs
  * Sync oslo policy change
  * Remove compute_node field from service_get_by_compute_host
  * Switch nova.virt.* to use the object dot notation
  * add string representation for context
  * Add obj_alternate_context() helper
  * remove unused _authorize_context from security_group_default_rules.py
  * PYTHONHASHSEED bug fix in test_utils
  * fixed tests in test_vm_util to work with random PYTHONHASHSEED
  * Fix bad exception logging
  * Allow configuring proxy_host and proxy_port in nova.conf
  * CWD is incorrectly set if exceptions are thrown
  * Keep instance state if ssh failed during migration
  * Adds tests for Hyper-V LiveMigration utils
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev618:
  * Fix how the Service object is loading the compute_node field
  * Remove compute_node from service_get_by_cn Cells API method
  * Disables pci plugin for v2.1 & microversions
  * libvirt: remove libvirt import from tests so we only use fakelibvirt
  * capture stdout and logging for OSAPIfixture test
  * Switch nova.context to actually use oslo.context
  * Remove TranslationFixture
  * Replace fanout to False for CastAsCall fixture
  * Imported Translations from Transifex
  * Support specifing multiple values for aggregate keys
  * Remove attach/detach/swap from V2.1 extended_volumes
  * Add _LW for missing translations
  * Xenapi: Attempt clean shutdown when deleting instance
  * Add note on running single tests to HACKING.rst
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev590:
  * Make metadata cache time configurable
  * Fix tiny typo in api microversions doc
  * Display host chosen for instance by scheduler
  * linux_net.metadata_accept(): IPv6 support
  * Enforce in REST API layer on v2.1 api remote consoles
  * Move policy enforcement into REST API layer for v2.1 api evacuate
  * No need to re-fetch instance with sysmeta
  * Compute: make use of dot notation for console access
  * Compute: update exception handling for spice console
  * Move v2.1 rescue api policy enforcement into REST API layer
* Sun Mar  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev570:
  * Fixes Hyper-V: configdrive is not migrated to destination
  * ensure that ram is >= 1 in random flavor creation
  * Fixes 500 error message and traces when no free ip is left
  * Inherit exceptions correctly
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev562:
  * db: Add index on fixed_ips updated_at
  * Add microversion allocation on devref
  * Remove OS-EXT-IPS attributes from V2.1 server ips
  * Remove 'locked_by' from V2.1 extended server status
  * Remove 'id' from V2.1 update quota_set resp
  * Remove accessips attribute from V2.1 POST server resp
  * Fix bad interaction between @wsgi.extends and @wsgi.api_version
  * fix 'Empty module name' exception attaching volume
  * API: Change the API cpu_info to be meaning ful
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev544:
  * Remove en_US translation
  * Enforce in REST API layer on v2.1 shelve api
  * Convert nova.compute.* to use instance dot notation
  * Use instance objects in fping/instance_actions/server_metadata
  * Fix misspellings words in nova
  * Fix KeyErrors from incorrectly formatted NovaExceptions in unit tests
  * Move policy enforcement into REST API layer for v2.1 floating ips
  * Revert : Switch off oslo.* namespace check temporarily
  * Move policy enforcement into REST API layer for v2.1 networks related
  * Remove db layer hard-code permission checks for v2.1 agents
  * Move v2.1 virtual_interfaces api policy enforcement into REST API layer
  * Use flavor stored with instance in libvirt driver
  * Handle 404 in os-baremetal-nodes GET
  * Copy image from source host when ImageNotFound
  * Make notifications use BandwidthUsageList object
  * Adds xend to rootwrap.d/compute.filters
  * Set instance NUMA topology on HostState
  * Move policy enforcement into REST API layer for v2.1 admin actions
  * Drop deprecated namespace for oslo.rootwrap
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev506:
  * Switch nova.network.* to use instance dot notation
  * Fix the order of base classes in migrations test cases
  * Move policy enforcement into REST API layer for v2.1 server_diagnostics
  * fixed tests to work with random PYTHONHASHSEED
  * Fix "Host Aggregate" section of the Nova Developer Guide
  * Remove useless NotFound exception catching for v2/v2.1 fping
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev494:
  * Updated from global requirements
  * Make compute unit tests inherit from test.NoDBTestCase
  * Request objects in security_groups api extensions
  * Reuse is_int_like from oslo_utils
  * VMware: fix network connectivity problems
  * Move policy enforcement into REST API layer for v2.1 admin password
  * Libvirt: Allow missing volumes during delete
  * Replace select-for-update in fixed_ip_associate
  * Move policy enforcement into REST API layer for v2.1 fping
  * Consolidate use api request version header
  * VMware: update get_available_datastores to only use clusters
  * Add useful debug logging when policy checks fail
  * Updated from global requirements
  * libvirt: Fix migration when image doesn't exist
  * libvirt: log host capabilities on startup
  * Enforce policy checking in REST API layer for v2.1 server_password
  * Fix 500 when deleting a not existing ec2 security group
  * Remove backwards compat oslo.messaging entries from setup.cfg
  * Change utils.vpn_ping() to return a Boolean
  * tests: remove duplicate keys from dictionary
  * Add blkid rootwrap filter
  * Move policy enforcement into REST API layer for v2.1 floating_ip_pools
  * libvirt: address test comments for zfcp volume driver changes
  * Fix BM nodes extension to deal with missing node properties
  * VMware: update the support matrix for security groups
  * Ignore 'dynamic' addr flag on gateway initialization
  * Create volume in the same availability zone as instance
  * Change microversion header name
  * Move policy enforcement into REST API layer for v2.1 ips
  * Move policy enforcement into REST API layer for v2.1 multinic
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev416:
  * console: add unit tests for baseproxy
  * Fixes novncproxy logging.setup()
  * Add descriptions to some assertBooleans
  * Add methods that convert any volume BDM to driver format
  * Split scheduler weight test on ram
  * Split scheduler weight test on metrics
  * Split scheduler weight test on ioops
  * Use oslo.log
  * switch LOG.audit to LOG.info
  * Fix idempotency of migration 269
  * nova flavor manage functional test
  * extract API fixture
  * Remove unused touch command filter
  * Add a test for block_device_make_list_from_dicts
  * Wrap IPv6 address in square brackets for scp/rsync
  * Use NoDBTestCase instead of TestCase
  * VMware: ensure that resize treats CPU limits correctly
  * Compute: pass flavor object to migrate_disk_and_power_off
  * api: report progress when instance is migrating
  * libvirt: proper monitoring of live migration progress
  * Adjust object_compat wrapper order
  * Enhance EvacuateHostTestCase test cases
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev377:
  * objects: fix issue in test cases for instance numa
  * libvirt: Adjust Nova to support FCP on System z systems
  * Added retries in 'network_set_host' function
  * XenAPI: Fix data loss on resize up
  * Replace oslo-incubator with oslo_context
* Fri Feb 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev368:
  * fake: fix public API signatures to match virt driver
  * Support live-migrate of instances in PAUSED state
  * Pass the capabilities to ironic node instance_info
  * Switch nova.api.* to use instance dot notation
  * libvirt: cleanup setattr usage in test_host
  * libvirt: add TODOs for removing libvirt attribute stubs
  * Fixes Attribute Error when trying to spawn instance from vhd on HyperV
  * Fix VNC access, when reverse DNS lookups fail
  * Don't assume contents of values after aggregate_update
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev350:
  * extract method from fc volume discovery
  * Fix DB access by FormatMappingTestCase
  * libvirt: using instance like object
  * libvirt: convert tests from mox to mock
  * Objectify calls to service_get_by_compute_host
  * Refactor how to remove compute nodes when service is deleted
  * Contrail VIF Driver changes for Nova-Compute
  * libvirt : Fix slightly misleading parameter name, validate param
  * Expand try/except for get_machine_ips
  * Switch nova.compute.manager to use instance dot notation
  * libvirt: stub out VIR_SECRET_USAGE_TYPE_ISCSI for older libvirt
  * Add handling for offlined CPUs to the nova libvirt driver
  * Make compute API create() use BDM objects
  * Remove redundant tearDown from ArchiveTestCase
  * Libvirt: Support ovs plug in vhostuser vif
  * Removed duplicate key from dictionary
  * Imported Translations from Transifex
  * Libvirt: Gracefully Handle Destroy Error For LXC
  * VMware: fix resize of ephemeral disks
  * Fixes logic in compute_node_statistics
  * hacking: Got rid of unnecessary TODO
  * Fix detach_sriov_ports to get context to be able to get image metadata
* Wed Feb 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev304:
  * libvirt: stub out VIR_CONNECT_LIST_DOMAINS_INACTIVE
  * Change calls to service information for Hypervisors API
  * libvirt: switch LibvirtConnTestCase back to NoDBTestCase
  * Replace usage of LazyPluggable by stevedore driver
  * Don't mock time.sleep with None
  * Remove computenode relationship on service_get
  * Remove nested service from DB API compute_nodes
  * libvirt: Use XPath instead of loop in _get_interfaces
  * Make the method _op_method() public
  * Quiesce boot from volume instances during live snapshot
  * network: Fix another IPv6 test for Mac
  * Pre-load default filters during scheduler initialization
  * Add JSON schema for v2.1 add network API
  * Handle MessagingException in unshelving instance
  * VMware: add in a utility method for detaching devices
  * VMware: address instance resize problems
  * Libvirt: Support for generic vhostuser vif
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev271:
  * libvirt: stub VIR_CONNECT_LIST_DOMAINS_ACTIVE for older libvirts
  * Remove now useless requirements wsgiref
  * Add missing api samples for floating-ips api(v2)
  * Libvirt: add in unit tests for driver capabilities
  * libvirt: fix overly strict CPU model comparison in live migration
  * Libvirt: vcpu_model support
  * Change outer to inner join in fixed IP DB API func
  * Adds infrastructure for microversioned api samples
  * Move policy enforcement into REST API layer for v2.1 api console-output
  * libvirt: add libvirt/parallels to hypervisor support matrix
  * libvirt: fix emulator thread pinning when doing strict CPU pinning
  * libvirt: rewrite NUMA topology generator to be more flexible
  * libvirt: Fix logically inconsistent host NUMA topology
  * Implement api samples test for os-baremetal-nodes Part 2
  * libvirt: Enable serial_console feature for system z
  * Add version specific test cases for microverison
  * Add suggestion to dev docs for debugging odd test failures
  * Improvement in 'network_set_host' function
  * Cells: Record initial database split in devref
  * Do not compute deltas when doing migration
* Sun Feb 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev231:
  * Change how the API is getting a list of compute nodes
  * Change how Cells are getting the list of compute nodes
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev227:
  * Cover ListOfObjectField for relationship test
  * Ironic: add in unit tests for driver capabilities
  * Tests: Don't require binding to port 4444
  * IP filtering is not accurate when used with limit
  * Change how HostManager is calling the service information
  * Move scheduler.host_manager to use ComputeNode object
  * patch out nova libvirt driver event thread in tests
  * Small cleanup in pci_device_update
  * Add vcpu_model to instance object
  * Pass instance primitive to instance_update_at_top()
  * Remove unused function in test
  * hardware: fix reported host mempages in numa cell
  * objects: fix numa obj relationships
  * objects: remove default values for numa cell
  * Add API schema for v2.1 tenant networks API
  * Libvirt: cleanup rescue lvm when unrescue
  * libvirt: utils canonicalize now the image architecture property
  * libvirt: remove _destroy_instance_files shim
  * libvirt: memnodes shuold be set to a list instead of None
  * Sync with oslo-incubator
  * Make compute use objects usage 'best practice'
  * Fix network tests response code checking
  * Access migration fields like an object in finish_revert_resize
  * Remove unused migration parameter from _cleanup_stored_instance_types
  * Hyper-V: Adds instance missing metrics enabling
  * Add ipv6 support to fake network models
  * Fixes interfaces template identification issue
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev173:
  * Remove unused function
  * Move policy enforcement into REST API layer for v2.1 deferred_delete
  * Move policy enforcement into REST API layer for v2.1 lock server
  * Sync simple_tenant_usage V2.1 exception with V2 and add test case
  * IP filtering can include duplicate instances
  * Compute: use dot convension for _poll_rescued_instances
  * Compute: update reboot_instance to use dot instance notation
  * Fix incorrect compute api config indentation
  * Compute: use consistant instance dot notation
  * Use dot notation on instance object fields in _delete_instance
  * Implement api samples test for os-baremetal-nodes
  * Fix description of parameters in nova functions
  * Adds keypair type database migration
  * Use controller methods directly in test_rescue
  * Make test re-use HTTPRequest part 5
  * Make obj_set_defaults() more useful
  * Remove unused conductor parameter from get_host_availability_zone()
  * Remove unused network rpcapi calls
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev137:
  * Add recursive flag to obj_reset_changes()
  * Add tests for nova-manage vm list
  * Log warning if CONF.my_ip is not found on system
  * virt: Fix interaction between disk API tests
  * VMware: update get_vm_resize_spec interface
  * Remove compability check for ratelimit_v3
  * Warn about zookeeper service group driver usage
  * Typos fixed
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev119:
  * network: Fix IPv6 tests for Mac
  * Stop making the database migration backend lazy pluggable
  * Updated from global requirements
  * Libvirt: Created Nova driver for Quobyte
  * Move policy enforcement into REST API layer for v2.1 pause server
  * Libvirt: update log message
  * Update usage of exception MigrationError
  * Extract preserve ephemeral on rebuild from servers plugin
  * Raise bad request for missing 'label' in tenant network
  * VMware: add disk device information to VmdkInfo
  * Call controller methods directly in test_multinic
  * Fix incorrect use of mock in scheduler test
  * Add more tests for tenant network API
  * Add notification for suspend
  * Add API schema for v2.1 networks API
  * Adds devref for API Microversions
  * Ensure publisher_id is set correctly in notifications
  * Failed to discovery when iscsi multipath and CHAP both enabled
  * VMware: fix resume_state_on_host_boot
  * libvirt: remove pointless loop after live migration finishes
  * libvirt: Set SCSI as the default cdrom bus on System z
  * libvirt: cleanup warning log formatting in _set_host_enabled
  * Cells: Improve invalid hostname handling
  * Cache empty results in libvirt get_volume_connector
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev72:
  * Make tests use sha256 as openssl default digest algorithm
  * Replace select-for-update in floating_ip_allocate_address
  * VMware: Enable spawn from OVA image
  * Remove wsgi_app usage from test_server_actions
  * Change some v2.1 extension names to v2
  * Add VirtCPUModel nova objects
  * Add enum fieldtype field
  * Convert v2.1 extension_info to show V2 API extension list
  * Cleanup and removal of unused code in scheduler unit tests
  * Refactor test_filter_scheduler use of fakes
  * Fixes Hyper-V configdrive network injection issue
  * Remove temporary power state variables
  * Fix expected error in V2.1 add network API
* Sun Feb  8 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev46:
  * work around for until-failure
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev44:
  * Updated from global requirements
  * Update matrix for kvm on ppc64
  * Switch off oslo.* namespace check temporarily
  * Switch to using oslo_* instead of oslo.*
  * Enable BIOS bootmenu on AMI-based images
  * Fix references to non-existent "pause" section
  * Fix improper use of Stevedore
  * libvirt: Fail when live block migrating instance with volumes
  * Treat LOG.warning and LOG.warn same
  * Add JSON schema for v2.1 'quota_class' API
  * Add api_version parameter for API sample test base class
  * fix typo in rpcapi docstring
  * Fix conductor servicegroup joining when zk driver is used
  * Make EC2 compatible with current AWS CLI
  * Use a workarounds group option to disable live snaphots
  * Fix bdm transformation for volume backed servers
  * Removed useless method _get_default_deleted_value
  * Update network resource when shelve offload instance
  * Add missing policy for nova in policy.json
  * remove detail method from LimitsController
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev4:
  2015.1.0b2
  * libvirt: fix console device for system z for log file
  * libvirt: generate proper config for PCS containers
  * libvirt: add ability to add file and block based filesystem
  * libvirt: add ploop disks format support
  * Remove v1.1 from v2.1 extension description
  * Add missing setup.cfg entry for os-user-data plugin
  * Add max_concurrent_builds limit configuration
  * Update Power State after deleting instance
  * libvirt: Use XPath instead of loop in _get_all_block_devices
  * libvirt: Use XPath instead of loop in get_instance_diagnostics
  * Ironic: Adds config drive support
  * Adds barbican keymgr wrapper
  * Added hacking rule for assertEqual(a in b, True/False)
  * VMware: enable a cache prefix configuration parameter
  * VMware: remove unnecessary brackets
* Thu Feb  5 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev815:
  * PCI NUMA filtering
  * Do not treat empty key_name as None
  * Remove unused error from v2.1 create server
  * Fix corrupting the object repository with test instance objects
  * Change cell_type values in nova-manage
  * Fix bad mocking of methods on Instance
  * Updated from global requirements
  * Fix cells rpc connection leak
  * Remove redundant assert of mock volume save call
  * Don't create block device mappings in the API cell
  * Add formal doc recording hypervisor feature capability matrix
  * libvirt-xen: Fix block device prefix and disk bus
  * libvirt-xen: don't request features ACPI or APIC with PV guest
  * Cells: Fix service_get_by_compute_host
  * Replace select-for-update in fixed_ip_associate_pool
  * GET details REST API next link missing 'details'
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev783:
  * Remove useless argparse requirement
  * add asserts of DriverBlockDevice save call parameters
  * fix call of DriverVolumeBlockDevice save in swap_volume
  * libvirt : Add support for --interface option in iscsiadm
  * Expand instances project_id index to cover deleted as well
  * Fixes Hyper-V instance snapshot
  * Add more status when do _poll_rebooting_instances
  * Make code compatible with v4 auth and workaround webob bug
  * Fix likely undesired use of redirection
  * libvirt: Support iSCSI live migration for different iSCSI target
  * libvirt: always pass image_meta when getting guest XML
  * Make test re-use HTTPRequest part 4
  * libvirt: use XPath in _get_serial_ports_from_instance
  * check the configuration num_vbd_unplug_retries
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev755:
  * libvirt: avoid setting the memnodes where when it's not a supported option
  * Save bdm in swap_volume
  * doc: document manual testing procedure for serial-console
  * nova net-delete network is not informative enough
  * Fix typo in nova/virt/disk/vfs/localfs.py
  * libvirt: fix failure when attaching volume to iso instance
  * Add log message to is_luks function
  * object: serialize set to list
  * Fix leaking exceptions from scheduler utils
  * Adds tests for Hyper-V VHD utils
  * libvirt: add QEMU built-in iSCSI initiator support
  * Add update_or_create flag to BDM objects create()
  * Remove unused method from test_metadata
  * Add JSON schema for "associate_host" API
  * Add migrate_flavor_data to nova-manage
  * Adds logging to ComputeCapabilitiesFilter failures
  * VMware: add in utility methods for copying and deleting disks
  * libvirt: assume image_meta is non-None in blockinfo module
  * Enforce DB model matches results of DB migrations
  * Add missing foreign keys for sqlite
  * Fix an indentation in server group api samples template
  * Allow instances to attach to shared external nets
  * libvirt: add parallels virt_type
  * Adds common policy authorizer helper functions for Nova V2.1 API
  * Adds skip_policy_check flag to Compute/Network/SecurityGroup API
  * Add API schema for v2.1 server reboot actions
  * Add API schema for v2.1 'removeFloatingIp'
  * Add API schema for v2.1 'addFloatingIp'
  * Add parameter_types.ip_address for cleanup
  * Remove N331 hacking rules
* Sun Feb  1 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev653:
  * Remove unused content_type_params()
* Sat Jan 31 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev651:
  * libvirt: fix missing block device mapping parameter
  * Revert "Raise if sec-groups and port id are provided on boot"
  * Calls to superclass' __init__ function is optional
  * Fix error message when no IP addresses available
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev643:
  * Add flavor fields to Instance object
  * Fix up some instance object creation issues in tests
  * Fix misspellings in hardware.py
  * Apply v2.1 API to href of version API
  * libvirt: always pass image meta when getting disk info from bdm
  * Handle ironic_client non-existent case
  * Use a workarounds option to disable rootwrap
  * Convert nova-manage list to use Instance objects
  * Create a 'workarounds' config group
  * Updated from global requirements
  * don't use exec cat when we can use read
  * don't assert_called_once_with with a real time
  * Network: correct VMware DVS port group name lookup
  * Refactor ComputeCapabilitiesFilter as bugfix preparation
  * libvirt: update uri_whitelist in fakelibvirt.Connection
  * Revert "Adds keypair type database migration"
  * Raise NotFound if attach interface with invalid net id or port id
  * Change default value of multi_instance_display_name_template
  * Raise if sec-groups and port id are provided on boot
  * Break base service group driver class out from API
  * libvirt: Use XPath instead of loop in _get_disk_xml
  * Make _get_instance_block_device_info preserve root_device_name
  * Implement a safe copy.copy() operation for Nova models
  * Guard against missing X-Instance-ID-Signature header
  * Update WSGI SSL IPv6 test and SSL certificates
  * Catch more specific exception in _get_power_state
  * Maintain the creation order for vifs
  * Set socket options in correct way
  * Fix conductor processes race trying to join servicegroup (zk driver)
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev587:
  * Support for ext4 as default filesystem for ephemeral disks
  * Objects: add in missing translation
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev583:
  * Check for LUKS device via 'isLuks' subcommand
  * disk: use new vfs method and option to extend
  * libvirt: always pass image meta when getting disk mapping
  * libvirt: always pass image meta when getting disk info
  * objects: fix typo in changelog of compute_node
  * Reply with a meaningful exception when ports are over the quota limit
  * Adds keypair type database migration
  * A minor change of CamelCase parameter
  * Imported Translations from Transifex
  * Add missing indexes in SQLite and PostgreSQL
  * Remove H238 comment from tox.ini
  * libvirt: use image_meta when looking up default device names
  * Fix policy validation in JSONSchema
  * Adds assert_has_no_errors check
  * Begin using ironic's "AVAILABLE" state
  * HACKING.rst: Update the location of unit tests' README.rst
  * Make test re-use HTTPRequest part 1
  * ephemeral file names should reflect fs type and mkfs command
  * Add API schema for v2.1 createImage API
  * Hyper-V: Fixes wrong hypervisor_version
  * Cleanup XML for api samples tests for Nova REST API
  * Move test_extension_info from V3 dir to V2.1
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev540:
  * Revert temporary hack to monkey patch the fake rpc timeout
  * virt: make tests pass instance object to get_instance_disk_info
  * libvirt: rename conn variable in LibvirtConnTestCase
  * Add method for getting the CPU pinning constraint
  * libvirt: Consider CPU pinning when booting
  * Ignore warnings from contextlib.nested
  * Remove redundant catch for InstanceNotFound
  * libvirt: Create correct BDM object type for conn info update
  * disk/vfs: introduce new option to setup
  * disk/vfs: introduce new method get_image_fs
  * Use controller methods in test_floating_ips
  * Add version as request param for fake HTTPRequest
  * libvirt: not setting membacking when mempages are empty host topology
  * Remove unused methods in nova utils
  * VMware: add in utility method for copying files
* Sun Jan 25 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev510:
  * Avoid bdms db call when cleaning deleted instance
  * Cleanup bad JSON files
  * libvirt: remove use of utils.instance_sys_meta
  * libvirt: remove use of fake_instance.fake_instance_obj
  * Adds "file" disk driver support to Xen libvirt driver
  * Cleanup in test_admin_actions
  * Remove mox dependency
  * Improve api-microversion hacking check
  * fix wrong file path in docstring of hacking.checks
  * Fix nova-manage shell ipython
  * ironic: remove non-standard info in get_available_resource dict
  * hyperv: use standard architecture constants for CPU model
  * xenapi: fix structure of data reported for cpu_info
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev484:
  * Updated from global requirements
  * Remove unused method log_db_contents
  * Switch to oslo.vmware API for reading and writing files
  * libvirt: rename self.conn in LibvirtVolume{Snapshot||Usage}TestCase
  * Fix errors in string formatting operations
  * Fixes undocumented commands
  * Virt: remove unused 'host' parameter from get_host_uptime
  * Fix v2.1 os-tenant-networks/networks API
  * Add unit test for getting project quota remains
  * Cleanups in preparation of flavor attributes on Instance
  * Add flavor column to instance_extra table
  * Fix wrong instructions for rebuilding API samples
  * Use get_my_ipv4 from oslo.utils
  * Corrects link to API Reference on landing page
  * VMware: remove unused method in the fake module
  * include python-novaclient in abandon policy
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev453:
  * Reschedule queries to nova-scheduler after a timeout occurs
  * Add to_dict() method to PciDevicePool object
  * libvirt: rename self.libvirtconnection in LibvirtDriverTestCase
  * libvirt: convert LibvirtConnTestCase to use fakelibvirt fixture
  * Provide compatibliity for db.compute_node_statistics
  * Update network resource when rescheduling instance
  * libvirt: Expanded test libvirt driver
  * Remove unused controller instance in test_config_drive
  * Add checking changePassword None in _action_change_password(v2)
  * Add more exceptions handle when change server password (v2)
  * Share admin_password unit test between V2 & V2.1
  * Fix JSONFilter docs
  * libvirt: move _get_hypervisor_* functions to Host class
  * libvirt: don't turn time.sleep into a no-op in tests
  * Add setup/cleanup_instance_network_on_host api for neutron/nova-network
  * VMware: snapshot as stream-optimized image
  * Get settable user quota maximum correctly
  * Fix typo in nfs_mount_options option description
  * Remove non existent rule N327 from HACKING.rst
  * etc: replace NullHandler by Python one
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev411:
  * Convert tests to NoDBTestCase
  * Don't translate logs in tests
  * Don't translate exceptions in tests
  * Share server_actions unit test between V2 & V2.1
  * Fix server_groups schema on v2.1 API
  * clean up extension loading logging
  * Enable check for H238 rule
  * Honor shared storage on resize revert
  * Stub out instance action events in test_compute_mgr
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev396:
  * libvirt: update get_capabilities to Host class
  * libvirt: add get_connection doc string in Host class
  * Call ComputeNode instead of Service for getting the nodes
  * Adds Hyper-V generation 2 VMs implementation
  * VMware: ensure that correct disk details are returned
  * Fix py27 gate failure - test_create_instance_both_bdm_formats
  * Make get_best_cpu_topology consider NUMA requested CPU topology
  * VMware: refactor utility functions related to VMDK
  * don't use debug logs for object validation
  * tests: fix handling of TIMEOUT_SCALING_FACTOR
  * Make service-list output consistent
  * Make V2.1 servers filtering (--tenant-id) same as V2
  * libvirt: clean instance's directory when block migration fails
  * Catch NUMA related exceptions for create server v2.1 API
  * libvirt: Decomposition plug hybrid methods in vif
  * This patch fixes the check that 'options' object is empty correctly
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev364:
  * Reduce complexity of the _get_guest_config method
  * Remove useless requirements
  * Make libvirt driver expose sibling info in NUMA topology
  * Fixed incorrect initialization of availability zone tests
  * Sync with latest oslo-incubator
  * initialize objects with context in VirtualInterface object tests
  * initialize objects with context in Tag object tests
  * initialize objects with context in Service object tests
  * Fixes Hyper-V boot from volume live migration
  * Cache ironic-client in ironic driver
  * VMware: driver not handling port other than 443
  * Add API schema for server_groups API
  * Remove lock files when remove libvirt images
  * Make test_consoles to directly call controller methods
  * Add support for clean_shutdown to resize in compute api layer
  * Libvirt: use strutils.bool_from_string
* Sun Jan 18 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev332:
  * increase fake rpc POLL_TIMEOUT to 0.1s
  * Fix inconsistencies in the ComputeNode object about service
  * create some unit of work logging in n-net
  * Remove unused scheduler driver methods
  * Catch expected exceptions in remote console controller
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev322:
  * Revert "initialize objects with context in block device"
  * Performance: leverage dict comprehension in PEP-0274
  * xenapi: don't send terminating chunk on errors
  * Make numa_usage_from_instances consider CPU pinning
  * libvirt: remove/revert pointless logic for getVersion call
  * libvirt: move capabilities helper into host.py
  * libvirt: move domain list helpers into Host class
  * libvirt: move domain lookup helpers into Host class
  * Add numa_node to PCIDevice
  * libvirt: set guest cpu_shares value as a multiple of guest vCPUs
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev303:
  * Expansion of matching XML strings logic
  * oslo: remove useless modules
  * Do not use deprecated assertRaisesRegexp()
  * Remove unused instance_group_metadata_* DB APIs
  * initialize objects with context in block device
  * Reduce the complexity of the create() method
  * Make service-delete work in API cells
  * Fix OverQuota headroom KeyError in nova-network allocate_fixed_ip
  * Cleanup in admin_actions(v2.1api)
  * Fix failure rebuilding instance after resize_revert
  * initialize objects with context in SecurityGroupRule object tests
  * initialize objects with context in SecurityGroup object tests
  * SQL scripts should not manage transactions
  * Fix EC2 volume attachment state at attaching stage
  * Add ALL-IN operator to extra spec ops
* Thu Jan 15 2015 cloud-devel@suse.de
- Update to version nova-2015.1.dev273:
  * speed up tests setting fake rpc polling timeout
  * Fix live migration RPC compatibility with older versions
  * Update docstring for wrap_exception decorator
  * Make LOG exception use format_message
  * make IptablesRule debug calls meaningful
  * Add handling of BadRequest from Neutron
  * VMware: use power_off_instance instead of power_off
  * Remove unnecessary cleanup from ComputeAPITestCase
  * Join instances column before expecting it to exist
  * Hyper-V: Fix volume attach issue caused by wrong constant name
  * initialize objects with context in compute manager
  * libvirt: Handle empty context on _hard_reboot
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version nova-2015.1.dev249:
  * Updated from global requirements
  * Make ec2 auth support v4 signature format
  * Replace Hacking N315 with H105
  * Enable W292
  * Fix and re-gate on H306
  * Move to hacking 0.10
  * Updated from global requirements
  * Move WarningsFixture after DatabaseFixture so emit once
  * libvirt: Use arch.from_host instead of platform.processor
  * Fix obj_to_primitive() expecting the dict interface methods
  * Remove unused XML_WARNING variable in servers API
  * remove pylint source code annotations
  * remove all traces of pylint testing infrastructure
  * initialize objects with context in base object tests
  * initialize objects with context in Migration object tests
  * initialize objects with context in KeyPair object tests
  * initialize objects with context in InstanceNUMATopology object tests
  * initialize objects with context in InstanceGroup object tests
  * initialize objects with context in InstanceFault object tests
  * Add WarningsFixture to only emit DeprecationWarning once in a test run
  * Doc: Adds python-tox to Ubuntu dependencies
  * Added hacking rule for assertTrue/False(A in B)
  * ironic: use instance object in driver.py
  * Add LibvirtGPFSVolumeDriver class
  * Return 500 when unexpected exception raising when live migrate v2
  * Remove no need LOG.exception on attach_interface
  * Switch to tempest-lib's packaged subunit-trace
  * Update eventlet API in libvirt driver
  * initialize objects with context in Instance object tests
  * initialize objects with context in Flavor object tests
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1323.gcb3a8b5:
  * Fix cells RPC version 1.30 compatibility with dict-based Flavors
  * objects: introduce numa pages topology as an object
  * fix pep8 errors that apparently slipped in
  * Add cn_get_all_by_host and cn_get_by_host_and_node to ComputeNode
  * Add host field to ComputeNode
  * Add a validation format "cidr"
  * Use a copy of NEW_NETWORK for test_networks
  * Libvirt: SMB volume driver
  * VMware: allow selection of vSAN datastores
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1305.g668c2c9:
  * Libvirt: Fsfreeze during live-snapshot of qemu/kvm instances
  * Updated from global requirements
  * Hyper-V: attach volumes via SMB
  * Update LVM lockfile name identical to RAW and Qcow
  * VMware: support passing flavor object in spawn
  * Libvirt: make use of flavor passed by spawn method
  * Virt: change instance_type to flavor
  * rename oslo.concurrency to oslo_concurrency
  * Support macvtap for vif_type being hw_veb
  * Remove unnecessary timeutils override cleanup
  * Cleanup timeutils override in tests/functional/test_servers
  * Downgrade quota exceeded log messages
  * Remove unused cinder code
  * Libvirt normalize numa cell ids
  * Remove needless workaround in utils module
  * Remove except Exception cases
  * Workflow documentation is now in infra-manual
  * Adds global API version check for microversions
  * Assert order of DB index members
  * Compute Add build_instance hook in compute manager
  * Remove the volume api related useless policy rules
  * Remove old Baremetal Host Manager
  * Rename private functions in db.sqla.api
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1259.g5ef07cc:
  * Fixes multi-line strings with missing spaces
  * Fix incorrectly formatted log message
  * libvirt: check value of need_legacy_block_device_info
  * Fixed typo in testcase and comment
  * Implement microversion support on api methods
  * Fix long hostname in dnsmasq
  * Updated from global requirements
  * object-ify flavors manager side of the RPC
  * Enforce unique instance uuid in data model
  * Replacement `_` on `_LW` in all LOG.warning part 4
  * Replacement `_` on `_LW` in all LOG.warning part 3
  * Convert v3/v2.1 extension info to present v2 API format
  * VMware: ephemeral disk support
  * Fix disconnecting necessary iSCSI sessions issue
  * Network object: add missing translations
  * Only filter once for trusted filters
  * Indicate whether service is down for mc driver
  * make get_by_host use slave in periodic task
  * Fix scheduler_available_filters help
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1223.g0ba66aa:
  * Add CPU pinning data to InstanceNUMACell object
  * Adds NUMA CPU Pinning object modeling
  * objects: Add several complex field types
  * Imported Translations from Transifex
  * libvirt: Fix domain creation for LXC
  * Break V2 XML Support
  * libvirt: Enable console and log for system z guests
  * libvirt: Set guest machine type on system z
  * Drop support for legacy server groups
  * Libvirt: Don't let get_console_output crash on missing console file
  * libvirt: enhance config memory backing to handle hugepages
  * libvirt: video RAM setting should be passed in kb to libvirt
  * Fix type of uniq_security_groups0project_id0name0deleted
  * Add debug log for url not found
  * Scheduler: return a namedtuple from _get_group_details
  * Correct InvalidAggregateAction translation&format
  * Add API validation schema for volume_attachments
  * Share CreateBackup unit test between V2 & V2.1
  * Share suspend_server unit test between V2 & V2.1
  * Share pause_server unit test between V2 & V2.1
  * Share lock_server unit test between V2 & V2.1
  * Use admin only common test case in admin action unit test cases
  * Make aggregate filters use objects
  * tests: update _get_instance_xml to accept custom flavor object
  * libvirt: vif tests should use a flavor object
  * libvirt: use qemu (qdisk) disk driver for Xen >= 4.2.0
  * Revert pause/unpause state when host restart
  * Fixed quotas double decreasing problem
  * VMware: Fix problem transferring files with ipv6 host
  * VMware: pass vm_ref to _set_machine_id
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1155.g3ad52a7:
  * Hyper-V: Adds VMOps unit tests (part 1)
  * VMware: support spawn of stream-optimized image
  * libvirt: reuse defined method to return instance numa topology
  * Don't mock external locks with Semaphore
  * VMware: optimize resource pool usage
  * Added objects Tag and TagList
  * Switch to moxstubout and mockpatch from oslotest
  * Check that volume != root device during boot by image
  * Make a flavorRef validation strict
  * Add missing indexes from 203 migration to model
  * Correct columns covered in migrations_instance_uuid_and_status_idx
  * Optimize 'floating_ip_bulk_create' function
  * Hard reboot doesn't re-create instance folder
  * Remove unused oslo.config import
  * Use real disk size to consider a resize down
  * Clearer default implmentation for dhcp_options..
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1124.g9ccad00:
  * Imported Translations from Transifex
  * factor out _setup_logging in test.py
  * extract _setup_timeouts in test.py
  * Use "is_neutron_security_groups" check
  * Fix function name mismatch in test case
  * VMware: prevent exception with migrate_disk_and_power_off
  * Compute: catch correct exception when host does not exists
  * Code cleanup: quota limit validation
  * Add api validation schema for image_metadata
  * Remove blanks before ':'
  * Port virtual-interfaces plugin to v2.1(v3) API
  * Catch ComputeServiceUnavailable on v2 API
  * GET servers API sorting REST API updates
  * VMware: enable VMware driver to use new BDM format
  * Removing the headroom calculation from db layer
  * Make multiple_create unit tests share between v2 and v2.1
  * remove test.ReplaceModule from test.py
  * Added db API layer to add instance tag-list filtering support
  * Added db API layer for CRUD operations on instance tags
  * Fix API samples/templates of multinic-add-fixed-ip
  * Sync latest from oslo-incubator
  * Fixes Hyper-V agent IDE/SCSI related refactoring
  * Hyper-V: Refactors Hyper-V VMOps unit tests
  * Hyper-V: Adds Hyper-V SnapshotOps tests
  * Remove unused network_api.get_floating_ips_by_fixed_address()
  * add abandon_old_reviews script
  * Eventlet green threads not released back to pool
  * Hyper-V: Adds LiveMigrationOps unit tests
  * Hyper-V: Removes redundant utilsfactory tests from test_hypervapi
  * Hyper-V: Adds HostOps unit tests
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev1044.g78d4d7a:
  * Fix URL mapping of image metadata PUT request
  * Fix URL mapping of server metadata PUT request
  * objects: move numa host and cell to objects
  * objects: introduce numa objects
  * Changed testcase 'test_send_on_vm_change' to test vm change
  * VMware: associate instance with storage policy
  * VMware: use storage policy in datastore selection
  * VMWare: get storage policy from flavor
  * Fix v2.1 API os-simple-tenant-usage policy
  * Port floating_ips extension to v2.1
  * Implement 'personality' plugin for V2.1
  * Enable pep8 on ./tools directory
  * VMware: enable backward compatibility with existing clusters
  * Type conflict in trusted_filter.py using attestation_port default value
  * Limit InstanceList join to system_metadata in os-simple-tenant-usage
  * Specify storage IP for iscsi connector
  * Optimize 'fixed_ip_bulk_create' function
* Mon Dec  1 2014 dmueller@suse.com
- Update to version nova-2015.1.dev1010.g59acb16:
  * objects: move virt numa instance to objects
  * Change definition of API_EXTENSION_NAMESPACE to method
  * Set API version request information on request objects
  * Adds APIVersionRequest class for API Microversions
  * Updated from global requirements
  * move the integrated tests into the functional tree
  * Fix use of conf_fixture
  * Make network/* use Instance.get_flavor()
  * Make metadata server use Instance.get_flavor()
  * Fix use of extract_flavor() in hyper-v driver
  * Check server group policy on migrate/evacuate
  * VMware: fix exception when multiple compute nodes are running
  * Add API json schema for server_external_event(v2.1)
  * Port v2 quota_classes extension to work in v2.1(v3) framework
  * Share unit test case for server_external_events api
  * Add API schema for v2.1/v3 scheduler_hints extension
  * Make compute/api.py::resize() use Instance.get_flavor()
  * Make get_image_metadata() use Instance.get_flavor()
  * Fix instance_update() passing SQLA objects to send_update()
  * dummy patch to let tox functional pass
  * Remove Python 2.6 classifier
  * hardware: clean test to use well defined fake flavor
  * objects: Add test for instance _save methods
  * Error code for creating duplicate floating_ip_bulk
  * Use HTTPRequest instead of HTTPRequestV3 for v2/v2.1 tests
  * objects: make instance numa topology versioned in db
  * Clean up in test_server_diagnostics unit test case
  * Add "x-compute-request-id" to a response header
  * Prevent admin role leak in context.elevated
  * Introduce a .z version element for backportable objects
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev697.ga22cece:
  * Updated from global requirements
  * Use six.text_type instead of unicode
  * VMware: trivial fix for comment
  * Hyper-V: Skip logging out in-use targets
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev689.g70ad74c:
  * Drop max-complexity to 47
  * xenapi plugins must target only Python 2.4 features
  * Switch default cinder API to V2
  * Remove deprecated spicehtml5 options
  * XENAPI add duration measure to log message
  * Make scheduler code use object with good practice
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev677.g943f02f:
  * libvirt: add classes for NUMA memory binding configuration
* Sat Nov  8 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev676.ge03525b:
  * Fix xen plugin to retry on upload failure
  * scheduler: Remove assert on the exact number of weighers
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev673.g0a7f2a8:
  * Quotas: remove deprecated configuration variable
  * Glance: remove deprecated config options
  * Cinder: remove deprecated configuration options
  * Neutron: remove deprecated config options
  * object: update instance numa object to handle pagesize
  * hardware: make cell instance topology to handle memory pages
  * hardware: introduce VirtNUMATopologyCellInstance
  * hardware: fix in doctstring the memory unit used
  * virt: introduce types VirtPageSize and VirtPagesTopology
  * Fix instance_usage_audit_log test to use admin context
  * Return HTTP 400 if use invalid fixed ip to attach interface
* Wed Nov  5 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev651.g051e496:
  * libvirt: safe_decode domain.XMLDesc(0) for i18n logging
  * Compute: catch more specific exception for _get_instance_nw_info
  * Handle exception better in v2.1 attach_interface
* Tue Nov  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev645.gbfbcf7f:
  * Make test_security_groups nose compatible
  * Make test_quotas compatible with nosetests
  * Move setup_instance_group to conductor
  * Make test_host_filters a NoDBTestCase
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev637.g2a7f3af:
  * Use sizelimit from oslo.middleware
  * Use oslo.middleware
  * Move group affinity filters tests to own test file
  * Split out metrics filter unit tests
  * Remove param check for backup type on v2.1 API
  * VMware: use instance.uuid instead of instance['uuid']
  * host manager: Log the host generating the warning
  * Remove uncessary instance.save in nova compute
  * Replace custom patching in `setUp` on HypervisorsSampleJsonTests
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev619.geb9c321:
  * Make resource tracker always use Flavor objects
  * Switch Nova to use oslo.concurrency
  * Splits out retry filter unit tests
  * Split out compute filters unit tests
  * Update hooks from oslo-incubator copy
  * update retryable errors & instance fault on retry
  * VMware: Improve the efficiency of vm_util.get_host_name_for_vm
  * VMware: Add fake.create_vm()
  * Adds tests for Hyper-V Network utils
  * Adds tests for Hyper-V Host utils
  * Clean up iSCSI multipath devices in Post Live Migration
  * Check fixed-cidr is within fixed-range-v4
  * VMware: Improve logging on failure due to invalid guestId
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev593.gdcba0a1:
  * Split out aggregate disk filter unit tests
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev591.gb06f3e7:
  * Change error code of floating_ip_dns api(v2.1)
  * Ignore DiskNotFound error on detaching volumes
  * Split out core filter unit tests
  * Split out IO Ops filter unit tests
  * Read flavor even if it is already deleted
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev581.ga7e1433:
  * Update docstring for check_instance_shared_storage_local
  * remove use of explicit lockutils invocation in tests
  * Delay STOPPED lifecycle event for Xen domains
  * Remove warning & change @periodic_task behaviour
  * Fix nova-compute start issue after evacuate
  * libvirt: introduce config to handle cells memory pages caps
  * Use 404 instead of 400 when security_group is non-existed
  * Port security-group-default-rules extension into v2.1
  * Port SecurityGroupRules controller into v2.1
  * Split out num instances filter unit tests
  * Split and fix the type filters unit tests
  * Split and fix availability zone filter unit tests
  * Split out PCI passthrough filter unit tests
  * Use common get_instance call in API plugins
  * Fix nova evacuate issues for RBD
  * Set error state when unshelve an instance due to not found image
  * Remove unused compute_api in extend_status
  * Use wsgi.response for v2.1 API
  * VMware: fix compute node exception when no hosts in cluster
  * VMware: add tests for spawn with config drive enabled
  * Remove outdated docstring for XenApi driver's options
  * Make separate calls to libvirt volume
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev537.g6c90d81:
  * Small doc fix in compute test
  * Fixes DOS issue in instance list ip filter
  * error if we don't run any tests
  * Revert "Switch Nova to use oslo.concurrency"
  * Updated from global requirements
  * Add API validation schema for disk_config
  * DB API: Pass columns_to_join to instance_get_active_by_window_joined
  * Use py27 version of assertRaisesRegexp
  * xenapi: upload/download params consistency change
  * Use assertRaisesRegexp
  * Drop python26 support for Kilo nova
  * Switch Nova to use oslo.concurrency
  * fix the error log print in encryptor __init__.py
  * Compute: maint: adjust code to use instance object format
  * Network: manage neutron client better in allocate_for_instance
  * Fix the unittest use wrong controller for SecurityGroups V2
  * Add API validation schema for floating_ip_dns
  * Remove LOG outputs from v2.1 API layer
  * Make v2.1 tests use wsgi_app_v21 and remove wsgi_app_v3
  * Fix order of arguments in assertEqual
  * Remove duplicate index from model
  * Ironic: Continue pagination when listing nodes
* Tue Oct 28 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev496.g43094a9:
  * Split out agg multitenancy isolation unit tests
  * Split agg image props isolation filter unit tests
  * Separate isolated hosts filter unit tests
  * Separate NUMA topology filter unit tests
  * resource-tracker: Begin refactor unit tests
  * Use wsgi.response for v2.1 unrescue API
  * libvirt: fully parse PCI vendor/product IDs to integer data type
  * ironic: use instance object for `_add_driver_fields`
  * ironic: use instance object for `_wait_for_active`
  * ironic: use instance object for `get_info`
  * ironic: use instance object for `rebuild`
  * ironic: use instance object for plug_vifs
  * Reduce the complexity of stub_out_db_network_api()
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev470.g7ac26ec:
  * typo in the policy.json "rule_admin_api"
  * Remove `domain` from floating-ip-dns-create-or-update-req body
  * Port floating_ip_dns extention to v2.1
  * Run build_and_run_instance in a separate greenthread
  * Add API schema for v2.1 "resize a server" API
  * Remove use of unicode on exceptions
  * Fix error in comments
  * Make pci_requests a proper field on Instance object
  * api: add serial console API calls v2.1/v3
  * Add API validation schema for cloudpipe api
  * Remove project id in ViewBuilder alternate link
  * Cleanup of tenant network tests
  * Port floating_ips_bulk extention to v2.1
  * Translate 'powervm' hypervisor_type to 'phyp' for scheduling
  * Give a reason why NoValidHost in select_destinations
  * Revert "Replace outdated oslo-incubator middleware"
  * Set logging level for glanceclient to WARN
  * Nova should be in charge of its log defaults
  * Reduce the complexity of _get_guest_config()
  * libvirt: use instance object for detach_volume
  * libvirt: use instance object for attach_volume
  * libvirt: use instance object for resume_state_on_host_boot
  * libvirt: treat suspend instance as an object
  * VMware: Remove redundant fake.reset() in test_vm_util
  * Console: delete code for VMRCConsole and VMRCSessionConsole
  * VMware: delete the driver VMwareESXDriver
  * Replacement `_` on `_LE` in all LOG.error
  * VMware: rename vmware_images to images
  * Remove unuseful parameter in cloudpipe api(v2/v2.1)
  * Moves trusted filter unit tests into own file
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev311.gad84585:
  * Fix instance_extra backref
  * Refactor compute tests to not use _objectify()
  * Refactor compute and conductor tests to use objects
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev305.gdaf278c:
  * Add notification for server group operations
  * Port os-networks-associate plugin to v2.1(v3) infrastructure
  * Port os-tenant-networks plugin to v2.1(v3) infrastructure
  * Fix genconfig - missed one import from oslo cleanup
  * Handle Forbidden error from network_api.show_port in os-interface:show
  * Optimize get_instance_nw_info and remove ipam
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev294.gfe7065f:
  * Fix unit test failure due to tests sharing mocks
  * Remove unused modules copied from oslo-incubator
  * Remove unused code in pci_manager.get_instance_pci_devs()
  * VMware: get_all_cluster_refs_by_name default to {}
  * Add 'zvm' to the list of known hypervisor types
  * Fix image metadata returned for volumes
  * libvirt: Make sure volumes are well detected during block migration
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev280.g45c2205:
  * Fix wrong exception return in fixed_ips v2 extention
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev278.gb16f7e0:
  * Switch to nova's jsonutils in oslo.serialization
  * VMware: mark virtual machines as 'belonging' to OpenStack
  * Rename cli variable in ironic driver
  * Add instance_group_get_by_instance to db.api
  * Updated from global requirements
  * Add supported_hv_specs to ComputeNode object
  * Use 400 instead of 422 for security_groups v2 API
  * Sync with latest oslo-incubator
  * Don't translate unit test logs
  * Remove init for object list in api layer
  * Update README for openstack/common
  * VMware: add support for default pbm policy
  * Remove unused imports from neutron api
  * Cleanup tenant networks plugin config creation
  * Port os-networks plugin to v2.1(v3) infrastructure
  * Extend XML unicode test coverage
  * Remove unnecessary debug/info logs of normal API ops
  * Port disk_config extension for V2.1
  * Refactoring of contrib.test_networks tests
  * Compute: use an instance object in terminate_instance
  * Fix disk_allocation_ratio on filter_scheduler.rst
  * Remove unused method within filter_scheduler test
  * Add test case for vim header check
  * Change test function from snapshot to backup
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev230.g3078558:
  * Port floating_ip_pools extention to v2.1
  * Imported Translations from Transifex
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev226.gdf57d44:
  * Convert migrate reqeusts to use joins
  * Use database joins for fixed ips to other objects
  * Finish objects conversion in the os-interface API
  * Port cloudpipe extension to v2.1
  * VMware: remove unused argument from _delete_datastore_file()
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev216.g829d2ee:
  * Don't log every (friggin) migration version step during unit tests
  * Revise compute API schemas and add tests
  * Fix libvirt watchdog support
  * vfs: guestfs logging integration
  * Allow backup operation in paused and suspend state
  * VMWare: Fix nova-compute crash when instance datastore not available
  * Add @_retry_on_deadlock to _instance_update()
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev202.gebca772:
  * Break out over-quota calculation code from quota_reserve()
* Thu Oct  9 2014 dmueller@suse.com
- Update to version nova-2015.1.dev200.g0c1ce6c:
  * Fix pci_request_id break the upgrade from icehouse to juno
  * Refactor of test case of floating_ips
  * Log quota refresh in_use message at INFO level for logstash
  * Break out over-quota processing from quota_reserve()
  * Fix broken cert revocation
  * Remove baremetal virt driver
  * VMware: Set vmPathName properly in fake driver
  * Update NoMoreFixedIps message description
  * Break out quota usage refresh code from quota_reserve()
  * Support message queue clusters in inter-cell communication
  * neutronv2: translate 401 and 404 neutron client errors in show_port
  * Use image metadata from source volume of a snapshot
  * Remove 'get_host_stats' virt driver API method
  * Suppressed misleading log in unshelve, resize api
  * libvirt: add _get_launch_flags helper method in unit test
  * Make v2.1 API tests use v2 URLs(test_[a-e].*)
  * Port fping extension to work in v2.1/v3 framework
  * Use oslo.utils
  * VMWare: Remove unnecessery method
  * console: make unsupported ws scheme in python < 2.7.4
  * VMware: remove _get_vim() from VMwareAPISession
  * VMware: remove unnecessary deepcopy
  * Enhance V2 disk_config extension Unit Test
  * Add developer policy about contractual APIs
  * VMware: remove unused variable from tests
  * xenapi: deal with reboots while talking to agent
  * consistently set status as REBUILD when rebuilding
  * Update InstanceInvalidState output
  * refactor flavor manage tests in prep for object-ify flavors
  * refactor flavor db fakes in prep for object-ify flavors
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev124.g11b4fd7:
  * Correct VERSION of NetworkRequest
  * Log id in raise_http_conflict_for_instance_invalid_state()
  * Imported Translations from Transifex
  * Correctly catch InstanceExists in servers create API
  * Avoid using except Exception in unit test
  * nova-net: add more useful logging before raising FixedIpLimitExceeded
  * libvirt: convert conn test case to avoid DB usage
  * libvirt: convert driver test suite to avoid DB usage
  * Mask passwords in exceptions and error messages
  * console: introduce a new exception InvalidConnectionInfo
  * Port extended_ips/extended_ips_mac extension to V2.1
* Mon Oct  6 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev103.g418b1d2:
  * Disable libvirt NUMA topology support if libvirt < 1.0.4
  * Break out quota refresh check code from quota_reserve()
  * Fix the os_networks display to show cidr properly
  * libvirt: convert volume snapshot test case to avoid DB usage
  * libvirt: convert volume usage test case to avoid DB usage
  * libvirt: convert LibvirtNonblockingTestCase to avoid DB usage
  * libvirt: convert firewall tests to avoid DB usage
  * Ironic: Do not try to unplug VIF if not associated
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev88.g2dea666:
  * Update rpc version aliases for juno
  * Remove keystoneclient requirement
  * Fix unsafe SSL connection on TrustedFilter
  * fix usage of obj_reset_changes() call in flavor
  * Fixes potential reliablity issue with missing CONF import
  * Add missing instance action record for start of live migration
  * Making nova.compute.api to return Aggregate Objects
  * Fix KeyError for euca-describe-images
  * Remove libvirt legacy LVM code
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev70.g05a564d:
  * Adds missing exception handling in resize and rebuild servers API
  * Destroy orig VM during resize if triggered by user
  * VMware: Fix deletion of an instance with no files
  * support TRACE_FAILONLY env variable
  * Remove indexes that are prefix subsets of other indexes
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev60.g51f5922:
  * Remove the nova-manage flavor sub-command
  * Ensure files are closed promptly when generating a key pair
  * libvirt: convert HostStateTestCase to avoid DB usage
  * libvirt: split firewall tests out into test_firewall.py
  * libvirt: convert utils test case to avoid DB usage
  * Add VIR_ERR_CONFIG_UNSUPPORTED to fakelibvirt
  * Cleanup _convert_block_devices
  * Remove websocketproxy workaround
  * Remove xmlutils module
  * console: fix bug when invalid connection info
  * console: introduce a new exception InvalidToken
  * Typo in exception name - CellsUpdateProhibited
  * VMware: Remove VMwareImage.file_size_in_gb
  * Adds openSUSE support for developer documentation
  * VMware: Remove class orphaned by ESX driver removal
  * Don't list entire module autoindex on docs index
  * Update ironic states and documentation
  * Remove unused elevated context param from quota helper methods
  * Remove all redundant `setUp` methods
  * ironic: Clean LOG usage
  * Add unit test for add_floating_ip API
  * Clean up LOG import in floating_ips_bulk v2 api
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev16.g05fe0e1:
  * remove scary error message in tox
  * Reserve 10 migrations for backports
  2014.2.rc1
  * Remove local version of generate_request_id
  * Fix Bad except clauses order
  * move integrated api client to requests library
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version nova-2015.1.dev593.gc798798:
  * libvirt: Make sure NUMA cell memory is in Kb in XML
  * Open Kilo development
  * Correct missing vcpupin elements for numa case
  * Imported Translations from Transifex
  * Removes unused code from wsgi _to_xml_node
  * Fix XML UnicodeEncode serialization error
  * cmd: update the default behavior of serial console
  * Ironic driver must wait for power state changes
* Tue Sep 30 2014 tbechtold@suse.com
- Update to version nova-2014.2.dev577.gf7032f1:
  * VMWare: Fix VM leak when deletion of VM during resizing
  * console: make websocketproxy handles token from path
  * Fix creating bdm for failed volume attachment
  * Add good path test cases of osapi_compute_workers
  * VMware: prevent race condition with VNC port allocation
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev567.ge7469a8:
  * Remove duplicate entry from .gitignore file
  * VMware: Remove tests for None in fake._db_content['files']
  * libvirt: consider vcpu_pin_set when choosing NUMA cells
  * Fix hook documentation on entry_points config
  * Fallback to legacy live migration if config error
  * libvirt: log exception info when interface detach failed
  * libvirt: support live migration with shared instances dir
  * Clarify virt driver test comments & log statement
  * Fix "revertResize/confirmResize" for V2.1 API
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev549.g30b66a9:
  * Fixes missing ec2 api address disassociate error on failure
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version nova-2014.2.dev547.g2e9b492:
  * Log original error when attaching volume fails
  * Retry on closing of luks encrypted volume in case device is busy
  * Fix Typo in method name - parse_Dom
  * Updated from global requirements
  * Fix SecurityGroupExists error when booting instances
  * Undo changes to obj_make_compatible
  * VMware: Make DatastorePath hashable
  * Remove usage of self.__dict__ for message var replacement
  * VMware: trivial formatting fix in fake driver
  * VMware: Improve logging of DatastorePath in error messages
  * VMware: Use vm_mode constants
  * Imported Translations from Transifex
  * Updated from global requirements
  * do not use unittest.TestCase for tests
  * Neutron: Atomic update of instance info cache
  * Reduce the scope of RT work while holding the big lock
  * libvirt: convert CacheConcurrencyTestCase to avoid DB usage
  * Give context to the warning in _sync_power_states
  * remove test_multiprocess_api
  * add time to logging in unit tests
  * XenAPI: clean up old snapshots before create new
  * Return vcpu pin set as set rather than list
  * Fix start/stop return active/stopped immediately in EC2 API
  * Reduce the log level for the guestfs being missing
  * Sync network_info if instance not found before _build_resources yield
  * Remove the AUDIT log message about loaded ext
  * Fix unset extra_spec for a flavor
  * Add further debug logging for multiprocess test
  * Revert "libvirt: support live migrate of instances with conf drives"
  * Revert "libvirt: Uses correct imagebackend for configdrive"
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev947.g921e01c:
  * Change v3 shelve to v2.1
  * Made unassigned networks visible in flat networking
  * Adds Hyper-V serial console log
  * Instance objects: fix indentation issue
  * Add extension block_device_mapping_v1 for v2.1
  * Catch BDM related InvalidBDM exceptions for server create v2.1
  * Changes block_device_mapping extension into v2.1
  * Plumb NetworkRequest objects through conductor and compute RPC
  * Convert v3 server diagnostics plugin to v2.1
  * Use default quota values in test_quotas
  * Update instance state after compute service died for rebuilded instance
  * Make test_killed_worker_recover faster
  * Change v3 flavor_rxtx to v2.1
  * Change v3 os-user-data extension to v2.1
  * Prepend /dev/ to root_device_name in get_next_device_name
  * Add support for select_destinations in Scheduler client
  * Create a Scheduler client library
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev911.gd91d8a6:
  * Decrease amount of queries while adding aggregate metadata
  * Use instance objects consistently in suspend tests
  * libvirt: Add method for getting host NUMA topology
  * Add instance_extra table and related objects
  * Move and generalize decorator serialize_args to nova.objects.base
  * Convert v3 certificate API to v2.1
  * Fix error in log when log exception in guestfs.py
  * GET servers API sorting enhancements common utilities
  * Work on document structure and doc building
  * xenapi: Attach original local disks during rescue
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev891.g19e868b:
  * Convert compute/api to use NetworkRequest object and list
  * Refactor the servers API to use NetworkRequest
  * libvirt: reworks configdrive creation
  * VMware: Add in support for CPU shares in event of resource contention
  * VMware: add resource limits for CPU
  * Refactor admin_action plugin and test cases
  * Add NetworkRequest object and associated list
  * Remove use of str on exceptions
  * Change v3 keypairs API to v2.1
  * libvirt: add validation of migration hostname
  * Change V3 access_ips extension into v2.1
  * Change v3 agents API to v2.1
  * Change v3 flavors to v2.1
  * Convert deferred_delete v3 plugin to v2.1 API
  * Stop augmenting oslo-incubators default log levels
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev861.g2a97e1a:
  * Port simple_tenant_usage into v2.1
  * Backport V3 hypervisor plugin unit tests to V2
  * Port os-server-groups extension to work in v2.1/v3 framework
  * Fix extension parameters in test_multiple_create
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev853.g39a4f9b:
  * Convert create_backup v3 plugin to v2.1 API
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev851.gd818f84:
  * Cleanup of V2 console output tests and add missing tests
  * Return BadRequest instead of UnprocessableEntity for volumes API
* Thu Aug 28 2014 dmueller@suse.com
- Update to version nova-2014.2.dev847.g9618036:
  * Fix the current state name as 'shutting-down'
  * Porting v3 evacuate testcases to v2
  * libvirt: Uses correct imagebackend for configdrive
  * Add v2.1 API router and endpoint
  * Remove duplicated negative factors in keypair test
  * filter: add per-aggregate filter to configure max_instances_per_host
  * Updated from global requirements
  * A minor change to a comments
  * Check vlan parameter is valid
  * filter: add per-aggregate filter to configure disk_allocation_ratio
  * Allow attaching external networks based on configurable policy
  * Fix CellStateManagerFile init to failure
  * Change v3 extended_status to v2.1
  * Add a Set and SetOfIntegers object fields
  * Add numa_topology column to the compute_node table
  * Preserve exception text during schedule retries
  * Change v3 admin-password to v2.1
  * Make Object FieldType from_primitive pass objects
  * Update RESP message when failed to create flavor
  * Convert multinic v3 plugin to v2.1
  * Change 'changes_since'/'changes-since' into v2.1 style for servers
  * Backport v3 multinic tests to v2
  * Change ViewBuilder into v2.1 for servers
  * Change v3 attach_interface to v2.1
  * Backport V3 flavor extraspecs API unit tests to V2
  * Add v3 versions plugin unit test to v2
  * Remove duplicated code in test_versions
  * Change v3 extended_server_attibutes to v2.1
  * fix typo in docstring
  * libvirt: driver used memory tests cleanup
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev395.g83327eb:
  * Provide a quick way to run flake8
  * docs - Fix errors,warnings from document generation
  * Standardize logging for v2 api extensions
  * Add API schema for v2.1/v3 config_drive extension
  * Network: interface attach and detach raised confusing exception
  * EC2: fixed AttributeError when metadata is not found
  * Add standard constants for CPU architectures
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev381.g0e4fc86:
  * docs - Fix errors,warnings from document generation
  * docs - Fix exception in docs generation
  * docs - Fix docstring issues in virt tree
  * Enhance PCI whitelist
  * Enable terminate for EC2 InstanceInitiatedShutdownBehavior
  * Convert glance unit tests to not use stubs
  * Return 404 when floating IP pool not found
  * Catch NeutronClientException when showing a network
  * Add API schema for v2.1/v3 security_groups extension
  * makes sure correct PCI device allocation
  * Make nova-api use quotas object for reservations
  * Optimize db.floating_ip_deallocate
  * Fixes wrong usage of mock.assert_not_called()
  * Code change for nova support cinder client v2
  * libvirt: saving the lxc rootfs device in instance metadata
  * Add method for deallocating networks on reschedule
  * DB: use assertIsNotNone for unit test
  * Add expire reservations in backport position
  * Make network/api.py use Network object for associations
  * Migrate test_glance from mox to mock
  * Add instanceset info to StartInstance response
  * Removes unnecessary instructions in test_hypervapi
  * Diagnostics: add validation for types
  * Add missed discoverable policy rules for flavor-manage v3
  * Revert "Deallocate the network if rescheduling for
  * Handle MacAddressInUseClient exception from Neutron when creating port
  * Updated from global requirements
  * Remove instance_info_cache_delete() from conductor
  * Make spawn_n() stub properly ignore errors in the child thread work
  * Update devref out-of-tree policy grammar error
* Tue Jul 29 2014 dmueller@suse.com
- Update to version nova-2014.2.dev124.g18f57e6:
  * Use library instead of CLI to cleanup RBD volumes
  * Move libvirt RBD utilities to a new file
  * Allow dhcp_server to be set from new field
  * Set python hash seed to 0 in tox.ini
  * libvirt: driver tests use non-mocked BDMs
  * Fix doc build errors in models.py
  * Make several ec2 API tests inherit from NoDBTestCase
  * Stub out rpc notifications in ec2 cloud unit tests
  * virt: switch order of args to assertEqual in guestfs test
  * virt: move disk tests into a sub-directory
  * virt: force TCG with libguestfs unless KVM is enabled in libvirt
  * Do not pass instances without host to compute API
  * Pass errors from detach methods back to api proc
  * Increase min required libvirt to 0.9.11
  * libvirt: removing lxc specific disk mapping
  * Method to filter non-root block device mappings
  * Remove unused cell_scheduler_method
  * Fix the i18n for some warnings in compute utils
  * Fix FloatingIP.save() passing FixedIP object to sqlalchemy
  * libvirt: remove VIF driver classes deprecated in Icehouse
  * Fix and Gate on E265
  * Log translation hint for nova.api
  * Add Hyper-V driver in the "compute_driver" option description
  * reduce network down time during live-migration
  * Augment oslo's default log levels with nova specific ones
  * Make the coding style consistent with other Controller in plugins/v3
  * Add i18n log markers in disk api
  * Raise NotImplemented default-security-group-rule api with neutron
  * vmwareapi: remove some unused fake vim methods
  * Correct image_metadata API use of nova.image.glance
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev729.g91b68d7:
  * update ignore list for pep8
  * libvirt: speed up _get_disk_over_committed_size_total method
  * VMware: consolidate datastore code
  * VMware: Consolidate fake_session in test_(vm|ds)_util
  * Make BDM dict __init__ behave more like a dict
  * libvirt: Save device_path in connection_info when booting from volume
  * Move rebuild to conductor and add find host logic
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev715.g5eae48a:
  * Deallocate the network if rescheduling for Ironic
  * Make sure that metadata handler uses constant_time_compare()
  * move the cloudpipe_update API v2 extension to use objects
  * Avoid possible timing attack in metadata api
  * Move injected_network_template config to where it's used
  * Defer raising an exception when deleting volumes
  * libvirt: fix recent test changes to work on libvirt < 0.9.13
  * Cleanup and gate on hacking E713 rule
  * libvirt: add version cap tied to gate CI testing
  * Retry db.api.instance_destroy on deadlock
  * change the firewall debugging for clarity
  * Add 'anon' kwarg to FakeDbBlockDeviceDict class
  * VMware: remove duplicate key from test_instance dict
  * Add missing image to instance booted from volume
  * Add API schema for v2.1/v3 create_backup API
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev685.g4040187:
  * shelve doesn't work on nova-cells environment
  * libvirt: add migrateToURI2 method to fakelibvirt
  * Small grammar fix in libvirt/driver.py. fix all occurrences
  * Correct exception for flavor extra spec create/update
  * Improve shared storage checks for live migration
  * Translations: add LC to all LOG.critical messages
  * Remove redundant code in Libvirt driver
  * Virt: fix typo (flavour should be flavor)
  * Fix and gate on H305 and H307
  * Remove unused instance variables from HostState
  * Standardization of nova.image.API.download
  * Catch InvalidAggregateAction when deleting an aggregate
  * Nova-api service throws error when SIGHUP is sent
  * Remove cell api overrides for lock and unlock
  * Use pool/volume_name notation when deleting RBD volumes
  * libvirt: speed up get_memory_mb_used method
  * libvirt: speed up get_vcpus method
  * libvirt: speed up get_all_block_devices method
  * libvirt: speed up list_instances method
  * Refactors VIF configuration logic
  * Add missing test coverage for MultiplePortsNotApplicable compute/api
  * Handle over quota exception from Neutron
  * Add test cases for 2 block_device functions
  * add comment about why snapshot/backup have no lock check
  * VM diagnostics (v3 API only)
  * VM diagnostics: add serializer to Diagnostics object
  * VM diagnostics: add methods to class to update diagnotics
  * Fixes rbd backend image size
  * VMware: virt unrescue method now supports objects
  * VMware: virt rescue method now supports objects
* Mon Jul 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev589.g89ebdfd:
  * libvirt: fix typo in fakelibvirt listAllDomains()
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev587.g0da88cd:
  * synchronize 'stop' and power state periodic task
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev585.g7dc2fd7:
  * libvirt: speed up list_instance_uuids method
  * Updated from global requirements
  * Fix interfaces template for two interfaces and IPv6
  * Make the block device mapping retries configurable
  * Catch image and flavor exceptions in _build_and_run_instance
  * Fix more re-definitions and enable F811/F813 in gate
  * Add host_ip to compute node object
  * libvirt: convert cpuset XML handling to use set instead of string
  * Prevent max_count > 1 and specified ip address as input
  * Add aggregates.rst to devref index
  * Remove duplicate python-pip from Fedora devref setup doc
  * libvirt: more efficient method to list domains on host
  * Remove duplicate keys from dictionaries
  * Fix duplicate definitions of variables/methods
  * Resolve import dependency in consoleauth service
  * Improve BlockDeviceMapping object cells awareness
  * Object-ify APIv3 agents extension
  * Object-ify APIv2 agents extension
  * sync periodic_task fix from incubator
  * Use mtu setting from table instead of flag
  * Clean conntrack records when removing floating ip
  * api: remove unused function
  * Replace assertTrue/False with assertEqual/NotEqual
  * Replace assert* with more suitable asserts in tests
  * Run instance root device determination fix
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev535.g797175c:
  * VMware: move fake.py to the test directory
  * virt: add method for formatting CPU sets to strings
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev531.g2429f31:
  * Handle InstanceUserDataTooLarge at api layer
  * VMware: optimize VM spawn by caching the vm_ref after creating VM
  * Forcibly set libvirt uri in baremetal virtual power driver
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev525.g54d0f89:
  * vmwareapi: make method signatures match parent class
  * virt: split CPU spec parsing code out into helper method
  * virt: move get_cpuset_ids into nova.virt.hardware
  * VMware: consolidate common constants into one file
  * Pass instance to _reschedule rather than instance_uuid
  * Add subnet routes to network_info when Neutron is used
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev513.gd876c76:
  * Require posix_ipc for lockutils
  * hyperv: make method signatures match parent class
  * VMware: add in test utility to get correct VM backing
  * Change instance disappeared during destroy from Error to Warning
  * vmwareapi: remove unused fake vim logout method
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev504.g825c9ea:
  * xenapi: make method signatures match parent class
  * libvirt: make method signatures match parent class
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev500.gd70c0ab:
  * VMware: Fix race in spawn() when resizing cached image
  * VMware: add support for driver method instance_exists
  * Avoid re-adding iptables rules for instances that have disappeared
  * Updated from global requirements
  * Nova api service doesn't handle SIGHUP properly
  * Avoid referencing stale instance/network_info dicts in firewall
  * libvirt: Add configuration of guest VCPU topology
  * virt: add helper module for determining VCPU topology
  * Fix bad log message with glance client timeout
  * sync policy logging fix from incubator
  * Sync process utils from olso
  * Pass instance to _set_instance_error_state
  * VMware: validate that VM exists on backend prior to deletion
  * ConfigDriveBuilder refactor for tempdir cleanliness
  * Fix wrong lock name for operating instance external events
  * virt: add test helper for checking public driver API method names
  * virt: fix signature of set_admin_password method
  * virt: use context & instance as param names in migrate APIs
  * virt: add get_instance_disk_info to virt driver API
  * vmwareapi: remove unused update_host_status method
  * Enforce task_state is None in ec2 create_image stop instance wait loop
  * Update compute rpcapi tests to use instance object instead of dict
  * Fix run_instance() rpc method to pass instance object
  * vmware: remove unused delete_disk fake vim method
  * libvirt: introduce separate class for cpu tune XML config
  * libvirt: test setting of CPU tuning data
  * VMware: create utility function for reconfiguring a VM
  * Make remove_volume_connection() use objects
  * Fix cold-migrate missing retry info after scheduling
  * libvirt: virt unrescue method now supports objects
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev438.gcc3aff8:
  * Move the instance_type_id judgment to the except-block
  * Add __repr__ handler for NovaObjects
  * Pass instance to _error_out_instance_on_exception
  * VM diagnostics: introduce Diagnostics model object
  * libvirt: remove hack from ensure_filtering_rules_for_instance
  * libvirt: remove volume_driver_method API
  * Fix error in rescue rpcapi that prevents sending objects
  * Add assert_called check for "brclt addif" test
  * Replace nova.utils.cpu_count() with processutils.get_worker_count()
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev420.gb16db2b:
  * Fixes internal server error for add/remove tenant flavor access request
  * add repr for event objects
  * Neutronv2 api does not support neutron without port quota
  * Be explicit about objects in _shutdown_instance()
  * Remove a not used function _get_ip_by_id
  * libvirt: add '_' prefix to remaining internal methods
  * Fake driver: remove unused method get_disk_available_least
  * Do not allow resize to zero disk flavor
  * Accurate exception info in api layer for aggregate
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev402.g77f44b5:
  * Sync oslo lockutils to nova
  * Pass instance object into _shutdown_instance()
  * make lifecycle event logs more clear
  * Imported Translations from Transifex
  * Fix rest of API objects usage
  * Fix rest of compute objects usage
  * Add test cases for block_device
  * VMware: Fix fake raising the wrong exception in _remove_file
  * Fix exception raised when a requested console type is disabled
  * vmware: Use exc_info when logging exceptions
  * vmware: Reuse existing StorageError class
  * vmware: Refactor: fold volume_util.py into volumeops.py
  * Add API schema for v2.1/v3 quota_sets API
  * Synced jsonutils and its dependencies
  * Downgrade some exception LOG messages in the ec2 API
  * Adds instance lock check for live migrate
  * Sync oslo lockutils to nova
  * Remove duplicate code in Objects create() function
* Sun Jun 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev366.g0376469:
  * Updated from global requirements
  * Log when nova-conductor connection established
  * api: remove dead code in WSGI XML serializer
  * Handle service creation race by service workers
  * VMware: deprecate ESX driver from virt configuration
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev356.g8669d90:
  * Use dot notation to access instance object fields in ec2 create_image
  * Revert "Sync revert and finish resize on instance.uuid"
  * Fix agent_id with string type in API samples files for os-agents v2
  * Sync log and processutils from oslo
  * libvirt: add '_' prefix to host state information methods
  * Fix EC2 not found errors for volumes and snapshots
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev344.g2e147a5:
  * Xen: Remove extraneous logging of type information
  * Fix update agent return agent_id with string for os-agents v3
  * Make Evacuate API use Instance objects
  * Updated from global requirements
  * Fix object code direct use of other object modules
  * Fix the rest of direct uses of instance module objects
  * Disable rescheduling instance when no retry info
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev330.g9baac47:
  * VMware: refactor get_datastore_ref_and_name
  * effectively disable libvirt live snapshotting
  * Use default rpc_response_timeout in unit tests
  * Use ebtables to isolate dhcp traffic
  * libvirt: add '_' prefix to some get_host_* methods
  * Deprecate and remove agent_build_get_by_triple()
  * Object-ify xenapi driver's use of agent_build_get_by_triple()
  * Add Agent object
  * Add API schema for v2.1/v3 remote_consoles API
  * Sync revert and finish resize on instance.uuid
  * VMware: spawn refactor - Datastore class
  * VMware: remove dsutil.split_datastore_path
  * VMware: spawn refactor - DatastorePath class
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev304.gae0ec1e:
  * Move the error check for "brctl addif"
  * Use _set_instance_obj_error_state in compute manager set_admin_password
  * Add API schema for v2.1/v3 aggregates API
  * Imported Translations from Transifex
  * Add API schema for v2.1/v3 flavor_manage API
  * libvirt: add '_' prefix to all get_guest_*_config methods
  * libvirt: remove unused 'get_disks' method
  * Conductor: remove irrelevant comment
  * Allow evacuate from vm_state=Error
  * Instance and volume cleanup when a build fails
  * Drop support for scheduler 2.x rpc interface
  * Remove traces of now unused host capabilities from scheduler
  * Fix BaremetalHostManager node detection logic
  * Add missing stats info to BaremetalNodeState
  * Catch ProcessExecutionError in revoke_cert
  * libvirt: Use VIR_DOMAIN_AFFECT_LIVE for paused instances
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev272.g03bf127:
  * Standardize logging for nova.virt.libvirt
  * Fix log debug statement in compute manager
  * Object-ify APIv3 availability_zone extension
  * Fix bug in TestObjectVersions
  * Added statement for ... else
  * Avoid traceback logs from simple tenant usage extension
  * Fix detaching pci device failed
  * Don't follow HTTP_PROXY when talking to localhost test server
  * Correct the variable name in trusted filter
  * Target host in evacuate can't be the original one
  * Object-ify APIv3 flavor_extraspecs extension
  * Object-ify APIv2 flavorextraspecs extension
  * Catch permission denied exception when update host
  * Fix resource cleanup in NetworkManager.allocate_fixed_ip
  * VMware: remove unused code in vm_util.py
  * Don't replace instance object with dict in _allocate_network()
  * Determine shared ip from table instead of flag
  * Set reasonable defaults for new network values
  * Adds network fields to object
  * Add new fields to the networks table
  * Should not delete active snapshot when instance is terminated
  * Don't store duplicate policies for server_group
  * Fix Flavor object extra_specs and projects handling
  * Drop support for conductor 1.x rpc interface
  * XenAPI: disable/enable host will be failed when using XenServer
  * Downgrade log level when create network failed
  * Migrate nvp-qos to generic name qos-queue
  * Ensure changes to api.QUOTA_SYNC_FUNCTIONS are restored
  * Adds IVS unit tests for new VIF firewall logic
  * Properly skip coreutils readlink tests
* Sat Jun 21 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev212.g09a4a6f:
  * xenapi: reorder volume_utils
  * wrap_instance_event() shouldn't swallow return codes
  * Log exception if max scheduling attempts exceeded
  * Create lvm.py module containing helper API for LVM
  * libvirt: Don't pass None for image_meta parameter in tests
  * libvirt: Remove use of db for flavor extra specs in tests
  * libvirt: return the correct instance path while cleanup_resize
  * Allow user to specify image to use during rescue - V3 API changes
  * Improve performance for checking hosts AZs
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev194.g781a85d:
  * Deprecate glance_* configuration settings
  * Log cleanups for nova.virt.libvirt.volume
  * Initialize objects field in ObjectsListBase class
  * Remove bdms from run_instance RPC conductor call
  * Add helper functions for getting local disk
  * Make check_instance_shared_storage() use objects
  * libvirt: Close opened file explicitly
  * Attach/detach interface to paused instance with affect live flag
  * Remove XML namespace from some v3 extensions
  * Correct exception info format of v3 flavor manage
  * minor corrections to devref rpc page
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev172.gc4a44fb:
  * Make exception handling in get_image_metadata more specific
  * live migrate conductor tasks to use nova.image.API
  * Update websocketproxy to work with websockify 0.6
  * Clean nova.compute.api.API:_check_num_instances_quota
  * Fix the duplicated image params in a test
  * Imported Translations from Transifex
  * Fix "fixed_ip" parameters in unit tests
  * Removes the use of mutables as default args
  * Updated from global requirements
  * devref policy: code is canonical source of truth for API
  * Log cleanups for nova.virt.libvirt.imagecache
  * Rename VolumeMapping to EC2VolumeMapping
  * ec2: Convert to use EC2InstanceMapping object
  * Add EC2InstanceMapping object for use in EC2
  * Object-ify server_password APIv3 extension
  * Object-ify server_password APIv2 extension
  * Move the fixed_ips APIv2 extension to use objects
  * Completely object-ify the floating_ips_bulk V2 extension
  * Add bulk create/destroy functionality to FloatingIP
  * Remove the device handling from pci device object
  * Use new pci device handling code in pci_manager
  * Separate the PCI device object handling code
  * Add unit tests for ipv4/ipv6 format validation
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev128.g7d1c3d3:
  * Add hook for network info update
  * Enhance and test exception safety in hooks
  * Cleanup and gate on pep8 rules that are stricter in hacking 0.9
  * VMware: update file permissions and mode
  * Updated from global requirements
  * Sync "Prevent races in opportunistic db test cases"
  * Imported Translations from Transifex
  * Check the network_info obj type before invoke wait function
  * Add test for HypervisorUnavailable on conductor
  * Test force_config_drive as a boolean as last resort
  * Add more logging to nova-network
  * Fix doc for service list
  * Add configurable HTTP timeout to cinder API calls
  * Prevent clean-up of migrating instances on compute init
  * Deprecate neutron_* configuration settings
  * Skip migrations test_walk_versions instead of pass
  * Failure during termination should always leave state as error()
  * Save connection info in libvirt after volume connect
  * Revert "Allow admin user to get all tenant's floating IPs"
  * Network: ensure that ports are 'unset' when instance is deleted
  * Make get_console_output() use objects
  * Add testing for hooks
  * Check the length of aggregate metadata
  * Fix api direct use of instance module objects
  * VMware: remove unused parameters in imagecache
  * Shrink devref.unit_tests, since info is in wiki
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev76.g9c1bfdb:
  * Don't translate debug level logs in nova
  * Add deprecation warning to nova baremetal virt driver
  * Make sure domain exists before referencing it
  * Network: add instance to the debug statement
  * libvirt: convert cpu features attribute from list to a set
  * Add tests to avoid inconsistent extension names
  * Delete image when backup operation failed on snapshot step
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev62.gfc03bd4:
  * libvirt: Make nwfilter driver use right filterref
  * Deprecate instance_get_by_uuid() from conductor
  * Remove deprecated config option names: Juno Edition
* Sun Jun 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev56.gd5bde44:
  * Fix object change detection
  * Fix object leak in nova.tests.objects.test_fields.TestObject
  * Remove unused code from test_compute_cells
  * maint: Fixes wrong docstring of method get_memory_mb_used
  * Fix infinitely reschedule instance due to miss retry info
  * Fix live_migration method's docstring
  * maint: correct docstring parameter description
  * Make metadata password routines use Instance object
  * Use no_timer_check with soft-qemu
  * Check if volume is bootable when creating an instance
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev36.g1ee6b37:
  * Fix the wrong dest of 'vlan' option and add new 'vlan_start' option
  * Fixes typo error in Nova
  * Block device API missing translations for exceptions
  * Enabled swap disk to be resized when resizing instance
  * xenapi: move find_vbd_by_number into volume utils
  * Fix H401,H402 violations and re-enable gating
  * Bump hacking to 0.9.x series
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev22.g8928743:
  * Remove variability from object change detection unit test
  * Don't translate debug level logs in nova.virt
  * Remove unnecessary else block in compute manager set_admin_password
  * Treat instance objects like objects in set_admin_password flow
  * libvirt: Use os_command_line when kernel_id is set
  * Make SecurityGroupAPI use Object instead of instance_get_by_uuid()
  * Don't return from a finally block
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev8.g7bde55a:
  2014.2.b1
  * Handle string types for InstanceActionEvent exc_tb serialization
  * Revert "Remove broken quota-classes API"
  * Revert "Remove quota-class logic from context and make unit tests pass"
  * fix nova test_enforce_http_true unit test
  * Remove duplicate method
  * websocketproxy: remove leftover debug output
  * Move set_admin_password tests from test_compute.py to api/mgr modules
  * Fix a wrong comment in the code
  * libvirt: Remove dated docstring
  * Cleanup allocating networks when InstanceNotFound is raised
  * Add test to verify ironic api contracts
  * VMware: spawn refactor - phase 1 - test for spawn
  * Revert "Fix migration and instance resize update order"
  * Simplify filter_scheduler.populate_retry()
  * Don't log TRACE info in notify_about_instance_usage
  * xenapi: add tests for find_bad_volumes
  * Revert "Remove traces of now unused host capabilities from scheduler"
  * Add out of tree support dev policy
  * Add development policies section to devref
  * Add read_only field attribute
  * Fix direct use of block_device module objects
  * Fix InstanceActionEvent traceback parameter not serializable
  * Fix state mutation in cells image filter
  * libvirt: split and test finish_migration disk resize
  * Add missing translation support
  * Update HACKING.rst to include N320
* Wed Jun  4 2014 dmueller@suse.com
- Update to version nova-2014.2.dev826.g2c3a026:
  * Updated from global requirements
  * libvirt: merge two utils tests files
  * libvirt: remove redundant 'libvirt_' prefix in test case names
  * xenapi: refactor detach volume
  * Revert "Remove quota_class params from rest of nova.quota"
  * Revert "Remove quota_class db API calls"
  * Revert "Convert address to str in fixed_ip_obj.associate"
  * Add helpers to create per-aggregate filters
  * Remove traces of now unused host capabilities from scheduler
* Sat May 31 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev808.gf12ab68:
  * Don't set CONF options directly in unit tests
  * Fix docstring typo in need_legacy_block_device_info
  * String-convert IPAddr objects for FixedIP.attach()
  * Updated from global requirements
  * Use objects through the run_instance() path
  * Deprecate run_instance and remove unnecessary code
* Thu May 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev796.g4454f3c:
  * xenapi: tidy up volumeops tests
  * Treat instance objects as objects in unrescue API flow
  * Treat instance objects as objects in rescue API flow
  * Refactor test_rescue_unrescue into compute api/manager unit tests
  * Change conductor to cast to build_and_run_instance
  * remove cpu feature duplications in libvirt
  * Add unit test trap for object change detection
  * Sync periodic_task from oslo-incubator
  * Imported Translations from Transifex
  * Fix for multiple misspelled words
  * versions API: ignore request with a body
  * Ensure live-migrate reverts if server not running
* Wed May 28 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev773.gcf9c6f5:
  * Sync oslo network utils
  * xenapi: refactor volumeops attach
  * xenapi: remove calls to call_xenapi in volumeops
  * xenapi: move StorageError into global exception.py
  * Enable flake8 F841 checking
  * Reverse order of cinder.detach() and bdm.delete()
  * XenAPI: Tolerate multiple coalesces
  * [EC2]Correct the return status of attaching volume
  * Downgrade log when attach interface can't find resources
* Tue May 27 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev756.gfb3a366:
  * Record right action name while migrate
  * Imported Translations from Transifex
  * Refactor test to ensure file is closed
  * xenapi: fix live-migrate with volume attached
  * Add helper methods to convert disk
  * Raise HTTPInternalServerError when boot_from_volume with cinder down
  * Inject expected results for IBM Power when testing bus
  * Fix nova image-show with queued image
  * Mask block_device_info auth_password in virt driver debug logs
* Mon May 26 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev739.g6dedf67:
  * Imported Translations from Transifex
* Sun May 25 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev737.g84d8814:
  * Catch missing Glance image attrs with None
  * Align internal image API with volume and network
* Fri May 23 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev733.g76d6dee:
  * Imported Translations from Transifex
  * Catch InstanceNotFound exception if migration fails
  * Fix InstanceActionTestCase on PostgreSQL/MySQL
  * Fix ReservationTestCase on PostgreSQL
  * Fix CIDR values denoting hosts in PostgreSQL
  * Sync common db and db/sqlalchemy
  * Fix wrong quota calculation when deleting a resizing instance
  * Ignore errors when deleting non-existing vifs
  * Scheduler: remove test scheduling methods that are not used
* Thu May 22 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev715.gd9cb954:
  * VMware: spawn refactor - phase 1 - copy_virtual_disk
  * Add new ec2 instance db API calls
  * Remove two unused db.api methods
  * Fix direct use of aggregate module objects
  * Fix tests/compute direct use of instance module objects
  * share neutron admin auth tokens
  * Do not wait for neutron event if not powering on libvirt domain
  * Remove all mostly untranslated PO files
  * Fix nova/compute direct use of instance module objects
  * Address issues with objects of same name
  * Register objects in more services
  * Add VIF mac address to fixed_ips in notifications
  * Call _validate_instance_group_policy in _build_and_run_instance
  * XenAPI: Add logging information for cache/download duration
  * Remove spaces from SSH public key comment
  * Allow admin user to get all tenant's floating IPs
  * Rename quota_injected_file_path_bytes
  * Nova utils: add in missing translation
  * No longer any need to pass admin context to aggregate DB API methods
* Thu May 22 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev677.gad4e0e5:
  * Payload meta_data is empty when remove metadata
  * Handle situation when key not memcached
  * Imported Translations from Transifex
  * Default dhcp lease time of 120s is too short
  * Add refresh=True to get_available_nodes call in build_and_run_instance
  * remove unneeded call to network_api on detach_interface
  * Cells: Pass instance objects to build_instances
  * Make hacking test more accurate
  * Enforce query order for getting VIFs by instance
  * Network: replace neutron check with decorator
  * Fix a minor comments error
  * Set the volume access mode during volume attach
  * Fix AvailabilityZone check for hosts in multiple aggregates
* Wed May 21 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev651.gead93b7:
  * On rebuild check for null image_ref
  * Defer applying iptable changes when nova-network start
  * Add specific doc build option to tox
* Tue May 20 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev645.g995a7e5:
  * Add a reference to the nova developer documentation
  * VMware: use default values in get_info() when properties are missing
  * VMware: uncaught exception during snapshot deletion
  * Fix typo in comment
  * Add log translation hints
  * Correct pci resources log
* Mon May 19 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev633.g2a5fd12:
  * VMware: spawn refactor - phase 1 - fetch_image
  * libvirt: Refresh volume connection_info after volume snapshot
  * Fix instance cross AZ check when attaching volumes
  * Add UNSHELVING and RESCUING into IoOPSFilter consideration state
* Sun May 18 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev625.g6fef32b:
  * Imported Translations from Transifex
  * Remove quota_class db API calls
  * Remove quota_class params from rest of nova.quota
  * Ignore etc/nova/nova.conf.sample
  * Fix wrong method name assert_called_once
  * Fixes Hyper-V iSCSI target login method
  * vmware:Don't shadow builtin function type
  * Convert address to str in fixed_ip_obj.associate
  * libvirt: Handle unsupported host capabilities
  * Raise more information on V2 API volumes when resource not found
  * Remove comments since it's pointless
* Thu May 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev604.g693223e:
  * Partially remove quota-class logic from nova.quotas and test_quotas
  * Fix the duplicated extension summaries
  * Downgrade and fix log message for floating ip already disassociated
  * Fix the explanation of HTTPNotFound for cell showing v2 API
* Wed May 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev596.g2a2178e:
  * Fixes arguments parsing when executing command
* Tue May 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev594.gd41b3d4:
  * Fix wrong method name for test_hacking
  * Imported Translations from Transifex
  * Fix security group list when not defined for an instance
  * libvirt: Handle `listDevices` unsupported exception
  * Add lock on API layer delete floating IP
* Mon May 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev585.g65dce44:
  * Imported Translations from Transifex
  * Add specific regexp for timestamps in v2 xml
  * Change parameters of add_timestamp in ComputeDriverCPUMonitor class
* Sun May 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev581.gb52a63e:
  * VMware: prevent image snapshot if no root disk defined
* Sat May 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev579.g33ff9f7:
  * VMWare: spawn refactor - phase 1 - create_virtual_disk
  * VMware: spawn refactor - phase 1 - power_on_vm
  * Move tests into test_volume_utils
  * Tidy up xenapi/volume_utils.py
  * Updated from global requirements
  * XenAPI: Remove unneeded instance argument from image downloading
  * Code Improvement
  * Add a docstring to hacking unit tests
  * Clean up openstack-common.conf
  * Remove quota-class logic from context and make unit tests pass
  * Use strtime() specific timestamp regexp
  * Delete in-process snapshot when deleting instance
  * Support multi-version pydevd
  * libvirt: optimize pause mode support
  * Make sure leases are maintained until release
* Fri May  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev551.g29ba1f7:
  * VMware: Fix usage of an alternate ESX/vCenter port
  * VMware: Add check for datacenter with no datastore
  * Remove unused instance_update() method from virtapi
  * Make baremetal driver use Instance object for updates
  * Imported Translations from Transifex
  * Deprecate action_event_*() from conductor
  * Remove conductor usage from compute.utils.EventReporter
  * Unit test case for more than 1 ephemeral disks in BDM
  * Add mailmap entry
  * Add Nova API Sample file & test for get keypair
  * Remove logging in libvirt _connect_auth_cb to avoid eventlet locking
  * Fix v3 API extension names for camelcase
  * Fix wrong used ProcessExecutionError exception
  * Remove unused nova.crypto.compute_md5()
* Thu May  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev523.g45d83d3:
  * Remove explicit dependency on amqplib
  * Update links in README
  * XenAPI: adjust bittorrent settings
  * Make libvirt driver use instance object for updates
  * Make vmwareapi/vmops use Instance object for updates
  * Convert xenapi/vmops uses of instance_update to objects
  * Make xenapi agent code use Instance object for updates
  * Revert "Address the comments of the merged image handler patch"
  * Fix logic for aggregate_metadata_get_by_host_with_key test case
* Wed May  7 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev505.ga63a7ec:
  * Check object's field
  * Use Field in fixed_ip
  * Remove unnecessary cleanup in test
  * Remove and block DB access in dhcpbridge
  * Improve conductor error cases when unshelving
  * Fix broken version responses
  * Add x-openstack-request-id to nova v3 responses
* Tue May  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev491.g26f673f:
  * Improve hacking rule to avoid author markers
  * Dedup devref on unit tests
  * Fix calls to mock.assert_not_called()
  * VMware: reduce unit test times
  * Include pending task in log message on skip sync_power_state
  * Make cells use Fault obj for create
  * libvirt: Stub O_DIRECT in test if not supported
  * Updated from global requirements
  * Don't translate debug level logs in nova.spice, storage, tests and vnc
  * Don't translate debug level logs in objectstore, pci, rdp, servicegroup
  * Don't translate debug level logs in cloudpipe, hacking, ipv6, keymgr
  * Make live_migration use instance objects
  * objects: remove unused utils module
  * Update block_device_info to contain swap and ephemeral disks
  * Remove unnecessary passing of task_state to check_instance_state
* Tue May  6 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev461.ga1a9d7b:
  * Raise HTTPForbidden from os-floating-ips API rather than 404
  * Remove duplicated import in unit test
  * Raise descriptive error for over volume quota
  * Don't translate debug level logs in nova.cert, console and consoleauth
  * Don't translate debug level logs in nova.cmd and nova.db
  * Don't translate debug level logs in nova.objects
  * Don't translate debug level logs in nova.compute
  * Add fault wrapper for rescue function
* Sun May  4 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev445.g89fd077:
  * Deprecate instance_fault_create() from conductor
  * Remove conductor usage from add_instance_fault_from_exc()
* Sat May  3 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev441.ge495afb:
  * Add create() method to InstanceFault object
  * Remove use of service_* conductor calls from xenapi host.py
  * Optimize validate_networks to query neutron only when needed
  * VMware: spawn refactor - phase 1 - execute_create_vm
  * objects: restore some datetime field comments
  * Remove unnecessary wrapper for 5 compute APIs
  * ec2utils: Use VolumeMapping object
  * ec2: create volume mapping using nova object
  * Add VolumeMapping object for use in EC2
* Fri May  2 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev423.g2590c5b:
  * xenapi: fixup agent tests
  * Fix bad Mock calls to assert_called_once()
  * VCDriver - No longer returns uptime due to multiple hosts
  * wrap_check_security_groups_policy is already defined
  * Updated from global requirements
  * Use datetime object for fake network timestamps
  * Use datetime object for stub created_at timestamp
  * Verify created_at cloudpipe timestamp is isotime
  * Verify next-available limit timestamps are isotime
  * Verify created/updated timestamps are isotime
  * Use timeutils.isotime() in images view builder
  * Use actual fake timestamp in API templates
  * Normalize API extension updated timestamp format
  * Regenerate API samples for GET /extensions
  * Rename NotAuthorized exception to Forbidden
  * Add warning to periodic_task with interval 0
  * VMware: remove unused variable
  * Make _is_multi_host() use objects
* Thu May  1 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev389.geed6dd1:
  * Don't translate debug level logs in nova.conductor
  * Don't translate debug level logs in nova.cells
  * Don't translate debug level logs in nova.api
  * Don't translate debug level logs in nova.volume
  * libvirt: Make `fakelibvirt.libvirtError` match
  * Add new ec2 volume db API calls
  * Make _is_multi_host(
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev377.g64bfdb6:
  * Create the image mappings BDMs earlier in the boot
  * VMware: remove unneeded code
  * VMware: remove duplicate _fake_create_session code
  * Remove comments and to-do for quota inconsistency
  * Fix a typo in compute/manager::remove_volume_connection()
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev367.g296f2fa:
  * Hacking: add rule number to HACKING.rst
  * Imported Translations from Transifex
  * Fixed many typos
  * Fix typo in unit tests
  * Remove a bogus and unnecessary docstring
  * Remove legacy block device usage in ec2 API
  * Deprecate instance_get_active_by_window_joined() from conductor
  * Deprecate instance_get_all_by_filters() from conductor
  * Don't translate debug level logs in nova.network
  * Fix bad param name in method docstring
  * Nova should pass device_id='' instead of None to neutron.update_port()
  * Set default auth_strategy to keystone
  * replace NovaException with VirtualInterfaceCreate when neutron fails
  * Spice proxy config setting to be read from the spice group in nova.conf
  * xenapi: make auto_config_disk persist boot flag
  * Deprecate compute_unrescue() from conductor
  * Deprecate instance_destroy() from conductor
  * libvirt: fix comment for get_num_instances
  * Fix exception message being changed by nested exception
  * DescribeInstances in ec2 shows wrong image-message
  * Imported Translations from Transifex
  * VMware: spawn refactor - phase 1 - get_vif_info
  * XenAPI: Use local rsync rather than remote if possible
  * Fix migrate_instance_*() using DB for floating addresses
  * Use eventlet.tpool.Proxy for DB API calls
  * Correct the log in conductor unshelve_instance
  * Imported Translations from Transifex
  * Make instance_exists() take an instance, not instance_name
  * Xen: Retry plugin call after connection reset
  * Remove metadata's network-api dependence on the database
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev215.g57c4a7f:
  * Return to using network_api directly for migrations
  * Make _is_multi_host(
  * Instance groups: add method get_by_hint
  * Define constants for the VIF model types
  * Remove duplicate code from nova.db.sqlalchemy.utils
  * Use debug level logging in unit tests, but don't save them
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev204.g2960a5a:
  * Allow -1 as the length of "get console output" API
  * xenapi: Cleanup tar process on glance error
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev200.ga6b166f:
  * Don't explode if we fail to unplug VIFs after a failed boot
  * Revert "Fix network-api direct database hits in metadata server"
  * Move _get_locations to module level plus tests
  * Make aggregate host operations use Aggregate object
  * Convert poll_rescued_instances() periodic task to objects
  * Make update_available_resource() use objects
  * Add get_by_service() method to ComputeNodeList object
  * Add with_compute_node to service_get()
  * Make _get_compute_info() use objects
  * Make quota rollback checks more robust in conductor tests
  * Refactor unit tests for image service CRUD
  * ec2: Convert instance_get_by_uuid calls to objects
  * Make compute manager use network api method return values
  * libvirt: remove_logical_volumes should remove each separately
  * xenapi: add a test for _get_partitions
  * Bypass the database if limit=0 for server-list requests
* Sun Apr 13 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev168.g601b55f:
  * Imported Translations from Transifex
  * Missing catch InstanceNotFound in v3 API
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev165.ga03a977:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Finish _delete_instance() object conversion
  * Make detach_volume() use objects
  * VMWare: add power off vm before detach disk during unrescue
  * Change errors_out_migration decorator to work with RPC
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev156.g82b07d0:
  * Fix network-api direct database hits in metadata server
  * Update user_id length to match Keystone schema in volume_usage_cache
  * Avoid the possibility of truncating disk info file
  * compute: using format_message() to convert exception to string
  * Check image exists before calling inject_data
  * Add exception handling in "nova diagnostics"
  * Check for None or timestamp in availability zone api sample
  * VMware: remove double import
  * Add test cases for validate_extra_spec_keys
  * Use instance data instead of flavor in simple_tenant_usage extension
  * attach/detach interface should raise exception when instance is locked
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev134.gd669009:
  * Allow user to specify image to use during rescue
  * Remove redundant tests from Qcow2TestCase
  * Remove unnecessary check for CONF.notify_on_state_change
  * Include proper Content-Type in the HTTP Headers
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev126.g023e6c9:
  * Read deleted instances during lifecycle events
  * Add RBAC policy for ec2 API security groups calls
  * support local debug logging
  * Fix bug detach volume fails with "KeyError" in EC2
  * Fix straggling uses of direct-to-database queries in nova-network
  * Xen: Do not resize root volumes
  * Remove mention of nova-manage.conf from nova-manage.rst
  * XenAPI: Add host information to glance download logs
  * Recover from POWERING-* state on compute manager start-up
  * Adds missing expected_errors for V3 API multinic extension
  * Updated from global requirements
  * Refactor Network API
  * Make example 'entry_points' parameter a dictionary
  * Catch InstanceInLocked exception for rescue and instance metadata APIs
  * Use osapi_glance_link_prefix for image location header
  * Sync oslo imageutils, strutils to Nova
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev94.ge811da4:
  * Correct test boundary for libvirt_driver.get_info
  * Update docs to reflect new default filters
  * Revert "Use debug level logging during unit tests"
  * Fix anti-affinity server-group boot failure
  * Add tests for remaining expected conductor exceptions
  * Fix description of ServerGroupAffinityFilter
  * Add return value to some network API methods
  * Fixes messages logged on Glance plugin retries
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev78.ga5d18f2:
  * Enable ServerGroup scheduler filters by default
  * VMware: Fixes the instance resize problem
  * Revert object-assuming changes to _post_live_migration()
  * Require admin context for interfaces on ext network
  * remove redundant copy of test_cache_base_dir_exists
  * Fix Jenkins translation jobs
  * Reduce config access in scheduler
  * InvalidCPUInfo exception added to except block
  * Remove PciDeviceList usage in pci manager
  * VMware: remove unused code (_delete method in vmops.py)
  * Catch InstanceNotFound exceptions for V2 API instance_actions
  * Fix invalid facilities documented in rootwrap.conf
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev56.g33fc957:
  * Reduce logging in scheduler
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev54.gd87b6b2:
  * mark vif_driver as deprecated and log warning
  * Revert object-assuming changes to _post_live_migration()
  * Refactor network_utils to new call_xenapi pattern
  * low hanging fruit oslo-incubator sync
  * Correct the keypairs-get-resp.json API sample file
  * Remove 3 unnecessary variables in scheduler
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version nova-2014.2.dev42.gda6c417:
  * libvirt: pause mode is not supported by all drivers
  * Drop nova-rpc-zmq-receiver man-page
* Thu Apr  3 2014 dmueller@suse.com
- Update to version nova-2014.2.dev39.g53f52b3:
  * Sync request_id middleware bug fix from oslo
  * Note that XML support *may* be removed
  * Moved the registration of lifecycle event handler in init_host()
  * Change NotFound to InstanceNotFound in server_diagnostics.py
  * Ensure network interfaces are in requested order
  * Reserve 10 migrations for backports
  * Open Juno development
  2014.1.rc1
  * Fix getting instance events on subsequent attempts
  * VMware: clean up VNC console handling
  * Make conductor expect ActionEventNotFound for action methods
  * Remove zmq-receiver from setup.cfg
  * Add a note about deprecated group filters
  * Fix the section name in CONTRIBUTING.rst
  * Add new style instance group scheduler filters
  * Automatically create groups that do not exist
  * Add InstanceGroup.get_by_name()
  * Add nova.conf.sample to gitignore
  * Use binding:vif_details to control firewall
  * Disable volume attach/detach for suspended instances
  * Updated from global requirements
  * Persist image format to a file, to prevent attacks based on changing it
  * Imported Translations from Transifex
  * Make 'VDI too big' more verbose
  * postgres incompatibility in InstanceGroup.get_hosts()
  * Add missing test for None in sqlalchemy query filter
  * Use correct project/user id in conductor.manager
* Wed Mar 26 2014 dmueller@suse.com
- Update to version nova-2014.1.dev427.g609a0dd:
  * fix the extension of README in etc/nova
  * Tell pip to install packages it sees globally
  * Change libvirt close callback to use green thread
  * Imported Translations from Transifex
  * VMware: fix booting from volume
  * Do not add current tenant to private flavor access
  * Disable oslo.messaging debug logs
  * Update vm_mode when rebuilding instance with new image
  * V2 API: remove unused imports
  * Updated from global requirements
* Tue Mar 25 2014 dmueller@suse.com
- Update to version nova-2014.1.dev407.gf5eb59b:
  * VMware: fix list_instances for multi-node driver
  * VMware: Add utility method to retrieve remote objects
  * Revert deprecation warning on Neutron auth
  * Rename _post_live_migration instance_ref arg
  * Add a decorator decorator that checks func args
  * Instance groups: cleanup
  * Remove unnecessary stubbing in test_services
  * VMware: fix exception when no objects are returned
  * Don't allow empty or 0 volume size for images
  * Wait till message handling is done on service stop
  * Fix the rpc module import in the service module
  * Revert "VMware Driver update correct disk usage stat"
  * Fix the explanations of HTTPNotFound for new APIs
  * Remove the nova.config.sample file
  * Catch NotImplementedError on Network Associate
  * Change initial delay for servicegroup api reporting
  * Check if nfs/glusterfs export is already mounted
  * Remove commented out code in test_cinder_cloud
  * Update quantum to neutron in comment
  * Remove unused method from fake_network.py
  * Don't refresh network cache for instances building or deleting
  * GlanceImageService static methods to module scope
  * xenapi: boot from volume without image_ref
  * Use HTTPRequestV3 instead of HTTPRequest in v3 API tests
  * Fix "computeFault" when v3 API "GET /versions/:(id)" is called
  * VMware: ensure that the task completed for resize operation
  * Specify spacing on periodic_tasks in manager.py
  * network_info cache should be cleared before being rescheduled
  * rename ExtensionsResource to ExtensionsController
  * Do not add HPET timer config to non x86 targets
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev327.g2eff38b:
  * Catch HostBinaryNotFound exception in V2 API
  * Raise error on nova-api if missing subnets/fixed_ips on networks/port
  * Refuse to block migrate instances with config drive
  * VMware: add a file to help config the firewall for vnc
  * Fix KeyError if neutron security group is not TCP/UDP/ICMP and no ports
  * Prevent rescheduling on block device failure
  * Make compute API resize methods use Quotas objects
  * Add deleted_at attribute in glance stub on delete()
  * Add API sample files of "unshelve a server" API
  * Remove XenAPI driver deprecation warning log message
  * VMware: bug fix for host operations when using VMwareVCDriver
  * Cells: Send instance object for instance_delete_everywhere
  * Adds test for rebuild in compute api
  * Fixes the Hyper-V agent individual disk metrics
  * Fix raise_http_conflict_for_instance_invalid_state docstring
  * Cells: Pass instance objects to update/delete_instance_metadata
  * Add helper method for injecting data in an image
  * Add helper method for checking if VM is booting from a volume
  * Libvirt: Repair metadata injection into guests
  * Update aggregate should not allow duplicated names
  * Catch FloatingIpNotFoundForHost exception
  * Fix difference between mysql & psql of flavor-show
  * Remove mention of removed dhcp_options_enabled
  * Noted that tox is the preferred unit tester
  * Fixes NoneType vcpu list returned by Libvirt driver
  * Fix invalid vim call in vim_util.get_dynamic_properties()
  * VMware: Add a test helper to mock the suds client
  * VMware: Ensure test VM is running in rescue tests
  * VMware: iscsi target discovery fails while attaching volumes
  * Port libvirt copy_image tests to mock
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev257.g1877486:
  * Cells API calls return 501 when cells disabled
  * Add version 2.0 of conductor rpc interface
  * Don't import library guestfs directly
  * Raise NotImplementedError in NeutronV2 API
  * Raise exception if volume snapshot id not found instead of return
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev247.g208ef61:
  * Added missing raise statement when checking the config driver format
  * Make NovaObject report changed-ness of its children
  * Increase volume creation max waiting time
  * VMware: fix rescue disk location when image is not linked clone
  * Fix comment for block_migration in nova/virt/libvirt/driver.py
  * Correct inheritance of nova.volume.cinder.API
  * VMware: enable booting an ISO with root disk size 0
  * Remove bad log message in get_remote_image_service
  * Make sure instance saves network_info when we go ACTIVE
  * Delete meaningless lines in test_server_metadata.py
  * Fix docstring for shelve_offload_instance in compute manager
  * Reverts change to default state_path
  * Don't detach root device volume
  * Fix broken API os-migrations
  * VMware: delete vm snapshot after nova snapshot
  * Fixup debug log statements in the nova compute manager
  * Add conversion type to LOG.exception's string
  * Rescue API handle NotImplementedError
  * Fix log messages typos in rebuild_instance function
  * Added os-security-groups prefix
  * Fix the explanations of HTTPNotFound response
  * Fix HTTP methods for test_attach_interfaces
  * Fix the calls of webob exception classes
  * Rename Openstack to OpenStack
  * Make sure "volumeId" in req body on volume actions
  * Support building wheels (PEP-427)
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev195.g185c8ae:
  * Remove block_device_mapping_destroy() from conductor API
  * Fix sqlalchemy utils test cases for SA 0.9.x
  * Fix equal_any() DB API helper
  * Remove migration_update() from conductor API
  * Remove instance_get() from conductor API
  * Remove aggregate_get_by_host() from conductor API
  * add support for host driver cleanup during shutdown
  * Remove aggregate_get() from conductor API
  * Imported Translations from Transifex
  * Move log statement to expose actually info_cache value
  * Correct the state for PAUSED instances on reboot
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev173.g740ebab:
  * Add security_group_rule to objects registry
  * Fix input validation for V2 API server group API extension
  * Don't sync [system_]metadata down to cells on instance.save()
  * Block database access in nova-network binary
  * Add version 3.0 of scheduler rpc interface
  * Make libvirt wait for neutron to confirm plugging before boot
  * Volume operations should be blocked for non-null task state
  * VMware ESX: Boot from volume must not relocate vol
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev157.gc7ba391:
  * Make nova-network use conductor for security groups refresh
  * Make nova-network use quotas object
  * Make linux_net use objects for last fixed ip query
  * VMware: raise an exception for unsupported disk formats
  * xenapi: Speed up tests by not waiting on conductor
  * xenapi: Fix test_rescue test to ensure assertions are valid
  * neutron_metadata_proxy_shared_secret should not be written to log file
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev143.g1f4c4ce:
  * Revert "Adding image multiple location support"
  * Revert "Move libvirt RBD utilities to a new file"
  * Revert "enable cloning for rbd-backed ephemeral disks"
  * Add get_by_network() to FixedIPList
  * Recover from REBOOT-* state on compute manager start-up
  * VMware: ensure that deprecation does not appear for VC driver
  * Ensure is_image_available handles V2 Glance API
  * Log Content-Type/Accept API request info
  * Fix compute_node stats
  * Fix: Unshelving an instance uses original image
* Wed Mar 12 2014 speilicke@suse.com
- Update to version nova-2014.1.dev123.g5137045:
  * libvirt: fix blockinfo get_device_name helper
  * Remove the docker driver
  * Updated from global requirements
  * VMware: image cache aging
  * Add py27local tox target
  * Fix get_download_hander() typo
  * Delete ERROR+DELETING VMs during compute startup
  * Task cleanup_running_deleted_instances can now use slave
  * Use instance object instead of _instance_update()
  * Use debug level logging during unit tests
  * Fix debug message formatting in server_external_events
  * xenapi: fix spawn servers with ephemeral disks
  * Unmount the NFS and GlusterFS shares on detach
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev98.g1b37f98:
  * Skip sqlite-specific tests if sqlite is not configured
  * Replaces exception re-raising in Hyper-V
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev94.g7611173:
  * Add declaration of 'refresh_instance_security_rules' to virt driver
  * Remove compute virtapi BDM methods
  * enable cloning for rbd-backed ephemeral disks
  * Move libvirt RBD utilities to a new file
  * VMware: VimException __str__ attempts to concatenate string to list
  * Mark ESX driver as deprecated
  * Remove compute API get_instance_bdms method
  * Move run_instance compute to BDM objects
  * Move live migration callbacks to BDM objects
  * Instance groups: validate policy configuration
  * Add REST API for instance group api extension
  * VMware: boot from iso support
  * Store neutron port status in VIF model
  * Correct network_model tests and __eq__ operator
  * Make network_cache more robust with neutron
  * Error out failed migrations
  * Fix BDM legacy usage with objects
  * Fix anti-affinity race condition on boot
  * Initial scheduler support for instance_groups
  * Add get_hosts to InstanceGroup object
  * Add instance to instance group in compute.api
  * Add add_members to InstanceGroup object
  * Remove run-time dependency on fixtures module by the nova baremetal
  * Make compute manager prune instance events on delete and migrate
  * Make compute manager's virtapi support waiting for events
  * Add os-server-external-events V3 API
  * Add os-server-external-events API
  * Add external_instance_event() method to compute manager
  * Move _poll_volume_usage periodic task to BDM objects
  * Move instance_resize code paths to BDM objects
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1072.g8aa5582:
  * Move detach_volume and remove_vol_connection to BDM objects
  * Move instance delete to new-world BDM objects
  * Fix development environment docs for redhat-based systems
  * VMware: create datastore utility functions
  * Address the comments of the merged image handler patch
  * VMware: refactor _get_volume_uuid
  * notifier middleware broken by oslo.messaging
  * Prevent thrashing when deploying many bm instances
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1058.g107acb3:
  * Ignore the image name when booting from volume
  * Fixing host_ip configuration help message
  * No longer call check_uptodate.sh in pep8
  * Adding image multiple location support
  * Add a missing space in a log message
  * Sync the latest DB code from oslo-incubator
  * VMware Driver update correct disk usage stat
  * Move vbd plug/unplug into session object
  * Move the metrics update to get_metrics
  * Fix incorrect kwargs 'reason' for HTTPBadRequest
  * changed quantum to neutron in vif-openstack
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1036.gf11071b:
  * regenerate the config file to support 1.3.0a9
  * Move all shelve code paths to BDM objects
  * Move rebuild to BDM objects
  * sync sslutils to not conflict with oslo.messaging
  * Refactor xenapi/host.py to new call_xenapi pattern
  * Updated from global requirements
  * Restore get_available_resource method in docker driver
  * Move xenapi/agent.py to new call_xenapi style
  * xenapi: changes the debug log formatting
  * xenapi: stop destroy_vdi errors masking real error
  * Sync latest config file generator from oslo-incubator
  * VMware: support instance objects
  * VMware: add instance detail to detach log message
  * Fixes the Hyper-V VolumeOpsTestCase base class
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev1012.gfb6ac06:
  * Support configuring libvirt watchdog from flavors
  * Add watchdog device support to libvirt driver
  * Sync latest Guru Meditation Reports from Oslo
  * Adds get_console_connect_info API
  * When a claim is rejected, explain why
  * Refactor pool.py to remove calls to call_xenapi
  * xenapi: make session calls more discoverable
  * Remove and recreate interface if already exists
  * Prevent caller from specifying id during Aggregate.create()
  * Removing redundant validation for rebuild request
  * Ensure parent dir exists while injecting files
  * Fix upper bound checking for flavor create parameters
  * Explicity teardown on error in libguestfs setup()
  * Fix run_tests.sh lockutils when run with -d
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev984.g80e8555:
  * Fixes api samples for V2 os-assisted-volume-snapshots
  * Remove log_handler module from oslo-incubator sync
  * Remove deleted module flakes from openstack-common.conf
  * xenapi plugins: Make sure subprocesses finish executing
  * Downgrade the log level for floating IP associate
  * Adds create backup server extension for the V3 API
  * Add boolean convertor to "create multiple servers" API
  * Add comment/doc about utils.mkfs in rootwrap
  * Add mkfs to the baremetal-deploy-helper rootwrap
  * Add super call to db Base class
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev964.ge19b294:
  * Make compute manager use InstanceInfoCache object for deletes
  * Deprecate conductor instance_type_get() and remove from VirtAPI
  * Make restore_instance pass the Instance object to compute manager
  * Use uuid instead of name for lvm backend
  * Update Oslo wiki link in README
  * Make error notifications more consistent
  * Adds unit test for etc/nova/policy.json data
  * Make resource_tracker use Flavor object
  * Make compute manager use Flavor object
  * Make baremetal driver use Flavor object instead of VirtAPI
  * Add support for tenant_id based authentication with Neutron
  * Enable flake8 H404 checking
  * Imported Translations from Transifex
  * Use oslo-common's logging fixture
  * Re-Sync oslo-incubator fixtures
  * Updated from global requirements
  * Update pre_live_migration to take instance object
  * Remove unused method inject_file()
  * Remove db query from deallocate_fixed_ip
  * update deallocate_for_instance to take instance obj
  * Update server_diagnostics to use instance object
  * Remove trailing comma from sample JSON
  * Add pack_action_start/finish helper to InstanceAction object
  * libvirt: remove explicit /dev/random rng default
  * libvirt: setting a correct driver name for iscsi volumes
  * Catch HostBinaryNotFound exception when updating a service
  * VMware: fix datastore selection when token is returned
  * Introduce Guru Meditation Reports into Nova
  * Use image from the api in run_instance, if present
  * Cleanup v3 test_versions
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev885.gd3368a9:
  * Add a caching scheduler driver
  * libvirt: image property variable already defined
  * Remove blank space after print
  * libvirt: Enable custom video RAM setting
  * Rewrite InstanceActionEvent object testcase using mock
  * Clean up _make_*_list in object models to use base.obj_make_list
  * Document virt driver methods that take Instance objects
  * Make interface attach and detach use objects
  * Pass instance object to soft_delete() and get_info()
  * libvirt: host specific virtio-rng backend
  * VMware: remove unused parameter from _wait_for_task
  * Hyper-V log cleanups
  * Update ubuntu dev env instructions
  * Make webob.exc.HTTPForbidden return correct message
  * Remove unused variables in the xenapi.vmops module
  * Fix import order in log_handler
  * Emit message which merged user-supplied argument in log_handler
  * Typo in the name 'libvirt_snapshot_compression'
  * Fix InstanceNotFound error in _delete_instance_files
  * Remove unused methods
  * DB: logging exceptions should use save_and_reraise
  * Replace detail for explanation msgs on webob exceptions
  * Clean IMAGE_SNAPSHOT_PENDING state on compute manager start up
  * V2 Pause: treat case when driver does not implement the operation
  * Add missing translation support
  * Catch NotImplementedError in get_spice_console in v2/v3 API
  * Minor changes to make certificates test cases use HTTPRequestV3
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev831.gc3c21bd:
  * VMware: add a test for driver capabilities
  * VMware: ensure that datastore name exists prior to deleting disk
  * Move compute's _get_instance_volume_block_device_info to BDM objects
  * Use disk_bus and device_type in attaching volumes
  * Add device bus and type to virt attach_volume call
  * Make volume attach use objects
  * compute: invalid gettext message format
  * VMware: fix the VNC port allocation
  * vmware: driver races to create instance images
  * Revert "VMware: fix race for datastore directory existence"
  * Use instance object for delete
  * libvirt: adding a random number generator device to instances
  * Serialize the notification payload in json
  * Disable IGMP snooping on hybrid Linux bridge
  * VMware: improve unit test time
  * Objectify instance_action for cell scheduler
  * VMware: fix missing datastore regex with ESX driver
  * Make exception message more friendly
  * Fix unhandled InvalidServerState exceptions in server start/stop
  * Make nova/quota use keypair objects
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev795.g4ed6043:
  * Updated from global requirements
  * VMware: fix race for datastore directory existence
  * Add 'use_slave' to instance_get_all_by_filter in conductor
  * LibVirt: Disable hairpin when using Neutron
  * Add resource tracking to unshelve_instance()
  * libvirt-volume: improve unit test time
  * Move consoleauth_manager option into nova.service and fix imports
  * Rewrite InstanceAction object test cases using mock
  * Fix bad log formatting
  * Prevent caller from specifying id during Migration.create()
  * Prevent caller from specifying id during KeyPair.create()
  * Prevent caller from specifying id during Service.create()
  * Prevent caller from specifying id during ComputeNode.create()
  * Fixes Hyper-V VHDX snapshot bigger than instance
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev767.gef3b138:
  * Adds service request parameter filter for V3 API os-hosts request
  * Fix the indents of v3 API sample docs
  * Adds host_ip to hypervisor show API
* Sun Feb 23 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev761.g145017b:
  * stop throwing deprecation warnings on init
  * Add a new compute API method for deleting retired services
  * Fix instance_get_all_by_host to actually use slave
  * Periodic task poll_bandwidth_usage can use slave
  * Partially revert "XenAPI: Monitor the GC when coalescing"
  * Mark XML as deprecated in the v2 API
  * adjust version definition for v3 to be only json
  * Fix option indenting in compute manager
  * Sync log.py from oslo
  * Make floating_ips module use FloatingIP for associations
  * Remove __del__ usage in vmwareapi driver
  * VMware: optimize instance reference access
  * Fix assertEqual parameter order post V3 API admin-actions-split
  * Fix copyright messages after admin actions split for V3 API
  * Removes XML namespace from V3 API test_servers
  * Fixed a problem in iSCSI multipath
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev729.gcc665d9:
  * Fixed spelling errors in nova
  * Fixed check in image cache unit test
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev725.g6b29aca:
  * Refactor driver BDM attach() to cover all uses
  * Correct the assert() order in test_libvirt_blockinfo
  * Use disk_bus when guessing the device name for vol
  * libvirt: add virtio-scsi disk interface support
  * libvirt: configuration element for virtual controller
  * VMware: factor out management of controller keys and unit numbers
  * Remove XML support from schemas v3
  * VMware: prevent race for vmdk deletion
  * VMware: raise more specific exceptions
  * Refactor get_iscsi_initiator to a common location
  * Convert post_live_migration_at_destination to objects
  * Convert remove_fixed_ip_to_instance to objects
  * libvirt: improve unit test time
  * libvirt: Uses available method get_host_state
  * Add V3 api for pci support
  * Use six.moves.urllib.parse instead of urlparse
  * Make libvirt use Flavor object instead of using VirtAPI
  * Ensure that exception raised in neutron are handled correctly
  * Calculate default security group into quota usage
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev687.g96c9250:
  * Remove unused notifier and rpc modules from oslo sync
  * Imported Translations from Transifex
  * Treat port attachment failures correctly
  * Add experimental warning for Cells
  * libvirt: remove retval from libvirt _set_host_enabled()
  * MetricsWeigher: Added support of unavailable metrics
  * XenAPI: Add the mechanism to attach a pci device to a VM
  * XenAPI: Add the support for updating the status of the host
  * Convert add_fixed_ip_to_instance to objects
  * Make floating_ips module use FloatingIP for updates
  * Make floating_ips module use FloatingIP for (de-)allocations
  * Make floating_ips module use FloatingIP for all get queries
  * Group kvm image_meta tests for get_disk_bus
  * libvirt: configuration element for a random number generator device
  * Cells rebuild regression fix
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev657.g15d4f8a:
  * VMware: remove unused class
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Update the mailmap
  * Fix break in vm_vdi_cleaner after oslo changes
  * Support setting a machine type to enable ARMv7/AArch64 guests to boot
  * libvirt: making set_host_enabled to be a private methods
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version nova-2014.1.dev645.g304a9b4:
  * Fix compute_node_update() compatibility with older clients
  * Remove underscore for the STATE_MAP variable
  * Make is_neutron() thread-safe
  * Removes os-instance-usage-audit-log from the V3 API
* Mon Feb 17 2014 speilicke@suse.com
- Rebased patches:
  + 0001-Switch-over-to-oslosphinx.patch dropped (merged upstream)
- Update to version nova-2014.1.dev637.g3cd02fc:
  * libvirt: support configurable wipe methods for LVM backed instances
  * Imported Translations from Transifex
  * Make floating_ips module use Service object
  * Make floating_ips module use Instance object
  * Make floating_ips module use Network object
  * Make floating_ips module use FixedIP object
  * Count memory and disk slots once in cells state manager
  * compute: removes unnecessary condition
  * Replace oslo.sphinx with oslosphinx
  * Make nova_ipam_lib use Network, FixedIP, and FloatingIP objects
  * Make nova-network use FixedIP for timeouts
  * Make nova-network use FixedIP object for updates
  * Make nova-network use FixedIP object for disassociations
  * Add "body=" argument to v3 API unit tests
  * report port number for address already in use errors
  * VMware: fix exception when using multiple compute nodes
  * Update log message to support translations
  * XenAPI: Report the CPU details correctly
  * Corrected typo in metrics
  * Fixed incorrect test case of test_server_metadata.py
  * Add API schema for v3 rescue API
  * ec2 api should check 'max_count'&'min_count' para
  * fix ips to 'ips' in APIRouter
* Fri Feb 14 2014 dmueller@suse.com
- Update to version nova-2014.1.dev592.ga1fe8df:
  * Convert unrescue_instance to objects
  * Don't allow compute_node free_disk_gb to be None
  * Change assertTrue(isinstance()) by optimal assert
  * Adds migrate server extension for V3 API
  * Move policy check of start/stop to api layer
  * VMware: fix bug for exceptions thrown in _wait_for_task
  * Fix baremetal stats type
  * Correct host managers free disk calculation
  * Make image props filter handle old vm_modes
  * Set a sane default for state_path
* Wed Feb 12 2014 speilicke@suse.com
- Update to version nova-2014.1.dev572.g8bc9586:
  * Refactor stats to avoid bad join
  * Remove @author from copyright statements
  * Remove character filtering from V3 API console_output
  * Fix incorrect check in aggregate/az test
  * xenapi: set viridian=false for linux servers
  * Delete baremetal image files after deployment
  * Removes console output plugin from the core list
  * Using six.add_metaclass
  * Remove quota classes extension from the V3 API
  * Add a instance lookup helper to v3 plugins
  * Use raw string notation for regexes in hacking checks
  * Improve detection of imports in hacking check
  * Renumber some nova hacking checks
  * Docker cannot start a new instance because of an internal error
  * VMware: fix instance rescue bug
  * Adds tests to sqlachemy.api._retry_on_deadlock
  * Allow operators to customize max header size
  * Fix trivial typo in libvirt test comment
  * Remove tox locale overrides
  * libvirt: use to_xml() in post_live_migration_at_destination
  * VMware: update test name
  * VMware: improve unit test performance
  * Fix english grammar in the quota error messages
  * Removes os-simple-tenant-usage from the V3 API
  * Fix a couple of unit test typos
  * Add HEAD api response for test s3 server BucketHandler
  * Removes XML support from security_groups v3 API
  * Hyper-V driver RDP console access support
* Wed Jan  8 2014 speilicke@suse.com
- Fix requirements
* Fri Jul 19 2013 dmueller@suse.com
- adjust rm command
* Tue Jul  9 2013 dmueller@suse.com
- update buildrequires
* Mon Mar 18 2013 speilicke@suse.com
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Wed Dec 19 2012 saschpe@suse.de
- It's a noarch package
* Tue Dec 11 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
- Update to version 2012.2.3+git.1355243803.9e62846:
  + Bump version to 2012.2.3
  + Final versioning for 2012.2.2
  + Don't leak info from libvirt LVM backed instances
* Mon Dec 10 2012 iartarisi@suse.com
- Update to latest git (670b388):
  + Fix rpc control_exchange regression.
* Thu Dec  6 2012 iartarisi@suse.com
- Fix version name
* Fri Nov 16 2012 saschpe@suse.de
- Add more documentation requirements but disable some, currently
  the build fails if too much is enabled (I/O error)
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
- Additional documentation requirements
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Wed Jun 27 2012 saschpe@suse.de
- Change versioning scheme to $release+git.$AUTHORDATE.$COMMITREV
- Simplify from_vcs macros
* Wed Jun 27 2012 vuntz@suse.com
- Sync version to the version we currently have, to fix build.
- Add jsonutils-fix-new-anyjson.patch: fix nova.utils to be
  compatibly with the version of python-anyjson we use
  (lp#1017765).
* Mon Jun 25 2012 saschpe@suse.de
- Initial version
